var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var prettierRc = require('./prettierrc.js');

module.exports = {
    parser: 'babel-eslint',
    parserOptions: {
        ecmaVersion: 6,
        sourceType: 'module',
        ecmaFeatures: {
            jsx: true
        }
    },
    plugins: ['flowtype', 'react', 'prettier'],
    settings: {
        react: {
            version: '16.5.0', // React version, defaults to the latest stable
            flowVersion: '0.75' // Flow version
        }
    },
    extends: ['plugin:flowtype/recommended', 'plugin:react/recommended', 'plugin:prettier/recommended', 'plugin:jsx-a11y/recommended', 'prettier', 'prettier/flowtype', 'prettier/react', 'react-app'],
    env: {
        node: true,
        browser: true,
        jest: true
    },
    globals: {
        Box: false,
        shallow: false,
        mount: false
    },
    rules: {
        'prettier/prettier': ['error', _extends({}, prettierRc)],
        'flowtype/space-after-type-colon': [2, 'always', { allowLineBreak: true }], // fixes conflict w/prettier
        'jsx-a11y/anchor-is-valid': 0, // fix me
        'jsx-a11y/click-events-have-key-events': 0, // fix me
        'jsx-a11y/href-no-hash': 0, // fix me
        'jsx-a11y/label-has-associated-control': 0, // fix me
        'jsx-a11y/label-has-for': 0, // fix me
        'jsx-a11y/no-autofocus': 0, // fix me
        'jsx-a11y/no-noninteractive-tabindex': 0, // fix me
        'jsx-a11y/no-onchange': 0, // fix me
        'jsx-a11y/no-static-element-interactions': 0, // fix me
        'react/no-deprecated': 0 // fix before React 17
    }
};