import * as React from 'react';

import './Badgeable.scss';

var Badgeable = function Badgeable(props) {
    var children = props.children,
        _props$className = props.className,
        className = _props$className === undefined ? '' : _props$className,
        _props$topLeft = props.topLeft,
        topLeft = _props$topLeft === undefined ? null : _props$topLeft,
        _props$topRight = props.topRight,
        topRight = _props$topRight === undefined ? null : _props$topRight,
        _props$bottomLeft = props.bottomLeft,
        bottomLeft = _props$bottomLeft === undefined ? null : _props$bottomLeft,
        _props$bottomRight = props.bottomRight,
        bottomRight = _props$bottomRight === undefined ? null : _props$bottomRight;


    return React.createElement(
        'div',
        { className: 'badgeable-container ' + className },
        children,
        React.createElement(
            'div',
            { className: 'badges' },
            topLeft && React.createElement(
                'div',
                { className: 'top-left-badge' },
                topLeft
            ),
            topRight && React.createElement(
                'div',
                { className: 'top-right-badge' },
                topRight
            ),
            bottomLeft && React.createElement(
                'div',
                { className: 'bottom-left-badge' },
                bottomLeft
            ),
            bottomRight && React.createElement(
                'div',
                { className: 'bottom-right-badge' },
                bottomRight
            )
        )
    );
};

Badgeable.propTypes = {
    /** the item(s) to receive the badge */
    children: PropTypes.node.isRequired,
    className: PropTypes.string,

    /** Component to render when badging the top left corner of the rendered container */
    topLeft: PropTypes.node,

    /** Component to render when badging the top right corner of the rendered container */
    topRight: PropTypes.node,

    /** Component to render when badging the bottom left corner of the rendered container */
    bottomLeft: PropTypes.node,

    /** Component to render when badging the bottom right corner of the rendered container */
    bottomRight: PropTypes.node
};
export default Badgeable;
import PropTypes from 'prop-types';