import * as React from 'react';
import { DragDropContext, Droppable } from 'react-beautiful-dnd';

import './DraggableList.scss';

var DraggableList = function DraggableList(_ref) {
    var children = _ref.children,
        className = _ref.className,
        listId = _ref.listId,
        onDragEnd = _ref.onDragEnd;

    return React.createElement(
        DragDropContext,
        {
            onDragEnd: function (_onDragEnd) {
                function onDragEnd(_x) {
                    return _onDragEnd.apply(this, arguments);
                }

                onDragEnd.toString = function () {
                    return _onDragEnd.toString();
                };

                return onDragEnd;
            }(function (result) {
                var destinationIndex = result.destination ? result.destination.index : result.source.index;
                return onDragEnd(result.source.index, destinationIndex);
            })
        },
        React.createElement(
            Droppable,
            { droppableId: listId },
            function (droppableProvided) {
                return React.createElement(
                    'div',
                    { className: className, ref: droppableProvided.innerRef },
                    children
                );
            }
        )
    );
};

DraggableList.propTypes = {
    children: PropTypes.node.isRequired,
    className: PropTypes.string,
    listId: PropTypes.string.isRequired,
    onDragEnd: PropTypes.func.isRequired
};
export default DraggableList;
import PropTypes from 'prop-types';