var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import * as React from 'react';
import IconDrag from '../../icons/general/IconDrag';

var ListItem = function ListItem(_ref) {
    var children = _ref.children,
        draggableProvided = _ref.draggableProvided,
        isDraggableViaHandle = _ref.isDraggableViaHandle;

    return React.createElement(
        'div',
        _extends({
            className: 'draggable-list',
            ref: draggableProvided.innerRef
        }, draggableProvided.draggableProps, isDraggableViaHandle ? {} : draggableProvided.dragHandleProps),
        React.createElement(
            'div',
            { className: 'draggable-list-content' },
            children
        ),
        isDraggableViaHandle && React.createElement(
            'div',
            _extends({
                className: 'draggable-list-handle'
            }, draggableProvided.dragHandleProps),
            React.createElement(IconDrag, null)
        )
    );
};

ListItem.propTypes = {
    children: PropTypes.node.isRequired,
    draggableProvided: PropTypes.object.isRequired,
    isDraggableViaHandle: PropTypes.bool
};
export default ListItem;
import PropTypes from 'prop-types';