var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import TetherComponent from 'react-tether';
import uniqueId from 'lodash/uniqueId';

import './DropdownMenu.scss';

var DropdownMenu = function (_React$Component) {
    _inherits(DropdownMenu, _React$Component);

    function DropdownMenu() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, DropdownMenu);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = DropdownMenu.__proto__ || Object.getPrototypeOf(DropdownMenu)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
            initialFocusIndex: null,
            isOpen: false
        }, _this.openMenuAndSetFocusIndex = function (initialFocusIndex) {
            _this.setState({
                initialFocusIndex: initialFocusIndex,
                isOpen: true
            });
        }, _this.closeMenu = function () {
            _this.setState({
                isOpen: false
            });
        }, _this.focusButton = function () {
            // @NOTE(jtan): This breaks encapsulation a bit, but the only other way is passing ref functions to unknown children components
            var menuButtonEl = document.getElementById(_this.menuButtonID);
            if (menuButtonEl) {
                menuButtonEl.focus();
            }
        }, _this.handleButtonClick = function (event) {
            var isOpen = _this.state.isOpen;


            event.stopPropagation();
            event.preventDefault();

            if (isOpen) {
                _this.closeMenu();
            } else {
                _this.openMenuAndSetFocusIndex(null);
            }
        }, _this.handleButtonKeyDown = function (event) {
            switch (event.key) {
                case ' ': // Spacebar
                case 'Enter':
                case 'ArrowDown':
                    event.stopPropagation();
                    event.preventDefault();

                    _this.openMenuAndSetFocusIndex(0);
                    break;

                case 'ArrowUp':
                    event.stopPropagation();
                    event.preventDefault();

                    _this.openMenuAndSetFocusIndex(-1);
                    break;

                case 'Escape':
                    event.stopPropagation();
                    event.preventDefault();
                    _this.closeMenu();
                    break;

                default:
                    break;
            }
        }, _this.handleMenuClose = function () {
            _this.closeMenu();
            _this.focusButton();
        }, _this.handleDocumentClick = function (event) {
            var menuEl = document.getElementById(_this.menuID);
            var menuButtonEl = document.getElementById(_this.menuButtonID);

            // Some DOM magic to get global click handlers to close menu when not interacting with menu or associated button
            if (menuEl && menuButtonEl && event.target instanceof Node && !menuEl.contains(event.target) && !menuButtonEl.contains(event.target)) {
                _this.closeMenu();
            }
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(DropdownMenu, [{
        key: 'componentWillMount',
        value: function componentWillMount() {
            this.menuID = uniqueId('menu');
            this.menuButtonID = uniqueId('menubutton');
        }
    }, {
        key: 'componentDidUpdate',
        value: function componentDidUpdate(prevProps, prevState) {
            if (!prevState.isOpen && this.state.isOpen) {
                // When menu is being opened
                document.addEventListener('click', this.handleDocumentClick, true);
                document.addEventListener('contextmenu', this.handleDocumentClick, true);

                var _onMenuOpen = this.props.onMenuOpen;

                if (_onMenuOpen) {
                    _onMenuOpen();
                }
            } else if (prevState.isOpen && !this.state.isOpen) {
                // When menu is being closed
                document.removeEventListener('contextmenu', this.handleDocumentClick, true);
                document.removeEventListener('click', this.handleDocumentClick, true);
            }
        }
    }, {
        key: 'componentWillUnmount',
        value: function componentWillUnmount() {
            if (this.state.isOpen) {
                // Clean-up global click handlers
                document.removeEventListener('contextmenu', this.handleDocumentClick, true);
                document.removeEventListener('click', this.handleDocumentClick, true);
            }
        }
    }, {
        key: 'render',
        value: function render() {
            var _props = this.props,
                bodyElement = _props.bodyElement,
                children = _props.children,
                isRightAligned = _props.isRightAligned,
                constrainToScrollParent = _props.constrainToScrollParent,
                constrainToWindow = _props.constrainToWindow,
                className = _props.className;
            var _state = this.state,
                isOpen = _state.isOpen,
                initialFocusIndex = _state.initialFocusIndex;


            var elements = React.Children.toArray(children);

            if (elements.length !== 2) {
                throw new Error('DropdownMenu must have exactly two children: A button component and a <Menu>');
            }

            var menuButton = elements[0];
            var menu = elements[1];

            var menuButtonProps = {
                id: this.menuButtonID,
                key: this.menuButtonID,
                onClick: this.handleButtonClick, // NOTE: Overrides button's handler
                onKeyDown: this.handleButtonKeyDown, // NOTE: Overrides button's handler
                'aria-haspopup': 'true',
                'aria-expanded': isOpen ? 'true' : 'false'
            };

            // Add this only when its open, otherwise the menuID element isn't rendered
            if (isOpen) {
                menuButtonProps['aria-controls'] = this.menuID;
            }

            var menuProps = {
                id: this.menuID,
                key: this.menuID,
                initialFocusIndex: initialFocusIndex,
                onClose: this.handleMenuClose,
                'aria-labelledby': this.menuButtonID
            };

            var attachment = 'top left';
            var targetAttachment = 'bottom left';

            if (isRightAligned) {
                attachment = 'top right';
                targetAttachment = 'bottom right';
            }

            var constraints = [];

            if (constrainToScrollParent) {
                constraints.push({
                    to: 'scrollParent',
                    attachment: 'together'
                });
            }

            if (constrainToWindow) {
                constraints.push({
                    to: 'window',
                    attachment: 'together'
                });
            }

            var bodyEl = bodyElement instanceof HTMLElement ? bodyElement : document.body;

            return React.createElement(
                TetherComponent,
                {
                    attachment: attachment,
                    bodyElement: bodyEl,
                    classPrefix: 'dropdown-menu',
                    targetAttachment: targetAttachment,
                    constraints: constraints,
                    enabled: isOpen,
                    className: className
                },
                React.cloneElement(menuButton, menuButtonProps),
                isOpen ? React.cloneElement(menu, menuProps) : null
            );
        }
    }]);

    return DropdownMenu;
}(React.Component);

DropdownMenu.defaultProps = {
    constrainToScrollParent: false,
    constrainToWindow: false,
    isRightAligned: false
};
DropdownMenu.propTypes = {
    bodyElement: function bodyElement() {
        return (typeof HTMLElement === 'function' ? PropTypes.instanceOf(HTMLElement) : PropTypes.any).apply(this, arguments);
    },
    children: PropTypes.node.isRequired,

    /** Forces menu to render within the scroll parent */
    constrainToScrollParent: PropTypes.bool.isRequired,

    /** Forces menu to render within the visible window */
    constrainToWindow: PropTypes.bool.isRequired,

    /** Right aligns menu to button */
    isRightAligned: PropTypes.bool.isRequired,

    /** Function called when menu is opened */
    onMenuOpen: PropTypes.func,

    /** Class name to apply to the dropdown menu*/
    className: PropTypes.string
};


export default DropdownMenu;
import PropTypes from 'prop-types';