var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';

import TextAreaCore from '../../text-area';

import * as messages from '../input-messages';
import FormInput from '../form/FormInput';

var TextArea = function (_React$Component) {
    _inherits(TextArea, _React$Component);

    function TextArea(props) {
        _classCallCheck(this, TextArea);

        var _this = _possibleConstructorReturn(this, (TextArea.__proto__ || Object.getPrototypeOf(TextArea)).call(this, props));

        _this.onChange = function (_ref) {
            var currentTarget = _ref.currentTarget;

            var value = currentTarget.value;
            if (_this.state.error) {
                _this.setState({
                    value: value
                }, _this.checkValidity);
            } else {
                _this.setState({
                    value: value
                });
            }
        };

        _this.onValidityStateUpdateHandler = function (error) {
            if (error.valid !== undefined) {
                _this.setErrorFromValidityState(error);
            } else {
                _this.setState({
                    error: error
                });
            }
        };

        _this.checkValidity = function () {
            var _this$props = _this.props,
                isRequired = _this$props.isRequired,
                validation = _this$props.validation;
            var textarea = _this.textarea;


            if (!textarea) {
                return;
            }

            if (validation && (isRequired || textarea.value.trim().length)) {
                var _error = validation(textarea.value);
                _this.setState({
                    error: _error,
                    value: textarea.value
                });

                if (_error) {
                    textarea.setCustomValidity(_error.code);
                } else {
                    textarea.setCustomValidity('');
                }
            } else {
                _this.setErrorFromValidityState(textarea.validity);
            }
        };

        _this.state = {
            error: null,
            value: props.value
        };
        return _this;
    }

    _createClass(TextArea, [{
        key: 'componentWillReceiveProps',
        value: function componentWillReceiveProps(nextProps) {
            // If a new value is passed by prop, set it
            if (nextProps.value !== this.props.value) {
                this.setState({
                    value: nextProps.value
                });
            }
        }
    }, {
        key: 'setErrorFromValidityState',
        value: function setErrorFromValidityState(validityState) {
            var badInput = validityState.badInput,
                customError = validityState.customError,
                tooLong = validityState.tooLong,
                valid = validityState.valid,
                valueMissing = validityState.valueMissing;
            var _props = this.props,
                isRequired = _props.isRequired,
                maxLength = _props.maxLength,
                validation = _props.validation;
            var value = this.state.value;


            var error = void 0;

            if (valid) {
                error = null;
            } else if (badInput) {
                error = messages.badInput();
            } else if (tooLong && typeof maxLength !== 'undefined') {
                error = messages.tooLong(maxLength);
            } else if (valueMissing) {
                error = messages.valueMissing();
            } else if (customError && (isRequired || value.trim().length) && validation) {
                error = validation(value);
            }

            this.setState({
                error: error
            });
        }

        // Updates component value and validity state

    }, {
        key: 'render',
        value: function render() {
            var _this2 = this;

            var _props2 = this.props,
                autoFocus = _props2.autoFocus,
                _props2$className = _props2.className,
                className = _props2$className === undefined ? '' : _props2$className,
                isDisabled = _props2.isDisabled,
                isReadOnly = _props2.isReadOnly,
                isRequired = _props2.isRequired,
                isResizable = _props2.isResizable,
                label = _props2.label,
                name = _props2.name,
                placeholder = _props2.placeholder;
            var _state = this.state,
                error = _state.error,
                value = _state.value;


            return React.createElement(
                'div',
                { className: className },
                React.createElement(
                    FormInput,
                    {
                        name: name,
                        onValidityStateUpdate: this.onValidityStateUpdateHandler
                    },
                    React.createElement(TextAreaCore, {
                        autoFocus: autoFocus,
                        disabled: isDisabled,
                        error: error ? error.message : null,
                        label: label,
                        isRequired: isRequired,
                        isResizable: isResizable,
                        name: name,
                        onBlur: this.checkValidity,
                        onChange: this.onChange,
                        placeholder: placeholder,
                        readOnly: isReadOnly,
                        textareaRef: function textareaRef(textarea) {
                            _this2.textarea = textarea;
                        },
                        value: value
                    })
                )
            );
        }
    }]);

    return TextArea;
}(React.Component);

TextArea.defaultProps = {
    autoFocus: false,
    value: '',
    isReadOnly: false
};
TextArea.propTypes = {
    autoFocus: PropTypes.bool,

    /** Add a class to the component */
    className: PropTypes.string,
    isDisabled: PropTypes.bool,
    isReadOnly: PropTypes.bool,
    isRequired: PropTypes.bool,

    /** Is text area resizable */
    isResizable: PropTypes.bool,

    /** Label displayed for the text area */
    label: PropTypes.node.isRequired,
    maxLength: PropTypes.number,

    /** Name of the text area */
    name: PropTypes.string.isRequired,

    /** Placeholder for the text area */
    placeholder: PropTypes.string,

    /** Validation function that returns an error string or a promise that resolves to an error string */
    validation: PropTypes.func,

    /** Default value of the text area */
    value: PropTypes.string.isRequired
};


export default TextArea;
import PropTypes from 'prop-types';