var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';

import TextInputCore from '../../text-input';

import * as messages from '../input-messages';
import FormInput from '../form/FormInput';

var TextInput = function (_React$Component) {
    _inherits(TextInput, _React$Component);

    function TextInput(props) {
        _classCallCheck(this, TextInput);

        var _this = _possibleConstructorReturn(this, (TextInput.__proto__ || Object.getPrototypeOf(TextInput)).call(this, props));

        _this.onChange = function (_ref) {
            var currentTarget = _ref.currentTarget;

            var value = currentTarget.value;
            if (_this.state.error) {
                _this.setState({
                    value: value
                }, _this.checkValidity);
            } else {
                _this.setState({
                    value: value
                });
            }
        };

        _this.onValidityStateUpdateHandler = function (error) {
            if (error.valid !== undefined) {
                _this.setErrorFromValidityState(error);
            } else {
                _this.setState({
                    error: error
                });
            }
        };

        _this.checkValidity = function () {
            var _this$props = _this.props,
                isRequired = _this$props.isRequired,
                validation = _this$props.validation;
            var input = _this.input;

            if (!input) {
                return;
            }

            if (validation && (isRequired || input.value.trim().length)) {
                var _error = validation(input.value);
                _this.setState({
                    error: _error,
                    value: input.value
                });

                if (_error) {
                    input.setCustomValidity(_error.code);
                } else {
                    input.setCustomValidity('');
                }
            } else {
                _this.setErrorFromValidityState(input.validity);
            }
        };

        _this.state = {
            error: null,
            value: props.value
        };
        return _this;
    }

    _createClass(TextInput, [{
        key: 'componentWillReceiveProps',
        value: function componentWillReceiveProps(nextProps) {
            // If a new value is passed by prop, set it
            if (nextProps.value !== this.props.value) {
                this.setState({
                    value: nextProps.value
                });
            }
        }
    }, {
        key: 'setErrorFromValidityState',
        value: function setErrorFromValidityState(validityState) {
            var badInput = validityState.badInput,
                customError = validityState.customError,
                patternMismatch = validityState.patternMismatch,
                tooLong = validityState.tooLong,
                tooShort = validityState.tooShort,
                typeMismatch = validityState.typeMismatch,
                valid = validityState.valid,
                valueMissing = validityState.valueMissing;
            var _props = this.props,
                isRequired = _props.isRequired,
                minLength = _props.minLength,
                maxLength = _props.maxLength,
                type = _props.type,
                validation = _props.validation;
            var value = this.state.value;


            var error = void 0;

            if (valid) {
                error = null;
            } else if (badInput) {
                error = messages.badInput();
            } else if (patternMismatch) {
                error = messages.patternMismatch();
            } else if (tooShort && typeof minLength !== 'undefined') {
                error = messages.tooShort(minLength);
            } else if (tooLong && typeof maxLength !== 'undefined') {
                error = messages.tooLong(maxLength);
            } else if (typeMismatch && type === 'email') {
                error = messages.typeMismatchEmail();
            } else if (typeMismatch && type === 'url') {
                error = messages.typeMismatchUrl();
            } else if (valueMissing) {
                error = messages.valueMissing();
            } else if (customError && (isRequired || value.trim().length) && validation) {
                error = validation(value);
            }

            this.setState({
                error: error
            });
        }

        // Updates component value and validity state

    }, {
        key: 'render',
        value: function render() {
            var _this2 = this;

            var _props2 = this.props,
                autoFocus = _props2.autoFocus,
                _props2$className = _props2.className,
                className = _props2$className === undefined ? '' : _props2$className,
                isDisabled = _props2.isDisabled,
                isRequired = _props2.isRequired,
                label = _props2.label,
                maxLength = _props2.maxLength,
                minLength = _props2.minLength,
                name = _props2.name,
                onFocus = _props2.onFocus,
                pattern = _props2.pattern,
                placeholder = _props2.placeholder,
                type = _props2.type,
                isReadOnly = _props2.isReadOnly,
                isLoading = _props2.isLoading,
                labelTooltip = _props2.labelTooltip,
                hideLabel = _props2.hideLabel;
            var _state = this.state,
                error = _state.error,
                value = _state.value;


            return React.createElement(
                'div',
                { className: className },
                React.createElement(
                    FormInput,
                    {
                        name: name,
                        onValidityStateUpdate: this.onValidityStateUpdateHandler
                    },
                    React.createElement(TextInputCore, {
                        disabled: isDisabled,
                        label: label,
                        isRequired: isRequired,
                        error: error ? error.message : null,
                        autoFocus: autoFocus,
                        maxLength: maxLength,
                        minLength: minLength,
                        name: name,
                        onBlur: this.checkValidity,
                        onFocus: onFocus,
                        onChange: this.onChange,
                        pattern: pattern,
                        placeholder: placeholder,
                        inputRef: function inputRef(input) {
                            _this2.input = input;
                        },
                        type: type,
                        value: value,
                        readOnly: isReadOnly,
                        isLoading: isLoading,
                        labelTooltip: labelTooltip,
                        hideLabel: hideLabel
                    })
                )
            );
        }
    }]);

    return TextInput;
}(React.Component);

TextInput.defaultProps = {
    autoFocus: false,
    value: '',
    type: 'text',
    isReadOnly: false,
    isLoading: false
};
TextInput.propTypes = {
    /** Whether to automatically focus the input */
    autoFocus: PropTypes.bool,

    /** Add a class to the component */
    className: PropTypes.string,
    hideLabel: PropTypes.bool,
    isDisabled: PropTypes.bool,
    isLoading: PropTypes.bool,
    isReadOnly: PropTypes.bool,

    /** Is input required */
    isRequired: PropTypes.bool,

    /** Label displayed for the text input */
    label: PropTypes.node.isRequired,
    labelTooltip: PropTypes.node,
    maxLength: PropTypes.number,
    minLength: PropTypes.number,

    /** Name of the text input */
    name: PropTypes.string.isRequired,

    /** Called when the text input is focused */
    onFocus: PropTypes.func,

    /** html5 regex pattern for validation */
    pattern: PropTypes.string,

    /** Placeholder for the text input */
    placeholder: PropTypes.string,

    /** html input types (email, url, text, number), defaults to 'text' */
    type: PropTypes.string,

    /** Function that should either return an error string when inValid and an empty string when valid. It can also return a Promise that resolves to an error string or empty string for server validations. */
    validation: PropTypes.func,

    /** Value of the text input */
    value: PropTypes.string.isRequired
};


export default TextInput;
import PropTypes from 'prop-types';