var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import * as React from 'react';
import classNames from 'classnames';

import './Header.scss';

var Header = function Header(_ref) {
    var children = _ref.children,
        color = _ref.color,
        className = _ref.className,
        _ref$fixed = _ref.fixed,
        fixed = _ref$fixed === undefined ? false : _ref$fixed,
        rest = _objectWithoutProperties(_ref, ['children', 'color', 'className', 'fixed']);

    var classes = classNames('header', { 'is-fixed': fixed }, className);

    return React.createElement(
        'header',
        _extends({
            className: classes,
            style: color ? { backgroundColor: color } : {}
        }, rest),
        children
    );
};

Header.propTypes = {
    color: PropTypes.string,

    /** Header contents */
    children: PropTypes.node,
    className: PropTypes.string,

    /** Is header fixed */
    fixed: PropTypes.bool
};
export default Header;
import PropTypes from 'prop-types';