var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import PropTypes from 'prop-types';

import HotkeyRecord, { HotkeyPropType } from './HotkeyRecord';
import HotkeyService from './HotkeyService';

import Hotkeys from './Hotkeys';
import HotkeyHelpModal from './HotkeyHelpModal';

import './HotkeyLayer.scss';

var HotkeyLayer = function (_Component) {
    _inherits(HotkeyLayer, _Component);

    function HotkeyLayer(props) {
        _classCallCheck(this, HotkeyLayer);

        var _this = _possibleConstructorReturn(this, (HotkeyLayer.__proto__ || Object.getPrototypeOf(HotkeyLayer)).call(this, props));

        _this.state = {
            isHelpModalOpen: false
        };

        _this.openHelpModal = function () {
            _this.setState({
                isHelpModalOpen: true
            });
        };

        _this.closeHelpModal = function () {
            _this.setState({
                isHelpModalOpen: false
            });
        };

        _this.hotkeyService = new HotkeyService();
        return _this;
    }

    _createClass(HotkeyLayer, [{
        key: 'getChildContext',
        value: function getChildContext() {
            return {
                hotkeyLayer: this.hotkeyService
            };
        }
    }, {
        key: 'componentWillUnmount',
        value: function componentWillUnmount() {
            this.hotkeyService.destroyLayer();
        }
    }, {
        key: 'getHotkeyConfigs',
        value: function getHotkeyConfigs() {
            var _this2 = this;

            var _props = this.props,
                _props$configs = _props.configs,
                configs = _props$configs === undefined ? [] : _props$configs,
                helpModalShortcut = _props.helpModalShortcut,
                enableHelpModal = _props.enableHelpModal;


            if (!enableHelpModal) {
                return configs;
            }

            return [new HotkeyRecord({
                key: helpModalShortcut,
                handler: function handler() {
                    return _this2.openHelpModal();
                }
            })].concat(_toConsumableArray(configs));
        }
    }, {
        key: 'render',
        value: function render() {
            var _props2 = this.props,
                children = _props2.children,
                _props2$className = _props2.className,
                className = _props2$className === undefined ? '' : _props2$className,
                enableHelpModal = _props2.enableHelpModal;


            return React.createElement(
                Hotkeys,
                { configs: this.getHotkeyConfigs() },
                enableHelpModal ? React.createElement(
                    'span',
                    { className: 'hotkey-layer ' + className },
                    React.createElement(HotkeyHelpModal, {
                        isOpen: this.state.isHelpModalOpen,
                        onRequestClose: this.closeHelpModal
                    }),
                    children
                ) : children
            );
        }
    }]);

    return HotkeyLayer;
}(Component);

HotkeyLayer.propTypes = {
    children: PropTypes.node,
    className: PropTypes.string,
    /** Array of hotkey configs, either in the specified shape, or instances of HotkeyRecord */
    configs: PropTypes.arrayOf(HotkeyPropType),
    /** Shortcut to trigger the help modal, if it's enabled */
    helpModalShortcut: PropTypes.string,
    enableHelpModal: PropTypes.bool
};
HotkeyLayer.defaultProps = {
    helpModalShortcut: '?',
    enableHelpModal: false
};
HotkeyLayer.contextTypes = {
    hotkeyLayer: PropTypes.object
};
HotkeyLayer.childContextTypes = {
    hotkeyLayer: PropTypes.object
};


export default HotkeyLayer;