function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var HotkeyManager = function HotkeyManager() {
    var _this = this;

    _classCallCheck(this, HotkeyManager);

    this.layerStack = [];

    this.setActiveLayer = function (layerID) {
        _this.layerStack.push(layerID);
    };

    this.removeLayer = function (layerID) {
        _this.layerStack = _this.layerStack.filter(function (thisLayerID) {
            return thisLayerID !== layerID;
        });
    };

    this.getActiveLayerID = function () {
        if (_this.layerStack.length === 0) {
            return null;
        }
        return _this.layerStack[_this.layerStack.length - 1];
    };
};

// This is a singleton service to maintain the global hotkey layer stack


export default new HotkeyManager();