var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import { Children, Component } from 'react';
import PropTypes from 'prop-types';

import { HotkeyPropType } from './HotkeyRecord';

var Hotkeys = function (_Component) {
    _inherits(Hotkeys, _Component);

    function Hotkeys() {
        _classCallCheck(this, Hotkeys);

        return _possibleConstructorReturn(this, (Hotkeys.__proto__ || Object.getPrototypeOf(Hotkeys)).apply(this, arguments));
    }

    _createClass(Hotkeys, [{
        key: 'componentDidMount',
        value: function componentDidMount() {
            var configs = this.props.configs;


            if (!this.context.hotkeyLayer) {
                throw new Error('You must instantiate a HotkeyLayer before using Hotkeys');
            }

            this._addHotkeys(configs);
        }
    }, {
        key: 'componentDidUpdate',
        value: function componentDidUpdate(prevProps) {
            var newConfigs = this.props.configs;
            var prevConfigs = prevProps.configs;


            var additions = newConfigs.filter(function (config) {
                return prevConfigs.indexOf(config) === -1;
            });
            var removals = prevConfigs.filter(function (config) {
                return newConfigs.indexOf(config) === -1;
            });

            this._removeHotkeys(removals);
            this._addHotkeys(additions);
        }
    }, {
        key: 'componentWillUnmount',
        value: function componentWillUnmount() {
            var configs = this.props.configs;


            this._removeHotkeys(configs);
        }
    }, {
        key: '_addHotkeys',
        value: function _addHotkeys(hotkeyConfigs) {
            var _this2 = this;

            hotkeyConfigs.forEach(function (hotkeyConfig) {
                return _this2.context.hotkeyLayer.registerHotkey(hotkeyConfig);
            });
        }
    }, {
        key: '_removeHotkeys',
        value: function _removeHotkeys(hotkeyConfigs) {
            var _this3 = this;

            hotkeyConfigs.forEach(function (hotkeyConfig) {
                return _this3.context.hotkeyLayer.deregisterHotkey(hotkeyConfig);
            });
        }
    }, {
        key: 'render',
        value: function render() {
            if (!this.props.children) {
                return null;
            }
            return Children.only(this.props.children);
        }
    }]);

    return Hotkeys;
}(Component);

Hotkeys.propTypes = {
    children: PropTypes.node,
    /** Array of hotkey configs, either in the specified shape, or instances of HotkeyRecord */
    configs: PropTypes.arrayOf(HotkeyPropType).isRequired
};
Hotkeys.contextTypes = {
    hotkeyLayer: PropTypes.object
};


export default Hotkeys;