var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import * as React from 'react';

var LinkBase = function LinkBase(_ref) {
    var children = _ref.children,
        _ref$href = _ref.href,
        href = _ref$href === undefined ? '#' : _ref$href,
        linkRef = _ref.linkRef,
        target = _ref.target,
        rel = _ref.rel,
        component = _ref.component,
        refProp = _ref.refProp,
        rest = _objectWithoutProperties(_ref, ['children', 'href', 'linkRef', 'target', 'rel', 'component', 'refProp']);

    // Automatically append rel="noopener" for external links
    // (security fix) if no `rel` was passed
    var linkRel = target === '_blank' && !rel ? 'noopener' : rel;

    var LinkComponent = component || 'a';

    var ref = _defineProperty({}, refProp || 'ref', linkRef);

    return React.createElement(
        LinkComponent,
        _extends({
            href: href,
            rel: linkRel,
            target: target
        }, ref, rest),
        children
    );
};

LinkBase.propTypes = {
    href: PropTypes.string,
    children: PropTypes.node.isRequired,
    linkRef: PropTypes.func,
    target: PropTypes.string,
    rel: PropTypes.string,
    component: function component() {
        return (typeof (React.ElementType == null ? {} : React.ElementType) === 'function' ? PropTypes.instanceOf(React.ElementType == null ? {} : React.ElementType) : PropTypes.any).apply(this, arguments);
    },
    refProp: PropTypes.string
};
export default LinkBase;
import PropTypes from 'prop-types';