function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import * as React from 'react';
import classNames from 'classnames';
import omit from 'lodash/omit';

var MenuLinkItem = function MenuLinkItem(_ref) {
    var children = _ref.children,
        _ref$isSelected = _ref.isSelected,
        isSelected = _ref$isSelected === undefined ? false : _ref$isSelected,
        _ref$isSelectItem = _ref.isSelectItem,
        isSelectItem = _ref$isSelectItem === undefined ? false : _ref$isSelectItem,
        rest = _objectWithoutProperties(_ref, ['children', 'isSelected', 'isSelectItem']);

    var linkEl = React.Children.only(children);

    var listItemProps = omit(rest, ['role', 'tabIndex']);
    listItemProps.role = 'none';

    var linkProps = {
        className: classNames('menu-item', linkEl.props.className, {
            'is-select-item': isSelectItem,
            'is-selected': isSelected
        }),
        role: isSelectItem ? 'menuitemradio' : 'menuitem',
        tabIndex: -1
    };

    if (isSelectItem) {
        linkProps['aria-checked'] = isSelected;
    }

    return React.createElement(
        'li',
        listItemProps,
        React.cloneElement(linkEl, linkProps)
    );
};

MenuLinkItem.propTypes = {
    children: PropTypes.node.isRequired,
    isSelected: PropTypes.bool,
    isSelectItem: PropTypes.bool
};
export default MenuLinkItem;
import PropTypes from 'prop-types';