import * as React from 'react';
import classNames from 'classnames';

var NavList = function NavList(_ref) {
    var children = _ref.children,
        _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$collapsed = _ref.collapsed,
        collapsed = _ref$collapsed === undefined ? false : _ref$collapsed,
        heading = _ref.heading,
        placeholder = _ref.placeholder,
        _ref$ulProps = _ref.ulProps,
        ulProps = _ref$ulProps === undefined ? {} : _ref$ulProps;

    var classes = classNames('nav-list', className, {
        'is-collapsed': collapsed
    });

    return React.createElement(
        'nav',
        { className: classes },
        heading ? React.createElement(
            'h2',
            null,
            heading
        ) : null,
        placeholder,
        React.createElement(
            'ul',
            ulProps,
            React.Children.map(children, function (link) {
                return link ? React.createElement(
                    'li',
                    null,
                    link
                ) : null;
            })
        )
    );
};

NavList.propTypes = {
    children: PropTypes.node.isRequired,
    className: PropTypes.string,
    collapsed: PropTypes.bool,
    heading: PropTypes.node,
    placeholder: PropTypes.node,
    ulProps: PropTypes.object
};
export default NavList;
import PropTypes from 'prop-types';