var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import * as React from 'react';

import IconCaretDown from '../../icons/general/IconCaretDown';

import PlainButton from '../plain-button';

var NavListCollapseHeader = function NavListCollapseHeader(_ref) {
    var children = _ref.children,
        onToggleCollapse = _ref.onToggleCollapse,
        _ref$containerProps = _ref.containerProps,
        containerProps = _ref$containerProps === undefined ? {} : _ref$containerProps;
    return React.createElement(
        'div',
        _extends({ className: 'nav-list-collapse-header' }, containerProps),
        children,
        React.createElement(
            PlainButton,
            {
                type: 'button',
                onClick: onToggleCollapse,
                className: 'nav-list-collapse'
            },
            React.createElement(IconCaretDown, { width: 8 })
        )
    );
};

NavListCollapseHeader.propTypes = {
    /** Node to use for the button's adjacent display */
    children: PropTypes.node.isRequired,

    /** Custom Properties passed to the container */
    containerProps: PropTypes.object,

    /** Handler for toggling the nav list opened or closed */
    onToggleCollapse: PropTypes.func.isRequired
};
export default NavListCollapseHeader;
import PropTypes from 'prop-types';