var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import { createPortal } from 'react-dom';

var Portal = function (_React$PureComponent) {
    _inherits(Portal, _React$PureComponent);

    function Portal(props) {
        _classCallCheck(this, Portal);

        var _this = _possibleConstructorReturn(this, (Portal.__proto__ || Object.getPrototypeOf(Portal)).call(this, props));

        _this.container = _this.props.container;
        _this.layer = document.createElement('div');
        _this.layer.setAttribute('data-portal', '');
        if (_this.container && _this.layer) {
            _this.container.appendChild(_this.layer);
        }
        return _this;
    }

    _createClass(Portal, [{
        key: 'componentWillUnmount',
        value: function componentWillUnmount() {
            if (this.container && this.layer) {
                this.container.removeChild(this.layer);
            }
            this.layer = null;
        }
    }, {
        key: 'render',
        value: function render() {
            var _props = this.props,
                container = _props.container,
                elementProps = _objectWithoutProperties(_props, ['container']);

            if (!this.layer) {
                return null;
            }

            return createPortal(React.createElement('div', elementProps), this.layer);
        }
    }]);

    return Portal;
}(React.PureComponent);

Portal.defaultProps = {
    container: document.body
};
Portal.propTypes = {
    container: function container() {
        return (typeof HTMLElement === 'function' ? PropTypes.instanceOf(HTMLElement) : PropTypes.any).apply(this, arguments);
    }
};


export default Portal;
import PropTypes from 'prop-types';