var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';

import RadioButton from './RadioButton';

var RadioGroup = function (_React$Component) {
    _inherits(RadioGroup, _React$Component);

    function RadioGroup(props) {
        _classCallCheck(this, RadioGroup);

        var _this = _possibleConstructorReturn(this, (RadioGroup.__proto__ || Object.getPrototypeOf(RadioGroup)).call(this, props));

        _this.onChangeHandler = function (event) {
            var target = event.target;
            var onChange = _this.props.onChange;


            if (target instanceof HTMLInputElement) {
                _this.setState({
                    value: target.value
                });
            }

            if (onChange) {
                onChange(event);
            }
        };

        _this.state = {
            value: props.value
        };
        return _this;
    }

    _createClass(RadioGroup, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                children = _props.children,
                className = _props.className,
                name = _props.name;
            var value = this.state.value;


            return React.createElement(
                'div',
                {
                    className: 'radio-group ' + className,
                    onChange: this.onChangeHandler
                },
                React.Children.map(children, function (radio) {
                    return React.createElement(RadioButton, {
                        isDisabled: radio.props.isDisabled,
                        isSelected: radio.props.value === value,
                        description: radio.props.description,
                        label: radio.props.label,
                        name: name,
                        value: radio.props.value
                    });
                })
            );
        }
    }]);

    return RadioGroup;
}(React.Component);

RadioGroup.defaultProps = {
    className: ''
};
RadioGroup.propTypes = {
    children: PropTypes.node.isRequired,
    className: PropTypes.string.isRequired,
    name: PropTypes.string,
    value: PropTypes.string,
    onChange: PropTypes.func
};


export default RadioGroup;
import PropTypes from 'prop-types';