var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import * as React from 'react';
import InfiniteLoader from 'react-virtualized/dist/commonjs/InfiniteLoader';

function getDisplayName(WrappedComponent) {
    return WrappedComponent.displayName || WrappedComponent.name || 'Component';
}

function withInfiniteLoader(WrappedComponent) {
    var InfiniteLoaderComponent = function InfiniteLoaderComponent(_ref) {
        var _ref$infiniteLoaderPr = _ref.infiniteLoaderProps,
            isRowLoaded = _ref$infiniteLoaderPr.isRowLoaded,
            loadMoreRows = _ref$infiniteLoaderPr.loadMoreRows,
            minimumBatchSize = _ref$infiniteLoaderPr.minimumBatchSize,
            rowCount = _ref$infiniteLoaderPr.rowCount,
            threshold = _ref$infiniteLoaderPr.threshold,
            rest = _objectWithoutProperties(_ref, ['infiniteLoaderProps']);

        return React.createElement(
            InfiniteLoader,
            {
                isRowLoaded: isRowLoaded,
                loadMoreRows: loadMoreRows,
                minimumBatchSize: minimumBatchSize,
                rowCount: rowCount,
                threshold: threshold
            },
            function (_ref2) {
                var onRowsRendered = _ref2.onRowsRendered,
                    registerChild = _ref2.registerChild;
                return React.createElement(WrappedComponent, _extends({}, rest, {
                    onRowsRendered: onRowsRendered,
                    ref: registerChild
                }));
            }
        );
    };

    InfiniteLoaderComponent.propTypes = {
        infiniteLoaderProps: PropTypes.shape({
            isRowLoaded: PropTypes.func.isRequired,
            loadMoreRows: PropTypes.func.isRequired,
            minimumBatchSize: PropTypes.number,
            rowCount: PropTypes.number.isRequired,
            threshold: PropTypes.number
        }).isRequired
    };
    InfiniteLoaderComponent.displayName = 'WithInfiniteLoader(' + getDisplayName(WrappedComponent) + ')';

    return InfiniteLoaderComponent;
}

export default withInfiniteLoader;
import PropTypes from 'prop-types';