import * as React from 'react';

import './Section.scss';

var Section = function Section(_ref) {
    var children = _ref.children,
        id = _ref.id,
        _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        description = _ref.description,
        title = _ref.title;
    return React.createElement(
        'section',
        { className: 'section ' + className, id: id },
        React.createElement(
            'div',
            null,
            React.createElement(
                'h5',
                { className: 'section-title' },
                title
            ),
            React.createElement(
                'div',
                { className: 'section-description' },
                description
            )
        ),
        React.createElement(
            'div',
            { className: 'section-content' },
            children
        )
    );
};

Section.propTypes = {
    id: PropTypes.string,
    children: PropTypes.node.isRequired,
    className: PropTypes.string,

    /** Section title */
    title: PropTypes.node.isRequired,

    /** Section description */
    description: PropTypes.node
};
export default Section;
import PropTypes from 'prop-types';