var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import uniqueId from 'lodash/uniqueId';

import SlideCarouselPrimitive from './SlideCarouselPrimitive';

import './SlideCarousel.scss';

var SlideCarousel = function (_React$Component) {
    _inherits(SlideCarousel, _React$Component);

    function SlideCarousel(props) {
        _classCallCheck(this, SlideCarousel);

        var _this = _possibleConstructorReturn(this, (SlideCarousel.__proto__ || Object.getPrototypeOf(SlideCarousel)).call(this, props));

        _this.setSelectedIndex = function (index) {
            _this.setState({ selectedIndex: index });
        };

        _this.id = uniqueId('slidecarousel');

        _this.state = {
            selectedIndex: props.initialIndex || 0
        };
        return _this;
    }

    /*
     * If the selected index in the state has somehow gotten set to an
     * out of bounds value (either because we were passed a bad value,
     * or the number of children has reduced), compute a new selected
     * index which is a floored value between 0 <= index < num children
     */


    _createClass(SlideCarousel, [{
        key: 'getBoundedSelectedIndex',
        value: function getBoundedSelectedIndex() {
            var children = this.props.children;
            var selectedIndex = this.state.selectedIndex;


            var lastChildIndex = Math.max(React.Children.count(children) - 1, 0);
            var boundedSelectedIndex = Math.max(selectedIndex || 0, 0);

            return boundedSelectedIndex > lastChildIndex ? lastChildIndex : Math.floor(boundedSelectedIndex);
        }
    }, {
        key: 'render',
        value: function render() {
            var _props = this.props,
                children = _props.children,
                className = _props.className,
                contentHeight = _props.contentHeight,
                title = _props.title;

            var selectedIndex = this.getBoundedSelectedIndex();

            return React.createElement(
                SlideCarouselPrimitive,
                {
                    className: className,
                    contentHeight: contentHeight,
                    idPrefix: this.id,
                    onSelection: this.setSelectedIndex,
                    selectedIndex: selectedIndex,
                    title: title
                },
                children
            );
        }
    }]);

    return SlideCarousel;
}(React.Component);

SlideCarousel.defaultProps = {
    className: '',
    initialIndex: 0
};
SlideCarousel.propTypes = {
    children: PropTypes.node,
    className: PropTypes.string,

    /** Used as the value for the content area's style height property */
    contentHeight: PropTypes.string,
    initialIndex: PropTypes.number.isRequired,
    title: PropTypes.string
};


export default SlideCarousel;
import PropTypes from 'prop-types';