import classNames from 'classnames';
import * as React from 'react';

import CarouselHeader from './CarouselHeader';
import SlideNavigator from './SlideNavigator';
import SlidePanels from './SlidePanels';

var SlideCarouselPrimitive = function SlideCarouselPrimitive(_ref) {
    var children = _ref.children,
        className = _ref.className,
        contentHeight = _ref.contentHeight,
        _ref$idPrefix = _ref.idPrefix,
        idPrefix = _ref$idPrefix === undefined ? '' : _ref$idPrefix,
        onSelection = _ref.onSelection,
        selectedIndex = _ref.selectedIndex,
        title = _ref.title;

    var buttonIdGenerator = function buttonIdGenerator(val) {
        return (idPrefix && idPrefix + '-') + 'selector-' + val;
    };
    var panelIdGenerator = function panelIdGenerator(val) {
        return (idPrefix && idPrefix + '-') + 'slide-panel-' + val;
    };
    return React.createElement(
        'div',
        { className: classNames('slide-carousel', className) },
        title && React.createElement(CarouselHeader, { title: title }),
        React.createElement(
            SlidePanels,
            {
                getButtonIdFromValue: buttonIdGenerator,
                getPanelIdFromValue: panelIdGenerator,
                onSelection: onSelection,
                selectedIndex: selectedIndex,
                style: { height: contentHeight }
            },
            children
        ),
        React.createElement(SlideNavigator, {
            getButtonIdFromValue: buttonIdGenerator,
            getPanelIdFromValue: panelIdGenerator
            // $FlowFixMe
            , numOptions: children && children.length || 0,
            onSelection: onSelection,
            selectedIndex: selectedIndex
        })
    );
};

SlideCarouselPrimitive.propTypes = {
    children: PropTypes.node,
    className: PropTypes.string,

    /** The constant value to use for the content area's style height property */
    contentHeight: PropTypes.string,
    idPrefix: PropTypes.string,
    onSelection: PropTypes.func.isRequired,
    selectedIndex: PropTypes.number.isRequired,
    title: PropTypes.string
};
SlideCarouselPrimitive.displayName = 'SlideCarouselPrimitive';

SlideCarouselPrimitive.defaultProps = {
    className: '',
    idPrefix: '',
    onSelection: function onSelection() {}
};

export default SlideCarouselPrimitive;
import PropTypes from 'prop-types';