var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import range from 'lodash/range';
import * as React from 'react';

import SlideButton from './SlideButton';

var SlideNavigator = function (_React$Component) {
    _inherits(SlideNavigator, _React$Component);

    function SlideNavigator() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, SlideNavigator);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = SlideNavigator.__proto__ || Object.getPrototypeOf(SlideNavigator)).call.apply(_ref, [this].concat(args))), _this), _this.buttonElements = [], _this.focusOnButtonElement = function (index) {
            if (index + 1 > _this.buttonElements.length || index < 0) {
                return;
            }

            _this.buttonElements[index].focus();
        }, _this.handleKeyDown = function (event) {
            var _this$props = _this.props,
                numOptions = _this$props.numOptions,
                selectedIndex = _this$props.selectedIndex;


            var nextIndex = null;
            switch (event.key) {
                case 'ArrowRight':
                    nextIndex = (selectedIndex + 1) % numOptions;
                    break;

                case 'ArrowLeft':
                    nextIndex = (selectedIndex - 1 + numOptions) % numOptions;
                    break;

                default:
                    return;
            }

            _this.handleSelection(nextIndex);
            event.preventDefault();
            event.stopPropagation();
        }, _this.handleSelection = function (index) {
            _this.focusOnButtonElement(index);
            _this.props.onSelection(index);
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(SlideNavigator, [{
        key: 'render',
        value: function render() {
            var _this2 = this;

            var _props = this.props,
                getButtonIdFromValue = _props.getButtonIdFromValue,
                getPanelIdFromValue = _props.getPanelIdFromValue,
                numOptions = _props.numOptions,
                onSelection = _props.onSelection,
                selectedIndex = _props.selectedIndex;


            return React.createElement(
                'nav',
                {
                    className: 'slide-navigator'
                    /* eslint-disable jsx-a11y/no-noninteractive-element-to-interactive-role */
                    , role: 'tablist',
                    onKeyDown: this.handleKeyDown
                },
                range(numOptions).map(function (child, i) {
                    return React.createElement(SlideButton, {
                        'aria-controls': getPanelIdFromValue(i),
                        'aria-label': 'slide' + i,
                        buttonRef: function buttonRef(buttonEl) {
                            _this2.buttonElements[i] = buttonEl;
                        },
                        id: getButtonIdFromValue(i),
                        isSelected: i === selectedIndex,
                        key: i,
                        onClick: function onClick() {
                            return onSelection(i);
                        },
                        tabIndex: i === selectedIndex ? '0' : '-1'
                    });
                })
            );
        }
    }]);

    return SlideNavigator;
}(React.Component);

SlideNavigator.propTypes = {
    /** Pure function that returns a button id unique to the given value  */
    getButtonIdFromValue: PropTypes.func.isRequired,

    /** Pure function that returns a panel id unique to the given value  */
    getPanelIdFromValue: PropTypes.func.isRequired,

    /** Gets called when a slide is selected. Called with the appropriate slide index  */
    onSelection: PropTypes.func.isRequired,

    /** The number of slides. Each is associated to an index, starting from 0 */
    numOptions: PropTypes.number.isRequired,
    selectedIndex: PropTypes.number.isRequired
};


export default SlideNavigator;
import PropTypes from 'prop-types';