var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';

var SlidePanels = function (_React$Component) {
    _inherits(SlidePanels, _React$Component);

    function SlidePanels() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, SlidePanels);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = SlidePanels.__proto__ || Object.getPrototypeOf(SlidePanels)).call.apply(_ref, [this].concat(args))), _this), _this.focusOnContainerElement = function () {
            if (_this.containerEl) {
                _this.containerEl.focus();
            }
        }, _this.handleKeyDown = function (event) {
            var _this$props = _this.props,
                children = _this$props.children,
                selectedIndex = _this$props.selectedIndex;


            var numOptions = React.Children.count(children);

            var nextIndex = null;
            switch (event.key) {
                case 'ArrowRight':
                    nextIndex = (selectedIndex + 1) % numOptions;
                    break;

                case 'ArrowLeft':
                    nextIndex = (selectedIndex - 1 + numOptions) % numOptions;
                    break;

                default:
                    break;
            }

            if (nextIndex !== null) {
                _this.handleSelection(nextIndex);
                event.preventDefault();
                event.stopPropagation();
            }
        }, _this.handleSelection = function (index) {
            var onSelection = _this.props.onSelection;

            _this.focusOnContainerElement();
            if (onSelection) {
                onSelection(index);
            }
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(SlidePanels, [{
        key: 'render',
        value: function render() {
            var _this2 = this;

            var _props = this.props,
                getPanelIdFromValue = _props.getPanelIdFromValue,
                children = _props.children,
                selectedIndex = _props.selectedIndex,
                style = _props.style;


            return React.createElement(
                'div',
                {
                    className: 'slide-panels',
                    onKeyDown: this.handleKeyDown,
                    ref: function ref(containerEl) {
                        _this2.containerEl = containerEl;
                    },
                    tabIndex: '0',
                    style: style
                },
                React.Children.map(children, function (child, i) {
                    var isSelected = i === selectedIndex;
                    return React.createElement(
                        'div',
                        {
                            'aria-hidden': !isSelected,
                            className: 'slide-panel',
                            id: getPanelIdFromValue(i),
                            key: i,
                            role: 'tabpanel'
                        },
                        child
                    );
                })
            );
        }
    }]);

    return SlidePanels;
}(React.Component);

SlidePanels.propTypes = {
    getPanelIdFromValue: PropTypes.func.isRequired,
    children: PropTypes.node,
    onSelection: PropTypes.func,
    selectedIndex: PropTypes.number.isRequired,
    style: PropTypes.object
};


SlidePanels.displayName = 'SlidePanels';

export default SlidePanels;
import PropTypes from 'prop-types';