var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import classNames from 'classnames';

import TabViewPrimitive, { TAB_KEY, TAB_PANEL_ROLE } from './TabViewPrimitive';

var TabView = function (_React$Component) {
    _inherits(TabView, _React$Component);

    function TabView(props) {
        _classCallCheck(this, TabView);

        var _this = _possibleConstructorReturn(this, (TabView.__proto__ || Object.getPrototypeOf(TabView)).call(this, props));

        _this.getActiveDocElement = function () {
            return document.activeElement;
        };

        _this.resetActiveTab = function () {
            _this.setState({
                focusedIndex: _this.props.defaultSelectedIndex,
                selectedIndex: _this.props.defaultSelectedIndex
            });
        };

        _this.resetFocusedTab = function () {
            _this.setState({ focusedIndex: _this.state.selectedIndex });
        };

        _this.handleOnTabSelect = function (selectedIndex) {
            return _this.setState({ selectedIndex: selectedIndex }, function () {
                var onTabSelect = _this.props.onTabSelect;


                if (onTabSelect) {
                    onTabSelect(_this.state.selectedIndex);
                }
            });
        };

        _this.handleOnTabFocus = function (index) {
            return _this.setState({ focusedIndex: index });
        };

        _this.handleKeyUp = function (event) {
            var activeElement = _this.getActiveDocElement();
            var isTabPanelFocused = activeElement && activeElement.getAttribute('role') === TAB_PANEL_ROLE;
            var isTabPanelFocusedWithTabKey = isTabPanelFocused && event.key === TAB_KEY;

            if (isTabPanelFocusedWithTabKey) {
                _this.setState({ showOutline: true });
            } else if (!isTabPanelFocused && _this.state.showOutline) {
                _this.setState({ showOutline: false });
            }
        };

        _this.state = {
            focusedIndex: props.defaultSelectedIndex,
            showOutline: false,
            selectedIndex: props.defaultSelectedIndex
        };
        return _this;
    }

    _createClass(TabView, [{
        key: 'componentDidUpdate',
        value: function componentDidUpdate(prevProps) {
            var defaultSelectedIndex = this.props.defaultSelectedIndex;

            if (prevProps.defaultSelectedIndex !== defaultSelectedIndex) {
                this.resetActiveTab();
            }
        }

        // By default the outline is set to none when tabpanel is focused. This is so that
        // when clicking into it, it doesn't outline it.
        // However, for accessibility, when tabbing into and out of the tabpanel, the focus
        // is pretty important to show the user what is being focused. By adding this class,
        // we can specify an outline for the focus pseudo state.

    }, {
        key: 'render',
        value: function render() {
            var _props = this.props,
                children = _props.children,
                className = _props.className,
                isDynamic = _props.isDynamic;
            var _state = this.state,
                focusedIndex = _state.focusedIndex,
                selectedIndex = _state.selectedIndex,
                showOutline = _state.showOutline;


            return React.createElement(
                TabViewPrimitive,
                {
                    className: classNames(className, {
                        'show-outline': showOutline
                    }),
                    isDynamic: isDynamic,
                    focusedIndex: focusedIndex,
                    onTabFocus: this.handleOnTabFocus,
                    onTabSelect: this.handleOnTabSelect,
                    resetActiveTab: this.resetActiveTab,
                    resetFocusedTab: this.resetFocusedTab,
                    selectedIndex: selectedIndex,
                    onKeyUp: this.handleKeyUp
                },
                children
            );
        }
    }]);

    return TabView;
}(React.Component);

TabView.defaultProps = {
    defaultSelectedIndex: 0,
    isDynamic: false
};
TabView.propTypes = {
    children: PropTypes.node.isRequired,
    className: PropTypes.string,
    defaultSelectedIndex: PropTypes.number.isRequired,
    isDynamic: PropTypes.bool,
    onTabSelect: PropTypes.func
};


export default TabView;
import PropTypes from 'prop-types';