var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import * as React from 'react';
import classNames from 'classnames';

import Label from '../label';
import Tooltip from '../tooltip';

import './TextArea.scss';

var TextArea = function TextArea(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        error = _ref.error,
        hideLabel = _ref.hideLabel,
        textareaRef = _ref.textareaRef,
        label = _ref.label,
        isRequired = _ref.isRequired,
        isResizable = _ref.isResizable,
        rest = _objectWithoutProperties(_ref, ['className', 'error', 'hideLabel', 'textareaRef', 'label', 'isRequired', 'isResizable']);

    var classes = classNames(className, 'text-area-container', {
        'show-error': !!error
    });

    return React.createElement(
        'div',
        { className: classes },
        React.createElement(
            Label,
            {
                hideLabel: hideLabel,
                showOptionalText: !isRequired,
                text: label
            },
            React.createElement(
                Tooltip,
                {
                    isShown: !!error,
                    text: error || '',
                    position: 'bottom-left',
                    theme: 'error'
                },
                React.createElement('textarea', _extends({
                    required: isRequired,
                    ref: textareaRef,
                    style: { resize: isResizable ? '' : 'none' }
                }, rest))
            )
        )
    );
};

TextArea.propTypes = {
    className: PropTypes.string,
    error: PropTypes.node,
    hideLabel: PropTypes.bool,
    isRequired: PropTypes.bool,

    /** Is text area resizable */
    isResizable: PropTypes.bool,

    /** Label displayed for the text area */
    label: PropTypes.node.isRequired,
    textareaRef: PropTypes.func
};
TextArea.displayName = 'TextArea';

export default TextArea;
import PropTypes from 'prop-types';