var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import PropTypes from 'prop-types';
import React, { Children, Component } from 'react';

import Overlay from '../overlay/Overlay';

import './Menu.scss';

var Menu = function (_Component) {
    _inherits(Menu, _Component);

    function Menu() {
        _classCallCheck(this, Menu);

        return _possibleConstructorReturn(this, (Menu.__proto__ || Object.getPrototypeOf(Menu)).apply(this, arguments));
    }

    _createClass(Menu, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                children = _props.children,
                className = _props.className,
                isVisible = _props.isVisible,
                onClickOutside = _props.onClickOutside;

            return React.createElement(
                Overlay,
                {
                    className: className,
                    isVisible: isVisible,
                    onClickOutside: onClickOutside
                },
                React.createElement(
                    'menu',
                    { className: 'menu' },
                    Children.map(children, function (item, i) {
                        return React.createElement(
                            'li',
                            { key: i },
                            item
                        );
                    })
                )
            );
        }
    }]);

    return Menu;
}(Component);

Menu.propTypes = {
    /** Menu contents, i.e. you can use LinkGroup and Link as menu items. */
    children: PropTypes.node.isRequired,
    className: PropTypes.string,
    /** Is overlay visible */
    isVisible: PropTypes.bool,
    /** Handler called when a click occurs outside the menu */
    onClickOutside: PropTypes.func
};
Menu.defaultProps = {
    className: '',
    isVisible: false
};


export default Menu;