import PropTypes from 'prop-types';
import React, { Children } from 'react';

import ToggleOverlay from '../overlay/ToggleOverlay';

var ToggleMenu = function ToggleMenu(_ref) {
    var children = _ref.children,
        _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$closeOnClick = _ref.closeOnClick,
        closeOnClick = _ref$closeOnClick === undefined ? true : _ref$closeOnClick,
        toggler = _ref.toggler;
    return React.createElement(
        ToggleOverlay,
        {
            className: 'toggle-overlay ' + className,
            toggler: toggler,
            closeOnClick: closeOnClick
        },
        React.createElement(
            'menu',
            { className: 'menu' },
            Children.map(children, function (item, i) {
                return React.createElement(
                    'li',
                    { key: i },
                    item
                );
            })
        )
    );
};

ToggleMenu.displayName = 'ToggleMenu';

ToggleMenu.propTypes = {
    children: PropTypes.node.isRequired,
    className: PropTypes.string,
    closeOnClick: PropTypes.bool,
    /** Component that toggles the overlay */
    toggler: PropTypes.element.isRequired
};

export default ToggleMenu;