### Examples
**Basic**
Menus that are toggled with an opener element.
```js
const LinkGroup = require('box-react-ui/lib/components/link').LinkGroup;
const Link = require('box-react-ui/lib/components/link').Link;
const Button = require('box-react-ui/lib/components/button').default;

<ToggleMenu toggler={ <Button>File Actions Menu</Button> }>
    <LinkGroup>
        <Link>Download</Link>
        <Link>Favorite</Link>
        <Link>Remove Folder</Link>
    </LinkGroup>
    <hr />
    <LinkGroup title="Settings">
        <Link>Sharing</Link>
        <Link>Properties</Link>
    </LinkGroup>
    <hr />
    <LinkGroup>
        <Link>More Actions</Link>
    </LinkGroup>
</ToggleMenu>
```
**Toggle Menus (without auto-close)**
Same as above but will not close automatically when a link or button is clicked
```js
const LinkGroup = require('box-react-ui/lib/components/link').LinkGroup;
const Link = require('box-react-ui/lib/components/link').Link;
const Button = require('box-react-ui/lib/components/button').default;

<ToggleMenu
    toggler={ <Button>File Actions Menu</Button> }
    closeOnClick={ false }
>
    <LinkGroup>
        <Link>Download</Link>
        <Link>Favorite</Link>
        <Link>Remove Folder</Link>
    </LinkGroup>
</ToggleMenu>
```
