var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import PropTypes from 'prop-types';
import React, { Component } from 'react';

var Overlay = function (_Component) {
    _inherits(Overlay, _Component);

    function Overlay() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, Overlay);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Overlay.__proto__ || Object.getPrototypeOf(Overlay)).call.apply(_ref, [this].concat(args))), _this), _this.handleDocumentClick = function (event) {
            var isInside = _this.domNode && _this.domNode.contains(event.target) || _this.domNode === event.target;
            var _this$props = _this.props,
                isVisible = _this$props.isVisible,
                onClick = _this$props.onClick,
                onClickOutside = _this$props.onClickOutside;


            if (!isInside && isVisible && onClickOutside) {
                onClickOutside(event);
                return;
            }

            // Right clicks inside shouldn't open browser's context menu
            if (isInside) {
                if (event.type === 'contextmenu') {
                    event.preventDefault();
                } else if (typeof onClick === 'function') {
                    onClick(event);
                }
            }
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(Overlay, [{
        key: 'componentDidMount',
        value: function componentDidMount() {
            document.addEventListener('click', this.handleDocumentClick, true);
            document.addEventListener('contextmenu', this.handleDocumentClick, true);
        }
    }, {
        key: 'componentWillUnmount',
        value: function componentWillUnmount() {
            document.removeEventListener('click', this.handleDocumentClick, true);
            document.removeEventListener('contextmenu', this.handleDocumentClick, true);
        }
    }, {
        key: 'render',
        value: function render() {
            var _this2 = this;

            var _props = this.props,
                children = _props.children,
                _props$className = _props.className,
                className = _props$className === undefined ? '' : _props$className,
                isVisible = _props.isVisible;

            var visibleClass = isVisible ? 'is-visible' : '';
            return React.createElement(
                'div',
                {
                    className: 'overlay-wrapper ' + visibleClass + ' ' + className,
                    ref: function ref(_ref2) {
                        _this2.domNode = _ref2;
                    }
                },
                React.createElement(
                    'div',
                    { className: 'overlay' },
                    children
                )
            );
        }
    }]);

    return Overlay;
}(Component);

Overlay.propTypes = {
    className: PropTypes.string,
    /** Overlay contents */
    children: PropTypes.node.isRequired,
    /** Handler called when a click occurs on the overlay */
    onClick: PropTypes.func,
    /** Handler called when a click occurs outside of the overlay */
    onClickOutside: PropTypes.func,
    isVisible: PropTypes.bool
};
Overlay.defaultProps = {
    className: '',
    isVisible: false
};


export default Overlay;