import PropTypes from 'prop-types';
import React from 'react';
import classNames from 'classnames';

import Tooltip from '../../components/tooltip';

var Pill = function Pill(_ref) {
    var onPillRemove = _ref.onPillRemove,
        text = _ref.text,
        tooltip = _ref.tooltip,
        _ref$isValid = _ref.isValid,
        isValid = _ref$isValid === undefined ? true : _ref$isValid;

    var pillClassName = classNames('pill', {
        'is-invalid': !isValid
    });
    var pill = React.createElement(
        'span',
        { className: pillClassName },
        React.createElement(
            'span',
            { className: 'pill-text' },
            text
        ),
        onPillRemove ? React.createElement(
            'a',
            { className: 'close-btn', onClick: onPillRemove },
            '\u2715'
        ) : null
    );

    return tooltip ? React.createElement(
        Tooltip,
        { text: tooltip },
        pill
    ) : pill;
};

Pill.displayName = 'Pill';

Pill.propTypes = {
    onPillRemove: PropTypes.func,
    text: PropTypes.string.isRequired,
    tooltip: PropTypes.string,
    isValid: PropTypes.bool
};

export default Pill;