var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import PropTypes from 'prop-types';
import React, { Component } from 'react';
import { FormattedMessage } from 'react-intl';

import Button from '../../components/button';
import PrimaryButton from '../../components/primary-button';

import SearchMetadataField from './SearchMetadataField';
import SearchMetadataTemplateSelect from './SearchMetadataTemplateSelect';

import messages from './messages';

import './SearchMetadata.scss';

var EmptyState = function EmptyState() {
    return React.createElement(
        'div',
        { className: 'box-ui-search-metadata-fields is-empty' },
        React.createElement(FormattedMessage, messages.selectTemplate)
    );
};

var ActiveState = function ActiveState(_ref) {
    var templateName = _ref.templateName,
        fields = _ref.fields,
        updateFilterData = _ref.updateFilterData;
    return React.createElement(
        'div',
        {
            className: 'box-ui-search-metadata-fields',
            'data-resin-metadatatemplatename': templateName
        },
        fields.map(function (field) {
            return React.createElement(SearchMetadataField, {
                field: field,
                onChange: updateFilterData,
                key: field.id
            });
        })
    );
};

ActiveState.propTypes = {
    templateName: PropTypes.string,
    fields: PropTypes.arrayOf(PropTypes.object),
    updateFilterData: PropTypes.func
};

var SubmitButton = function SubmitButton(_ref2) {
    var filters = _ref2.filters;
    return React.createElement(
        PrimaryButton,
        {
            'data-resin-target': 'applymetadatafilter',
            'data-resin-metadatafilters': filters
        },
        React.createElement(FormattedMessage, messages.apply)
    );
};

SubmitButton.propTypes = {
    filters: PropTypes.string
};

var SearchMetadata = function (_Component) {
    _inherits(SearchMetadata, _Component);

    function SearchMetadata(props) {
        _classCallCheck(this, SearchMetadata);

        var _this = _possibleConstructorReturn(this, (SearchMetadata.__proto__ || Object.getPrototypeOf(SearchMetadata)).call(this, props));

        _initialiseProps.call(_this);

        var _props$filterState = props.filterState,
            _props$filterState$te = _props$filterState.template,
            template = _props$filterState$te === undefined ? '' : _props$filterState$te,
            _props$filterState$sc = _props$filterState.scope,
            scope = _props$filterState$sc === undefined ? '' : _props$filterState$sc,
            _props$filterState$ty = _props$filterState.typeKey,
            typeKey = _props$filterState$ty === undefined ? '' : _props$filterState$ty,
            _props$filterState$di = _props$filterState.displayName,
            displayName = _props$filterState$di === undefined ? '' : _props$filterState$di,
            _props$filterState$in = _props$filterState.initialFilterMap,
            initialFilterMap = _props$filterState$in === undefined ? {} : _props$filterState$in;


        _this.state = {
            template: template,
            scope: scope,
            typeKey: typeKey,
            templateName: displayName,
            filterMap: initialFilterMap
        };
        return _this;
    }

    _createClass(SearchMetadata, [{
        key: 'componentWillReceiveProps',
        value: function componentWillReceiveProps(nextProps) {
            if (nextProps.filterState === this.props.filterState) {
                return;
            }

            var _nextProps$filterStat = nextProps.filterState,
                _nextProps$filterStat2 = _nextProps$filterStat.template,
                template = _nextProps$filterStat2 === undefined ? '' : _nextProps$filterStat2,
                _nextProps$filterStat3 = _nextProps$filterStat.scope,
                scope = _nextProps$filterStat3 === undefined ? '' : _nextProps$filterStat3,
                _nextProps$filterStat4 = _nextProps$filterStat.typeKey,
                typeKey = _nextProps$filterStat4 === undefined ? '' : _nextProps$filterStat4,
                _nextProps$filterStat5 = _nextProps$filterStat.displayName,
                displayName = _nextProps$filterStat5 === undefined ? '' : _nextProps$filterStat5,
                _nextProps$filterStat6 = _nextProps$filterStat.initialFilterMap,
                initialFilterMap = _nextProps$filterStat6 === undefined ? {} : _nextProps$filterStat6;


            this.setState({
                template: template,
                scope: scope,
                typeKey: typeKey,
                templateName: displayName,
                filterMap: initialFilterMap
            });
        }
    }, {
        key: 'render',
        value: function render() {
            var _props = this.props,
                templates = _props.templates,
                filterState = _props.filterState,
                includeFormButtons = _props.includeFormButtons;
            var _state = this.state,
                templateName = _state.templateName,
                typeKey = _state.typeKey;
            var updateTemplateData = this.updateTemplateData,
                updateFilterData = this.updateFilterData,
                aggregateFilters = this.aggregateFilters,
                resetForm = this.resetForm;

            var hiddenInputValue = aggregateFilters();

            return React.createElement(
                'div',
                { className: 'box-ui-search-metadata' },
                React.createElement(SearchMetadataTemplateSelect, {
                    templates: templates,
                    onChange: updateTemplateData,
                    selectedTemplateTypeKey: typeKey
                }),
                typeKey && filterState.fields ? React.createElement(ActiveState, {
                    templateName: templateName,
                    fields: filterState.fields,
                    updateFilterData: updateFilterData
                }) : React.createElement(EmptyState, null),
                includeFormButtons ? React.createElement(
                    'div',
                    { className: 'form-btns' },
                    React.createElement(
                        Button,
                        {
                            type: 'button',
                            onClick: resetForm,
                            'data-resin-target': 'resetmetadatafilter'
                        },
                        React.createElement(FormattedMessage, messages.reset)
                    ),
                    React.createElement(SubmitButton, { filters: hiddenInputValue })
                ) : null,
                React.createElement('input', { type: 'hidden', name: 'metadata', value: hiddenInputValue })
            );
        }
    }]);

    return SearchMetadata;
}(Component);

SearchMetadata.propTypes = {
    /** Array of metadata template objects */
    templates: PropTypes.arrayOf(PropTypes.shape({
        template: PropTypes.string.isRequired,
        scope: PropTypes.string.isRequired,
        typeKey: PropTypes.string.isRequired,
        displayName: PropTypes.string.isRequired
    })),
    /** Object with metadata filter info */
    filterState: PropTypes.shape({
        fields: PropTypes.arrayOf(PropTypes.shape({
            widget: PropTypes.string.isRequired,
            id: PropTypes.string.isRequired,
            format: PropTypes.string.isRequired,
            displayName: PropTypes.string.isRequired,
            isText: PropTypes.bool,
            description: PropTypes.string,
            options: PropTypes.arrayOf(PropTypes.shape({
                value: PropTypes.string.isRequired,
                displayName: PropTypes.string.isRequired
            })),
            initialValue: PropTypes.shape({
                enum: PropTypes.arrayOf(PropTypes.string),
                range: PropTypes.shape({
                    gt: PropTypes.oneOfType([PropTypes.string, PropTypes.number]),
                    lt: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
                })
            })
        })),
        typeKey: PropTypes.string,
        template: PropTypes.string,
        scope: PropTypes.string,
        displayName: PropTypes.string,
        initialFilterMap: PropTypes.object
    }),
    /** A callback function for the change event on the template select element */
    handleTemplateChange: PropTypes.func.isRequired,
    includeFormButtons: PropTypes.bool
};
SearchMetadata.defaultProps = {
    templates: [],
    filterState: {},
    includeFormButtons: false
};

var _initialiseProps = function _initialiseProps() {
    var _this2 = this;

    this.updateTemplateData = function (event) {
        _this2.props.handleTemplateChange(event.target.value);
    };

    this.updateFilterData = function (key, value) {
        var filterMap = Object.assign({}, _this2.state.filterMap);

        if (value) {
            filterMap[key] = value;
        } else {
            delete filterMap[key];
        }

        _this2.setState({ filterMap: filterMap });
    };

    this.aggregateFilters = function () {
        var _state2 = _this2.state,
            template = _state2.template,
            scope = _state2.scope,
            typeKey = _state2.typeKey,
            filterMap = _state2.filterMap;

        var fields = Object.keys(filterMap).map(function (key) {
            return filterMap[key];
        });

        if (!template || !scope) {
            return '';
        }

        return JSON.stringify({ template: template, scope: scope, typeKey: typeKey, fields: fields });
    };

    this.resetForm = function () {
        _this2.props.handleTemplateChange('');
    };
};

export default SearchMetadata;