var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import PropTypes from 'prop-types';
import React, { Component } from 'react';
import { defineMessages, injectIntl, intlShape } from 'react-intl';

import DatePicker from '../../components/date-picker';

var messages = defineMessages({
    inputPlaceholder: {
        'id': 'boxui.searchMetadata.setDateInputPlaceholder',
        'defaultMessage': 'Set Date'
    },
    fromLabel: {
        'id': 'boxui.searchMetadata.fromDateInputLabel',
        'defaultMessage': 'From'
    },
    toLabel: {
        'id': 'boxui.searchMetadata.toDateInputLabel',
        'defaultMessage': 'To'
    }
});

var NUM_MS_IN_MIN = 60000;

function utcISOStringToLocalizedDate(utcISOString) {
    // get date in UTC midnight time
    var utcDate = new Date(utcISOString);
    var utcTime = utcDate.getTime();

    // get user's timezone
    var timezoneOffsetInMins = utcDate.getTimezoneOffset();
    var timezoneOffsetInMs = timezoneOffsetInMins * NUM_MS_IN_MIN;

    // return date in user's timezone
    var localizedUnixTimeInMs = utcTime + timezoneOffsetInMs;
    return new Date(localizedUnixTimeInMs);
}

var SearchMetadataDateRangeField = function (_Component) {
    _inherits(SearchMetadataDateRangeField, _Component);

    function SearchMetadataDateRangeField(props) {
        _classCallCheck(this, SearchMetadataDateRangeField);

        var _this = _possibleConstructorReturn(this, (SearchMetadataDateRangeField.__proto__ || Object.getPrototypeOf(SearchMetadataDateRangeField)).call(this, props));

        _this.formatField = function () {
            var _this$props = _this.props,
                id = _this$props.id,
                format = _this$props.format,
                onChange = _this$props.onChange;
            var _this$state = _this.state,
                fromValue = _this$state.fromValue,
                toValue = _this$state.toValue;

            var filter = null;
            if (fromValue || toValue) {
                var valueRange = {};
                if (fromValue) {
                    valueRange.gt = fromValue;
                }
                if (toValue) {
                    valueRange.lt = toValue;
                }
                filter = {
                    key: id,
                    format: format,
                    value: { range: valueRange }
                };
            }
            onChange(id, filter);
        };

        _this.handleFromChange = function (date, formattedDate) {
            if (formattedDate === _this.state.fromValue) {
                return;
            }

            _this.setState({
                fromDate: date,
                fromValue: formattedDate
            }, function () {
                _this.formatField();
            });
        };

        _this.handleToChange = function (date, formattedDate) {
            if (formattedDate === _this.state.toValue) {
                return;
            }

            _this.setState({
                toDate: date,
                toValue: formattedDate
            }, function () {
                _this.formatField();
            });
        };

        var _props$initialValue$r = props.initialValue.range,
            _props$initialValue$r2 = _props$initialValue$r.gt,
            gt = _props$initialValue$r2 === undefined ? '' : _props$initialValue$r2,
            _props$initialValue$r3 = _props$initialValue$r.lt,
            lt = _props$initialValue$r3 === undefined ? '' : _props$initialValue$r3;


        _this.state = {
            fromDate: gt ? utcISOStringToLocalizedDate(gt) : null,
            toDate: lt ? utcISOStringToLocalizedDate(lt) : null,
            fromValue: gt,
            toValue: lt
        };
        return _this;
    }

    _createClass(SearchMetadataDateRangeField, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                intl = _props.intl,
                label = _props.label,
                description = _props.description;
            var _state = this.state,
                fromDate = _state.fromDate,
                toDate = _state.toDate;
            var handleMouseEnter = this.handleMouseEnter,
                handleMouseLeave = this.handleMouseLeave,
                handleFromChange = this.handleFromChange,
                handleToChange = this.handleToChange;
            var formatMessage = intl.formatMessage;


            return React.createElement(
                'fieldset',
                { className: 'metadata-field' },
                React.createElement(
                    'legend',
                    {
                        onMouseEnter: handleMouseEnter,
                        onMouseLeave: handleMouseLeave
                    },
                    label
                ),
                React.createElement(DatePicker, {
                    dateFormat: 'utcISOString',
                    hideOptionalLabel: true,
                    isTextInputAllowed: true,
                    label: formatMessage(messages.fromLabel)
                    /* change default to null when new pikaday version is released - allows resetting of max date */
                    , maxDate: toDate || new Date('3000-01-01T00:00:00.000Z'),
                    name: '',
                    onChange: handleFromChange,
                    placeholder: formatMessage(messages.inputPlaceholder),
                    resinTarget: 'metadatavalue',
                    value: fromDate
                }),
                React.createElement(DatePicker, {
                    dateFormat: 'utcISOString',
                    hideOptionalLabel: true,
                    isTextInputAllowed: true,
                    label: formatMessage(messages.toLabel)
                    /* change default to null when new pikaday version is released - allows resetting of min date */
                    , minDate: fromDate || new Date(0),
                    name: '',
                    onChange: handleToChange,
                    placeholder: formatMessage(messages.inputPlaceholder),
                    resinTarget: 'metadatavalue',
                    value: toDate
                }),
                React.createElement(
                    'small',
                    null,
                    description
                )
            );
        }
    }]);

    return SearchMetadataDateRangeField;
}(Component);

SearchMetadataDateRangeField.propTypes = {
    intl: intlShape.isRequired,
    id: PropTypes.string.isRequired,
    format: PropTypes.string.isRequired,
    onChange: PropTypes.func.isRequired,
    label: PropTypes.string.isRequired,
    description: PropTypes.string,
    initialValue: PropTypes.shape({
        range: PropTypes.shape({
            gt: PropTypes.string,
            lt: PropTypes.string
        }).isRequired
    })
};
SearchMetadataDateRangeField.defaultProps = {
    initialValue: {
        range: {}
    }
};


export default injectIntl(SearchMetadataDateRangeField);