var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/* eslint-disable react/no-find-dom-node */
import PropTypes from 'prop-types';
import React, { Component } from 'react';
import { findDOMNode } from 'react-dom';

import SelectButton from '../../components/select-button';
import SelectMultiPrimitive from './SelectMultiPrimitive';

var SelectMulti = function (_Component) {
    _inherits(SelectMulti, _Component);

    function SelectMulti(props) {
        _classCallCheck(this, SelectMulti);

        var _this = _possibleConstructorReturn(this, (SelectMulti.__proto__ || Object.getPrototypeOf(SelectMulti)).call(this, props));

        _this.handleButtonClick = function () {
            _this.setState(function (previousState) {
                return {
                    isVisible: !previousState.isVisible
                };
            });
        };

        _this.handleClickOutside = function (event) {
            // To prevent double events when clicking button
            var thisElement = findDOMNode(_this);
            if (thisElement.contains(event.target)) {
                return;
            }

            _this.setState({
                isVisible: false
            });
        };

        _this.selectItem = function (index) {
            var itemsCopy = _this.state.items.slice();

            itemsCopy[index].isSelected = !itemsCopy[index].isSelected;

            _this.setState({
                items: itemsCopy
            });

            if (_this.props.onChange) {
                _this.props.onChange(itemsCopy);
            }
        };

        var defaultItems = props.defaultItems;


        _this.state = {
            isVisible: false,
            items: defaultItems
        };
        return _this;
    }

    _createClass(SelectMulti, [{
        key: 'getFilterText',
        value: function getFilterText(items, placeholder) {
            return items.filter(function (item) {
                return item.isSelected;
            }).map(function (item) {
                return item.displayText;
            }).join(', ') || placeholder;
        }
    }, {
        key: 'render',
        value: function render() {
            var _props = this.props,
                className = _props.className,
                name = _props.name,
                placeholder = _props.placeholder,
                label = _props.label;
            var _state = this.state,
                items = _state.items,
                isVisible = _state.isVisible;

            var filterText = this.getFilterText(items, placeholder);

            return React.createElement(SelectMultiPrimitive, {
                className: className,
                name: name,
                label: label,
                isVisible: isVisible,
                items: items,
                onItemSelected: this.selectItem,
                onClickOutside: this.handleClickOutside,
                toggle: React.createElement(
                    SelectButton,
                    {
                        title: filterText,
                        onClick: this.handleButtonClick
                    },
                    filterText
                )
            });
        }
    }]);

    return SelectMulti;
}(Component);

SelectMulti.propTypes = {
    className: PropTypes.string,
    /** Data for the items displayed in the dropdown */
    defaultItems: PropTypes.arrayOf(PropTypes.shape({
        displayText: PropTypes.string.isRequired,
        value: PropTypes.string.isRequired,
        isSelected: PropTypes.bool
    })),
    label: PropTypes.string.isRequired,
    name: PropTypes.string.isRequired,
    placeholder: PropTypes.string.isRequired,
    /** callback function invoked when click on items in dropdown */
    onChange: PropTypes.func
};


export default SelectMulti;