var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/* eslint-disable react/no-find-dom-node */
import PropTypes from 'prop-types';
import React, { Children, Component } from 'react';
import { findDOMNode } from 'react-dom';
import scrollIntoViewIfNeeded from 'scroll-into-view-if-needed';

import { Link, LinkGroup } from '../../components/link';
import Menu from '../menu/Menu';

import '../../components/selector-dropdown/SelectorDropdown.scss';

var SelectorDropdown = function (_Component) {
    _inherits(SelectorDropdown, _Component);

    function SelectorDropdown(props) {
        _classCallCheck(this, SelectorDropdown);

        var _this = _possibleConstructorReturn(this, (SelectorDropdown.__proto__ || Object.getPrototypeOf(SelectorDropdown)).call(this, props));

        _this.handleClickOutside = function (event) {
            var targetElement = findDOMNode(_this);
            var isInside = targetElement.contains(event.target) || targetElement === event.target;
            var isFocused = _this.state.isFocused;


            if (isFocused && !isInside) {
                _this.setState({
                    isFocused: false
                });
                _this.hide();
            }
        };

        _this.handleItemMouseEnter = function (index) {
            _this.selectItem(index, false);
        };

        _this.handleItemClick = function (index) {
            return function (event) {
                event.preventDefault();
                _this.selectItem(index);
            };
        };

        _this.handleSelectorKeyDown = function (event) {
            var _this$props = _this.props,
                children = _this$props.children,
                selectOnTab = _this$props.selectOnTab;
            var selectedItemIndex = _this.state.selectedItemIndex;


            switch (event.key) {
                case 'Enter':
                    event.preventDefault();
                    _this.selectItem(selectedItemIndex);
                    break;
                case 'Escape':
                    event.preventDefault();
                    _this.hide();
                    break;
                case 'Tab':
                    if (selectedItemIndex >= 0 && selectOnTab && children.length) {
                        event.preventDefault();
                        _this.selectItem(selectedItemIndex);
                    }
                    break;
                case 'ArrowDown':
                    if (children.length) {
                        event.preventDefault();
                        _this.show();
                        var nextItemIndex = (selectedItemIndex + 1) % (children.length + 1);
                        _this.selectItem(nextItemIndex, false);
                    }
                    break;
                case 'ArrowUp':
                    if (children.length) {
                        event.preventDefault();
                        _this.show();
                        var prevItemIndex = selectedItemIndex - 1;
                        prevItemIndex = prevItemIndex < 0 ? children.length : prevItemIndex;
                        _this.selectItem(prevItemIndex, false);
                    }
                    break;
                default:
                // Ignore other keys
            }
        };

        _this.handleSelectorFocus = function () {
            var isFocused = _this.state.isFocused;


            if (!isFocused) {
                _this.setState({
                    isFocused: true
                });
            }

            if (_this.props.showOnSelectorClick) {
                _this.show();
            }
        };

        _this.handleUserInput = function (event) {
            var onSelectorUserInput = _this.props.onSelectorUserInput;

            if (onSelectorUserInput) {
                onSelectorUserInput(event.target.value);
            }
            _this.show();
        };

        _this.state = {
            isFocused: false,
            isVisible: false,
            selectedItemIndex: -1
        };

        // Array of refs, to be populated once component mounts.
        _this.links = [];
        return _this;
    }

    _createClass(SelectorDropdown, [{
        key: 'componentWillReceiveProps',
        value: function componentWillReceiveProps(nextProps) {
            var children = nextProps.children;
            var _state = this.state,
                isFocused = _state.isFocused,
                isVisible = _state.isVisible;


            if (isFocused && isVisible && children && children.length) {
                // show menu if selector items are received and selector has focus
                this.show();
            }
        }
    }, {
        key: 'selectItem',
        value: function selectItem(i) {
            var finishSelection = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
            var _props = this.props,
                children = _props.children,
                onItemSelected = _props.onItemSelected;


            this.updateSelectedIndex(i);

            if (finishSelection && children[i]) {
                if (onItemSelected) {
                    onItemSelected(i);
                }
                this.hide();
            } else {
                this.scrollLinkIntoViewIfNeeded(this.links[i]);
            }
        }
    }, {
        key: 'scrollLinkIntoViewIfNeeded',
        value: function scrollLinkIntoViewIfNeeded(link) {
            var el = findDOMNode(link);
            if (el) scrollIntoViewIfNeeded(el, {
                scrollMode: 'if-needed',
                block: 'nearest'
            });
        }
    }, {
        key: 'show',
        value: function show() {
            // Only reset selected item if menu is hidden
            if (!this.state.isVisible) {
                this.setState({ isVisible: true });
                this.updateSelectedIndex(0);
            }
        }
    }, {
        key: 'hide',
        value: function hide() {
            this.setState({
                isVisible: false
            });
        }
    }, {
        key: 'updateSelectedIndex',
        value: function updateSelectedIndex(index) {
            var _this2 = this;

            this.setState({ selectedItemIndex: index }, function () {
                var onSelectedIndexChanged = _this2.props.onSelectedIndexChanged;


                if (onSelectedIndexChanged) {
                    onSelectedIndexChanged(index);
                }
            });
        }
    }, {
        key: 'render',
        value: function render() {
            var _this3 = this;

            var _props2 = this.props,
                className = _props2.className,
                children = _props2.children,
                selector = _props2.selector;
            var _state2 = this.state,
                isFocused = _state2.isFocused,
                selectedItemIndex = _state2.selectedItemIndex,
                isVisible = _state2.isVisible;


            return React.createElement(
                'div',
                {
                    className: className + ' selector-dropdown-wrapper',
                    onBlur: this.handleBlur
                },
                React.createElement(
                    'div',
                    {
                        onKeyDown: this.handleSelectorKeyDown,
                        onFocus: this.handleSelectorFocus,
                        onInput: this.handleUserInput
                    },
                    selector
                ),
                React.createElement(
                    Menu,
                    {
                        isVisible: isFocused && isVisible && children && children.length > 0,
                        onClickOutside: this.handleClickOutside
                    },
                    React.createElement(
                        LinkGroup,
                        null,
                        Children.map(children, function (item, i) {
                            return React.createElement(
                                Link,
                                {
                                    key: i,
                                    ref: function ref(_ref) {
                                        _this3.links[i] = _ref;
                                    },
                                    className: selectedItemIndex === i ? 'is-selected' : '',
                                    onClick: _this3.handleItemClick(i),
                                    onMouseEnter: _this3.handleItemMouseEnter.bind(_this3, i)
                                },
                                item
                            );
                        })
                    )
                )
            );
        }
    }]);

    return SelectorDropdown;
}(Component);

SelectorDropdown.propTypes = {
    children: PropTypes.node,
    className: PropTypes.string,
    /** Handler called when an item is selected. The new `selectedItemIndex` is passed in. */
    onItemSelected: PropTypes.func,
    onSelectedIndexChanged: PropTypes.func,
    /** Handler called on selector user input. The new `inputValue` is passed in. */
    onSelectorUserInput: PropTypes.func,
    selectOnTab: PropTypes.bool,
    /** Component that toggles the dropdown */
    selector: PropTypes.node.isRequired,
    /** Is dropdown shown when clicking the selector */
    showOnSelectorClick: PropTypes.bool
};
SelectorDropdown.defaultProps = {
    className: '',
    showOnSelectorClick: true
};


export default SelectorDropdown;