var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import PropTypes from 'prop-types';
import React, { Component } from 'react';

import { Link, LinkGroup } from '../../components/link';
import { ToggleMenu } from '../menu';

var FilterableTableHeader = function (_Component) {
    _inherits(FilterableTableHeader, _Component);

    function FilterableTableHeader(props) {
        _classCallCheck(this, FilterableTableHeader);

        var _this = _possibleConstructorReturn(this, (FilterableTableHeader.__proto__ || Object.getPrototypeOf(FilterableTableHeader)).call(this, props));

        _this.state = {
            curFilterIndex: props.curFilterIndex
        };

        _this.onFilterHandlerRef = _this.onFilterHandler.bind(_this);
        return _this;
    }

    _createClass(FilterableTableHeader, [{
        key: 'onFilterHandler',
        value: function onFilterHandler(index) {
            var _this2 = this;

            return function () {
                var onFilter = _this2.props.onFilter;

                onFilter(index);
                _this2.setState({
                    curFilterIndex: index
                });
            };
        }
    }, {
        key: 'render',
        value: function render() {
            var _this3 = this;

            var _props = this.props,
                children = _props.children,
                options = _props.options;
            var curFilterIndex = this.state.curFilterIndex;


            return React.createElement(
                ToggleMenu,
                {
                    toggler: React.createElement(
                        'button',
                        { className: 'table-filterable-header' },
                        React.createElement(
                            'span',
                            null,
                            children
                        ),
                        React.createElement(
                            'span',
                            null,
                            ': ',
                            options[curFilterIndex]
                        )
                    )
                },
                React.createElement(
                    LinkGroup,
                    null,
                    options.map(function (option, i) {
                        return React.createElement(
                            Link,
                            { key: i, onClick: _this3.onFilterHandlerRef(i) },
                            option
                        );
                    })
                )
            );
        }
    }]);

    return FilterableTableHeader;
}(Component);

FilterableTableHeader.propTypes = {
    /** Initial filter index */
    curFilterIndex: PropTypes.number,
    /** An array of filters */
    options: PropTypes.array.isRequired,
    /** Call back called when filter is changed. The new `filterIndex` is passed in. */
    onFilter: PropTypes.func.isRequired,
    /** Column title */
    children: PropTypes.node.isRequired
};
FilterableTableHeader.defaultProps = {
    curFilterIndex: 0
};


export default FilterableTableHeader;