var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import PropTypes from 'prop-types';
import React, { Component } from 'react';
import { FormattedMessage } from 'react-intl';

import messages from './messages';

var SortArrow = function SortArrow(_ref) {
    var direction = _ref.direction;
    return React.createElement(
        'span',
        { className: 'sortable-header-arrow' },
        React.createElement(
            'svg',
            { height: '6', viewBox: '0 0 7 6', width: '7', 'aria-labelledby': 'title' },
            React.createElement(
                'title',
                null,
                direction === 'asc' ? React.createElement(FormattedMessage, messages.ascendingSortArrow) : React.createElement(FormattedMessage, messages.descendingSortArrow)
            ),
            React.createElement('path', {
                d: 'M6.183 0L3.5 3.286.817 0 0 1l3.5 4.286L7 1l-.817-1z',
                fillRule: 'evenodd'
            })
        )
    );
};

SortArrow.propTypes = {
    direction: PropTypes.string
};

var SortableTableHeader = function (_Component) {
    _inherits(SortableTableHeader, _Component);

    function SortableTableHeader(props) {
        _classCallCheck(this, SortableTableHeader);

        var _this = _possibleConstructorReturn(this, (SortableTableHeader.__proto__ || Object.getPrototypeOf(SortableTableHeader)).call(this, props));

        _this.state = {
            direction: props.direction
        };
        return _this;
    }

    _createClass(SortableTableHeader, [{
        key: 'render',
        value: function render() {
            var _this2 = this;

            var _props = this.props,
                children = _props.children,
                onSort = _props.onSort;
            var direction = this.state.direction;


            return React.createElement(
                'button',
                {
                    className: 'table-sortable-header ' + direction,
                    onClick: function onClick() {
                        var newDirection = direction === 'asc' ? 'desc' : 'asc';
                        onSort(newDirection);
                        _this2.setState({
                            direction: newDirection
                        });
                    }
                },
                React.createElement(
                    'span',
                    null,
                    children
                ),
                React.createElement(SortArrow, null)
            );
        }
    }]);

    return SortableTableHeader;
}(Component);

SortableTableHeader.propTypes = {
    /** Initial sort direction. */
    direction: PropTypes.oneOf(['asc', 'desc']),
    /** Call back called when sort direction is changed. The new `direction` is passed in */
    onSort: PropTypes.func.isRequired,
    /** Column title */
    children: PropTypes.node.isRequired
};
SortableTableHeader.defaultProps = {
    direction: 'asc'
};


export default SortableTableHeader;