### Examples
**Simple Table**
```js
const TableCell = require('box-react-ui/lib/deprecated/table').TableCell;
const TableColumn = require('box-react-ui/lib/deprecated/table').TableColumn;
const Table = require('box-react-ui/lib/deprecated/table').Table;
const Avatar = require('box-react-ui/lib/components/avatar').default;

const AvatarCell = ({ col, data, rowIndex }) => (
    <TableCell>
        <span style={ { marginRight: '10px' } }>
            <Avatar
                name={ `${data[rowIndex].firstname} ${data[rowIndex].lastname}` }
                id={ (rowIndex * 2).toString() }
            />
        </span>
        {data[rowIndex][col]}
    </TableCell>
);

const SimpleCell = ({ col, data, rowIndex }) => (
    <TableCell>
        {data[rowIndex][col]}
    </TableCell>
);

const SIMPLE_TABLE_ITEMS = [
    {
        firstname: 'Phil',
        lastname: 'Sheffield',
        email: 'phil@box.com',
    },
    {
        firstname: 'Jake',
        lastname: 'Thomas',
        email: 'jake@box.com',
    },
    {
        firstname: 'Janette',
        lastname: 'Heininger',
        email: 'jheininger@box.com',
    },
];

<Table data={ SIMPLE_TABLE_ITEMS }>
    <TableColumn
        cell={ <AvatarCell col="firstname" /> }
        header="First Name"
    />
    <TableColumn
        cell={ <SimpleCell col="lastname" /> }
        header="Last Name"
    />
    <TableColumn cell={ <SimpleCell col="email" /> } header="Email" />
</Table>
```
**Complex Table**
```
const ComplexTable = require('examples').ComplexTable;

<ComplexTable />
```
**Compact Table**
```
const CompactTable = require('examples').CompactTable;

<CompactTable />
```
