import PropTypes from 'prop-types';
import React, { Children } from 'react';

import TableCell from './TableCell';

/**
 * Renders a header cell
 * @param {TableColumn} child - a TableColumn instance
 * @return {ReactElement}
 */
var renderHeaderCell = function renderHeaderCell(child) {
    var _child$props = child.props,
        header = _child$props.header,
        _child$props$classNam = _child$props.className,
        className = _child$props$classNam === undefined ? '' : _child$props$classNam;

    return React.createElement(
        TableCell,
        { className: className },
        header
    );
};

/**
 * Renders the table header row
 */
var TableHeader = function TableHeader(_ref) {
    var children = _ref.children;
    return React.createElement(
        'div',
        { className: 'table-header' },
        React.createElement(
            'div',
            { className: 'table-row' },
            Children.map(children, renderHeaderCell)
        )
    );
};

TableHeader.displayName = 'TableHeader';
TableHeader.propTypes = {
    children: PropTypes.node
};

export default TableHeader;