var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import PropTypes from 'prop-types';
import React, { Component } from 'react';
import classNames from 'classnames';
import omit from 'lodash/omit';

/**
 * Internal component for Table. Renders a row with the select/navigate handlers. Contains a list
 * of TableCells
 */

var TableRow = function (_Component) {
    _inherits(TableRow, _Component);

    function TableRow() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, TableRow);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = TableRow.__proto__ || Object.getPrototypeOf(TableRow)).call.apply(_ref, [this].concat(args))), _this), _this.callHandler = function (event, handler) {
            var _this$props = _this.props,
                data = _this$props.data,
                index = _this$props.index;

            handler(event, index, data[index]);
        }, _this.handleClick = function (event) {
            _this.callHandler(event, _this.props.onClick);
        }, _this.handleDoubleClick = function (event) {
            _this.callHandler(event, _this.props.onDoubleClick);
        }, _this.handleMouseDown = function (event) {
            _this.callHandler(event, _this.props.onMouseDown);
        }, _this.handleMouseEnter = function (event) {
            _this.callHandler(event, _this.props.onMouseEnter);
        }, _this.handleMouseLeave = function (event) {
            _this.callHandler(event, _this.props.onMouseLeave);
        }, _this.handleMouseUp = function (event) {
            _this.callHandler(event, _this.props.onMouseUp);
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(TableRow, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                children = _props.children,
                className = _props.className,
                onClick = _props.onClick,
                onDoubleClick = _props.onDoubleClick,
                onMouseDown = _props.onMouseDown,
                onMouseEnter = _props.onMouseEnter,
                onMouseLeave = _props.onMouseLeave,
                onMouseUp = _props.onMouseUp,
                rest = _objectWithoutProperties(_props, ['children', 'className', 'onClick', 'onDoubleClick', 'onMouseDown', 'onMouseEnter', 'onMouseLeave', 'onMouseUp']);

            var divProps = omit(rest, ['data', 'index']);

            var classes = classNames('table-row', className);

            return React.createElement(
                'div',
                _extends({
                    className: classes,
                    onClick: onClick ? this.handleClick : null,
                    onDoubleClick: onDoubleClick ? this.handleDoubleClick : null,
                    onMouseDown: onMouseDown ? this.handleMouseDown : null,
                    onMouseEnter: onMouseEnter ? this.handleMouseEnter : null,
                    onMouseLeave: onMouseLeave ? this.handleMouseLeave : null,
                    onMouseUp: onMouseUp ? this.handleMouseUp : null
                }, divProps),
                children
            );
        }
    }]);

    return TableRow;
}(Component);

TableRow.propTypes = {
    children: PropTypes.node,
    className: PropTypes.string,
    data: PropTypes.array,
    index: PropTypes.number.isRequired,
    onClick: PropTypes.func,
    onDoubleClick: PropTypes.func,
    onMouseDown: PropTypes.func,
    onMouseEnter: PropTypes.func,
    onMouseLeave: PropTypes.func,
    onMouseUp: PropTypes.func
};


export default TableRow;