var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import PropTypes from 'prop-types';
import React, { Component } from 'react';

import TableLoader from './TableLoader';

/**
 * Enhance a Table with infinite scroll functionality
 * @param {Component} BaseTable - The table to enhance
 */
function makeInfiniteScrollable(BaseTable) {
    var _class, _temp2;

    var originalDisplayName = BaseTable.displayName || BaseTable.name || 'Table';
    return _temp2 = _class = function (_Component) {
        _inherits(InfiniteScrollableTable, _Component);

        function InfiniteScrollableTable() {
            var _ref;

            var _temp, _this, _ret;

            _classCallCheck(this, InfiniteScrollableTable);

            for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
                args[_key] = arguments[_key];
            }

            return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = InfiniteScrollableTable.__proto__ || Object.getPrototypeOf(InfiniteScrollableTable)).call.apply(_ref, [this].concat(args))), _this), _this.renderWaypoint = function () {
                var _this$props = _this.props,
                    isWaypointVisible = _this$props.isWaypointVisible,
                    onWaypointScroll = _this$props.onWaypointScroll,
                    data = _this$props.data;


                if (!onWaypointScroll || !isWaypointVisible) {
                    return null;
                }

                return React.createElement(TableLoader, {
                    onEnter: onWaypointScroll,
                    id: data.length,
                    threshold: 0.5
                });
            }, _this.renderFooter = function () {
                return (
                    // Render any existing pagination on top of the waypoint this HOC will add
                    React.createElement(
                        'div',
                        null,
                        _this.props.footer,
                        _this.renderWaypoint()
                    )
                );
            }, _temp), _possibleConstructorReturn(_this, _ret);
        }

        _createClass(InfiniteScrollableTable, [{
            key: 'render',
            value: function render() {
                return React.createElement(BaseTable, _extends({}, this.props, { footer: this.renderFooter() }));
            }
        }]);

        return InfiniteScrollableTable;
    }(Component), _class.displayName = 'InfiniteScrollable(' + originalDisplayName + ')', _class.propTypes = _extends({}, BaseTable.propTypes, { // eslint-disable-line react/forbid-foreign-prop-types
        data: PropTypes.array.isRequired,
        footer: PropTypes.node,
        isWaypointVisible: PropTypes.bool,
        onWaypointScroll: PropTypes.func
    }), _temp2;
}

export default makeInfiniteScrollable;