var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/* eslint-disable react/no-find-dom-node */
import React, { Component } from 'react';
import ReactDOM from 'react-dom';

function makeTableHeaderSticky() {
    var top = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;

    return function WrappedComponent(BaseComponent) {
        return function (_Component) {
            _inherits(StickyHeaderTable, _Component);

            function StickyHeaderTable() {
                var _ref;

                var _temp, _this, _ret;

                _classCallCheck(this, StickyHeaderTable);

                for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
                    args[_key] = arguments[_key];
                }

                return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = StickyHeaderTable.__proto__ || Object.getPrototypeOf(StickyHeaderTable)).call.apply(_ref, [this].concat(args))), _this), _this.setStickyStyles = function (element, styles) {
                    var el = element;
                    Object.keys(styles).forEach(function (key) {
                        el.style[key] = styles[key];
                    });
                }, _this.getElementBoundingRect = function (element) {
                    return element.getBoundingClientRect();
                }, _this.getStickyStyles = function (topOffset, headerHeight) {
                    return {
                        table: {
                            width: 'inherit'
                        },
                        header: {
                            boxShadow: '0 4px 6px -2px rgba(0, 0, 0, .04)',
                            position: 'fixed',
                            top: topOffset + 'px',
                            width: 'inherit',
                            zIndex: 1
                        },
                        body: {
                            paddingTop: headerHeight + 'px'
                        }
                    };
                }, _this.clearStickyStyles = function (element, styles) {
                    var el = element;
                    Object.keys(styles).forEach(function (key) {
                        el.style[key] = '';
                    });
                }, _this.handleScroll = function () {
                    if (!_this.tableEl) {
                        return;
                    }

                    // Get DOM elements
                    var table = ReactDOM.findDOMNode(_this.tableEl);
                    var header = table.querySelector('.table-header');
                    var body = table.querySelector('.table-body');
                    // Table bounding area
                    var rect = _this.getElementBoundingRect(table);
                    // Sticky styles
                    var styles = _this.getStickyStyles(top, header.offsetHeight);

                    if (rect.top <= top) {
                        _this.setStickyStyles(table, styles.table);
                        _this.setStickyStyles(header, styles.header);
                        _this.setStickyStyles(body, styles.body);
                    } else {
                        _this.clearStickyStyles(table, styles.table);
                        _this.clearStickyStyles(header, styles.header);
                        _this.clearStickyStyles(body, styles.body);
                    }
                }, _this.refHandler = function (el) {
                    _this.tableEl = el;
                }, _temp), _possibleConstructorReturn(_this, _ret);
            }

            _createClass(StickyHeaderTable, [{
                key: 'componentDidMount',
                value: function componentDidMount() {
                    window.addEventListener('scroll', this.handleScroll);
                }
            }, {
                key: 'render',
                value: function render() {
                    var props = _extends({}, this.props, {
                        ref: this.refHandler
                    });

                    return React.createElement(
                        BaseComponent,
                        props,
                        props.children
                    );
                }
            }]);

            return StickyHeaderTable;
        }(Component);
    };
}

export default makeTableHeaderSticky;