var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import PropTypes from 'prop-types';
import React, { Component } from 'react';
import { FormattedMessage } from 'react-intl';

import LoadingIndicator from '../../../components/loading-indicator';

import PlainButton from '../../../components/plain-button';
import formatTaggedMessage from '../utils/formatTaggedMessage';

import messages from '../messages';

var TranslateButton = function TranslateButton(_ref) {
    var handleTranslate = _ref.handleTranslate;
    return React.createElement(
        PlainButton,
        { className: 'box-ui-comment-translate', onClick: handleTranslate },
        React.createElement(FormattedMessage, messages.commentTranslate)
    );
};

TranslateButton.propTypes = {
    handleTranslate: PropTypes.func
};

var ShowOriginalButton = function ShowOriginalButton(_ref2) {
    var handleShowOriginal = _ref2.handleShowOriginal;
    return React.createElement(
        PlainButton,
        {
            className: 'box-ui-comment-translate',
            onClick: handleShowOriginal
        },
        React.createElement(FormattedMessage, messages.commentShowOriginal)
    );
};

ShowOriginalButton.propTypes = {
    handleShowOriginal: PropTypes.func
};

var CommentText = function (_Component) {
    _inherits(CommentText, _Component);

    function CommentText(props) {
        _classCallCheck(this, CommentText);

        var _this = _possibleConstructorReturn(this, (CommentText.__proto__ || Object.getPrototypeOf(CommentText)).call(this, props));

        _this.handleTranslate = function (event) {
            var _this$props = _this.props,
                id = _this$props.id,
                taggedMessage = _this$props.taggedMessage,
                onTranslate = _this$props.onTranslate,
                translatedTaggedMessage = _this$props.translatedTaggedMessage;

            if (!translatedTaggedMessage) {
                _this.setState({ isLoading: true });
                onTranslate({ id: id, taggedMessage: taggedMessage });
            }
            _this.setState({ isTranslation: true });
            event.preventDefault();
        };

        _this.handleShowOriginal = function (event) {
            _this.setState({ isTranslation: false });
            event.preventDefault();
        };

        _this.state = {
            isLoading: false,
            isTranslation: false
        };
        return _this;
    }

    _createClass(CommentText, [{
        key: 'componentWillReceiveProps',
        value: function componentWillReceiveProps(nextProps) {
            var translatedTaggedMessage = nextProps.translatedTaggedMessage,
                translationFailed = nextProps.translationFailed;

            if (translatedTaggedMessage || translationFailed) {
                this.setState({ isLoading: false });
            }
        }
    }, {
        key: 'getButton',
        value: function getButton(isTranslation) {
            var button = null;
            if (isTranslation) {
                button = React.createElement(ShowOriginalButton, {
                    handleShowOriginal: this.handleShowOriginal
                });
            } else {
                button = React.createElement(TranslateButton, { handleTranslate: this.handleTranslate });
            }
            return button;
        }
    }, {
        key: 'render',
        value: function render() {
            var _props = this.props,
                id = _props.id,
                taggedMessage = _props.taggedMessage,
                translatedTaggedMessage = _props.translatedTaggedMessage,
                translationEnabled = _props.translationEnabled;
            var _state = this.state,
                isLoading = _state.isLoading,
                isTranslation = _state.isTranslation;

            var commentToDisplay = translationEnabled && isTranslation && translatedTaggedMessage ? translatedTaggedMessage : taggedMessage;
            return isLoading ? React.createElement(
                'div',
                { className: 'box-ui-comment-text-loading' },
                React.createElement(LoadingIndicator, { size: 'small' })
            ) : React.createElement(
                'div',
                { className: 'box-ui-comment-text' },
                formatTaggedMessage(commentToDisplay, id, false),
                translationEnabled ? this.getButton(isTranslation) : null
            );
        }
    }]);

    return CommentText;
}(Component);

CommentText.propTypes = {
    id: PropTypes.string.isRequired,
    taggedMessage: PropTypes.string.isRequired,
    translatedTaggedMessage: PropTypes.string,
    translationEnabled: PropTypes.bool,
    onTranslate: PropTypes.func,
    translationFailed: PropTypes.bool
};
CommentText.defaultProps = {
    translationEnabled: false
};


export default CommentText;