var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import PropTypes from 'prop-types';
import React from 'react';
import { FormattedMessage } from 'react-intl';

import IconInfoInverted from '../../../icons/general/IconInfoInverted';
import Tooltip from '../../../components/tooltip';

import messages from '../messages';

import './Keywords.scss';

function getMessageForAction(action) {
    switch (action) {
        case 'applied':
            return React.createElement(FormattedMessage, messages.keywordsApplied);
        default:
            return null;
    }
}

var Info = function Info(_ref) {
    var words = _ref.words;
    return React.createElement(
        'span',
        { className: 'box-ui-keywords-actions' },
        React.createElement(
            Tooltip,
            {
                className: 'box-ui-keywords-actions-tooltip',
                position: 'bottom-left',
                text: React.createElement(FormattedMessage, _extends({}, messages.keywordsList, {
                    values: { words: words }
                }))
            },
            React.createElement(
                'div',
                { className: 'box-ui-keywords-info' },
                React.createElement(IconInfoInverted, { height: 16, width: 16 })
            )
        )
    );
};

Info.displayName = 'Info';

Info.propTypes = {
    words: PropTypes.string
};

var Keywords = function Keywords(_ref2) {
    var action = _ref2.action,
        words = _ref2.words;
    return React.createElement(
        'div',
        { className: 'box-ui-keywords' },
        React.createElement(
            'span',
            { className: 'box-ui-keywords-message' },
            getMessageForAction(action)
        ),
        words ? React.createElement(Info, { words: words }) : null
    );
};

Keywords.displayName = 'Keywords';

Keywords.propTypes = {
    action: PropTypes.oneOf(['applied']).isRequired,
    words: PropTypes.string.isRequired
};

export default Keywords;