import PropTypes from 'prop-types';
import React from 'react';
import { FormattedMessage } from 'react-intl';

import messages from '../messages';

import './Version.scss';

function getErrorMessage(errorCode) {
    switch (errorCode) {
        case 'tooManyVersions':
            return React.createElement(FormattedMessage, messages.versionTooManyVersions);
        default:
            return null;
    }
}

var VersionError = function VersionError(_ref) {
    var errorCode = _ref.errorCode;
    return React.createElement(
        'div',
        { className: 'box-ui-version error' },
        React.createElement(
            'span',
            { className: 'box-ui-version-message' },
            getErrorMessage(errorCode)
        )
    );
};

VersionError.displayName = 'VersionError';

VersionError.propTypes = {
    errorCode: PropTypes.string.isRequired
};

export default VersionError;