var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import PropTypes from 'prop-types';
import React, { Component } from 'react';
import classNames from 'classnames';

import { ContentExplorerModePropType, FoldersPathPropType, ItemsPropType } from '../prop-types';
import ContentExplorerModal from '../content-explorer-modal';
import NewFolderModal from '../new-folder-modal';

var ContentExplorerModalContainer = function (_Component) {
    _inherits(ContentExplorerModalContainer, _Component);

    function ContentExplorerModalContainer(props) {
        _classCallCheck(this, ContentExplorerModalContainer);

        var _this = _possibleConstructorReturn(this, (ContentExplorerModalContainer.__proto__ || Object.getPrototypeOf(ContentExplorerModalContainer)).call(this, props));

        _this.handleEnterFolder = function (enteredFolder, newFoldersPath) {
            var onEnterFolder = _this.props.onEnterFolder;


            _this.setState({ foldersPath: newFoldersPath });
            onEnterFolder(enteredFolder, newFoldersPath);
        };

        _this.handleCreateNewFolderButtonClick = function () {
            var onNewFolderModalShown = _this.props.onNewFolderModalShown;


            _this.setState({ isNewFolderModalOpen: true }, function () {
                return onNewFolderModalShown && onNewFolderModalShown();
            });
        };

        _this.handleNewFolderModalClose = function () {
            var onNewFolderModalClosed = _this.props.onNewFolderModalClosed;


            _this.setState({ isNewFolderModalOpen: false }, function () {
                return onNewFolderModalClosed && onNewFolderModalClosed();
            });
        };

        _this.state = {
            foldersPath: props.initialFoldersPath,
            isNewFolderModalOpen: false
        };
        return _this;
    }

    _createClass(ContentExplorerModalContainer, [{
        key: 'componentWillReceiveProps',
        value: function componentWillReceiveProps(nextProps) {
            var initialFoldersPath = this.props.initialFoldersPath;


            if (nextProps.initialFoldersPath !== initialFoldersPath) {
                // Close the new folder modal when the folders path has changed
                this.setState({
                    foldersPath: nextProps.initialFoldersPath,
                    isNewFolderModalOpen: false
                });
            }
        }
    }, {
        key: 'render',
        value: function render() {
            var _props = this.props,
                className = _props.className,
                headerActionsAccessory = _props.headerActionsAccessory,
                modalTitle = _props.modalTitle,
                modalDescription = _props.modalDescription,
                onRequestClose = _props.onRequestClose,
                onCreateFolderSubmit = _props.onCreateFolderSubmit,
                onCreateFolderInput = _props.onCreateFolderInput,
                isCreatingFolder = _props.isCreatingFolder,
                createFolderError = _props.createFolderError,
                contentExplorerMode = _props.contentExplorerMode,
                initialFoldersPath = _props.initialFoldersPath,
                onChooseItems = _props.onChooseItems,
                onMoveItem = _props.onMoveItem,
                onCopyItem = _props.onCopyItem,
                isCreateNewFolderAllowed = _props.isCreateNewFolderAllowed,
                onSearchSubmit = _props.onSearchSubmit,
                onExitSearch = _props.onExitSearch,
                items = _props.items,
                numItemsPerPage = _props.numItemsPerPage,
                numTotalItems = _props.numTotalItems,
                onLoadMoreItems = _props.onLoadMoreItems,
                itemIconRenderer = _props.itemIconRenderer,
                itemNameLinkRenderer = _props.itemNameLinkRenderer,
                itemButtonRenderer = _props.itemButtonRenderer,
                showCreateNewFolderButton = _props.showCreateNewFolderButton,
                searchInputProps = _props.searchInputProps,
                chooseButtonText = _props.chooseButtonText;
            var _state = this.state,
                foldersPath = _state.foldersPath,
                isNewFolderModalOpen = _state.isNewFolderModalOpen;

            var currentFolder = foldersPath[foldersPath.length - 1];

            return React.createElement(
                'div',
                {
                    className: classNames('content-explorer-modal-container', className)
                },
                React.createElement(ContentExplorerModal, {
                    className: isNewFolderModalOpen ? 'hidden' : '',
                    headerActionsAccessory: headerActionsAccessory,
                    title: modalTitle,
                    description: modalDescription,
                    isOpen: true,
                    onRequestClose: onRequestClose,
                    contentExplorerMode: contentExplorerMode,
                    initialFoldersPath: initialFoldersPath,
                    onEnterFolder: this.handleEnterFolder,
                    onChooseItems: onChooseItems,
                    onMoveItem: onMoveItem,
                    onCopyItem: onCopyItem,
                    onCreateNewFolderButtonClick: this.handleCreateNewFolderButtonClick,
                    isCreateNewFolderAllowed: isCreateNewFolderAllowed,
                    onSearchSubmit: onSearchSubmit,
                    onExitSearch: onExitSearch,
                    items: items,
                    numItemsPerPage: numItemsPerPage,
                    numTotalItems: numTotalItems,
                    onLoadMoreItems: onLoadMoreItems,
                    itemIconRenderer: itemIconRenderer,
                    itemNameLinkRenderer: itemNameLinkRenderer,
                    itemButtonRenderer: itemButtonRenderer,
                    showCreateNewFolderButton: showCreateNewFolderButton,
                    searchInputProps: searchInputProps,
                    chooseButtonText: chooseButtonText
                }),
                isNewFolderModalOpen && React.createElement(NewFolderModal, {
                    isOpen: true,
                    parentFolderName: currentFolder.name,
                    onRequestClose: this.handleNewFolderModalClose,
                    onCreateFolderSubmit: onCreateFolderSubmit,
                    onCreateFolderInput: onCreateFolderInput,
                    isCreatingFolder: isCreatingFolder,
                    createFolderError: createFolderError
                })
            );
        }
    }]);

    return ContentExplorerModalContainer;
}(Component);

ContentExplorerModalContainer.propTypes = {
    /** Adds class name. */
    className: PropTypes.string,
    /** Any extra items in the header to the right of the search input (and new folder button) */
    headerActionsAccessory: PropTypes.node,
    /** Title shown in the ContentExplorerModal. */
    modalTitle: PropTypes.string,
    /** Description text shown in the ContentExplorerModal. */
    modalDescription: PropTypes.string,
    /** Called when the ContentExplorerModal is closed. */
    onRequestClose: PropTypes.func.isRequired,
    /**
     * Called when the folder creation is submitted.
     *
     * @param {string} folderName
     */
    onCreateFolderSubmit: PropTypes.func,
    /**
     * Called with the latest folder name input.
     *
     * @param {string} folderName
     */
    onCreateFolderInput: PropTypes.func,
    /** Called when the NewFolderModal is shown. */
    onNewFolderModalShown: PropTypes.func,
    /** Called when the NewFolderModal is closed. */
    onNewFolderModalClosed: PropTypes.func,
    /** Folder is in the process of being created. */
    isCreatingFolder: PropTypes.bool,
    /** Message that will be shown when there was an error creating the folder. */
    createFolderError: PropTypes.string,
    /** Configures the content explorer based on the user's intended action (ex. select file or move/copy) */
    contentExplorerMode: ContentExplorerModePropType.isRequired,
    /** Initial path of folders. The last folder in the array is the current folder. */
    initialFoldersPath: FoldersPathPropType.isRequired,
    /**
     * Called when the current folder changes
     *
     * @param {Object} enteredFolder
     * @param {Array} newFoldersPath
     */
    onEnterFolder: PropTypes.func.isRequired,
    /**
     * Called when items are chosen.
     *
     * @param {Object[]} chosenItems In non-multi select mode, the chosenItems will be a 1 element array contain the one chosen item
     */
    onChooseItems: PropTypes.func,
    /**
     * Called when a destination folder has been selected for moving an item to
     *
     * @param {Object} destFolder destination folder
     */
    onMoveItem: PropTypes.func,
    /**
     * Called when a destination folder has been selected for copying an item to
     *
     * @param {Object} destFolder destination folder
     */
    onCopyItem: PropTypes.func,
    /** Whether the user has permission to create a new folder */
    isCreateNewFolderAllowed: PropTypes.bool,
    /**
     * Called when a search query is submitted.
     *
     * @param {string} searchQuery
     */
    onSearchSubmit: PropTypes.func.isRequired,
    /**
     * Called when search mode is exited. An updated items list should now be passed in to display the user's file tree.
     *
     * @param {Object} folderBeforeSearch the previous folder object before entering search mode
     */
    onExitSearch: PropTypes.func.isRequired,
    /** List of items to display */
    items: ItemsPropType.isRequired,
    /** Number of items to load per page as the user scrolls */
    numItemsPerPage: PropTypes.number,
    /** Total number of items across all pages */
    numTotalItems: PropTypes.number,
    /** Called to load more items */
    onLoadMoreItems: PropTypes.func,
    /** Used to render item icons in the list. Overrides the default icons. */
    itemIconRenderer: PropTypes.func,
    /** Used to render item name links in the list. Overrides the default links. */
    itemNameLinkRenderer: PropTypes.func,
    /** Used to render item buttons in the list. Overrides the default buttons. */
    itemButtonRenderer: PropTypes.func,
    /** Whether the new folder button should be shown */
    showCreateNewFolderButton: PropTypes.bool,
    /** Props for the search input */
    searchInputProps: PropTypes.object,
    /** Custom text for the choose button */
    chooseButtonText: PropTypes.node
};
ContentExplorerModalContainer.defaultProps = {
    onCreateFolderSubmit: function onCreateFolderSubmit() {}
};


export default ContentExplorerModalContainer;