var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import * as React from 'react';
import classNames from 'classnames';

import { Modal } from '../../../components/modal';

import ContentExplorer from '../content-explorer';

import './ContentExplorerModal.scss';

var ContentExplorerModal = function ContentExplorerModal(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        customInput = _ref.customInput,
        _ref$title = _ref.title,
        title = _ref$title === undefined ? '' : _ref$title,
        _ref$description = _ref.description,
        description = _ref$description === undefined ? '' : _ref$description,
        _ref$isOpen = _ref.isOpen,
        isOpen = _ref$isOpen === undefined ? false : _ref$isOpen,
        onRequestClose = _ref.onRequestClose,
        rest = _objectWithoutProperties(_ref, ['className', 'customInput', 'title', 'description', 'isOpen', 'onRequestClose']);

    return React.createElement(
        Modal,
        {
            title: title,
            className: classNames('content-explorer-modal', className),
            isOpen: isOpen,
            onRequestClose: onRequestClose
        },
        description,
        React.createElement(ContentExplorer, _extends({
            customInput: customInput,
            onCancelButtonClick: onRequestClose,
            listWidth: 560,
            listHeight: 285
        }, rest))
    );
};

ContentExplorerModal.propTypes = {
    className: PropTypes.string,
    customInput: function customInput() {
        return (typeof (React.ComponentType == null ? {} : React.ComponentType) === 'function' ? PropTypes.instanceOf(React.ComponentType == null ? {} : React.ComponentType) : PropTypes.any).apply(this, arguments);
    },
    title: PropTypes.string,
    description: PropTypes.string,
    isOpen: PropTypes.bool,
    onRequestClose: PropTypes.func
};
export default ContentExplorerModal;
import PropTypes from 'prop-types';