var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import PropTypes from 'prop-types';
import React, { PureComponent } from 'react';
import { injectIntl, intlShape } from 'react-intl';

import SearchForm from '../../../components/search-form';

import messages from '../messages';

var ContentExplorerSearch = function (_PureComponent) {
    _inherits(ContentExplorerSearch, _PureComponent);

    function ContentExplorerSearch() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, ContentExplorerSearch);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = ContentExplorerSearch.__proto__ || Object.getPrototypeOf(ContentExplorerSearch)).call.apply(_ref, [this].concat(args))), _this), _this.handleChange = function (value) {
            var _this$props = _this.props,
                onClearButtonClick = _this$props.onClearButtonClick,
                onInput = _this$props.onInput;

            if (onInput) {
                onInput(value);
            }
            if (onClearButtonClick && !value) {
                onClearButtonClick();
            }
        }, _this.handleSubmit = function (value, event) {
            var onSubmit = _this.props.onSubmit;


            event.preventDefault();
            if (onSubmit) {
                onSubmit();
            }
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(ContentExplorerSearch, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                intl = _props.intl,
                inputValue = _props.inputValue,
                searchInputProps = _props.searchInputProps;


            return React.createElement(SearchForm, _extends({
                className: 'content-explorer-search-container',
                onChange: this.handleChange,
                onSubmit: this.handleSubmit,
                placeholder: intl.formatMessage(messages.searchPlaceholder),
                useClearButton: true,
                value: inputValue
            }, searchInputProps));
        }
    }]);

    return ContentExplorerSearch;
}(PureComponent);

ContentExplorerSearch.propTypes = {
    intl: intlShape.isRequired,
    inputValue: PropTypes.string,
    onSubmit: PropTypes.func,
    onInput: PropTypes.func,
    onClearButtonClick: PropTypes.func,
    searchInputProps: PropTypes.object
};
ContentExplorerSearch.defaultProps = {
    inputValue: '',
    searchInputProps: {}
};


export { ContentExplorerSearch as ContentExplorerSearchBase };
export default injectIntl(ContentExplorerSearch);