var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import PropTypes from 'prop-types';
import React from 'react';
import { FormattedMessage } from 'react-intl';

import Checkbox from '../../../components/checkbox/Checkbox';
import { RadioButton } from '../../../components/radio';
import { ContentExplorerModePropType } from '../prop-types';
import ContentExplorerModes from '../modes';

import messages from '../messages';

var ItemListButton = function ItemListButton(_ref) {
    var contentExplorerMode = _ref.contentExplorerMode,
        _ref$id = _ref.id,
        id = _ref$id === undefined ? '' : _ref$id,
        _ref$isDisabled = _ref.isDisabled,
        isDisabled = _ref$isDisabled === undefined ? false : _ref$isDisabled,
        _ref$isSelected = _ref.isSelected,
        isSelected = _ref$isSelected === undefined ? false : _ref$isSelected,
        name = _ref.name;

    if (contentExplorerMode === ContentExplorerModes.MULTI_SELECT) {
        return React.createElement(Checkbox, {
            label: React.createElement(FormattedMessage, _extends({}, messages.selectItem, {
                values: { name: name }
            })),
            value: id,
            hideLabel: true,
            isDisabled: isDisabled,
            isChecked: !isDisabled && isSelected,
            name: 'item'
        });
    }
    return React.createElement(RadioButton, {
        label: React.createElement(FormattedMessage, _extends({}, messages.selectItem, { values: { name: name } })),
        value: id,
        hideLabel: true,
        isDisabled: isDisabled,
        isSelected: !isDisabled && isSelected,
        name: 'item'
    });
};

ItemListButton.propTypes = {
    contentExplorerMode: ContentExplorerModePropType.isRequired,
    id: PropTypes.string,
    isDisabled: PropTypes.bool,
    isSelected: PropTypes.bool,
    name: PropTypes.string.isRequired
};

export default ItemListButton;