var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import { Flyout, Overlay } from '../../components/flyout';
import ScrollWrapper from '../../components/scroll-wrapper';

import classNames from 'classnames';

import './HeaderFlyout.scss';

var HeaderFlyout = function (_React$Component) {
    _inherits(HeaderFlyout, _React$Component);

    function HeaderFlyout() {
        _classCallCheck(this, HeaderFlyout);

        return _possibleConstructorReturn(this, (HeaderFlyout.__proto__ || Object.getPrototypeOf(HeaderFlyout)).apply(this, arguments));
    }

    _createClass(HeaderFlyout, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                header = _props.header,
                footer = _props.footer,
                flyoutButton = _props.flyoutButton,
                children = _props.children,
                scrollRefFn = _props.scrollRefFn,
                rest = _objectWithoutProperties(_props, ['header', 'footer', 'flyoutButton', 'children', 'scrollRefFn']);

            return React.createElement(
                Flyout,
                _extends({
                    closeOnClick: false,
                    offset: HeaderFlyout.panelOffset
                }, rest),
                flyoutButton,
                React.createElement(
                    Overlay,
                    { className: 'header-flyout-overlay' },
                    React.createElement(
                        'div',
                        { className: 'header-flyout-list-container' },
                        header && React.createElement(
                            'div',
                            { className: 'flyout-list-container-title' },
                            React.createElement(
                                'h4',
                                { className: 'flyout-list-title' },
                                header
                            )
                        ),
                        React.createElement(
                            'div',
                            {
                                className: classNames('flyout-list-container-body', {
                                    'with-header': !!header,
                                    'with-footer': !!footer
                                })
                            },
                            children != null && React.createElement(
                                ScrollWrapper,
                                {
                                    scrollRefFn: scrollRefFn,
                                    shadowSize: 'contain'
                                },
                                children
                            )
                        ),
                        footer && React.createElement(
                            'div',
                            { className: 'flyout-list-container-footer' },
                            footer
                        )
                    )
                )
            );
        }
    }]);

    return HeaderFlyout;
}(React.Component);

HeaderFlyout.panelOffset = '-4px -2px';
HeaderFlyout.defaultProps = {
    position: 'bottom-left'
};
HeaderFlyout.propTypes = Object.assign({}, bpfrpt_proptype_FlyoutProps === PropTypes.any ? {} : bpfrpt_proptype_FlyoutProps, {
    /** Components to render in the overlay */
    children: PropTypes.node,

    /** Set className to the overlay wrapper */
    className: PropTypes.string,

    /** Custom button to trigger for opening/closing the flyout */
    flyoutButton: PropTypes.node.isRequired,

    /** What content to display in the footer */
    footer: PropTypes.node,

    /** What content to display in the header */
    header: PropTypes.node,

    /** Optional function to get the scrollRef in parent components */
    scrollRefFn: PropTypes.func
});


export default HeaderFlyout;
import { bpfrpt_proptype_FlyoutProps } from '../../components/flyout/Flyout';
import PropTypes from 'prop-types';