var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import PropTypes from 'prop-types';
import React, { Component } from 'react';

import Button from '../../../components/button';
import TextArea from '../../../components/text-area';
import Label from '../../../components/label';

import TargetingExpressionRow from './TargetingExpressionRow';
import * as Constants from './constants';

import './TargetingExpressionEditor.scss';

var incrementalKey = 0;

/**
 * Targeting Expression Editor UI.
 * The UI to compose targeting expression. It has a list of rule editors, following each rule editor there are
 * DELETE/AND/OR buttons, to easily insert new rules. This UI editor creates a list of Targeting rules with
 * one level of AND OR operations between them.
 * Basically, list UI only support a logical expression without any parenthesis.
 *    ex. (rule1 OR rule2) AND (!rule3 OR rule4) AND !rule5
 */

var TargetingExpressionEditor = function (_Component) {
    _inherits(TargetingExpressionEditor, _Component);

    function TargetingExpressionEditor(props) {
        _classCallCheck(this, TargetingExpressionEditor);

        var _this = _possibleConstructorReturn(this, (TargetingExpressionEditor.__proto__ || Object.getPrototypeOf(TargetingExpressionEditor)).call(this, props));

        _initialiseProps.call(_this);

        _this.state = _this.getStateFromProps(props);
        return _this;
    }

    /**
     * This is the onChange handler for all the rule editors.
     * @param {object} expression
     * @param {object} updatedExpression
     */


    /**
     * Insert a new rule editor after clicked expression, when OR button is clicked.
     * @returns {void}
     */


    /**
     * @param {object} expression
     * @returns {void}
     */


    /**
     * Insert a new rule editor after clicked expression, when OR button is clicked.
     * @param {object} clickedExpression - A basic expression or NOT expression
     * @returns {void}
     */


    /**
     * Insert a new rule editor after clicked expression, when AND button is clicked.
     * @param {object} clickedExpression - A basic expression or NOT expression
     * @returns {void}
     */


    /**
     * Get state based on given props.
     * @param {object} props
     * @return {object} state object
     */


    /**
     * Set expression parent and id.
     * @param {object} expression
     * @param {object| null} parent
     * @param {int|null} id optional.
     * @returns {void}
     */


    /**
     * Create a default new expression to be the first rule in the rules map.
     * @return {Object}
     */


    /**
     * @param {object} event
     * @returns {void}
     */


    /**
     * Recursively iterate expression and populate each expression's parent and id.
     * @param {object} expression
     * @param {object|null} parent
     * @returns {void}
     */


    /**
     * Check whether the expression is too nested to be displayed in the UI editor.
     * @param {object} expression
     * @returns {boolean} Whether the expression is supported for UI editor.
     */


    /**
     * Expression type is one of following basic type -- equal, among, in_range.
     * @param {string} type
     * @returns {boolean}
     */


    /**
     * Expression is a NOT of a basic(non-logic) type.
     * @param {object} expression
     * @returns {boolean}
     */


    /**
     * Expression is AND(OR) logic expressions.
     *  ex: A OR B OR !C (A, B, C are basic expressions)
     * @param {object} expression
     * @returns {boolean}
     */


    /**
     * For AND expressions, UI only supports basic expressions, NOT expressions
     * and OR expression with one nested level, in its 'expressions' array.
     * @param {object} expression
     * @returns {boolean}
     */


    /**
     * Validate expression string, parse and prepare targeting expression object.
     * @param {string} expressionString
     * @returns {object|null} return validate targeting expression if the input JSON string represents a well
     *                     formatted expression. return null when it is invalid.
     */


    /**
     * Replace expression with a new expression in state object.
     * If the expression is root expression, set the new expression as targetingExpression.
     * @param {object} expression
     * @param {object} newExpression
     * @returns {object} new state object with expression replaced.
     */


    /**
     * Create a new logical expression that contains target expression and new expression,
     * then replace target expression with the logical expression.
     * @param {object} targetExpression
     * @param {object} newExpression
     * @param {string} logicOperation
     * @returns {object} newState new state after the change.
     */


    /**
     * Insert the new expression into target expression's parent, which should be a logical expression,
     * new expression becomes a sibling right after target expression.
     * @param {object} targetExpression
     * @param {object} newExpression
     * @returns {object} newState new state after the change.
     */


    /**
     * Render separator between rules.
     * @param {string} operation
     * @returns JSX
     */


    /**
     * Recursively render an expression.
     * @param {object} expression
     * @returns JSX
     */


    _createClass(TargetingExpressionEditor, [{
        key: 'render',
        value: function render() {
            return React.createElement(
                'div',
                { className: 'targeting-rule-editor-container' },
                this.state.shouldUseUIEditor ? React.createElement(
                    'div',
                    null,
                    this.renderExpression(this.state.targetingExpression, null),
                    React.createElement('hr', null),
                    React.createElement(
                        'div',
                        null,
                        React.createElement(
                            Label,
                            {
                                text: 'Result Targeting Expression:',
                                showOptionalText: false
                            },
                            React.createElement(
                                'div',
                                { className: 'readOnlyExpressionResult' },
                                this.state.targetingExpressionJsonString
                            )
                        ),
                        React.createElement(TextArea, {
                            label: 'Result Targeting Expression',
                            readOnly: true,
                            name: 'targetingExpression',
                            className: 'hidden',
                            value: this.state.targetingExpressionJsonString,
                            error: this.state.expressionValidationError,
                            onChange: function onChange() {}
                        })
                    )
                ) : React.createElement(
                    'div',
                    null,
                    React.createElement(TextArea, {
                        label: 'Manually Edit Targeting Expression',
                        className: 'targeting-expression-text-editor',
                        name: 'targetingExpression',
                        value: this.state.targetingExpressionJsonString,
                        error: this.state.expressionValidationError,
                        onChange: this.textEditorChangeHandler,
                        isRequired: true
                    })
                )
            );
        }
    }]);

    return TargetingExpressionEditor;
}(Component);

TargetingExpressionEditor.propTypes = {
    ruleValueFormatMap: PropTypes.object.isRequired,
    // eslint-disable-next-line react/no-unused-prop-types
    targetingExpression: PropTypes.string,
    onExpressionChange: PropTypes.func,
    useTextEditor: PropTypes.bool
};
TargetingExpressionEditor.defaultProps = {
    targetingExpression: '{}'
};

var _initialiseProps = function _initialiseProps() {
    var _this2 = this;

    this.componentWillReceiveProps = function (nextProps) {
        if (nextProps.useTextEditor !== _this2.props.useTextEditor) {
            _this2.setState(_this2.getStateFromProps(nextProps));
        }
    };

    this.onSingleExpressionRuleChange = function (expression, updatedExpression) {
        if (!_this2.isBasicExpression(updatedExpression) && !_this2.isBasicNotExpression(updatedExpression)) {
            throw new Error('Error! Updated Expression is not a basic or basic NOT expression.');
        }

        _this2.setExpressionParentAndId(updatedExpression, expression.parent, expression.id);

        var newState = _this2.replaceExpressionInState(expression, updatedExpression);

        newState.targetingExpressionJsonString = JSON.stringify(newState.targetingExpression);
        if (typeof _this2.props.onExpressionChange === 'function') {
            _this2.props.onExpressionChange(newState.targetingExpressionJsonString);
        }
        _this2.setState(newState);
    };

    this.onAddFirstRuleButtonClick = function () {
        var newState = _this2.state;
        var newExpression = _this2.createDefaultNewExpression();

        // Set parent null on the new root element.
        _this2.setExpressionParentAndId(newExpression, null);

        newState.targetingExpression = newExpression;
        newState.targetingExpressionJsonString = JSON.stringify(newExpression);
        if (typeof _this2.props.onExpressionChange === 'function') {
            _this2.props.onExpressionChange(newState.targetingExpressionJsonString);
        }
        _this2.setState(newState);
    };

    this.onDeleteRuleButtonClick = function (expression) {
        var newState = _this2.state;

        var parent = expression.parent;
        if (!parent) {
            // If expression is already root, set it to empty object.
            newState.targetingExpression = {};
            _this2.setExpressionParentAndId(newState.targetingExpression, null);
        } else {
            // If expression is not root, remove it from its parent's expressions array.
            var index = parent.expressions.indexOf(expression);
            parent.expressions.splice(index, 1);

            // Flatten AND OR expression when they have only expression.
            while (parent && parent.expressions.length <= 1) {
                if (parent.expressions.length === 1) {
                    // For expression that has only one child expression,
                    // replace the expression with the child expression.
                    expression = parent.expressions[0];
                    expression.parent = parent.parent;
                    newState = _this2.replaceExpressionInState(parent, expression);
                    parent = parent.parent;
                } else {
                    throw new Error('AND OR expression has only one child!');
                }
            }
        }

        newState.targetingExpressionJsonString = JSON.stringify(newState.targetingExpression);
        if (typeof _this2.props.onExpressionChange === 'function') {
            _this2.props.onExpressionChange(newState.targetingExpressionJsonString);
        }
        _this2.setState(newState);
    };

    this.onOrButtonClick = function (clickedExpression) {
        var newState = _this2.state;
        var newExpression = _this2.createDefaultNewExpression();

        var parent = clickedExpression.parent;


        if (!parent) {
            // Clicked expression is root expression, create a new logical expression that wraps both clicked expression and the new one.
            newState = _this2.combineAndReplaceTargetExpression(clickedExpression, newExpression, Constants.LOGIC_OPERATION_OR);
        } else {
            switch (parent.operation) {
                case Constants.LOGIC_OPERATION_OR:
                    // Parent is logical OR. Simply insert the new expression into parent's 'expressions' array, after clicked expression as sibling.
                    newState = _this2.insertAsSiblingOfTargetExpression(clickedExpression, newExpression);
                    break;
                case Constants.LOGIC_OPERATION_AND:
                    // Parent is logical AND. create a new OR expression that wraps both clicked expression and the new one.
                    newState = _this2.combineAndReplaceTargetExpression(clickedExpression, newExpression, Constants.LOGIC_OPERATION_OR);
                    break;
                default:
                    break;
            }
        }

        newState.targetingExpressionJsonString = JSON.stringify(newState.targetingExpression);
        if (typeof _this2.props.onExpressionChange === 'function') {
            _this2.props.onExpressionChange(newState.targetingExpressionJsonString);
        }
        _this2.setState(newState);
    };

    this.onAndButtonClick = function (clickedExpression) {
        // eslint-disable-line consistent-return
        var newState = _this2.state;
        var newExpression = _this2.createDefaultNewExpression();

        var parent = clickedExpression.parent;


        if (!parent) {
            // Clicked expression is root expression, create a new AND expression that wraps both clicked expression and the new one.
            newState = _this2.combineAndReplaceTargetExpression(clickedExpression, newExpression, Constants.LOGIC_OPERATION_AND);
        } else {
            switch (parent.operation) {
                case Constants.LOGIC_OPERATION_OR:
                    // Parent is logical OR. Escalate one level up, try to add the new expression as sibling of the parent.
                    // Note we are doing this because no AND expression should have a parent of OR expression.
                    _this2.onAndButtonClick(parent);
                    return;
                case Constants.LOGIC_OPERATION_AND:
                    // Parent is logic AND. Simply insert the new expression into parent's 'expressions' array, after clicked expression as sibling.
                    newState = _this2.insertAsSiblingOfTargetExpression(clickedExpression, newExpression);
                    break;
                default:
                    break;
            }
        }

        newState.targetingExpressionJsonString = JSON.stringify(newState.targetingExpression);
        if (typeof _this2.props.onExpressionChange === 'function') {
            _this2.props.onExpressionChange(newState.targetingExpressionJsonString);
        }
        _this2.setState(newState);
    };

    this.getStateFromProps = function (props) {
        var shouldUseUIEditor = false;
        var validationError = null;

        var targetingExpression = _this2.validateAndParseExpression(props.targetingExpression);
        if (targetingExpression !== null) {
            try {
                // Validate expression is not too nested for UI editor.
                var isExpressionUISupported = _this2.validateExpressionUISupport(targetingExpression);
                if (isExpressionUISupported) {
                    // root expression has parent set to null.
                    _this2.populatePropertiesForDisplay(targetingExpression, null);
                    shouldUseUIEditor = true;
                }
            } catch (e) {
                validationError = e.message;
            }
        } else if (props.targetingExpression !== '{}') {
            validationError = 'Invalid expression format, please correct.';
        }

        // over write shouldUseUIEditor if useTextEditor is set.
        if (props.useTextEditor) {
            shouldUseUIEditor = false;
        }

        // Use UI editor if targeting expression passes all the validations.
        return {
            shouldUseUIEditor: shouldUseUIEditor,
            targetingExpression: shouldUseUIEditor ? targetingExpression : null,
            targetingExpressionJsonString: props.targetingExpression,
            expressionValidationError: validationError
        };
    };

    this.setExpressionParentAndId = function (expression, parent) {
        var id = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : null;

        // We are defining properties to be non-enumberable so that JSON stringify will skip them.
        Object.defineProperty(expression, 'parent', {
            value: parent,
            enumerable: false,
            writable: true
        });
        if (id === null) {
            id = incrementalKey;
            incrementalKey++;
        }
        Object.defineProperty(expression, 'id', {
            value: id,
            enumerable: false,
            writable: true
        });
    };

    this.createDefaultNewExpression = function () {
        var defaultNewExpression = {
            type: Constants.EXPRESSION_TYPE_EQUAL,
            term: {
                name: '',
                value: ''
            }
        };
        // set default new expression to be the first one in the map
        var firstRuleName = Object.keys(_this2.props.ruleValueFormatMap)[0];
        var firstRuleFormat = _this2.props.ruleValueFormatMap[firstRuleName];
        defaultNewExpression.term.name = firstRuleName;

        // set new expression value to be the first option, if it has options.
        if (firstRuleFormat.options) {
            defaultNewExpression.term.value = firstRuleFormat.options[0];
        }

        // set context attributes on default new expression, if the rule format has context.
        if (firstRuleFormat.context) {
            defaultNewExpression.context = {};
            var contexts = Object.keys(firstRuleFormat.context);
            contexts.forEach(function (item) {
                defaultNewExpression.context[item] = '';
            });
        }
        return defaultNewExpression;
    };

    this.textEditorChangeHandler = function (event) {
        _this2.setState(_this2.getStateFromProps({
            useTextEditor: _this2.props.useTextEditor,
            targetingExpression: event.currentTarget.value
        }));
    };

    this.populatePropertiesForDisplay = function (expression, parent) {
        _this2.setExpressionParentAndId(expression, parent);
        var childExpressions = expression.expressions;
        if (Array.isArray(childExpressions)) {
            for (var i = 0; i < childExpressions.length; i++) {
                _this2.populatePropertiesForDisplay(childExpressions[i], expression);
            }
        }
    };

    this.validateExpressionUISupport = function (expression) {
        // Empty object {} is supported in UI.
        if (Object.keys(expression).length === 0) {
            return true;
        }
        switch (expression.operation) {
            case Constants.LOGIC_OPERATION_NOT:
                return _this2.isBasicNotExpression(expression);
            case Constants.LOGIC_OPERATION_OR:
                return _this2.isSingleLevelLogicExpression(expression);
            case Constants.LOGIC_OPERATION_AND:
                return _this2.isAndExpressionUISupported(expression);
            default:
                return _this2.isBasicExpression(expression);
        }
    };

    this.isBasicExpression = function (_ref) {
        var type = _ref.type;
        return type && type !== Constants.EXPRESSION_TYPE_LOGIC;
    };

    this.isBasicNotExpression = function (expression) {
        var type = expression.type,
            operation = expression.operation,
            expressions = expression.expressions;

        if (type === Constants.EXPRESSION_TYPE_LOGIC && operation === Constants.LOGIC_OPERATION_NOT && _this2.isBasicExpression(expressions[0])) {
            return true;
        }
        return false;
    };

    this.isSingleLevelLogicExpression = function (expression) {
        var expressionArray = expression.expressions;

        if (expressionArray.length < 2) {
            throw new Error('Invalid AND/OR expression, "expressions" array should contain more than 1 expression.');
        }
        return expressionArray.every(function (item) {
            return _this2.isBasicExpression(item) || _this2.isBasicNotExpression(item);
        });
    };

    this.isAndExpressionUISupported = function (expression) {
        var expressionArray = expression.expressions;

        if (expressionArray.length < 2) {
            throw new Error('Invalid AND/OR expression, "expressions" array should contain more than 1 expression.');
        }
        return expressionArray.every(function (item) {
            if (!_this2.isBasicExpression(item)) {
                switch (item.operation) {
                    case Constants.LOGIC_OPERATION_NOT:
                        return _this2.isBasicNotExpression(item);
                    case Constants.LOGIC_OPERATION_OR:
                        return _this2.isSingleLevelLogicExpression(item);
                    case Constants.LOGIC_OPERATION_AND:
                        return false;
                    default:
                        break;
                }
            }
            return true;
        });
    };

    this.validateAndParseExpression = function (expressionString) {
        var targetingExpression = null;
        try {
            // Validate expression is valid JSON string.
            targetingExpression = JSON.parse(expressionString);
        } catch (e) {
            return null;
        }

        // empty object {} is valid
        if (Object.keys(targetingExpression).length === 0) {
            return targetingExpression;
        }

        return targetingExpression;
    };

    this.replaceExpressionInState = function (expression, newExpression) {
        var newState = _this2.state;
        var parent = expression.parent;
        if (parent) {
            var index = parent.expressions.indexOf(expression);
            parent.expressions[index] = newExpression;
        } else {
            newState.targetingExpression = newExpression;
        }
        return newState;
    };

    this.combineAndReplaceTargetExpression = function (targetExpression, newExpression, logicOperation) {
        var parent = targetExpression.parent;
        var newLogicalExpression = {
            type: Constants.EXPRESSION_TYPE_LOGIC,
            operation: logicOperation,
            expressions: [targetExpression, newExpression]
        };
        _this2.setExpressionParentAndId(newLogicalExpression, parent);
        _this2.setExpressionParentAndId(newExpression, newLogicalExpression);

        // replace clicked expression with new logical expression.
        var newState = _this2.replaceExpressionInState(targetExpression, newLogicalExpression);

        // only update parent(not id) to avoid re-render of clicked expression
        targetExpression.parent = newLogicalExpression;
        return newState;
    };

    this.insertAsSiblingOfTargetExpression = function (targetExpression, newExpression) {
        var newState = _this2.state;
        var parent = targetExpression.parent;
        if (!parent || !Array.isArray(parent.expressions)) {
            throw new Error('Error! Calling insertAsSiblingOfTargetExpression with invalid parent expression.');
        }
        var index = parent.expressions.indexOf(targetExpression);
        _this2.setExpressionParentAndId(newExpression, parent);
        parent.expressions.splice(index + 1, 0, newExpression);
        return newState;
    };

    this.renderSeparator = function (operation) {
        return operation === Constants.LOGIC_OPERATION_AND ? React.createElement(
            'div',
            { className: 'targeting-rule-and-separator' },
            React.createElement(
                'span',
                null,
                'AND'
            )
        ) : React.createElement(
            'div',
            { className: 'targeting-rule-or-separator' },
            'OR'
        );
    };

    this.renderExpression = function (expression) {
        // If expression is empty object, render '+ add rule' button
        if (Object.keys(expression).length === 0) {
            return React.createElement(
                Button,
                {
                    type: 'button',
                    onClick: _this2.onAddFirstRuleButtonClick.bind(_this2)
                },
                '+ Add Rule'
            );
        }

        // If expression is basic expression or NOT expression, render expression row.
        if (expression.type !== Constants.EXPRESSION_TYPE_LOGIC || expression.operation === Constants.LOGIC_OPERATION_NOT) {
            return React.createElement(TargetingExpressionRow, {
                expression: expression,
                ruleValueFormatMap: _this2.props.ruleValueFormatMap,
                onDeleteRuleButtonClick: _this2.onDeleteRuleButtonClick,
                onOrButtonClick: _this2.onOrButtonClick,
                onAndButtonClick: _this2.onAndButtonClick,
                onRuleChange: _this2.onSingleExpressionRuleChange
            });
        }

        // If expression is compose of expressions, render each of the child expression.
        return expression.expressions.map(function (item, i) {
            return React.createElement(
                'div',
                { key: item.id },
                _this2.renderExpression(item),
                // skip rendering separator after the last item.
                i < expression.expressions.length - 1 ? _this2.renderSeparator(expression.operation) : null
            );
        });
    };
};

export default TargetingExpressionEditor;