var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import PropTypes from 'prop-types';
import React, { Component } from 'react';

import Button from '../../../components/button';
import ButtonGroup from '../../../components/button-group';
import Label from '../../../components/label';

import TargetingRule from '../targeting-rule';
import * as Constants from './constants';

import './TargetingExpressionEditor.scss';

// eslint-disable-next-line react/prefer-stateless-function

var TargetingExpressionRow = function (_Component) {
    _inherits(TargetingExpressionRow, _Component);

    function TargetingExpressionRow() {
        _classCallCheck(this, TargetingExpressionRow);

        return _possibleConstructorReturn(this, (TargetingExpressionRow.__proto__ || Object.getPrototypeOf(TargetingExpressionRow)).apply(this, arguments));
    }

    _createClass(TargetingExpressionRow, [{
        key: 'render',


        /**
         * Render NOT expression or basic expression as single rule element
         * @param {object} expression - A basic expression or NOT expression
         * @returns JSX
         */
        value: function render() {
            var expression = this.props.expression;
            var parent = expression.parent;

            // Disable AND button when expression is among parent's OR expressions array and is not the last one.
            var isAndBtnDisabled = false;
            if (parent) {
                var array = parent.expressions;
                isAndBtnDisabled = parent.operation === Constants.LOGIC_OPERATION_OR && array[array.length - 1] !== expression;
            }

            return React.createElement(
                'div',
                null,
                expression.type === Constants.EXPRESSION_TYPE_LOGIC ? React.createElement(TargetingRule, {
                    className: 'inline-control',
                    type: expression.type,
                    operation: expression.operation,
                    expressions: expression.expressions,
                    ruleValueFormatMap: this.props.ruleValueFormatMap,
                    onChange: this.props.onRuleChange.bind(this, expression)
                }) : React.createElement(TargetingRule, {
                    className: 'inline-control',
                    type: expression.type,
                    term: expression.term,
                    context: expression.context,
                    ruleValueFormatMap: this.props.ruleValueFormatMap,
                    onChange: this.props.onRuleChange.bind(this, expression)
                }),
                React.createElement(
                    'div',
                    { className: 'inline-control targeting-rule-push-right' },
                    React.createElement(
                        Label,
                        { text: 'Remove | Add Rule', showOptionalText: false },
                        React.createElement(
                            ButtonGroup,
                            null,
                            React.createElement(
                                Button,
                                {
                                    type: 'button',
                                    onClick: this.props.onDeleteRuleButtonClick.bind(this, expression)
                                },
                                '\xA0\u2014\xA0\xA0'
                            ),
                            React.createElement(
                                Button,
                                {
                                    type: 'button',
                                    onClick: this.props.onOrButtonClick.bind(this, expression)
                                },
                                'OR'
                            ),
                            React.createElement(
                                Button,
                                {
                                    type: 'button',
                                    isDisabled: isAndBtnDisabled,
                                    onClick: this.props.onAndButtonClick.bind(this, expression)
                                },
                                'AND'
                            )
                        )
                    )
                )
            );
        }
    }]);

    return TargetingExpressionRow;
}(Component);

TargetingExpressionRow.propTypes = {
    expression: PropTypes.object,
    ruleValueFormatMap: PropTypes.object.isRequired,
    onDeleteRuleButtonClick: PropTypes.func.isRequired,
    onOrButtonClick: PropTypes.func.isRequired,
    onAndButtonClick: PropTypes.func.isRequired,
    onRuleChange: PropTypes.func.isRequired
};


export default TargetingExpressionRow;