import PropTypes from 'prop-types';
import React from 'react';

import Select from '../../../components/select';

import * as Constants from './constants';

/**
 * The left <select> with list of rules to choose from.
 */
var RuleSelect = function RuleSelect(_ref) {
    var name = _ref.name,
        onChange = _ref.onChange,
        ruleValueFormatMap = _ref.ruleValueFormatMap;
    return React.createElement(
        Select,
        {
            className: 'inline-control rule-select',
            onChange: onChange,
            name: Constants.TERM_NAME,
            label: 'Select Rule',
            value: name
        },
        Object.keys(ruleValueFormatMap).map(function (key) {
            return React.createElement(
                'option',
                { key: key, value: key },
                ruleValueFormatMap[key].optionUIstr
            );
        })
    );
};

RuleSelect.displayName = 'RuleSelect';

RuleSelect.propTypes = {
    ruleValueFormatMap: PropTypes.objectOf(PropTypes.shape({
        format: PropTypes.string.isRequired,
        optionUIstr: PropTypes.string.isRequired
    })).isRequired,
    name: PropTypes.string.isRequired,
    onChange: PropTypes.func.isRequired
};

export default RuleSelect;