var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import PropTypes from 'prop-types';
import React, { Component } from 'react';

import Select from '../../../components/select';

import * as Constants from './constants';

/**
 * The middle <select> with list of rule types to choose from.
 */

var RuleTypeSelect = function (_Component) {
    _inherits(RuleTypeSelect, _Component);

    function RuleTypeSelect() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, RuleTypeSelect);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = RuleTypeSelect.__proto__ || Object.getPrototypeOf(RuleTypeSelect)).call.apply(_ref, [this].concat(args))), _this), _this.ruleTypeSelectForNumberValueRule = function () {
            return React.createElement(
                Select,
                {
                    className: 'inline-control',
                    onChange: _this.props.onChange,
                    name: 'expressionType',
                    label: 'Expression Type',
                    value: _this.props.value,
                    required: true
                },
                React.createElement(
                    'option',
                    { value: Constants.EXPRESSION_TYPE_EQUAL },
                    'equal'
                ),
                React.createElement(
                    'option',
                    { value: Constants.EXPRESSION_TYPE_AMONG },
                    'among'
                ),
                React.createElement(
                    'option',
                    { value: Constants.EXPRESSION_TYPE_IN_RANGE },
                    'in range'
                ),
                React.createElement(
                    'option',
                    { value: Constants.EXPRESSION_TYPE_NOT_EQUAL },
                    'not equal'
                ),
                React.createElement(
                    'option',
                    { value: Constants.EXPRESSION_TYPE_NOT_AMONG },
                    'not among'
                ),
                React.createElement(
                    'option',
                    { value: Constants.EXPRESSION_TYPE_NOT_IN_RANGE },
                    'not in range'
                )
            );
        }, _this.ruleTypeSelectForStringValueRule = function () {
            return React.createElement(
                Select,
                {
                    className: 'inline-control',
                    onChange: _this.props.onChange,
                    name: 'expressionType',
                    label: 'Expression Type',
                    value: _this.props.value
                },
                React.createElement(
                    'option',
                    { value: Constants.EXPRESSION_TYPE_EQUAL },
                    'equal'
                ),
                React.createElement(
                    'option',
                    { value: Constants.EXPRESSION_TYPE_AMONG },
                    'among'
                ),
                React.createElement(
                    'option',
                    { value: Constants.EXPRESSION_TYPE_NOT_EQUAL },
                    'not equal'
                ),
                React.createElement(
                    'option',
                    { value: Constants.EXPRESSION_TYPE_NOT_AMONG },
                    'not among'
                )
            );
        }, _this.ruleTypeSelectForBoolValueRule = function () {
            return React.createElement(
                Select,
                {
                    className: 'inline-control',
                    onChange: _this.props.onChange,
                    name: 'expressionType',
                    label: 'Expression Type',
                    value: _this.props.value
                },
                React.createElement(
                    'option',
                    { value: Constants.EXPRESSION_TYPE_EQUAL },
                    'equal'
                ),
                React.createElement(
                    'option',
                    { value: Constants.EXPRESSION_TYPE_NOT_EQUAL },
                    'not equal'
                )
            );
        }, _this.ruleTypeSelectForMixedValueRule = function () {
            return React.createElement(
                Select,
                {
                    className: 'inline-control',
                    onChange: _this.props.onChange,
                    name: 'expressionType',
                    label: 'Expression Type',
                    value: _this.props.value
                },
                React.createElement(
                    'option',
                    { value: Constants.EXPRESSION_TYPE_EQUAL },
                    'equal'
                ),
                React.createElement(
                    'option',
                    { value: Constants.EXPRESSION_TYPE_AMONG },
                    'among'
                ),
                React.createElement(
                    'option',
                    { value: Constants.EXPRESSION_TYPE_IN_RANGE },
                    'in range'
                ),
                React.createElement(
                    'option',
                    { value: Constants.EXPRESSION_TYPE_NOT_EQUAL },
                    'not equal'
                ),
                React.createElement(
                    'option',
                    { value: Constants.EXPRESSION_TYPE_NOT_AMONG },
                    'not among'
                ),
                React.createElement(
                    'option',
                    { value: Constants.EXPRESSION_TYPE_NOT_IN_RANGE },
                    'not in range'
                )
            );
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    /**
     * Rule type select for rules expecting number value.
     */


    /**
     * Rule type select for rules expecting string value.
     */


    /**
     * Rule type select for rules expecting bool value.
     */


    /**
     * Render rule type select for rules expecting string/number/bool value.
     */


    _createClass(RuleTypeSelect, [{
        key: 'render',
        value: function render() {
            // look up the type of expected value format for a specific rule.
            switch (this.props.valueFormat) {
                case Constants.FORMAT_NUMBER_VALUE:
                    return this.ruleTypeSelectForNumberValueRule();
                case Constants.FORMAT_STRING_VALUE:
                    return this.ruleTypeSelectForStringValueRule();
                case Constants.FORMAT_BOOL_VALUE:
                    return this.ruleTypeSelectForBoolValueRule();
                case Constants.FORMAT_MIXED_VALUE:
                    return this.ruleTypeSelectForMixedValueRule();
                default:
                    break;
            }
            return null;
        }
    }]);

    return RuleTypeSelect;
}(Component);

RuleTypeSelect.propTypes = {
    onChange: PropTypes.func.isRequired,
    value: PropTypes.string.isRequired,
    valueFormat: PropTypes.string.isRequired
};


export default RuleTypeSelect;