var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import PropTypes from 'prop-types';
import React, { Component } from 'react';

import TextInput from '../../../components/text-input';
import SelectMulti from '../../../deprecated/select-multi';

import * as Constants from './constants';

/**
 * The value fields for 'among' type rule, on the right side of rule UI.
 * Depends on the rule's value format, we will render an input or multi-select.
 */

var RuleValueInputAmong = function (_Component) {
    _inherits(RuleValueInputAmong, _Component);

    function RuleValueInputAmong() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, RuleValueInputAmong);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = RuleValueInputAmong.__proto__ || Object.getPrototypeOf(RuleValueInputAmong)).call.apply(_ref, [this].concat(args))), _this), _this.onTextInputChange = function (event) {
            var currentTarget = event.currentTarget;

            var updatedExpression = _this.getUpdatedExpression(currentTarget.value);
            // Report the new expression to parent component.
            _this.props.onChange(updatedExpression);
            event.stopPropagation();
        }, _this.onSelectMultiChange = function (optionsItems) {
            var selectedOptionsString = optionsItems.filter(function (item) {
                return item.isSelected;
            }).map(function (item) {
                return item.value;
            }).join(',');
            var updatedExpression = _this.getUpdatedExpression(selectedOptionsString);
            // Report the new expression to parent component.
            _this.props.onChange(updatedExpression);
        }, _this.getUpdatedExpression = function (fieldValue) {
            var expression = _this.props.expression;
            expression.term.value = fieldValue;
            return expression;
        }, _this.renderValueOptionsSelect = function () {
            // term.value is an array.
            var preSelectedValues = _this.props.expression.term.value;

            // build multi select options array.
            var multiSelectOptions = [];
            var valueOptions = _this.props.valueOptions;
            valueOptions.forEach(function (valueOption) {
                var newOption = {
                    displayText: valueOption,
                    value: valueOption
                };
                if (preSelectedValues.indexOf(valueOption) > -1) {
                    newOption.isSelected = true;
                }
                multiSelectOptions.push(newOption);
            });

            return React.createElement(SelectMulti, {
                className: 'inline-control rule-value-select',
                name: Constants.TERM_VALUE,
                label: 'Value',
                placeholder: 'Choose values',
                defaultItems: multiSelectOptions,
                onChange: _this.onSelectMultiChange
            });
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    /**
     * Event handler when user changes text input value.
     * @param {object} event
     */


    /**
     * Event handler when user select/deselect options in multi select dropdonw.
     * @param {array} selectedItems Array of selected items. Each item object has following attributes:
     *                      - value value of the option
     *                      - displayText UI text of the option
     *                      - isSelected boolean
     */


    /**
     * Update state when rule value fields changed.
     * @param {string} fieldValue
     * @returns {object} updated rule state
     */


    /**
     * Render dropdown with value options
     */


    _createClass(RuleValueInputAmong, [{
        key: 'render',


        /**
         * For rules expressed with bool we will only have a dropdown for 'true' 'false'
         * For rules expressed with number we will have an input.
         */
        value: function render() {
            var term = this.props.expression.term;
            return Array.isArray(this.props.valueOptions) ? this.renderValueOptionsSelect() : React.createElement(TextInput, {
                name: Constants.TERM_VALUE,
                label: 'Values',
                placeholder: 'v1, v2, v3',
                type: 'text',
                className: 'inline-control',
                value: String(term.value),
                error: this.props.validationError ? this.props.validationError.message : null,
                onChange: this.onTextInputChange,
                isRequired: true
            });
        }
    }]);

    return RuleValueInputAmong;
}(Component);

RuleValueInputAmong.propTypes = {
    onChange: PropTypes.func.isRequired,
    expression: PropTypes.object.isRequired,
    valueOptions: PropTypes.arrayOf(PropTypes.oneOfType([PropTypes.number, PropTypes.string, PropTypes.bool])),
    validationError: PropTypes.shape({
        code: PropTypes.string.isRequired,
        message: PropTypes.string.isRequired
    })
};


export default RuleValueInputAmong;