var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import PropTypes from 'prop-types';
import React, { Component } from 'react';

import Select from '../../../components/select';
import TextInput from '../../../components/text-input';

import * as Constants from './constants';

/**
 *  The value fields for 'equal' type rule, on the right side of rule UI.
 * Depends on the rule's value format, we will render an input or select.
 */

var RuleValueInputEqual = function (_Component) {
    _inherits(RuleValueInputEqual, _Component);

    function RuleValueInputEqual() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, RuleValueInputEqual);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = RuleValueInputEqual.__proto__ || Object.getPrototypeOf(RuleValueInputEqual)).call.apply(_ref, [this].concat(args))), _this), _this.onChange = function (event) {
            var currentTarget = event.currentTarget;

            var updatedExpression = _this.getUpdatedExpression(currentTarget.value);
            // Report the new expression to parent component.
            _this.props.onChange(updatedExpression);
            event.stopPropagation();
        }, _this.getUpdatedExpression = function (fieldValue) {
            var expression = _this.props.expression;
            expression.term.value = fieldValue;
            return expression;
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    /**
     * Event handler when user changes input value.
     * @param {object} event
     */


    /**
     * Update state when rule value fields changed.
     * @param {string} fieldValue
     * @returns {object} updated rule state
     */


    _createClass(RuleValueInputEqual, [{
        key: 'render',


        /**
         * For rules expressed with bool we will only have a dropdown for 'true' 'false'
         * For rules expressed with number we will have an input.
         */
        value: function render() {
            var term = this.props.expression.term;
            return Array.isArray(this.props.valueOptions) ? React.createElement(
                Select,
                {
                    className: 'inline-control rule-value-select',
                    name: Constants.TERM_VALUE,
                    label: 'Value',
                    value: String(term.value),
                    onChange: this.onChange
                },
                this.props.valueOptions.map(function (option, i) {
                    return React.createElement(
                        'option',
                        { value: option, key: i },
                        String(option)
                    );
                })
            ) : React.createElement(TextInput, {
                name: Constants.TERM_VALUE,
                label: 'Value',
                placeholder: 'expected value',
                type: 'text',
                className: 'inline-control',
                value: String(term.value),
                error: this.props.validationError ? this.props.validationError.message : null,
                onChange: this.onChange,
                isRequired: true
            });
        }
    }]);

    return RuleValueInputEqual;
}(Component);

RuleValueInputEqual.propTypes = {
    onChange: PropTypes.func.isRequired,
    expression: PropTypes.object.isRequired,
    valueOptions: PropTypes.arrayOf(PropTypes.oneOfType([PropTypes.number, PropTypes.string, PropTypes.bool])),
    validationError: PropTypes.shape({
        code: PropTypes.string.isRequired,
        message: PropTypes.string.isRequired
    })
};


export default RuleValueInputEqual;