var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import PropTypes from 'prop-types';
import React, { Component } from 'react';

import TextInput from '../../../components/text-input';

import * as Constants from './constants';

/**
 * The value fields for 'in range' type rule, on the right side of rule UI.
 * we will render two inputs for lower/upper limit.
 */

var RuleValueInputsInRange = function (_Component) {
    _inherits(RuleValueInputsInRange, _Component);

    function RuleValueInputsInRange() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, RuleValueInputsInRange);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = RuleValueInputsInRange.__proto__ || Object.getPrototypeOf(RuleValueInputsInRange)).call.apply(_ref, [this].concat(args))), _this), _this.onChange = function (event) {
            var currentTarget = event.currentTarget;

            var updatedExpression = _this.getUpdatedExpression(currentTarget.name, currentTarget.value);
            // Report the new expression to parent component.
            _this.props.onChange(updatedExpression);
            event.stopPropagation();
        }, _this.getUpdatedExpression = function (fieldName, fieldValue) {
            var expression = _this.props.expression;
            if (fieldValue === '') {
                delete expression.term.value[fieldName];
            } else {
                expression.term.value[fieldName] = fieldValue;
            }
            return expression;
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    /**
     * Event handler when user changes input value.
     * @param {object} event
     */


    /**
     * Update state when rule value fields changed.
     * @param {string} fieldName
     * @param {string} fieldValue
     * @returns {object} updated rule state
     */


    _createClass(RuleValueInputsInRange, [{
        key: 'render',


        /**
         * For rules expressed with bool we will only have a dropdown for 'true' 'false'
         * For rules expressed with number we will have an input.
         */
        value: function render() {
            var term = this.props.expression.term;
            var error = this.props.validationError;
            return React.createElement(
                'div',
                { className: 'inline-control' },
                React.createElement(
                    'div',
                    { className: 'inline-control' },
                    React.createElement(TextInput, {
                        className: 'half-width-control',
                        name: Constants.RANGE_LOWER_BOUND,
                        label: 'Lower limit',
                        placeholder: '0',
                        type: 'text',
                        value: term.value.lower ? String(term.value.lower) : '',
                        error: error && error[Constants.RANGE_LOWER_BOUND] ? error[Constants.RANGE_LOWER_BOUND].message : null,
                        onChange: this.onChange
                    })
                ),
                React.createElement(
                    'div',
                    { className: 'inline-control' },
                    React.createElement(TextInput, {
                        className: 'half-width-control',
                        name: Constants.RANGE_UPPER_BOUND,
                        label: 'Upper limit',
                        placeholder: '0',
                        type: 'text',
                        value: term.value.upper ? String(term.value.upper) : '',
                        error: error && error[Constants.RANGE_UPPER_BOUND] ? error[Constants.RANGE_UPPER_BOUND].message : null,
                        onChange: this.onChange
                    })
                )
            );
        }
    }]);

    return RuleValueInputsInRange;
}(Component);

RuleValueInputsInRange.propTypes = {
    onChange: PropTypes.func.isRequired,
    expression: PropTypes.object.isRequired,
    validationError: PropTypes.shape({
        lower: PropTypes.shape({
            code: PropTypes.string.isRequired,
            message: PropTypes.string.isRequired
        }),
        upper: PropTypes.shape({
            code: PropTypes.string.isRequired,
            message: PropTypes.string.isRequired
        })
    })
};


export default RuleValueInputsInRange;