/**
 * constants used in targeting-rule
 * NOTE@(haiwnag) Keep these constants in sync with TargetingEngine.php
 */

// prefix used for rule editor input fields' names
export var CONTEXT_FIELDS_PREFIX = 'ruleContext__';

export var EXPRESSION_TYPE_LOGIC = 'logic';
export var EXPRESSION_TYPE_AMONG = 'among';
export var EXPRESSION_TYPE_EQUAL = 'equal';
export var EXPRESSION_TYPE_IN_RANGE = 'in_range';
export var EXPRESSION_TYPE_NOT_EQUAL = 'not_equal';
export var EXPRESSION_TYPE_NOT_CONTAIN = 'not_contain';
export var EXPRESSION_TYPE_NOT_AMONG = 'not_among';
export var EXPRESSION_TYPE_NOT_IN_RANGE = 'not_in_range';
export var NOT_EXPRESSION_PREFIX = 'not_';
export var LOGIC_OPERATION_NOT = 'NOT';

export var TERM_NAME = 'name';
export var TERM_VALUE = 'value';
export var CONTAIN_KEY = 'key';
export var CONTAIN_VALUE = 'value';
export var RANGE_LOWER_BOUND = 'lower';
export var RANGE_UPPER_BOUND = 'upper';

export var FORMAT_NUMBER_VALUE = 'format_number_value';
export var FORMAT_STRING_VALUE = 'format_string_value';
export var FORMAT_BOOL_VALUE = 'format_bool_value';
export var FORMAT_MIXED_VALUE = 'format_mixed_value';

// Get default expression type for each rule based on rule's value type.
export var defaultRuleTypeForValueFormat = {};
defaultRuleTypeForValueFormat[FORMAT_NUMBER_VALUE] = EXPRESSION_TYPE_EQUAL;
defaultRuleTypeForValueFormat[FORMAT_STRING_VALUE] = EXPRESSION_TYPE_EQUAL;
defaultRuleTypeForValueFormat[FORMAT_BOOL_VALUE] = EXPRESSION_TYPE_EQUAL;
defaultRuleTypeForValueFormat[FORMAT_MIXED_VALUE] = EXPRESSION_TYPE_EQUAL;

// Get default expression value, based on expression type and value format.
export var expressionDefaultValueMap = {};
expressionDefaultValueMap[EXPRESSION_TYPE_AMONG] = {};
expressionDefaultValueMap[EXPRESSION_TYPE_AMONG][FORMAT_NUMBER_VALUE] = '';
expressionDefaultValueMap[EXPRESSION_TYPE_AMONG][FORMAT_STRING_VALUE] = '';
expressionDefaultValueMap[EXPRESSION_TYPE_AMONG][FORMAT_MIXED_VALUE] = '';

expressionDefaultValueMap[EXPRESSION_TYPE_EQUAL] = {};
expressionDefaultValueMap[EXPRESSION_TYPE_EQUAL][FORMAT_NUMBER_VALUE] = '0';
expressionDefaultValueMap[EXPRESSION_TYPE_EQUAL][FORMAT_STRING_VALUE] = '';
expressionDefaultValueMap[EXPRESSION_TYPE_EQUAL][FORMAT_BOOL_VALUE] = 'true';
expressionDefaultValueMap[EXPRESSION_TYPE_EQUAL][FORMAT_MIXED_VALUE] = '';

expressionDefaultValueMap[EXPRESSION_TYPE_IN_RANGE] = {};
expressionDefaultValueMap[EXPRESSION_TYPE_IN_RANGE][FORMAT_NUMBER_VALUE] = {
    lower: '0',
    upper: '1'
};
expressionDefaultValueMap[EXPRESSION_TYPE_IN_RANGE][FORMAT_MIXED_VALUE] = {
    lower: '0',
    upper: '1'
};