var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import { injectIntl } from 'react-intl';
import TextareaAutosize from 'react-textarea-autosize';

import messages from './messages';

var EditableDescription = function (_React$PureComponent) {
    _inherits(EditableDescription, _React$PureComponent);

    function EditableDescription(props) {
        _classCallCheck(this, EditableDescription);

        var _this = _possibleConstructorReturn(this, (EditableDescription.__proto__ || Object.getPrototypeOf(EditableDescription)).call(this, props));

        _this.handleBlur = function () {
            var value = _this.state.value;

            _this.props.onDescriptionChange(value);
        };

        _this.handleChange = function (event) {
            var value = event.currentTarget.value;

            _this.setState({ value: value });
        };

        _this.state = {
            value: props.value || ''
        };
        return _this;
    }

    _createClass(EditableDescription, [{
        key: 'componentWillReceiveProps',
        value: function componentWillReceiveProps(nextProps) {
            this.setState({ value: nextProps.value });
        }
    }, {
        key: 'render',
        value: function render() {
            var _props = this.props,
                intl = _props.intl,
                textAreaProps = _props.textAreaProps;
            var value = this.state.value;


            return React.createElement(TextareaAutosize, _extends({}, textAreaProps, {
                className: 'description-textarea',
                maxLength: '255',
                maxRows: 6,
                onBlur: this.handleBlur,
                onChange: this.handleChange,
                placeholder: intl.formatMessage(messages.descriptionPlaceholder),
                value: value
            }));
        }
    }]);

    return EditableDescription;
}(React.PureComponent);

EditableDescription.defaultProps = {
    textAreaProps: {},
    value: ''
};
EditableDescription.propTypes = {
    intl: PropTypes.object.isRequired,
    onDescriptionChange: PropTypes.func.isRequired,
    textAreaProps: PropTypes.object,
    value: PropTypes.string
};


export { EditableDescription as EditableDescriptionBase };
export default injectIntl(EditableDescription);
import PropTypes from 'prop-types';