var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _errorMap;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';
import { FormattedMessage, injectIntl } from 'react-intl';

import commonMessages from '../../common/messages';
import TextInput from '../../components/text-input/TextInput';

import messages from './messages';

var VALUE_MISSING = 'valueMissing';
var TYPE_MISMATCH = 'typeMismatch';

var errorMap = (_errorMap = {}, _defineProperty(_errorMap, VALUE_MISSING, React.createElement(FormattedMessage, commonMessages.requiredFieldError)), _defineProperty(_errorMap, TYPE_MISMATCH, React.createElement(FormattedMessage, commonMessages.invalidURLError)), _errorMap);

var EditableURL = function (_React$Component) {
    _inherits(EditableURL, _React$Component);

    function EditableURL() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, EditableURL);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = EditableURL.__proto__ || Object.getPrototypeOf(EditableURL)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
            error: '',
            value: _this.props.value
        }, _this.handleBlur = function () {
            if (!_this.inputEl) {
                return;
            }

            var _this$inputEl$validit = _this.inputEl.validity,
                valid = _this$inputEl$validit.valid,
                valueMissing = _this$inputEl$validit.valueMissing;

            if (!valid) {
                _this.setState({
                    error: valueMissing ? VALUE_MISSING : TYPE_MISMATCH
                });
                return;
            }

            _this.props.onValidURLChange(_this.state.value);
        }, _this.handleChange = function (event) {
            _this.setState({ value: event.currentTarget.value });
        }, _this.handleFocus = function () {
            _this.setState({ error: '' });
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(EditableURL, [{
        key: 'componentWillReceiveProps',
        value: function componentWillReceiveProps(nextProps) {
            var value = nextProps.value;

            if (value !== this.props.value) {
                this.setState({ value: value });
            }
        }
    }, {
        key: 'render',
        value: function render() {
            var _this2 = this;

            var formatMessage = this.props.intl.formatMessage;
            var _state = this.state,
                error = _state.error,
                value = _state.value;


            return React.createElement(TextInput, {
                className: 'url-input',
                error: error ? errorMap[error] : undefined,
                hideLabel: true,
                inputRef: function inputRef(ref) {
                    _this2.inputEl = ref;
                },
                isRequired: true,
                label: formatMessage(messages.url),
                onBlur: this.handleBlur,
                onChange: this.handleChange,
                onFocus: this.handleFocus,
                placeholder: formatMessage(messages.urlPlaceholder),
                type: 'url',
                value: value
            });
        }
    }]);

    return EditableURL;
}(React.Component);

EditableURL.propTypes = {
    intl: PropTypes.object.isRequired,
    onValidURLChange: PropTypes.func.isRequired,
    value: PropTypes.string.isRequired
};


export { EditableURL as EditableURLBase, VALUE_MISSING, TYPE_MISMATCH };
export default injectIntl(EditableURL);
import PropTypes from 'prop-types';