var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import classNames from 'classnames';
import debounce from 'lodash/debounce';
import throttle from 'lodash/throttle';

import { NavSidebar, NavList, NavListCollapseHeader } from '../../components/nav-sidebar';
import LoadingIndicatorWrapper from '../../components/loading-indicator/LoadingIndicatorWrapper';
import { BOX_BLUE } from '../../common/variables';

import CopyrightFooter from './CopyrightFooter';
import InstantLogin from './InstantLogin';
import LeftSidebarDropWrapper from './LeftSidebarDropWrapper';
import LeftSidebarIconWrapper from './LeftSidebarIconWrapper';
import LeftSidebarLink from './LeftSidebarLink';
import NewItemsIndicator from './NewItemsIndicator';

import './styles/LeftSidebar.scss';

var LeftSidebar = function (_React$Component) {
    _inherits(LeftSidebar, _React$Component);

    function LeftSidebar(props) {
        _classCallCheck(this, LeftSidebar);

        var _this = _possibleConstructorReturn(this, (LeftSidebar.__proto__ || Object.getPrototypeOf(LeftSidebar)).call(this, props));

        _this.onListScroll = function () {
            _this.changeIsScrollingState();
            _this.throttledCheckAndChangeScrollShadows();
        };

        _this.checkAndChangeScrollShadows = function () {
            if (_this.elScrollableList) {
                _this.setState(_this.calculateOverflow(_this.elScrollableList));
            }
        };

        _this.changeIsScrollingState = function () {
            if (!_this.state.isScrolling) {
                _this.setState({
                    isScrolling: true
                });
            }

            _this.debouncedTurnOffScrollingState();
        };

        _this.turnOffScrollingState = function () {
            _this.setState({
                isScrolling: false
            });
        };

        _this.debouncedTurnOffScrollingState = debounce(_this.turnOffScrollingState, 100);
        _this.throttledCheckAndChangeScrollShadows = throttle(_this.checkAndChangeScrollShadows, 50);


        _this.state = {
            isScrollableAbove: false,
            isScrollableBelow: false,
            isScrolling: false
        };
        return _this;
    }

    _createClass(LeftSidebar, [{
        key: 'componentDidUpdate',
        value: function componentDidUpdate() {
            if (!this.elScrollableList) {
                return;
            }

            var overflow = this.calculateOverflow(this.elScrollableList);

            /**
             * recalculate overflow when dropdown is visible and new collabs are added
             * This will not go into an infinite loop because we check for changes in local component state
             */
            if (overflow.isScrollableAbove !== this.state.isScrollableAbove || overflow.isScrollableBelow !== this.state.isScrollableBelow) {
                // eslint-disable-next-line react/no-did-update-set-state
                this.setState(overflow);
            }
        }
    }, {
        key: 'getIcon',
        value: function getIcon(iconElement, IconComponent) {
            var customTheme = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
            var selected = arguments[3];
            var scaleIcon = arguments[4];

            var wrapperClass = scaleIcon ? 'scaled-icon' : '';

            if (iconElement) {
                return React.createElement(
                    LeftSidebarIconWrapper,
                    { className: wrapperClass },
                    iconElement
                );
            } else if (IconComponent) {
                return React.createElement(
                    LeftSidebarIconWrapper,
                    { className: wrapperClass },
                    React.createElement(IconComponent, {
                        color: selected && customTheme.secondaryColor ? customTheme.secondaryColor : BOX_BLUE,
                        selected: selected
                    })
                );
            }

            return null;
        }
    }, {
        key: 'getNewItemBadge',
        value: function getNewItemBadge(newItemBadge) {
            var customTheme = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
            var secondaryColor = customTheme.secondaryColor;


            return newItemBadge ? React.createElement(NewItemsIndicator, { customColor: secondaryColor }) : null;
        }
    }, {
        key: 'getNavList',
        value: function getNavList(headerLinkProps, leftSidebarProps, showLoadingIndicator, onToggleCollapse) {
            var _this2 = this;

            var _headerLinkProps$canR = headerLinkProps.canReceiveDrop,
                canReceiveDrop = _headerLinkProps$canR === undefined ? false : _headerLinkProps$canR,
                _headerLinkProps$clas = headerLinkProps.className,
                className = _headerLinkProps$clas === undefined ? '' : _headerLinkProps$clas,
                collapsed = headerLinkProps.collapsed,
                dropTargetRef = headerLinkProps.dropTargetRef,
                id = headerLinkProps.id,
                menuItems = headerLinkProps.menuItems,
                placeholder = headerLinkProps.placeholder;


            var heading = onToggleCollapse ? React.createElement(
                NavListCollapseHeader,
                { onToggleCollapse: onToggleCollapse },
                this.getNavLink(headerLinkProps, leftSidebarProps)
            ) : this.getNavLink(headerLinkProps, leftSidebarProps);

            var placeholderEl = menuItems && menuItems.length || showLoadingIndicator ? null : React.createElement(
                'div',
                { className: 'placeholder' },
                placeholder
            );

            var classes = classNames('left-sidebar-list', className, {
                'lsb-scrollable-shadow-top': this.state.isScrollableAbove,
                'lsb-scrollable-shadow-bottom': this.state.isScrollableBelow
            });

            var ulProps = onToggleCollapse ? {
                onScroll: this.onListScroll,
                ref: function ref(elScrollableList) {
                    _this2.elScrollableList = elScrollableList;
                }
            } : {};

            var builtNavList = React.createElement(
                NavList,
                {
                    className: classes,
                    collapsed: collapsed,
                    heading: heading,
                    placeholder: placeholderEl,
                    key: 'list-' + id,
                    ulProps: ulProps
                },
                menuItems && menuItems.map(function (props) {
                    return _this2.getNavLink(props, leftSidebarProps);
                })
            );

            return canReceiveDrop ? React.createElement(
                LeftSidebarDropWrapper,
                {
                    isDragging: leftSidebarProps.isDragging,
                    dropTargetRef: dropTargetRef
                },
                builtNavList
            ) : builtNavList;
        }
    }, {
        key: 'getNavLink',
        value: function getNavLink(props, leftSidebarProps) {
            var callout = props.callout,
                _props$canReceiveDrop = props.canReceiveDrop,
                canReceiveDrop = _props$canReceiveDrop === undefined ? false : _props$canReceiveDrop,
                _props$className = props.className,
                className = _props$className === undefined ? '' : _props$className,
                dropTargetRef = props.dropTargetRef,
                htmlAttributes = props.htmlAttributes,
                iconComponent = props.iconComponent,
                iconElement = props.iconElement,
                id = props.id,
                message = props.message,
                newItemBadge = props.newItemBadge,
                onClickRemove = props.onClickRemove,
                removeButtonHtmlAttributes = props.removeButtonHtmlAttributes,
                routerLink = props.routerLink,
                routerProps = props.routerProps,
                scaleIcon = props.scaleIcon,
                _props$selected = props.selected,
                selected = _props$selected === undefined ? false : _props$selected,
                showTooltip = props.showTooltip;


            var linkClassNames = classNames('left-sidebar-link', className, {
                'is-selected': selected
            });

            var builtLink = React.createElement(LeftSidebarLink, {
                callout: callout,
                canReceiveDrop: canReceiveDrop,
                className: linkClassNames,
                customTheme: leftSidebarProps.customTheme,
                onClickRemove: onClickRemove,
                htmlAttributes: htmlAttributes,
                icon: this.getIcon(iconElement, iconComponent, leftSidebarProps.customTheme, selected, scaleIcon),
                isScrolling: this.state.isScrolling,
                key: 'link-' + id,
                message: message,
                newItemBadge: this.getNewItemBadge(newItemBadge, leftSidebarProps.customTheme),
                removeButtonHtmlAttributes: removeButtonHtmlAttributes,
                routerLink: routerLink,
                routerProps: routerProps,
                selected: selected,
                showTooltip: showTooltip
            });

            // Check for menu items on links so we don't double-highlight groups
            return canReceiveDrop && !props.menuItems ? React.createElement(
                LeftSidebarDropWrapper,
                {
                    isDragging: leftSidebarProps.isDragging,
                    dropTargetRef: dropTargetRef
                },
                builtLink
            ) : builtLink;
        }
    }, {
        key: 'calculateOverflow',
        value: function calculateOverflow(elem) {
            var isScrollableAbove = elem.scrollTop > 0;
            var isScrollableBelow = elem.scrollTop < elem.scrollHeight - elem.clientHeight;
            return {
                isScrollableAbove: isScrollableAbove,
                isScrollableBelow: isScrollableBelow
            };
        }
    }, {
        key: 'render',
        value: function render() {
            var _this3 = this;

            var _props = this.props,
                leftSidebarProps = _props.leftSidebarProps,
                menuItems = _props.menuItems;

            var className = leftSidebarProps.className || '';
            var navSidebarProps = leftSidebarProps.htmlAttributes || {};
            var instantLoginProps = leftSidebarProps.instantLoginProps || {};

            var preparedMenu = menuItems.map(function (props, key) {
                if (props.menuItems) {
                    if (props.onToggleCollapse) {
                        var _collapsed = props.collapsed,
                            _showLoadingIndicator = props.showLoadingIndicator;


                        return React.createElement(
                            LoadingIndicatorWrapper,
                            {
                                className: 'favorites-loading-wrapper',
                                crawlerPosition: 'top',
                                isLoading: _showLoadingIndicator && !_collapsed,
                                key: 'loading-indicator-' + key
                            },
                            _this3.getNavList(props, leftSidebarProps, _showLoadingIndicator, props.onToggleCollapse)
                        );
                    }

                    return _this3.getNavList(props, leftSidebarProps);
                }

                return _this3.getNavLink(props, leftSidebarProps);
            });

            return React.createElement(
                NavSidebar,
                _extends({
                    className: 'left-sidebar ' + className
                }, navSidebarProps),
                leftSidebarProps.isInstantLoggedIn ? React.createElement(InstantLogin, instantLoginProps) : null,
                React.createElement(
                    'div',
                    { className: 'left-sidebar-container' },
                    preparedMenu
                ),
                React.createElement(CopyrightFooter, {
                    linkProps: leftSidebarProps.copyrightFooterProps
                })
            );
        }
    }]);

    return LeftSidebar;
}(React.Component);

LeftSidebar.defaultProps = {
    leftSidebarProps: {},
    menuItems: []
};
LeftSidebar.propTypes = {
    /** Optional properties defining selected items, customThemes, HTML attributes, and copyright text */
    leftSidebarProps: PropTypes.shape({
        /** Custom classname(s) */
        className: PropTypes.string,

        /** HTML attributes for use with the copyright footer */
        copyrightFooterProps: PropTypes.object,

        /** Theme object specifying primary/secondary colors, and highlighting */
        customTheme: PropTypes.object,

        /** HTML attributes associated with this container */
        htmlAttributes: PropTypes.object,

        /** Properties associated with InstantLogin component */
        instantLoginProps: PropTypes.object,

        /** Set the drag mode of the sidebar? */
        isDragging: PropTypes.bool,

        /** Determine if session is an instant login session or not */
        isInstantLoggedIn: PropTypes.bool
    }).isRequired,

    /** Contents for the menu. Allows for two levels of nesting */
    menuItems: PropTypes.arrayOf(PropTypes.shape({
        /** Sidebar Link Callout */
        callout: function callout() {
            return (typeof bpfrpt_proptype_Callout === 'function' ? bpfrpt_proptype_Callout : PropTypes.shape(bpfrpt_proptype_Callout)).apply(this, arguments);
        },

        /** flag to mark whether a menu item can be dropped on */
        canReceiveDrop: PropTypes.bool,

        /** class to add to menu element */
        className: PropTypes.string,

        /** Whether the menu should render as collapsed or expanded */
        collapsed: PropTypes.bool,

        /** Ref for parent to access drop target */
        dropTargetRef: PropTypes.shape({
            current: function current() {
                return (typeof HTMLDivElement === 'function' ? PropTypes.instanceOf(HTMLDivElement) : PropTypes.any).apply(this, arguments);
            }
        }),

        /** Optional HTML attributes to append to menu item */
        htmlAttributes: PropTypes.object,

        /** React element or component representing an svg icon */
        iconElement: PropTypes.node,

        /** React component representing an svg icon */
        iconComponent: function iconComponent() {
            return (typeof (React.ComponentType == null ? {} : React.ComponentType) === 'function' ? PropTypes.instanceOf(React.ComponentType == null ? {} : React.ComponentType) : PropTypes.any).apply(this, arguments);
        },

        /** Unique identifier for menu item */
        id: PropTypes.string.isRequired,

        /** Sub menu items for the top-level menu */
        menuItems: PropTypes.arrayOf(PropTypes.shape({
            /** Sidebar Link Callout */
            callout: function callout() {
                return (typeof bpfrpt_proptype_Callout === 'function' ? bpfrpt_proptype_Callout : PropTypes.shape(bpfrpt_proptype_Callout)).apply(this, arguments);
            },

            /** flag to mark whether a menu item can be dropped on */
            canReceiveDrop: PropTypes.bool,

            /** class to add to sub menu element */
            className: PropTypes.string,

            /** Ref for parent to access drop target */
            dropTargetRef: PropTypes.shape({
                current: function current() {
                    return (typeof HTMLDivElement === 'function' ? PropTypes.instanceOf(HTMLDivElement) : PropTypes.any).apply(this, arguments);
                }
            }),

            /** Optional HTML attributes to append to menu item */
            htmlAttributes: PropTypes.object,

            /** React element representing an svg icon */
            iconElement: PropTypes.node,

            /** React component representing an svg icon */
            iconComponent: function iconComponent() {
                return (typeof (React.ComponentType == null ? {} : React.ComponentType) === 'function' ? PropTypes.instanceOf(React.ComponentType == null ? {} : React.ComponentType) : PropTypes.any).apply(this, arguments);
            },

            /** Unique identifier for menu item */
            id: PropTypes.string.isRequired,

            /** Localized text string to use for individual menu items */
            message: PropTypes.string.isRequired,

            /** Whether we should show a badge marking new item content */
            newItemBadge: PropTypes.bool,

            /** Optional remove link click handler */
            onClickRemove: PropTypes.func,

            /** Optional remove button htmlAttributes */
            removeButtonHtmlAttributes: PropTypes.object,
            routerLink: function routerLink() {
                return (typeof (React.ComponentType == null ? {} : React.ComponentType) === 'function' ? PropTypes.instanceOf(React.ComponentType == null ? {} : React.ComponentType) : PropTypes.any).apply(this, arguments);
            },
            routerProps: PropTypes.object,

            /** Whether the menu icon should be scaled to compensate for extra white space in SVG */
            scaleIcon: PropTypes.bool,

            /** Whether the current page is associated with the current link */
            selected: PropTypes.bool,

            /** Whether the tooltip should be shown */
            showTooltip: PropTypes.bool
        })),

        /** Localized text string to use for individual menu items */
        message: PropTypes.string.isRequired,

        /** Whether we should show a badge marking new item content */
        newItemBadge: PropTypes.bool,

        /** Optional remove link click handler */
        onClickRemove: PropTypes.func,

        /** handler for when a user clicks on the toggleable menu item UI element */
        onToggleCollapse: PropTypes.func,
        placeholder: PropTypes.string,

        /** Optional remove button htmlAttributes */
        removeButtonHtmlAttributes: PropTypes.object,
        routerLink: function routerLink() {
            return (typeof (React.ComponentType == null ? {} : React.ComponentType) === 'function' ? PropTypes.instanceOf(React.ComponentType == null ? {} : React.ComponentType) : PropTypes.any).apply(this, arguments);
        },
        routerProps: PropTypes.object,

        /** Whether the menu icon should be scaled to compensate for extra white space in SVG */
        scaleIcon: PropTypes.bool,

        /** Whether the current page is associated with the current link */
        selected: PropTypes.bool,

        /** Whether child icons of this menu item should be shown */
        showChildIcons: PropTypes.bool,

        /** Whether to show a loading indicator on the list */
        showLoadingIndicator: PropTypes.bool,

        /** Whether the tooltip should be shown */
        showTooltip: PropTypes.bool
    })).isRequired
};


export default LeftSidebar;
import { bpfrpt_proptype_Callout } from './Callout';
import PropTypes from 'prop-types';