var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import * as React from 'react';

import './styles/LeftSidebarDropWrapper.scss';

var LeftSidebarDropWrapper = function LeftSidebarDropWrapper(_ref) {
    var children = _ref.children,
        _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$isDragging = _ref.isDragging,
        isDragging = _ref$isDragging === undefined ? false : _ref$isDragging,
        _ref$message = _ref.message,
        message = _ref$message === undefined ? '' : _ref$message,
        dropTargetRef = _ref.dropTargetRef,
        rest = _objectWithoutProperties(_ref, ['children', 'className', 'isDragging', 'message', 'dropTargetRef']);

    return React.createElement(
        'div',
        _extends({
            className: 'left-sidebar-drop-wrapper ' + className,
            ref: dropTargetRef
        }, rest),
        isDragging ? React.createElement(
            'div',
            { className: 'left-sidebar-drop-veil' },
            React.createElement(
                'span',
                { className: 'left-sidebar-drop-wrapper-text' },
                message
            )
        ) : null,
        children
    );
};

LeftSidebarDropWrapper.propTypes = {
    children: PropTypes.node.isRequired,
    className: PropTypes.string,
    dropTargetRef: PropTypes.shape({
        current: function current() {
            return (typeof HTMLDivElement === 'function' ? PropTypes.instanceOf(HTMLDivElement) : PropTypes.any).apply(this, arguments);
        }
    }),
    isDragging: PropTypes.bool,
    message: PropTypes.string
};
export default LeftSidebarDropWrapper;
import PropTypes from 'prop-types';