var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import classNames from 'classnames';

import LeftSidebarLinkCallout from './LeftSidebarLinkCallout';
import LinkBase from '../../components/link/LinkBase';
import RemoveButton from './RemoveButton';
import Tooltip from '../../components/tooltip';

import './styles/LeftSidebarLink.scss';

var LeftSidebarLink = function (_React$Component) {
    _inherits(LeftSidebarLink, _React$Component);

    function LeftSidebarLink(props) {
        _classCallCheck(this, LeftSidebarLink);

        var _this = _possibleConstructorReturn(this, (LeftSidebarLink.__proto__ || Object.getPrototypeOf(LeftSidebarLink)).call(this, props));

        _this.state = {
            isTextOverflowed: false
        };
        return _this;
    }

    _createClass(LeftSidebarLink, [{
        key: 'componentDidMount',
        value: function componentDidMount() {
            if (!this.leftSidebarLinkText) {
                return;
            }

            var _leftSidebarLinkText = this.leftSidebarLinkText,
                offsetWidth = _leftSidebarLinkText.offsetWidth,
                scrollWidth = _leftSidebarLinkText.scrollWidth;


            if (offsetWidth < scrollWidth) {
                // eslint-disable-next-line react/no-did-mount-set-state
                this.setState({
                    isTextOverflowed: true
                });
            }
        }
    }, {
        key: 'render',
        value: function render() {
            var _this2 = this;

            var _props = this.props,
                callout = _props.callout,
                _props$className = _props.className,
                className = _props$className === undefined ? '' : _props$className,
                _props$customTheme = _props.customTheme,
                customTheme = _props$customTheme === undefined ? {} : _props$customTheme,
                _props$htmlAttributes = _props.htmlAttributes,
                htmlAttributes = _props$htmlAttributes === undefined ? {} : _props$htmlAttributes,
                icon = _props.icon,
                _props$isScrolling = _props.isScrolling,
                isScrolling = _props$isScrolling === undefined ? false : _props$isScrolling,
                message = _props.message,
                newItemBadge = _props.newItemBadge,
                onClickRemove = _props.onClickRemove,
                _props$removeButtonHt = _props.removeButtonHtmlAttributes,
                removeButtonHtmlAttributes = _props$removeButtonHt === undefined ? {} : _props$removeButtonHt,
                RouterLink = _props.routerLink,
                _props$routerProps = _props.routerProps,
                routerProps = _props$routerProps === undefined ? {} : _props$routerProps,
                _props$selected = _props.selected,
                selected = _props$selected === undefined ? false : _props$selected,
                _props$showTooltip = _props.showTooltip,
                showTooltip = _props$showTooltip === undefined ? true : _props$showTooltip;
            var secondaryColor = customTheme.secondaryColor;

            var LinkComponent = RouterLink || LinkBase;
            var routerLinkProps = RouterLink ? routerProps : {};

            var linkComponent = React.createElement(
                LinkComponent,
                _extends({
                    className: className
                }, htmlAttributes, routerLinkProps, {
                    style: selected && customTheme ? {
                        boxShadow: secondaryColor ? 'inset 2px 0 0 ' + secondaryColor : undefined
                    } : {}
                }),
                icon,
                React.createElement(
                    'span',
                    {
                        className: 'left-sidebar-link-text',
                        ref: function ref(leftSidebarLinkText) {
                            _this2.leftSidebarLinkText = leftSidebarLinkText;
                        }
                    },
                    message
                ),
                newItemBadge
            );

            var component = linkComponent;

            if (callout) {
                component = React.createElement(
                    LeftSidebarLinkCallout,
                    { callout: callout },
                    linkComponent
                );
            } else if (showTooltip) {
                component = React.createElement(
                    Tooltip,
                    {
                        className: classNames('nav-link-tooltip', {
                            'is-visible': this.state.isTextOverflowed && !isScrolling
                        }),
                        position: 'middle-right',
                        text: message
                    },
                    linkComponent
                );
            }

            return onClickRemove ? React.createElement(
                'div',
                { className: 'left-sidebar-removeable-link-container' },
                component,
                React.createElement(RemoveButton, {
                    onClickRemove: onClickRemove,
                    removeButtonHtmlAttributes: removeButtonHtmlAttributes
                })
            ) : component;
        }
    }]);

    return LeftSidebarLink;
}(React.Component);

LeftSidebarLink.propTypes = {
    callout: function callout() {
        return (typeof bpfrpt_proptype_Callout === 'function' ? bpfrpt_proptype_Callout : PropTypes.shape(bpfrpt_proptype_Callout)).apply(this, arguments);
    },
    className: PropTypes.string,
    customTheme: PropTypes.object,
    htmlAttributes: PropTypes.object,
    icon: PropTypes.node,
    isScrolling: PropTypes.bool,
    message: PropTypes.string.isRequired,
    newItemBadge: PropTypes.node,
    onClickRemove: PropTypes.func,
    removeButtonHtmlAttributes: PropTypes.object,
    routerLink: function routerLink() {
        return (typeof (React.ComponentType == null ? {} : React.ComponentType) === 'function' ? PropTypes.instanceOf(React.ComponentType == null ? {} : React.ComponentType) : PropTypes.any).apply(this, arguments);
    },
    routerProps: PropTypes.object,
    selected: PropTypes.bool,
    showTooltip: PropTypes.bool
};


export default LeftSidebarLink;
import { bpfrpt_proptype_Callout } from './Callout';
import PropTypes from 'prop-types';