var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';

import { MultiGrid } from 'react-virtualized/dist/commonjs/MultiGrid/index';

import './styles/ListView.scss';

var ListView = function (_React$PureComponent) {
    _inherits(ListView, _React$PureComponent);

    function ListView() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, ListView);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = ListView.__proto__ || Object.getPrototypeOf(ListView)).call.apply(_ref, [this].concat(args))), _this), _this.cellRenderer = function (_ref2) {
            var columnIndex = _ref2.columnIndex,
                key = _ref2.key,
                rowIndex = _ref2.rowIndex,
                style = _ref2.style;
            var _this$props = _this.props,
                getGridCell = _this$props.getGridCell,
                getGridHeader = _this$props.getGridHeader;

            var cellData = getGridCell({ columnIndex: columnIndex, rowIndex: rowIndex });
            if (rowIndex === 0) {
                var displayName = getGridHeader(columnIndex);
                return React.createElement(
                    'div',
                    {
                        className: 'list-view-column-header',
                        key: key,
                        style: style
                    },
                    displayName
                );
            } else if (columnIndex === 0) {
                return React.createElement(
                    'div',
                    { className: 'list-view-name-cell', key: key, style: style },
                    cellData
                );
            } else {
                return React.createElement(
                    'div',
                    { className: 'list-view-column-cell', key: key, style: style },
                    cellData
                );
            }
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(ListView, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                columnCount = _props.columnCount,
                height = _props.height,
                rowCount = _props.rowCount,
                getColumnWidth = _props.getColumnWidth,
                width = _props.width;


            return React.createElement(
                'div',
                { className: 'metadata-views-list-view' },
                React.createElement(MultiGrid, {
                    cellRenderer: this.cellRenderer,
                    classNameBottomLeftGrid: 'list-view-bottom-left-grid',
                    classNameTopLeftGrid: 'list-view-top-left-grid',
                    classNameTopRightGrid: 'list-view-top-right-grid',
                    columnWidth: function columnWidth(_ref3) {
                        var columnIndex = _ref3.index;
                        return getColumnWidth ? getColumnWidth(columnIndex) : 300;
                    },
                    columnCount: columnCount,
                    enableFixedColumnScroll: true,
                    enableFixedRowScroll: true,
                    fixedColumnCount: 1,
                    fixedRowCount: 1,
                    height: height,
                    rowHeight: 40,
                    rowCount: rowCount,
                    scrollToColumn: 0,
                    scrollToRow: 0,
                    width: width,
                    hideTopRightGridScrollbar: true,
                    hideBottomLeftGridScrollbar: true
                })
            );
        }
    }]);

    return ListView;
}(React.PureComponent);

ListView.propTypes = {
    columnCount: PropTypes.number.isRequired,
    getGridCell: PropTypes.func.isRequired,
    getGridHeader: PropTypes.func.isRequired,
    getColumnWidth: PropTypes.func,
    height: PropTypes.number.isRequired,
    rowCount: PropTypes.number.isRequired,
    width: PropTypes.number.isRequired
};


export default ListView;
import PropTypes from 'prop-types';