import * as React from 'react';

import '../styles/SkeletonItemList.scss';

var HARDCODED_LEFT_POSITIONS = ['10px', '290px', '570px', '850px', '1130px'];

var DEFAULT_NUMBER_OF_ROWS = 10;

var renderColumn = function renderColumn(position) {
    return React.createElement(
        'div',
        { className: 'skeleton-content', style: { left: position } },
        '\xA0'
    );
};

var SkeletonItemList = function SkeletonItemList(_ref) {
    var numberOfRows = _ref.numberOfRows;
    return React.createElement(
        'div',
        { className: 'metadata-view-skeleton-table' },
        Array.from(new Array(numberOfRows || DEFAULT_NUMBER_OF_ROWS).keys()).map(function (num) {
            return React.createElement(
                'div',
                { key: num, className: 'skeleton-table-row' },
                HARDCODED_LEFT_POSITIONS.map(function (position) {
                    return renderColumn(position);
                })
            );
        })
    );
};

SkeletonItemList.propTypes = {
    numberOfRows: PropTypes.number
};
export default SkeletonItemList;
import PropTypes from 'prop-types';