import * as React from 'react';

import { AutoSizer } from 'react-virtualized/dist/es/AutoSizer/index';

import ListView from '../ListView';

var generateRandomString = function generateRandomString(value) {
    return String.fromCharCode(value % 65 + 65);
};

var getGridHeader = function getGridHeader(columnIndex) {
    return generateRandomString(columnIndex);
};

var getGridCell = function getGridCell(_ref) {
    var columnIndex = _ref.columnIndex,
        rowIndex = _ref.rowIndex;
    return generateRandomString(columnIndex + rowIndex);
};

var ListViewExamples = function ListViewExamples() {
    return React.createElement(
        'div',
        { style: { height: '1000px' } },
        React.createElement(
            AutoSizer,
            null,
            function (_ref2) {
                var height = _ref2.height,
                    width = _ref2.width;
                return React.createElement(ListView, {
                    columnCount: 1000,
                    height: height,
                    getGridCell: getGridCell,
                    getGridHeader: getGridHeader,
                    rowCount: 35,
                    width: width
                });
            }
        )
    );
};

export default ListViewExamples;