import * as React from 'react';
import { FormattedMessage } from 'react-intl';

import TemplateDropdown from './TemplateDropdown';
import messages from './messages';

import isHidden from './metadataUtil';
import './Header.scss';

var Header = function Header(_ref) {
    var canAdd = _ref.canAdd,
        editors = _ref.editors,
        isDropdownBusy = _ref.isDropdownBusy,
        onAdd = _ref.onAdd,
        templates = _ref.templates,
        title = _ref.title;
    return React.createElement(
        'div',
        { className: 'metadata-instance-editor-header' },
        title || React.createElement(
            'h4',
            { className: 'metadata-instance-editor-title' },
            React.createElement(FormattedMessage, messages.metadataTemplatesTitle)
        ),
        canAdd && onAdd && React.createElement(TemplateDropdown, {
            isDropdownBusy: isDropdownBusy,
            onAdd: onAdd,
            templates: templates.filter(function (template) {
                return !isHidden(template);
            } // Checking both isHidden and hidden attributes due to differences in V2 and V3 APIs
            ),
            usedTemplates: editors.map(function (editor) {
                return editor.template;
            })
        })
    );
};

Header.propTypes = {
    canAdd: PropTypes.bool.isRequired,
    editors: PropTypes.arrayOf(function () {
        return (typeof bpfrpt_proptype_Editor === 'function' ? bpfrpt_proptype_Editor : PropTypes.shape(bpfrpt_proptype_Editor)).apply(this, arguments);
    }).isRequired,
    isDropdownBusy: PropTypes.bool,
    onAdd: PropTypes.func,
    templates: PropTypes.arrayOf(function () {
        return (typeof bpfrpt_proptype_Template === 'function' ? bpfrpt_proptype_Template : PropTypes.shape(bpfrpt_proptype_Template)).apply(this, arguments);
    }).isRequired,
    title: PropTypes.node
};
export default Header;
import { bpfrpt_proptype_Editor } from './flowTypes';
import { bpfrpt_proptype_Template } from './flowTypes';
import PropTypes from 'prop-types';