import * as React from 'react';

import ScrollWrapper from '../../components/scroll-wrapper';

import Header from './Header';
import Instances from './Instances';
import EmptyContent from './EmptyContent';

import './MetadataInstanceEditor.scss';

var MetadataInstanceEditor = function MetadataInstanceEditor(_ref) {
    var canAdd = _ref.canAdd,
        _ref$isCascadingPolic = _ref.isCascadingPolicyApplicable,
        isCascadingPolicyApplicable = _ref$isCascadingPolic === undefined ? false : _ref$isCascadingPolic,
        isDropdownBusy = _ref.isDropdownBusy,
        _ref$editors = _ref.editors,
        editors = _ref$editors === undefined ? [] : _ref$editors,
        onModification = _ref.onModification,
        onRemove = _ref.onRemove,
        onAdd = _ref.onAdd,
        onSave = _ref.onSave,
        templates = _ref.templates,
        title = _ref.title;
    return React.createElement(
        'div',
        { className: 'metadata-instance-editor' },
        React.createElement(Header, {
            canAdd: canAdd,
            editors: editors,
            isDropdownBusy: isDropdownBusy,
            onAdd: onAdd,
            templates: templates,
            title: title
        }),
        editors.length === 0 ? React.createElement(EmptyContent, { canAdd: canAdd }) : React.createElement(
            ScrollWrapper,
            null,
            React.createElement(Instances, {
                isCascadingPolicyApplicable: isCascadingPolicyApplicable,
                editors: editors,
                onModification: onModification,
                onSave: onSave,
                onRemove: onRemove
            })
        )
    );
};

MetadataInstanceEditor.propTypes = {
    canAdd: PropTypes.bool.isRequired,
    editors: PropTypes.arrayOf(function () {
        return (typeof bpfrpt_proptype_Editor === 'function' ? bpfrpt_proptype_Editor : PropTypes.shape(bpfrpt_proptype_Editor)).apply(this, arguments);
    }),
    isCascadingPolicyApplicable: PropTypes.bool,
    isDropdownBusy: PropTypes.bool,
    onModification: PropTypes.func,
    onAdd: PropTypes.func,
    onRemove: PropTypes.func,
    onSave: PropTypes.func,
    templates: PropTypes.arrayOf(function () {
        return (typeof bpfrpt_proptype_Template === 'function' ? bpfrpt_proptype_Template : PropTypes.shape(bpfrpt_proptype_Template)).apply(this, arguments);
    }).isRequired,
    title: PropTypes.node
};
export default MetadataInstanceEditor;
import { bpfrpt_proptype_Editor } from './flowTypes';
import { bpfrpt_proptype_Template } from './flowTypes';
import { bpfrpt_proptype_JSONPatchOperations } from './flowTypes';
import { bpfrpt_proptype_CascadingPolicyData } from './flowTypes';
import PropTypes from 'prop-types';