import * as React from 'react';
import Draggable from 'react-draggable';

import '../styles/Header.scss';

var Header = function Header(_ref) {
    var headerData = _ref.headerData,
        resizeRow = _ref.resizeRow,
        shouldRenderResizeColumnIcon = _ref.shouldRenderResizeColumnIcon;
    var dataKey = headerData.dataKey,
        label = headerData.label;

    return React.createElement(
        React.Fragment,
        { key: dataKey },
        shouldRenderResizeColumnIcon === true && React.createElement(
            Draggable,
            {
                axis: 'x',
                defaultClassName: 'drag-handle',
                defaultClassNameDragging: 'DragHandleActive',
                onDrag: function onDrag(event, _ref2) {
                    var deltaX = _ref2.deltaX;

                    resizeRow({
                        dataKey: dataKey,
                        deltaX: deltaX
                    });
                },
                position: { x: 0 },
                zIndex: 999
            },
            React.createElement(
                'span',
                { className: 'drag-handle-icon' },
                '\u22EE'
            )
        ),
        React.createElement(
            'div',
            { className: 'header-column-label' },
            label
        )
    );
};

Header.propTypes = {
    headerData: function headerData() {
        return (typeof bpfrpt_proptype_HeaderData === 'function' ? bpfrpt_proptype_HeaderData.isRequired ? bpfrpt_proptype_HeaderData.isRequired : bpfrpt_proptype_HeaderData : PropTypes.shape(bpfrpt_proptype_HeaderData).isRequired).apply(this, arguments);
    },
    resizeRow: PropTypes.func.isRequired,
    shouldRenderResizeColumnIcon: PropTypes.bool.isRequired
};
export default Header;
import { bpfrpt_proptype_HeaderData } from '../../metadata-instance-editor/flowTypes';
import PropTypes from 'prop-types';