var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import * as React from 'react';
import { FormattedMessage } from 'react-intl';

import FolderEmptyState from '../../../icons/states/FolderEmptyState';
import MetadataEmptyState from '../../../icons/states/MetadataEmptyState';

import '../styles/Message.scss';

import messages from '../messages';

var emptyStateGraphicMapping = {
    needRefining: React.createElement(MetadataEmptyState, { className: 'metadata-empty-state-graphic' }),
    tooManyResults: React.createElement(MetadataEmptyState, { className: 'metadata-empty-state-graphic' }),
    noAccessForQuery: React.createElement(FolderEmptyState, { className: 'folder-empty-state-graphic' }),
    noAccessForTemplate: React.createElement(FolderEmptyState, { className: 'folder-empty-state-graphic' })
};

var emptyStateHeaderMapping = {
    needRefining: 'needRefiningHeaderText',
    tooManyResults: 'tooManyResultsHeaderText',
    noAccessForQuery: 'noResultsForQueryHeaderText',
    noAccessForTemplate: 'noResultsForTemplateHeaderText'
};

var emptyStateSubtitleMapping = {
    needRefining: 'needRefiningSubtitleText',
    tooManyResults: 'tooManyResultsSubtitleText',
    noAccessForQuery: 'noResultsForQuerySubtitleText',
    noAccessForTemplate: 'noResultsForTemplateSubtitleText'
};

var Message = function Message(_ref) {
    var message = _ref.message;

    var emptyStateMessageHeader = emptyStateHeaderMapping[message];
    var emptyStateMessageSubtitle = emptyStateSubtitleMapping[message];

    return React.createElement(
        'div',
        { className: 'metadata-view-header-text-container' },
        React.createElement(
            'div',
            { className: 'message-graphic' },
            emptyStateGraphicMapping[message]
        ),
        React.createElement(
            'div',
            { className: 'message-header-text' },
            React.createElement(FormattedMessage, _extends({}, messages[emptyStateMessageHeader], {
                values: { upperFileLimit: '100,000' }
            }))
        ),
        React.createElement(
            'div',
            { className: 'message-subtitle-text' },
            React.createElement(FormattedMessage, messages[emptyStateMessageSubtitle])
        )
    );
};

Message.propTypes = {
    message: PropTypes.string.isRequired
};
export default Message;
import PropTypes from 'prop-types';