var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import classnames from 'classnames';

import Avatar from '../../components/avatar';

var PresenceAvatar = function PresenceAvatar(_ref) {
    var avatarUrl = _ref.avatarUrl,
        id = _ref.id,
        isActive = _ref.isActive,
        name = _ref.name,
        onMouseEnter = _ref.onMouseEnter,
        onMouseLeave = _ref.onMouseLeave,
        onFocus = _ref.onFocus,
        onBlur = _ref.onBlur,
        isDropDownAvatar = _ref.isDropDownAvatar,
        rest = _objectWithoutProperties(_ref, ['avatarUrl', 'id', 'isActive', 'name', 'onMouseEnter', 'onMouseLeave', 'onFocus', 'onBlur', 'isDropDownAvatar']);

    return React.createElement(
        'div',
        _extends({
            className: classnames('presence-avatar', {
                'presence-avatar-notehead': !isDropDownAvatar,
                'presence-avatar-dropdown': isDropDownAvatar,
                'is-active': isActive
            }),
            onMouseEnter: onMouseEnter,
            onMouseLeave: onMouseLeave,
            onFocus: onFocus,
            onBlur: onBlur,
            tabIndex: !isDropDownAvatar ? '0' : ''
        }, rest),
        React.createElement(Avatar, {
            avatarUrl: avatarUrl,
            id: id,
            name: name,
            className: !isDropDownAvatar ? 'presence-notehead' : ''
        })
    );
};

PresenceAvatar.propTypes = {
    avatarUrl: PropTypes.string,
    id: PropTypes.oneOfType([PropTypes.string, PropTypes.number]),
    isActive: PropTypes.bool,
    name: PropTypes.string.isRequired,
    onMouseEnter: PropTypes.func,
    onMouseLeave: PropTypes.func,
    onFocus: PropTypes.func,
    onBlur: PropTypes.func,
    isDropDownAvatar: PropTypes.bool
};

PresenceAvatar.defaultProps = {
    isActive: false
};

export default PresenceAvatar;