var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import PropTypes from 'prop-types';
import PlainButton from '../../components/plain-button';
import { Flyout, Overlay } from '../../components/flyout';

import PresenceDropdown from './PresenceDropdown';
import { collaboratorsPropType, flyoutPositionPropType } from './propTypes';

import './Presence.scss';

var PresenceLink = function (_Component) {
    _inherits(PresenceLink, _Component);

    function PresenceLink() {
        _classCallCheck(this, PresenceLink);

        return _possibleConstructorReturn(this, (PresenceLink.__proto__ || Object.getPrototypeOf(PresenceLink)).apply(this, arguments));
    }

    _createClass(PresenceLink, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                children = _props.children,
                className = _props.className,
                collaborators = _props.collaborators,
                onFlyoutScroll = _props.onFlyoutScroll,
                containerAttributes = _props.containerAttributes,
                flyoutPosition = _props.flyoutPosition;


            if (collaborators.length === 0) {
                return null;
            }

            return React.createElement(
                Flyout,
                {
                    className: 'presence ' + className,
                    position: flyoutPosition
                },
                React.createElement(
                    'div',
                    _extends({
                        className: 'presence-link-container'
                    }, containerAttributes),
                    React.createElement(
                        PlainButton,
                        null,
                        children
                    )
                ),
                React.createElement(
                    Overlay,
                    { shouldDefaultFocus: false },
                    React.createElement(PresenceDropdown, {
                        className: 'presence-dropdown',
                        collaborators: collaborators,
                        onScroll: onFlyoutScroll
                    })
                )
            );
        }
    }]);

    return PresenceLink;
}(Component);

PresenceLink.propTypes = {
    children: PropTypes.node,
    className: PropTypes.string,
    collaborators: PropTypes.arrayOf(collaboratorsPropType).isRequired,
    /** Addtional attributes for presenceLink container */
    containerAttributes: PropTypes.object,
    onFlyoutScroll: PropTypes.func,
    /** Option to change the orientation of the dropdown. MUST be: bottom-right, bottom-left, bottom-center etc. or in this specific format */
    flyoutPosition: flyoutPositionPropType
};
PresenceLink.defaultProps = {
    className: '',
    flyoutPosition: 'bottom-right'
};


export default PresenceLink;