import * as React from 'react';

import TemplateButton from './components/TemplateButton';
import FilterButton from './components/filter/FilterButton';
import ColumnButton from './components/ColumnButton';

import './styles/QueryBarButtons.scss';

var QueryBar = function QueryBar(_ref) {
    var activeTemplate = _ref.activeTemplate,
        columns = _ref.columns,
        onColumnChange = _ref.onColumnChange,
        onFilterChange = _ref.onFilterChange,
        onTemplateChange = _ref.onTemplateChange,
        templates = _ref.templates;
    return React.createElement(
        'section',
        { className: 'metadata-view-query-bar' },
        React.createElement(TemplateButton, {
            activeTemplate: activeTemplate,
            onTemplateChange: onTemplateChange,
            templates: templates
        }),
        React.createElement(FilterButton, { onFilterChange: onFilterChange, columns: columns }),
        React.createElement(ColumnButton, {
            columns: columns,
            onColumnChange: onColumnChange,
            template: activeTemplate
        })
    );
};

QueryBar.propTypes = {
    activeTemplate: function activeTemplate() {
        return (typeof bpfrpt_proptype_Template === 'function' ? bpfrpt_proptype_Template : PropTypes.shape(bpfrpt_proptype_Template)).apply(this, arguments);
    },
    columns: PropTypes.arrayOf(function () {
        return (typeof bpfrpt_proptype_ColumnType === 'function' ? bpfrpt_proptype_ColumnType : PropTypes.shape(bpfrpt_proptype_ColumnType)).apply(this, arguments);
    }),
    onTemplateChange: PropTypes.func,
    onColumnChange: PropTypes.func,
    onFilterChange: PropTypes.func,
    templates: PropTypes.arrayOf(function () {
        return (typeof bpfrpt_proptype_Template === 'function' ? bpfrpt_proptype_Template : PropTypes.shape(bpfrpt_proptype_Template)).apply(this, arguments);
    })
};
export default QueryBar;
import { bpfrpt_proptype_Template } from '../metadata-instance-editor/flowTypes';
import { bpfrpt_proptype_ColumnType } from './flowTypes';
import PropTypes from 'prop-types';