var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import { FormattedMessage } from 'react-intl';
import classNames from 'classnames';

import { Flyout, Overlay } from '../../../components/flyout';
import Button from '../../../components/button/Button';
import MenuToggle from '../../../components/dropdown-menu/MenuToggle';
import IconMetadataColumns from '../../../icons/metadata-view/IconMetadataColumns';
import ColumnButtonOverlay from './ColumnButtonOverlay';

import messages from '../messages';

var ColumnButton = function (_React$Component) {
    _inherits(ColumnButton, _React$Component);

    function ColumnButton(props) {
        _classCallCheck(this, ColumnButton);

        var _this = _possibleConstructorReturn(this, (ColumnButton.__proto__ || Object.getPrototypeOf(ColumnButton)).call(this, props));

        _this.onClose = function () {
            _this.setState({
                isColumnMenuOpen: false
            });
        };

        _this.onOpen = function () {
            _this.setState({
                isColumnMenuOpen: true
            });
        };

        _this.toggleColumnButton = function () {
            _this.setState({ isColumnMenuOpen: !_this.state.isColumnMenuOpen });
        };

        _this.getNumberOfHiddenColumns = function () {
            var columns = _this.props.columns;


            return columns ? columns.reduce(function (total, column) {
                if (!column.isShown) {
                    return total + 1;
                }
                return total;
            }, 0) : 0;
        };

        _this.state = {
            isColumnMenuOpen: false
        };
        return _this;
    }

    _createClass(ColumnButton, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                template = _props.template,
                columns = _props.columns,
                onColumnChange = _props.onColumnChange;
            var isColumnMenuOpen = this.state.isColumnMenuOpen;

            var numberOfHiddenColumns = this.getNumberOfHiddenColumns();

            var buttonClasses = classNames('query-bar-button', numberOfHiddenColumns !== 0 ? 'is-active' : '');

            return React.createElement(
                Flyout,
                {
                    className: 'query-bar-column-dropdown-flyout',
                    closeOnClick: true,
                    closeOnClickOutside: true,
                    onClose: this.onClose,
                    onOpen: this.onOpen,
                    position: 'bottom-right'
                },
                React.createElement(
                    Button,
                    {
                        className: buttonClasses,
                        isDisabled: template === undefined,
                        onClick: this.toggleColumnButton,
                        type: 'button'
                    },
                    React.createElement(
                        MenuToggle,
                        null,
                        React.createElement(IconMetadataColumns, null),
                        React.createElement(
                            'span',
                            { className: 'button-label' },
                            numberOfHiddenColumns === 0 ? React.createElement(FormattedMessage, messages.columnsButtonText) : React.createElement(FormattedMessage, _extends({}, messages.columnsHiddenButtonText, {
                                values: {
                                    number: numberOfHiddenColumns
                                }
                            }))
                        )
                    )
                ),
                React.createElement(
                    Overlay,
                    null,
                    isColumnMenuOpen ? React.createElement(ColumnButtonOverlay, {
                        columns: columns,
                        onColumnChange: onColumnChange
                    }) : React.createElement('div', null)
                )
            );
        }
    }]);

    return ColumnButton;
}(React.Component);

ColumnButton.propTypes = {
    columns: PropTypes.arrayOf(function () {
        return (typeof bpfrpt_proptype_ColumnType === 'function' ? bpfrpt_proptype_ColumnType : PropTypes.shape(bpfrpt_proptype_ColumnType)).apply(this, arguments);
    }),
    onColumnChange: PropTypes.func,
    template: function template() {
        return (typeof bpfrpt_proptype_Template === 'function' ? bpfrpt_proptype_Template : PropTypes.shape(bpfrpt_proptype_Template)).apply(this, arguments);
    }
};


export default ColumnButton;
import { bpfrpt_proptype_Template } from '../../metadata-instance-editor/flowTypes';
import { bpfrpt_proptype_ColumnType } from '../flowTypes';
import PropTypes from 'prop-types';