var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import { FormattedMessage } from 'react-intl';
import uniqueId from 'lodash/uniqueId';

import Checkbox from '../../../components/checkbox/Checkbox';
import DraggableList from '../../../components/draggable-list';
import PortaledDraggableListItem from '../../../components/draggable-list/PortaledDraggableListItem';
import PrimaryButton from '../../../components/primary-button/PrimaryButton';
import reorder from '../../../components/draggable-list/draggable-list-utils/reorder';

import messages from '../messages';

var ColumnButtonOverlay = function (_React$Component) {
    _inherits(ColumnButtonOverlay, _React$Component);

    function ColumnButtonOverlay(props) {
        _classCallCheck(this, ColumnButtonOverlay);

        var _this = _possibleConstructorReturn(this, (ColumnButtonOverlay.__proto__ || Object.getPrototypeOf(ColumnButtonOverlay)).call(this, props));

        _this.onDragEnd = function (sourceIndex, destinationIndex) {
            var pendingColumns = _this.state.pendingColumns;

            var columns = reorder(pendingColumns, sourceIndex, destinationIndex);
            _this.setState({
                pendingColumns: columns.slice(0)
            });
        };

        _this.updatePendingColumns = function (column) {
            var pendingColumns = _this.state.pendingColumns;


            var pendingColumnsCopy = pendingColumns.slice(0);

            var newColumn = _extends({}, column, { isShown: !column.isShown });

            var foundIndex = pendingColumnsCopy.findIndex(function (originalColumn) {
                return originalColumn.id === column.id;
            });

            pendingColumnsCopy[foundIndex] = newColumn;
            _this.setState({
                pendingColumns: pendingColumnsCopy
            });
        };

        _this.applyFilters = function () {
            var onColumnChange = _this.props.onColumnChange;
            var pendingColumns = _this.state.pendingColumns;

            if (onColumnChange) {
                onColumnChange(pendingColumns);
            }
        };

        _this.getNumberOfHiddenColumns = function () {
            var columns = _this.props.columns;


            return columns ? columns.reduce(function (total, column) {
                if (!column.isShown) {
                    return total + 1;
                }
                return total;
            }, 0) : 0;
        };

        _this.state = {
            listId: uniqueId(),
            pendingColumns: props.columns ? props.columns.slice(0) : []
        };
        return _this;
    }

    _createClass(ColumnButtonOverlay, [{
        key: 'render',
        value: function render() {
            var _this2 = this;

            var _state = this.state,
                listId = _state.listId,
                pendingColumns = _state.pendingColumns;


            return React.createElement(
                'div',
                { className: 'column-button-dropdown' },
                React.createElement(
                    'div',
                    { className: 'column-button-dropdown-header' },
                    React.createElement(
                        DraggableList,
                        {
                            className: 'draggable-list-example',
                            listId: listId,
                            onDragEnd: this.onDragEnd
                        },
                        pendingColumns.map(function (item, index) {
                            return React.createElement(
                                PortaledDraggableListItem,
                                {
                                    id: item.id,
                                    index: index,
                                    isDraggableViaHandle: true,
                                    key: index
                                },
                                React.createElement(Checkbox, {
                                    isChecked: item.isShown,
                                    label: item.displayName,
                                    name: item.displayName,
                                    onChange: function onChange() {
                                        return _this2.updatePendingColumns(item);
                                    }
                                })
                            );
                        })
                    )
                ),
                React.createElement(
                    'div',
                    { className: 'column-button-dropdown-footer' },
                    React.createElement(
                        PrimaryButton,
                        { type: 'button', onClick: this.applyFilters },
                        React.createElement(FormattedMessage, messages.applyFiltersButtonText)
                    )
                )
            );
        }
    }]);

    return ColumnButtonOverlay;
}(React.Component);

ColumnButtonOverlay.propTypes = {
    columns: PropTypes.arrayOf(function () {
        return (typeof bpfrpt_proptype_ColumnType === 'function' ? bpfrpt_proptype_ColumnType : PropTypes.shape(bpfrpt_proptype_ColumnType)).apply(this, arguments);
    }),
    onColumnChange: PropTypes.func
};


export default ColumnButtonOverlay;
import { bpfrpt_proptype_ColumnType } from '../flowTypes';
import PropTypes from 'prop-types';