var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import { FormattedMessage } from 'react-intl';
import classNames from 'classnames';

import MetadataDefaultBadge from '../../../icons/badges/MetadataDefaultBadge';
import MetadataActiveBadge from '../../../icons/badges/MetadataActiveBadge';
import TemplateDropdown from '../../metadata-instance-editor/TemplateDropdown';
import Button from '../../../components/button/Button';
import MenuToggle from '../../../components/dropdown-menu/MenuToggle';

import messages from '../messages';

import LoadingIndicator from '../../../components/loading-indicator';

var TemplateButton = function (_React$Component) {
    _inherits(TemplateButton, _React$Component);

    function TemplateButton() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, TemplateButton);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = TemplateButton.__proto__ || Object.getPrototypeOf(TemplateButton)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
            isTemplateMenuOpen: false
        }, _this.toggleTemplateDropdownButton = function () {
            _this.setState({ isTemplateMenuOpen: !_this.state.isTemplateMenuOpen });
        }, _this.updateActiveTemplate = function (template) {
            var onTemplateChange = _this.props.onTemplateChange;


            if (onTemplateChange) {
                onTemplateChange(template);
            }
        }, _this.renderEntryButton = function () {
            var _this$props = _this.props,
                templates = _this$props.templates,
                activeTemplate = _this$props.activeTemplate;


            var icon = void 0;
            var text = void 0;

            if (!templates) {
                icon = React.createElement(LoadingIndicator, { className: 'loading-indicator' });
                text = React.createElement(FormattedMessage, messages.templatesLoadingButtonText);
            } else if (activeTemplate) {
                icon = React.createElement(MetadataActiveBadge, null);
                text = activeTemplate.displayName;
            } else if (!activeTemplate) {
                icon = React.createElement(MetadataDefaultBadge, null);
                text = React.createElement(FormattedMessage, messages.templatesButtonText);
            }

            var buttonClasses = classNames('query-bar-button', {
                'is-active': activeTemplate
            });

            return React.createElement(
                Button,
                {
                    className: buttonClasses,
                    isDisabled: !templates,
                    type: 'button',
                    onClick: _this.toggleTemplateDropdownButton
                },
                React.createElement(
                    MenuToggle,
                    null,
                    icon,
                    React.createElement(
                        'span',
                        { className: 'button-label' },
                        text
                    )
                )
            );
        }, _this.renderTitle = function () {
            return React.createElement(
                'div',
                { className: 'template-dropdown-list-title' },
                React.createElement(FormattedMessage, messages.metadataViewTemplateListHeaderTitle)
            );
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(TemplateButton, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                activeTemplate = _props.activeTemplate,
                templates = _props.templates,
                usedTemplates = _props.usedTemplates;

            return React.createElement(TemplateDropdown, {
                className: 'query-bar-template-dropdown-flyout',
                defaultTemplateIcon: React.createElement(MetadataDefaultBadge, { className: 'template-list-item-badge' }),
                title: this.renderTitle(),
                onAdd: this.updateActiveTemplate,
                activeTemplate: activeTemplate,
                activeTemplateIcon: React.createElement(MetadataActiveBadge, { className: 'template-list-item-badge' }),
                templates: templates || [],
                usedTemplates: usedTemplates,
                entryButton: this.renderEntryButton()
            });
        }
    }]);

    return TemplateButton;
}(React.Component);

TemplateButton.defaultProps = {
    usedTemplates: []
};
TemplateButton.propTypes = {
    activeTemplate: function activeTemplate() {
        return (typeof bpfrpt_proptype_Template === 'function' ? bpfrpt_proptype_Template : PropTypes.shape(bpfrpt_proptype_Template)).apply(this, arguments);
    },
    onAdd: PropTypes.func,
    templates: PropTypes.arrayOf(PropTypes.object),
    onTemplateChange: PropTypes.func,
    usedTemplates: PropTypes.arrayOf(PropTypes.object).isRequired
};


export default TemplateButton;
import { bpfrpt_proptype_Template } from '../../metadata-instance-editor/flowTypes';
import PropTypes from 'prop-types';