var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import { FormattedMessage } from 'react-intl';
import classNames from 'classnames';
import uniqueId from 'lodash/uniqueId';

import IconMetadataFilter from '../../../../icons/metadata-view/IconMetadataFilter';
import Condition from './Condition';
import Button from '../../../../components/button/Button';
import PrimaryButton from '../../../../components/primary-button/PrimaryButton';
import MenuToggle from '../../../../components/dropdown-menu/MenuToggle';
import { Flyout, Overlay } from '../../../../components/flyout';

import messages from '../../messages';

var FilterButton = function (_React$Component) {
    _inherits(FilterButton, _React$Component);

    function FilterButton(props) {
        _classCallCheck(this, FilterButton);

        var _this = _possibleConstructorReturn(this, (FilterButton.__proto__ || Object.getPrototypeOf(FilterButton)).call(this, props));

        _initialiseProps.call(_this);

        var conditionID = _this.generateConditionID();
        var initialCondition = _this.createCondition(props, conditionID);
        _this.state = {
            appliedConditions: [],
            conditions: [initialCondition],
            areErrorsEnabled: false,
            isMenuOpen: false
        };
        return _this;
    }

    // Should close when all the conditions have a value set and the apply button is pressed.


    _createClass(FilterButton, [{
        key: 'render',
        value: function render() {
            var _this2 = this;

            var columns = this.props.columns;
            var _state = this.state,
                appliedConditions = _state.appliedConditions,
                conditions = _state.conditions,
                areErrorsEnabled = _state.areErrorsEnabled,
                isMenuOpen = _state.isMenuOpen;


            var numberOfAppliedConditions = appliedConditions.length;

            var buttonClasses = classNames('query-bar-button', numberOfAppliedConditions !== 0 ? 'is-active' : '');

            var isFilterDisabled = columns === undefined;

            return React.createElement(
                Flyout,
                {
                    className: 'query-bar-filter-dropdown-flyout',
                    closeOnClick: true,
                    closeOnClickOutside: true,
                    closeOnClickPredicate: this.shouldClose,
                    onClose: this.onClose,
                    onOpen: this.onOpen,
                    overlayIsVisible: isMenuOpen,
                    position: 'bottom-right',
                    shouldDefaultFocus: true
                },
                React.createElement(
                    Button,
                    {
                        className: buttonClasses,
                        isDisabled: isFilterDisabled,
                        onClick: this.toggleButton,
                        type: 'button'
                    },
                    React.createElement(
                        MenuToggle,
                        null,
                        React.createElement(IconMetadataFilter, { className: 'button-icon' }),
                        React.createElement(
                            'span',
                            { className: 'button-label' },
                            numberOfAppliedConditions === 0 ? React.createElement(FormattedMessage, messages.filtersButtonText) : React.createElement(FormattedMessage, _extends({}, messages.multipleFiltersButtonText, {
                                values: {
                                    number: numberOfAppliedConditions
                                }
                            }))
                        )
                    )
                ),
                React.createElement(
                    Overlay,
                    null,
                    isMenuOpen ? React.createElement(
                        'div',
                        { className: 'filter-button-dropdown' },
                        React.createElement(
                            'div',
                            { className: 'filter-button-dropdown-header' },
                            conditions.length === 0 ? React.createElement(FormattedMessage, messages.noFiltersAppliedText) : null,
                            conditions.map(function (condition, index) {
                                return React.createElement(Condition, {
                                    key: 'metadata-view-filter-item-' + condition.id,
                                    condition: condition,
                                    deleteCondition: _this2.deleteCondition,
                                    areErrorsEnabled: areErrorsEnabled,
                                    index: index,
                                    columns: columns,
                                    update: _this2.update
                                });
                            })
                        ),
                        React.createElement(
                            'div',
                            { className: 'filter-button-dropdown-footer' },
                            React.createElement(
                                Button,
                                { type: 'button', onClick: this.addFilter },
                                React.createElement(FormattedMessage, messages.addFilterButtonText)
                            ),
                            React.createElement(
                                PrimaryButton,
                                {
                                    className: 'apply-filters-button',
                                    onClick: this.applyFilters,
                                    type: 'button'
                                },
                                React.createElement(FormattedMessage, messages.applyFiltersButtonText)
                            )
                        )
                    ) : React.createElement('div', null)
                )
            );
        }
    }]);

    return FilterButton;
}(React.Component);

FilterButton.propTypes = {
    columns: PropTypes.arrayOf(function () {
        return (typeof bpfrpt_proptype_ColumnType === 'function' ? bpfrpt_proptype_ColumnType : PropTypes.shape(bpfrpt_proptype_ColumnType)).apply(this, arguments);
    }),
    onFilterChange: PropTypes.func
};

var _initialiseProps = function _initialiseProps() {
    var _this3 = this;

    this.onClose = function () {
        _this3.setState({
            isMenuOpen: false
        });
    };

    this.onOpen = function () {
        _this3.setState({ isMenuOpen: true });
    };

    this.toggleButton = function () {
        _this3.setState({ isMenuOpen: !_this3.state.isMenuOpen });
    };

    this.createCondition = function (props, conditionID) {
        if (props && props.columns) {
            var firstField = props.columns[0];
            return {
                columnDisplayText: firstField.displayName,
                columnKey: 0,
                id: conditionID,
                fieldId: firstField.id,
                operatorDisplayText: '',
                operatorKey: 0,
                valueDisplayText: null,
                valueKey: null,
                valueType: firstField.type
            };
        } else {
            return {};
        }
    };

    this.generateConditionID = function () {
        return uniqueId();
    };

    this.addFilter = function () {
        var conditionID = _this3.generateConditionID();
        var initialCondition = _this3.createCondition(_this3.props, conditionID);
        _this3.setState({
            conditions: [].concat(_toConsumableArray(_this3.state.conditions), [initialCondition]),
            areErrorsEnabled: false
        });
    };

    this.applyFilters = function () {
        var onFilterChange = _this3.props.onFilterChange;
        var conditions = _this3.state.conditions;


        var areAllValid = _this3.areAllValid();

        if (areAllValid) {
            if (onFilterChange) {
                onFilterChange(conditions);
            }
            _this3.setState({
                appliedConditions: conditions
            });
        } else {
            _this3.setState({
                areErrorsEnabled: true
            });
        }
    };

    this.update = function (index, condition, fieldDisplayText, fieldDisplayTextType, fieldId, fieldKey, fieldKeyType, valueType) {
        var conditions = _this3.state.conditions;

        var conditionToUpdate = conditions.find(function (currentCondition) {
            return currentCondition.id === condition.id;
        });
        if (conditionToUpdate) {
            var _extends2;

            var updatedCondition = _extends({}, conditionToUpdate, (_extends2 = {}, _defineProperty(_extends2, fieldDisplayTextType, fieldDisplayText), _defineProperty(_extends2, fieldKeyType, fieldKey), _defineProperty(_extends2, 'valueType', valueType), _defineProperty(_extends2, 'fieldId', fieldId), _extends2));

            if (fieldKeyType === 'columnKey') {
                // Upon selecting a new attribute, the operator and value fields should be reset.
                updatedCondition['operatorKey'] = 0;
                updatedCondition['operatorDisplayText'] = '';
                updatedCondition['valueDisplayText'] = '';
                updatedCondition['valueKey'] = null;
            }

            var updatedConditions = conditions.slice(0);
            var _index = conditions.findIndex(function (condition) {
                return condition.id === updatedCondition.id;
            });
            updatedConditions[_index] = updatedCondition;

            _this3.setState({
                conditions: updatedConditions
            });
        }
    };

    this.deleteCondition = function (index) {
        var conditions = _this3.state.conditions;


        var updatedConditions = conditions.filter(function (condition, conditionIndex) {
            return conditionIndex !== index;
        });

        _this3.setState({
            conditions: updatedConditions
        });
    };

    this.areAllValid = function () {
        var conditions = _this3.state.conditions;

        var areAllValid = true;
        conditions.forEach(function (condition) {
            if (condition.valueDisplayText === null || condition.valueDisplayText === '') {
                areAllValid = false;
            }
        });
        return areAllValid;
    };

    this.shouldClose = function (event) {
        // The current approach assumes that the Apply button contains at most one child element.
        var areAllValid = _this3.areAllValid();

        if (event && event.target && areAllValid) {
            if (event.target.classList.contains('apply-filters-button') || event.target.parentNode.classList.contains('apply-filters-button')) {
                return true;
            }
        }
        return false;
    };
};

export default FilterButton;
import { bpfrpt_proptype_ColumnType } from '../../flowTypes';
import PropTypes from 'prop-types';