var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import PropTypes from 'prop-types';
import React, { Component } from 'react';
import classNames from 'classnames';

import SelectorDropdown from '../../components/selector-dropdown';

import QuickSearchMessage from './QuickSearchMessage';
import QuickSearchSelector from './QuickSearchSelector';

import './QuickSearch.scss';

var QuickSearch = function (_Component) {
    _inherits(QuickSearch, _Component);

    function QuickSearch(props) {
        _classCallCheck(this, QuickSearch);

        var _this = _possibleConstructorReturn(this, (QuickSearch.__proto__ || Object.getPrototypeOf(QuickSearch)).call(this, props));

        _this.handleFocus = function () {
            _this.setState({ showMessage: true });
        };

        _this.handleBlur = function () {
            _this.setState({ showMessage: false });
        };

        _this.state = {
            showMessage: false
        };
        return _this;
    }

    _createClass(QuickSearch, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                children = _props.children,
                className = _props.className,
                errorMessage = _props.errorMessage,
                inputProps = _props.inputProps,
                noItemsMessage = _props.noItemsMessage,
                onSelect = _props.onSelect;
            var showMessage = this.state.showMessage;


            return React.createElement(
                'div',
                {
                    className: classNames('quick-search', className),
                    onBlur: this.handleBlur,
                    onFocus: this.handleFocus
                },
                React.createElement(
                    SelectorDropdown,
                    {
                        onSelect: onSelect,
                        selector: React.createElement(QuickSearchSelector, inputProps)
                    },
                    children
                ),
                !!errorMessage && React.createElement(
                    QuickSearchMessage,
                    { isShown: showMessage },
                    errorMessage
                ),
                !!noItemsMessage && React.createElement(
                    QuickSearchMessage,
                    { isShown: showMessage },
                    noItemsMessage
                )
            );
        }
    }]);

    return QuickSearch;
}(Component);

QuickSearch.propTypes = {
    children: PropTypes.node,
    className: PropTypes.string,
    errorMessage: PropTypes.oneOfType([PropTypes.string, PropTypes.element]),
    inputProps: PropTypes.object.isRequired,
    noItemsMessage: PropTypes.oneOfType([PropTypes.string, PropTypes.element]),
    onSelect: PropTypes.func
};


export default QuickSearch;