var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import PropTypes from 'prop-types';
import React from 'react';
import classNames from 'classnames';

import LoadingIndicator from '../../components/loading-indicator';

import './QuickSearchSelector.scss';

var QuickSearchSelector = function QuickSearchSelector(_ref) {
    var className = _ref.className,
        _ref$inputProps = _ref.inputProps,
        inputProps = _ref$inputProps === undefined ? {} : _ref$inputProps,
        inputRef = _ref.inputRef,
        _ref$isLoading = _ref.isLoading,
        isLoading = _ref$isLoading === undefined ? false : _ref$isLoading,
        onInput = _ref.onInput,
        placeholder = _ref.placeholder,
        rest = _objectWithoutProperties(_ref, ['className', 'inputProps', 'inputRef', 'isLoading', 'onInput', 'placeholder']);

    return React.createElement(
        'div',
        { className: 'quick-search-selector' },
        React.createElement('input', _extends({}, rest, inputProps, {
            'aria-label': placeholder,
            autoComplete: 'off',
            className: classNames('search-input', className),
            onInput: onInput,
            placeholder: placeholder,
            ref: inputRef,
            type: 'text' /* input with type 'search' and role 'combobox' fails HTML validation */

        })),
        isLoading && React.createElement(LoadingIndicator, { className: 'loading-indicator' })
    );
};

QuickSearchSelector.displayName = 'QuickSearchSelector';

QuickSearchSelector.propTypes = {
    className: PropTypes.string,
    inputProps: PropTypes.object,
    inputRef: PropTypes.func,
    isLoading: PropTypes.bool,
    onInput: PropTypes.func.isRequired,
    placeholder: PropTypes.string.isRequired
};

export default QuickSearchSelector;