var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import PropTypes from 'prop-types';
import React from 'react';

import IconCloud from '../../icons/general/IconCloud';

var DropShadowFilter = function DropShadowFilter() {
    return React.createElement(
        'filter',
        { id: 'drop-shadow' },
        React.createElement('feGaussianBlur', { 'in': 'SourceAlpha', stdDeviation: '2' }),
        React.createElement('feOffset', { dx: '2', dy: '2', result: 'offsetblur' }),
        React.createElement('feFlood', { floodColor: 'black', floodOpacity: '0.3' }),
        React.createElement('feComposite', { in2: 'offsetblur', operator: 'in' }),
        React.createElement(
            'feMerge',
            null,
            React.createElement('feMergeNode', null),
            React.createElement('feMergeNode', { 'in': 'SourceGraphic' })
        )
    );
};

/**
 * react-draggable requires component that supports onMouseDown, onMouseUp, onTouchStart, and onTouchEnd so we need
 * to explicitly pass them through here.
 */
var DragCloud = function DragCloud(_ref) {
    var className = _ref.className,
        _ref$cloudSize = _ref.cloudSize,
        cloudSize = _ref$cloudSize === undefined ? 64 : _ref$cloudSize,
        onMouseDown = _ref.onMouseDown,
        onMouseUp = _ref.onMouseUp,
        onTouchEnd = _ref.onTouchEnd,
        onTouchStart = _ref.onTouchStart,
        position = _ref.position,
        style = _ref.style;
    var x = position.x,
        y = position.y;

    return React.createElement(
        'div',
        {
            className: 'drag-cloud ' + className,
            style: _extends({}, style, { top: y + 'px', left: x + 'px' }),
            onMouseDown: onMouseDown,
            onMouseUp: onMouseUp,
            onTouchStart: onTouchStart,
            onTouchEnd: onTouchEnd
        },
        React.createElement(IconCloud, {
            filter: { id: 'drop-shadow', definition: React.createElement(DropShadowFilter, null) },
            height: cloudSize,
            width: cloudSize
        })
    );
};

DragCloud.displayName = 'DragCloud';

DragCloud.propTypes = {
    className: PropTypes.string,
    cloudSize: PropTypes.number,
    onMouseUp: PropTypes.func,
    onMouseDown: PropTypes.func,
    onTouchEnd: PropTypes.func,
    onTouchStart: PropTypes.func,
    position: PropTypes.objectOf(PropTypes.number).isRequired,
    style: PropTypes.object
};

// Actual export
export default DragCloud;