import PropTypes from 'prop-types';
import React from 'react';

import Logo from '../../components/logo';
import IconCloud from '../../icons/general/IconCloud';

var InsetFilter = function InsetFilter() {
    return React.createElement(
        'filter',
        { id: 'inset-shadow' },
        React.createElement('feOffset', { dx: '0', dy: '1.5' }),
        React.createElement('feGaussianBlur', { stdDeviation: '0.5', result: 'offset-blur' }),
        React.createElement('feComposite', {
            operator: 'out',
            'in': 'SourceGraphic',
            in2: 'offset-blur',
            result: 'inverse'
        }),
        React.createElement('feFlood', { floodColor: 'black', floodOpacity: '1', result: 'color' }),
        React.createElement('feComposite', { operator: 'in', 'in': 'color', in2: 'inverse', result: 'shadow' }),
        React.createElement('feComposite', { operator: 'over', 'in': 'shadow', in2: 'SourceGraphic' })
    );
};

var DropCloud = function DropCloud(_ref) {
    var className = _ref.className,
        _ref$cloudSize = _ref.cloudSize,
        cloudSize = _ref$cloudSize === undefined ? 64 : _ref$cloudSize,
        position = _ref.position;
    var x = position.x,
        y = position.y;

    return React.createElement(
        'div',
        {
            className: 'drop-cloud ' + className,
            style: { top: y + 'px', left: x + 'px' }
        },
        React.createElement(IconCloud, {
            filter: { id: 'inset-shadow', definition: React.createElement(InsetFilter, null) },
            height: cloudSize,
            width: cloudSize
        }),
        React.createElement(Logo, null)
    );
};

DropCloud.displayName = 'DropCloud';

DropCloud.propTypes = {
    className: PropTypes.string,
    cloudSize: PropTypes.number,
    position: PropTypes.objectOf(PropTypes.number).isRequired
};

// Actual export
export default DropCloud;