var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import { FormattedMessage } from 'react-intl';

import Button from '../../components/button';
import { Modal, ModalActions } from '../../components/modal';
import commonMessages from '../../common/messages';

import SharedLink from './SharedLink';
import EmailSharedLink from './EmailSharedLink';
import messages from './messages';
import { accessLevelPropType, allowedAccessLevelsPropType, permissionLevelPropType } from './propTypes';

var SharedLinkModal = function (_Component) {
    _inherits(SharedLinkModal, _Component);

    function SharedLinkModal() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, SharedLinkModal);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = SharedLinkModal.__proto__ || Object.getPrototypeOf(SharedLinkModal)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
            isEmailSharedLinkExpanded: false
        }, _this.handleEmailSharedLinkExpand = function () {
            _this.setState({ isEmailSharedLinkExpanded: true });
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(SharedLinkModal, [{
        key: 'renderSharedLink',
        value: function renderSharedLink() {
            var _props = this.props,
                accessLevel = _props.accessLevel,
                accessMenuButtonProps = _props.accessMenuButtonProps,
                allowedAccessLevels = _props.allowedAccessLevels,
                canRemoveLink = _props.canRemoveLink,
                changeAccessLevel = _props.changeAccessLevel,
                changePermissionLevel = _props.changePermissionLevel,
                copyButtonProps = _props.copyButtonProps,
                enterpriseName = _props.enterpriseName,
                expiration = _props.expiration,
                isDownloadAllowed = _props.isDownloadAllowed,
                isEditAllowed = _props.isEditAllowed,
                isPreviewAllowed = _props.isPreviewAllowed,
                itemType = _props.itemType,
                onCopySuccess = _props.onCopySuccess,
                onSettingsClick = _props.onSettingsClick,
                permissionLevel = _props.permissionLevel,
                removeLink = _props.removeLink,
                removeLinkButtonProps = _props.removeLinkButtonProps,
                sharedLink = _props.sharedLink,
                submitting = _props.submitting;

            return React.createElement(SharedLink, {
                accessLevel: accessLevel,
                accessMenuButtonProps: accessMenuButtonProps,
                allowedAccessLevels: allowedAccessLevels,
                canRemoveLink: canRemoveLink,
                changeAccessLevel: changeAccessLevel,
                changePermissionLevel: changePermissionLevel,
                copyButtonProps: copyButtonProps,
                enterpriseName: enterpriseName,
                expiration: expiration,
                isDownloadAllowed: isDownloadAllowed,
                isEditAllowed: isEditAllowed,
                isPreviewAllowed: isPreviewAllowed,
                itemType: itemType,
                onCopySuccess: onCopySuccess,
                onSettingsClick: onSettingsClick,
                permissionLevel: permissionLevel,
                removeLink: removeLink,
                removeLinkButtonProps: removeLinkButtonProps,
                sharedLink: sharedLink,
                submitting: submitting
            });
        }
    }, {
        key: 'renderEmailSharedLink',
        value: function renderEmailSharedLink() {
            var _props2 = this.props,
                contacts = _props2.contacts,
                defaultEmailMessage = _props2.defaultEmailMessage,
                emailMessageProps = _props2.emailMessageProps,
                getContacts = _props2.getContacts,
                onRequestClose = _props2.onRequestClose,
                sendEmail = _props2.sendEmail,
                submitting = _props2.submitting;


            if (!getContacts || !contacts || !sendEmail) {
                return null;
            }

            return React.createElement(EmailSharedLink, {
                contacts: contacts,
                defaultEmailMessage: defaultEmailMessage,
                emailMessageProps: emailMessageProps,
                getContacts: getContacts,
                isExpanded: this.state.isEmailSharedLinkExpanded,
                sendEmail: sendEmail,
                onRequestClose: onRequestClose,
                submitting: submitting,
                onExpand: this.handleEmailSharedLinkExpand
            });
        }
    }, {
        key: 'render',
        value: function render() {
            var _props3 = this.props,
                isOpen = _props3.isOpen,
                itemName = _props3.itemName,
                modalProps = _props3.modalProps,
                onRequestClose = _props3.onRequestClose,
                submitting = _props3.submitting;
            var isEmailSharedLinkExpanded = this.state.isEmailSharedLinkExpanded;


            return React.createElement(
                Modal,
                _extends({
                    className: 'shared-link-modal',
                    focusElementSelector: '.shared-link-container input',
                    isOpen: isOpen,
                    onRequestClose: submitting ? undefined : onRequestClose,
                    title: React.createElement(FormattedMessage, _extends({}, messages.sharedLinkModalTitle, {
                        values: {
                            itemName: itemName
                        }
                    }))
                }, modalProps),
                this.renderSharedLink(),
                React.createElement('hr', null),
                this.renderEmailSharedLink(),
                !isEmailSharedLinkExpanded && React.createElement(
                    ModalActions,
                    null,
                    React.createElement(
                        Button,
                        {
                            isDisabled: submitting,
                            onClick: onRequestClose,
                            type: 'button'
                        },
                        React.createElement(FormattedMessage, commonMessages.close)
                    )
                )
            );
        }
    }]);

    return SharedLinkModal;
}(Component);

SharedLinkModal.propTypes = {
    /** Current access level for this item; one of 'peopleWithTheLink' | 'peopleInYourCompany' | 'peopleInThisItem' */
    accessLevel: function accessLevel() {
        return (typeof accessLevelPropType === 'function' ? PropTypes.instanceOf(accessLevelPropType) : PropTypes.any).apply(this, arguments);
    },
    accessMenuButtonProps: PropTypes.object,

    /** The selectable access levels. Should be an object { peopleWithTheLink: true/false, peopleInYourCompany: true/false, peopleInThisItem: true/false } */
    allowedAccessLevels: function allowedAccessLevels() {
        return (typeof allowedAccessLevelsPropType === 'function' ? PropTypes.instanceOf(allowedAccessLevelsPropType) : PropTypes.any).apply(this, arguments);
    },

    /** Determines whether or not user is allowed to remove Shared Link */
    canRemoveLink: PropTypes.bool,

    /** Function that changes access level; (newAccessLevel: 'peopleWithTheLink' | 'peopleInYourCompany' | 'peopleInThisItem') => void */
    changeAccessLevel: PropTypes.func.isRequired,

    /** Function that changes permission level; (newPermissionLevel: 'canView' | 'canEdit') => void. If not provided, then the permission menu won't show up. */
    changePermissionLevel: PropTypes.func,

    /** An array of contacts for the pill selector dropdown. If not provided, "Email Shared Link" section will not appear. */
    contacts: PropTypes.arrayOf(PropTypes.shape({
        email: PropTypes.string,
        id: PropTypes.oneOfType([PropTypes.number, PropTypes.string]).isRequired,
        name: PropTypes.string.isRequired,
        type: PropTypes.string.isRequired
    })),
    copyButtonProps: PropTypes.object,

    /** Default "send shared link" email message */
    defaultEmailMessage: PropTypes.string,
    emailMessageProps: PropTypes.object,
    enterpriseName: PropTypes.string,

    /** Timestamp for shared link expiration date. If not provided, expiration icon will not be shown. */
    expiration: PropTypes.number,

    /** Handler function whenever the user types to fetch contacts. If not provided, "Email Shared Link" section will not appear. */
    getContacts: PropTypes.func,
    isDownloadAllowed: PropTypes.bool,
    isEditAllowed: PropTypes.bool,
    isOpen: PropTypes.bool,
    isPreviewAllowed: PropTypes.bool,
    itemName: PropTypes.string.isRequired,
    itemType: PropTypes.oneOf(['folder', 'file', 'weblink']).isRequired,
    modalProps: PropTypes.object,
    onCopySuccess: PropTypes.func,
    onRequestClose: PropTypes.func.isRequired,

    /** Handler for clicks on the settings icon. If not provided, the settings icon won't be rendered. */
    onSettingsClick: PropTypes.func,

    /** Current permission level for this item; one of 'canView' | 'canEdit'. If not provided, then the permission menu won't show up. */
    permissionLevel: function permissionLevel() {
        return (typeof permissionLevelPropType === 'function' ? PropTypes.instanceOf(permissionLevelPropType) : PropTypes.any).apply(this, arguments);
    },

    /** Function that removes the Shared Link; () => void */
    removeLink: PropTypes.func.isRequired,
    removeLinkButtonProps: PropTypes.object,

    /** Function to send the Shared Link to the entered emails. Calls function with an object in the format { emails: Array<string>, emailMessage: string }.
     *  If not provided, "Email Shared Link" section will not appear. */
    sendEmail: PropTypes.func,

    /** Share URL of the item */
    sharedLink: PropTypes.string.isRequired,

    /** Whether or not a request is in progress */
    submitting: PropTypes.bool
};


export default SharedLinkModal;
import PropTypes from 'prop-types';