import { defineMessages } from 'react-intl';

var messages = defineMessages({
    accessTypeTitle: {
        'id': 'boxui.share.accessType',
        'defaultMessage': 'ACCESS TYPE'
    },
    canEdit: {
        'id': 'boxui.share.canEdit',
        'defaultMessage': 'Can edit'
    },
    canView: {
        'id': 'boxui.share.canView',
        'defaultMessage': 'Can view'
    },
    enterAtLeastOneEmailError: {
        'id': 'boxui.share.enterAtLeastOneEmail',
        'defaultMessage': 'Enter at least one valid email'
    },
    emailSharedLink: {
        'id': 'boxui.share.emailSharedLink',
        'defaultMessage': 'Email Shared Link'
    },
    removeLink: {
        'id': 'boxui.share.removeLink',
        'defaultMessage': 'Remove Link'
    },
    settingsButtonLabel: {
        'id': 'boxui.share.settingsButtonLabel',
        'defaultMessage': 'Open shared link settings popup'
    },
    sharedLinkLabel: {
        'id': 'boxui.share.sharedLinkLabel',
        'defaultMessage': 'Shared Link'
    },
    sharedLinkModalTitle: {
        'id': 'boxui.share.sharedLinkModalTitle',
        'defaultMessage': 'Shared Link for {itemName}'
    },
    messageTitle: {
        'id': 'boxui.share.message',
        'defaultMessage': 'Message'
    },
    peopleWithTheLink: {
        'id': 'boxui.share.peopleWithTheLink',
        'defaultMessage': 'People with the link'
    },
    peopleInEnterprise: {
        'id': 'boxui.share.peopleInEnterprise',
        'defaultMessage': 'People in {enterpriseName}'
    },
    peopleInYourCompany: {
        'id': 'boxui.share.peopleInYourCompany',
        'defaultMessage': 'People in your company'
    },
    peopleInThisFolder: {
        'id': 'boxui.share.peopleInThisFolder',
        'defaultMessage': 'People in this folder'
    },
    peopleInThisFile: {
        'id': 'boxui.share.peopleInThisFile',
        'defaultMessage': 'People in this file'
    },
    removeLinkConfirmationTitle: {
        'id': 'boxui.share.removeLinkConfirmationTitle',
        'defaultMessage': 'Remove Shared Link'
    },
    removeLinkConfirmationDescription: {
        'id': 'boxui.share.removeLinkConfirmationDescription',
        'defaultMessage': 'This will permanently remove the shared link. If this item is embedded on other sites it will also become inaccessible. Any custom properties, settings and expirations will be removed as well. Do you want to continue?'
    },
    sharedLinkExpirationTooltip: {
        'id': 'boxui.share.sharedLinkExpirationTooltip',
        'defaultMessage': 'This link will expire on {expiration, date, long}'
    },

    peopleWithLinkCanDownloadFolder: {
        'id': 'boxui.share.peopleWithLinkCanDownloadFolder',
        'defaultMessage': 'Anyone with the link can view this folder and download its contents.'
    },
    peopleWithLinkCanViewFolder: {
        'id': 'boxui.share.peopleWithLinkCanViewFolder',
        'defaultMessage': 'Anyone with the link can view this folder.'
    },
    peopleWithLinkCanEditFile: {
        'id': 'boxui.share.peopleWithLinkCanEditFile',
        'defaultMessage': 'Anyone with the link can edit and download this file.'
    },
    peopleWithLinkCanDownloadFile: {
        'id': 'boxui.share.peopleWithLinkCanDownloadFile',
        'defaultMessage': 'Anyone with the link can view and download this file.'
    },
    peopleWithLinkCanViewFile: {
        'id': 'boxui.share.peopleWithLinkCanViewFile',
        'defaultMessage': 'Anyone with the link can view this file.'
    },

    peopleInSpecifiedCompanyCanDownloadFolder: {
        'id': 'boxui.share.peopleInSpecifiedCompanyCanDownloadFolder',
        'defaultMessage': 'Anyone in {company} with the link can view this folder and download its contents.'
    },
    peopleInSpecifiedCompanyCanViewFolder: {
        'id': 'boxui.share.peopleInSpecifiedCompanyCanViewFolder',
        'defaultMessage': 'Anyone in {company} with the link can view this folder.'
    },
    peopleInCompanyCanDownloadFolder: {
        'id': 'boxui.share.peopleInCompanyCanDownloadFolder',
        'defaultMessage': 'Anyone in your company with the link can view this folder and download its contents.'
    },
    peopleInCompanyCanViewFolder: {
        'id': 'boxui.share.peopleInCompanyCanViewFolder',
        'defaultMessage': 'Anyone in your company with the link can view this folder.'
    },

    peopleInSpecifiedCompanyCanEditFile: {
        'id': 'boxui.share.peopleInSpecifiedCompanyCanEditFile',
        'defaultMessage': 'Anyone in {company} with the link can edit and download this file.'
    },
    peopleInSpecifiedCompanyCanDownloadFile: {
        'id': 'boxui.share.peopleInSpecifiedCompanyCanDownloadFile',
        'defaultMessage': 'Anyone in {company} with the link can view and download this file.'
    },
    peopleInSpecifiedCompanyCanViewFile: {
        'id': 'boxui.share.peopleInSpecifiedCompanyCanViewFile',
        'defaultMessage': 'Anyone in {company} with the link can view this file.'
    },
    peopleInCompanyCanEditFile: {
        'id': 'boxui.share.peopleInCompanyCanEditFile',
        'defaultMessage': 'Anyone in your company with the link can edit and download this file.'
    },
    peopleInCompanyCanDownloadFile: {
        'id': 'boxui.share.peopleInCompanyCanDownloadFile',
        'defaultMessage': 'Anyone in your company with the link can view and download this file.'
    },
    peopleInCompanyCanViewFile: {
        'id': 'boxui.share.peopleInCompanyCanViewFile',
        'defaultMessage': 'Anyone in your company with the link can view this file.'
    },

    peopleInItemCanPreviewAndDownloadFolder: {
        'id': 'boxui.share.peopleInItemCanPreviewAndDownloadFolder',
        'defaultMessage': 'Any collaborator on this folder with the link can view this folder and download its contents.'
    },
    peopleInItemCanPreviewFolder: {
        'id': 'boxui.share.peopleInItemCanPreviewFolder',
        'defaultMessage': 'Any collaborator on this folder with the link can view this folder.'
    },
    peopleInItemCanDownloadFolder: {
        'id': 'boxui.share.peopleInItemCanDownloadFolder',
        'defaultMessage': 'Any collaborator on this folder with the link can download this folder.'
    },
    peopleInItemCanAccessFolder: {
        'id': 'boxui.share.peopleInItemCanAccessFolder',
        'defaultMessage': 'Any collaborator on the folder with the link can access this folder.'
    },

    peopleInItemCanEditFile: {
        'id': 'boxui.share.peopleInItemCanEditFile',
        'defaultMessage': 'Any collaborator on this file with the link can edit this file and download its contents.'
    },
    peopleInItemCanPreviewAndDownloadFile: {
        'id': 'boxui.share.peopleInItemCanPreviewAndDownloadFile',
        'defaultMessage': 'Any collaborator on this file with the link can view this file and download its contents.'
    },
    peopleInItemCanPreviewFile: {
        'id': 'boxui.share.peopleInItemCanPreviewFile',
        'defaultMessage': 'Any collaborator on this file with the link can view this file.'
    },
    peopleInItemCanDownloadFile: {
        'id': 'boxui.share.peopleInItemCanDownloadFile',
        'defaultMessage': 'Any collaborator on this file with the link can download this file.'
    },
    peopleInItemCanAccessFile: {
        'id': 'boxui.share.peopleInItemCanAccessFile',
        'defaultMessage': 'Any collaborator on the file with the link can access this file.'
    }
});

export default messages;