var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { FormattedMessage } from 'react-intl';

import Button from '../../components/button';
import PrimaryButton from '../../components/primary-button';
import { Modal, ModalActions } from '../../components/modal';
import InlineNotice from '../../components/inline-notice';
import commonMessages from '../../common/messages';

import VanityNameSection from './VanityNameSection';
import PasswordSection from './PasswordSection';
import ExpirationSection from './ExpirationSection';
import AllowDownloadSection from './AllowDownloadSection';
import messages from './messages';

import './SharedLinkSettingsModal.scss';

var SharedLinkSettingsModal = function (_Component) {
    _inherits(SharedLinkSettingsModal, _Component);

    function SharedLinkSettingsModal(props) {
        _classCallCheck(this, SharedLinkSettingsModal);

        var _this = _possibleConstructorReturn(this, (SharedLinkSettingsModal.__proto__ || Object.getPrototypeOf(SharedLinkSettingsModal)).call(this, props));

        _this.onSubmit = function (event) {
            event.preventDefault();

            var _this$state = _this.state,
                expirationDate = _this$state.expirationDate,
                isDownloadEnabled = _this$state.isDownloadEnabled,
                isExpirationEnabled = _this$state.isExpirationEnabled,
                isPasswordEnabled = _this$state.isPasswordEnabled,
                password = _this$state.password,
                vanityName = _this$state.vanityName;


            _this.props.onSubmit({
                expirationTimestamp: expirationDate ? expirationDate.getTime() : undefined,
                isDownloadEnabled: isDownloadEnabled,
                isExpirationEnabled: isExpirationEnabled,
                isPasswordEnabled: isPasswordEnabled,
                password: password,
                vanityName: vanityName
            });
        };

        _this.onVanityNameChange = function (event) {
            _this.setState({
                vanityName: event.target.value,
                vanityNameError: undefined
            });
        };

        _this.onPasswordChange = function (event) {
            _this.setState({
                password: event.target.value,
                passwordError: undefined
            });
        };

        _this.onPasswordCheckboxChange = function (event) {
            _this.setState({ isPasswordEnabled: event.target.checked });
        };

        _this.onExpirationDateChange = function (date) {
            _this.setState({ expirationDate: date, expirationError: undefined });
        };

        _this.onExpirationCheckboxChange = function (event) {
            _this.setState({ isExpirationEnabled: event.target.checked });
        };

        _this.onAllowDownloadChange = function (event) {
            _this.setState({ isDownloadEnabled: event.target.checked });
        };

        _this.state = {
            expirationDate: props.expirationTimestamp ? new Date(props.expirationTimestamp) : null,
            expirationError: props.expirationError,
            isDownloadEnabled: props.isDownloadEnabled,
            isExpirationEnabled: !!props.expirationTimestamp,
            isPasswordEnabled: props.isPasswordEnabled,
            password: '',
            passwordError: props.passwordError,
            vanityName: props.vanityName,
            vanityNameError: props.vanityNameError
        };
        return _this;
    }

    _createClass(SharedLinkSettingsModal, [{
        key: 'componentWillReceiveProps',
        value: function componentWillReceiveProps(nextProps) {
            var expirationError = nextProps.expirationError,
                passwordError = nextProps.passwordError,
                vanityNameError = nextProps.vanityNameError;


            if (this.props.expirationError !== expirationError || this.props.passwordError !== passwordError || this.props.vanityNameError !== vanityNameError) {
                this.setState({
                    expirationError: expirationError,
                    passwordError: passwordError,
                    vanityNameError: vanityNameError
                });
            }
        }
    }, {
        key: 'renderVanityNameSection',
        value: function renderVanityNameSection() {
            var _props = this.props,
                canChangeVanityName = _props.canChangeVanityName,
                serverURL = _props.serverURL,
                vanityNameInputProps = _props.vanityNameInputProps;
            var vanityNameError = this.state.vanityNameError;


            return React.createElement(VanityNameSection, {
                canChangeVanityName: canChangeVanityName,
                error: vanityNameError,
                onChange: this.onVanityNameChange,
                serverURL: serverURL,
                vanityName: this.state.vanityName,
                vanityNameInputProps: vanityNameInputProps
            });
        }
    }, {
        key: 'renderPasswordSection',
        value: function renderPasswordSection() {
            var _props2 = this.props,
                canChangePassword = _props2.canChangePassword,
                isPasswordAvailable = _props2.isPasswordAvailable,
                passwordCheckboxProps = _props2.passwordCheckboxProps,
                passwordInputProps = _props2.passwordInputProps;
            var _state = this.state,
                isPasswordEnabled = _state.isPasswordEnabled,
                password = _state.password,
                passwordError = _state.passwordError;


            return React.createElement(PasswordSection, {
                canChangePassword: canChangePassword,
                error: passwordError,
                isPasswordAvailable: isPasswordAvailable,
                isPasswordEnabled: isPasswordEnabled,
                isPasswordInitiallyEnabled: this.props.isPasswordEnabled,
                onPasswordChange: this.onPasswordChange,
                onCheckboxChange: this.onPasswordCheckboxChange,
                password: password,
                passwordCheckboxProps: passwordCheckboxProps,
                passwordInputProps: passwordInputProps
            });
        }
    }, {
        key: 'renderExpirationSection',
        value: function renderExpirationSection() {
            var _props3 = this.props,
                canChangeExpiration = _props3.canChangeExpiration,
                expirationCheckboxProps = _props3.expirationCheckboxProps,
                expirationInputProps = _props3.expirationInputProps;
            var _state2 = this.state,
                expirationDate = _state2.expirationDate,
                isExpirationEnabled = _state2.isExpirationEnabled,
                expirationError = _state2.expirationError;


            return React.createElement(ExpirationSection, {
                canChangeExpiration: canChangeExpiration,
                error: expirationError,
                expirationCheckboxProps: expirationCheckboxProps,
                expirationDate: expirationDate,
                expirationInputProps: expirationInputProps,
                isExpirationEnabled: isExpirationEnabled,
                onCheckboxChange: this.onExpirationCheckboxChange,
                onExpirationDateChange: this.onExpirationDateChange
            });
        }
    }, {
        key: 'renderAllowDownloadSection',
        value: function renderAllowDownloadSection() {
            var _props4 = this.props,
                canChangeDownload = _props4.canChangeDownload,
                directLink = _props4.directLink,
                directLinkInputProps = _props4.directLinkInputProps,
                downloadCheckboxProps = _props4.downloadCheckboxProps,
                isDirectLinkAvailable = _props4.isDirectLinkAvailable,
                isDirectLinkUnavailableDueToDownloadSettings = _props4.isDirectLinkUnavailableDueToDownloadSettings,
                isDownloadAvailable = _props4.isDownloadAvailable;
            var isDownloadEnabled = this.state.isDownloadEnabled;


            return React.createElement(AllowDownloadSection, {
                isDownloadAvailable: isDownloadAvailable,
                isDownloadEnabled: isDownloadEnabled,
                canChangeDownload: canChangeDownload,
                directLink: directLink,
                directLinkInputProps: directLinkInputProps,
                downloadCheckboxProps: downloadCheckboxProps,
                isDirectLinkAvailable: isDirectLinkAvailable,
                isDirectLinkUnavailableDueToDownloadSettings: isDirectLinkUnavailableDueToDownloadSettings,
                onChange: this.onAllowDownloadChange
            });
        }
    }, {
        key: 'render',
        value: function render() {
            var _props5 = this.props,
                canChangeDownload = _props5.canChangeDownload,
                canChangeExpiration = _props5.canChangeExpiration,
                canChangePassword = _props5.canChangePassword,
                canChangeVanityName = _props5.canChangeVanityName,
                cancelButtonProps = _props5.cancelButtonProps,
                isOpen = _props5.isOpen,
                modalProps = _props5.modalProps,
                onRequestClose = _props5.onRequestClose,
                saveButtonProps = _props5.saveButtonProps,
                submitting = _props5.submitting;


            var showInaccessibleSettingsNotice = !(canChangeDownload && canChangeExpiration && canChangePassword && canChangeVanityName);

            var disableSaveBtn = !(canChangeDownload || canChangeExpiration || canChangePassword || canChangeVanityName);

            return React.createElement(
                Modal,
                _extends({
                    className: 'shared-link-settings-modal',
                    isOpen: isOpen,
                    onRequestClose: submitting ? undefined : onRequestClose,
                    title: React.createElement(FormattedMessage, messages.modalTitle)
                }, modalProps),
                React.createElement(
                    'form',
                    { onSubmit: this.onSubmit },
                    showInaccessibleSettingsNotice && React.createElement(
                        InlineNotice,
                        { type: 'warning' },
                        React.createElement(FormattedMessage, messages.inaccessibleSettingsNotice)
                    ),
                    this.renderVanityNameSection(),
                    this.renderPasswordSection(),
                    this.renderExpirationSection(),
                    this.renderAllowDownloadSection(),
                    React.createElement(
                        ModalActions,
                        null,
                        React.createElement(
                            Button,
                            _extends({
                                isDisabled: submitting,
                                onClick: onRequestClose,
                                type: 'button'
                            }, cancelButtonProps),
                            React.createElement(FormattedMessage, commonMessages.cancel)
                        ),
                        React.createElement(
                            PrimaryButton,
                            _extends({
                                isDisabled: submitting || disableSaveBtn,
                                isLoading: submitting
                            }, saveButtonProps),
                            React.createElement(FormattedMessage, commonMessages.save)
                        )
                    )
                )
            );
        }
    }]);

    return SharedLinkSettingsModal;
}(Component);

SharedLinkSettingsModal.propTypes = {
    isOpen: PropTypes.bool,
    onRequestClose: PropTypes.func,
    submitting: PropTypes.bool,
    /** Function called on form submission. Format is:
     * ({
     *      expirationTimestamp: number (in milliseconds),
     *      isDownloadEnabled: true,
     *      isExpirationEnabled: true,
     *      isPasswordEnabled: true,
     *      password: string,
     *      vanityName: string,
     * }) => void
     */
    onSubmit: PropTypes.func.isRequired,

    // Custom URL props
    /** Whether or not user has permission to change/set vanity URL for this item */
    canChangeVanityName: PropTypes.bool.isRequired,
    /** Current vanity name for the item */
    vanityName: PropTypes.string.isRequired,
    /** Server URL prefix for vanity URL preview; should be something like http://company.box.com/v/ */
    serverURL: PropTypes.string.isRequired,
    vanityNameError: PropTypes.string,

    // Password props
    /** Whether or not user has permission to enable/disable/change password */
    canChangePassword: PropTypes.bool.isRequired,
    /** Whether or not the password section is visible to user */
    isPasswordAvailable: PropTypes.bool.isRequired,
    /** Whether or not password is currently enabled */
    isPasswordEnabled: PropTypes.bool.isRequired,
    passwordError: PropTypes.string,

    // Expiration props
    /** Whether or not user has permission to enable/disable/change expiration */
    canChangeExpiration: PropTypes.bool.isRequired,
    /** Current expiration timestamp, in milliseconds */
    expirationTimestamp: PropTypes.number,
    expirationError: PropTypes.string,

    // Allow download props
    /** Whether or not the download section is visible to user */
    isDownloadAvailable: PropTypes.bool.isRequired,
    /** Whether or not user has permission to enable/disable download */
    canChangeDownload: PropTypes.bool.isRequired,
    /** Whether or not download is currently enabled */
    isDownloadEnabled: PropTypes.bool.isRequired,

    // Direct link props
    /** URL for direct link */
    directLink: PropTypes.string.isRequired,
    /** Whether or not direct link is available */
    isDirectLinkAvailable: PropTypes.bool.isRequired,
    /** Whether or not direct link is unavailable only due to download setting */
    isDirectLinkUnavailableDueToDownloadSettings: PropTypes.bool.isRequired,

    // Hooks for resin
    cancelButtonProps: PropTypes.object,
    directLinkInputProps: PropTypes.object,
    downloadCheckboxProps: PropTypes.object,
    expirationCheckboxProps: PropTypes.object,
    expirationInputProps: PropTypes.object,
    modalProps: PropTypes.object,
    passwordCheckboxProps: PropTypes.object,
    passwordInputProps: PropTypes.object,
    saveButtonProps: PropTypes.object,
    vanityNameInputProps: PropTypes.object
};
SharedLinkSettingsModal.defaultProps = {
    cancelButtonProps: {},
    modalProps: {},
    saveButtonProps: {}
};


export default SharedLinkSettingsModal;