var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from 'react';
import PropTypes from 'prop-types';
import { FormattedMessage, injectIntl, intlShape } from 'react-intl';

import TextInput from '../../components/text-input';

import messages from './messages';

var VanityNameSection = function VanityNameSection(_ref) {
    var canChangeVanityName = _ref.canChangeVanityName,
        error = _ref.error,
        formatMessage = _ref.intl.formatMessage,
        vanityName = _ref.vanityName,
        _ref$vanityNameInputP = _ref.vanityNameInputProps,
        vanityNameInputProps = _ref$vanityNameInputP === undefined ? {} : _ref$vanityNameInputP,
        serverURL = _ref.serverURL,
        onChange = _ref.onChange;

    var inputValue = canChangeVanityName ? vanityName : vanityName || formatMessage(messages.vanityNameNotSet);
    return React.createElement(
        'div',
        { className: 'vanity-name-section' },
        React.createElement(TextInput, _extends({
            disabled: !canChangeVanityName,
            error: error,
            label: React.createElement(FormattedMessage, messages.customURLLabel),
            name: 'vanityName',
            onChange: onChange,
            placeholder: formatMessage(messages.vanityNamePlaceholder),
            type: 'text',
            value: inputValue
        }, vanityNameInputProps)),
        (canChangeVanityName || !!vanityName) && React.createElement(
            'p',
            { className: 'custom-url-preview' },
            '' + serverURL + vanityName
        )
    );
};

VanityNameSection.propTypes = {
    canChangeVanityName: PropTypes.bool.isRequired,
    error: PropTypes.string,
    intl: intlShape.isRequired,
    vanityName: PropTypes.string.isRequired,
    vanityNameInputProps: PropTypes.object,
    serverURL: PropTypes.string.isRequired,
    onChange: PropTypes.func
};

export { VanityNameSection as VanityNameSectionBase };
export default injectIntl(VanityNameSection);