var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import { FormattedMessage } from 'react-intl';
import classNames from 'classnames';

import PlainButton from '../../components/plain-button';
import DropdownMenu, { MenuToggle } from '../../components/dropdown-menu';
import { Menu, SelectMenuItem } from '../../components/menu';
import Tooltip from '../../components/tooltip';
import { ITEM_TYPE_WEBLINK } from '../../common/constants';


import InviteePermissionsLabel from './InviteePermissionsLabel';
import messages from './messages';

var InviteePermissionsMenu = function (_Component) {
    _inherits(InviteePermissionsMenu, _Component);

    function InviteePermissionsMenu() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, InviteePermissionsMenu);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = InviteePermissionsMenu.__proto__ || Object.getPrototypeOf(InviteePermissionsMenu)).call.apply(_ref, [this].concat(args))), _this), _this.onChangeInviteePermissionsLevel = function (newInviteePermissionLevel) {
            var _this$props = _this.props,
                inviteePermissionLevel = _this$props.inviteePermissionLevel,
                changeInviteePermissionLevel = _this$props.changeInviteePermissionLevel;


            if (inviteePermissionLevel !== newInviteePermissionLevel) {
                changeInviteePermissionLevel(newInviteePermissionLevel);
            }
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(InviteePermissionsMenu, [{
        key: 'renderMenu',
        value: function renderMenu() {
            var _this2 = this;

            var _props = this.props,
                inviteePermissionLevel = _props.inviteePermissionLevel,
                inviteePermissions = _props.inviteePermissions,
                itemType = _props.itemType;


            return React.createElement(
                Menu,
                { className: 'usm-share-access-menu' },
                inviteePermissions.map(function (level) {
                    return level.value ? React.createElement(
                        SelectMenuItem,
                        {
                            onClick: function onClick() {
                                return _this2.onChangeInviteePermissionsLevel(level.value);
                            },
                            isSelected: level.value === inviteePermissionLevel,
                            key: level.value,
                            isDisabled: level.disabled
                        },
                        React.createElement(InviteePermissionsLabel, {
                            hasDescription: true,
                            inviteePermissionLevel: level.value,
                            inviteePermissions: true,
                            itemType: itemType
                        })
                    ) : null;
                })
            );
        }
    }, {
        key: 'render',
        value: function render() {
            var _props2 = this.props,
                inviteePermissionsButtonProps = _props2.inviteePermissionsButtonProps,
                inviteePermissionLevel = _props2.inviteePermissionLevel,
                disabled = _props2.disabled,
                itemType = _props2.itemType;


            var disabledTooltip = itemType === ITEM_TYPE_WEBLINK ? React.createElement(FormattedMessage, messages.inviteDisabledWeblinkTooltip) : React.createElement(FormattedMessage, messages.inviteDisabledTooltip);

            var plainButton = React.createElement(
                PlainButton,
                _extends({
                    className: classNames('lnk', {
                        'is-disabled': disabled
                    }),
                    disabled: disabled
                }, inviteePermissionsButtonProps),
                React.createElement(
                    MenuToggle,
                    null,
                    React.createElement(InviteePermissionsLabel, {
                        hasDescription: false,
                        inviteePermissionLevel: inviteePermissionLevel,
                        itemType: itemType
                    })
                )
            );

            var plainButtonWrap = disabled ? React.createElement(
                Tooltip,
                { text: disabledTooltip, position: 'bottom-center' },
                React.createElement(
                    'div',
                    { className: 'tooltip-target' },
                    plainButton
                )
            ) : plainButton;

            return React.createElement(
                'div',
                { className: 'invitee-menu-wrap' },
                React.createElement(
                    DropdownMenu,
                    null,
                    plainButtonWrap,
                    this.renderMenu()
                )
            );
        }
    }]);

    return InviteePermissionsMenu;
}(Component);

InviteePermissionsMenu.defaultProps = {
    disabled: false,
    inviteePermissions: [],
    inviteePermissionsButtonProps: {}
};
InviteePermissionsMenu.propTypes = {
    disabled: PropTypes.bool.isRequired,
    inviteePermissionsButtonProps: PropTypes.object,
    inviteePermissionLevel: PropTypes.string.isRequired,
    inviteePermissions: PropTypes.arrayOf(function () {
        return (typeof bpfrpt_proptype_inviteePermissionType === 'function' ? bpfrpt_proptype_inviteePermissionType : PropTypes.shape(bpfrpt_proptype_inviteePermissionType)).apply(this, arguments);
    }).isRequired,
    changeInviteePermissionLevel: PropTypes.func.isRequired,
    itemType: function itemType() {
        return (typeof bpfrpt_proptype_itemType === 'function' ? bpfrpt_proptype_itemType.isRequired ? bpfrpt_proptype_itemType.isRequired : bpfrpt_proptype_itemType : PropTypes.shape(bpfrpt_proptype_itemType).isRequired).apply(this, arguments);
    }
};


export default InviteePermissionsMenu;
import { bpfrpt_proptype_itemType } from '../../common/box-types';
import { bpfrpt_proptype_inviteePermissionType } from './flowTypes';
import PropTypes from 'prop-types';