var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import { FormattedMessage } from 'react-intl';

import { Modal, ModalActions } from '../../components/modal';
import Button from '../../components/button';
import PrimaryButton from '../../components/primary-button';
import commonMessages from '../../common/messages';

import messages from './messages';

var RemoveLinkConfirmModal = function (_Component) {
    _inherits(RemoveLinkConfirmModal, _Component);

    function RemoveLinkConfirmModal() {
        _classCallCheck(this, RemoveLinkConfirmModal);

        return _possibleConstructorReturn(this, (RemoveLinkConfirmModal.__proto__ || Object.getPrototypeOf(RemoveLinkConfirmModal)).apply(this, arguments));
    }

    _createClass(RemoveLinkConfirmModal, [{
        key: 'componentDidMount',
        value: function componentDidMount() {
            var onLoad = this.props.onLoad;


            if (onLoad) {
                onLoad();
            }
        }
    }, {
        key: 'render',
        value: function render() {
            var _props = this.props,
                isOpen = _props.isOpen,
                onRequestClose = _props.onRequestClose,
                removeLink = _props.removeLink,
                submitting = _props.submitting,
                okayButtonProps = _props.okayButtonProps,
                modalProps = _props.modalProps,
                cancelButtonProps = _props.cancelButtonProps;


            return React.createElement(
                Modal,
                _extends({
                    focusElementSelector: '.btn-primary',
                    title: React.createElement(FormattedMessage, messages.removeLinkConfirmationTitle),
                    isOpen: isOpen,
                    onRequestClose: submitting ? undefined : onRequestClose,
                    type: 'alert'
                }, modalProps),
                React.createElement(FormattedMessage, messages.removeLinkConfirmationDescription),
                React.createElement(
                    ModalActions,
                    null,
                    React.createElement(
                        Button,
                        _extends({
                            isDisabled: submitting,
                            onClick: onRequestClose
                        }, cancelButtonProps),
                        React.createElement(FormattedMessage, commonMessages.cancel)
                    ),
                    React.createElement(
                        PrimaryButton,
                        _extends({
                            isDisabled: submitting,
                            isLoading: submitting,
                            onClick: removeLink
                        }, okayButtonProps),
                        React.createElement(FormattedMessage, commonMessages.okay)
                    )
                )
            );
        }
    }]);

    return RemoveLinkConfirmModal;
}(Component);

RemoveLinkConfirmModal.propTypes = {
    isOpen: PropTypes.bool.isRequired,
    onRequestClose: PropTypes.func.isRequired,
    removeLink: PropTypes.func.isRequired,
    submitting: PropTypes.bool.isRequired,
    onLoad: PropTypes.func,
    okayButtonProps: PropTypes.object,
    cancelButtonProps: PropTypes.object,
    modalProps: PropTypes.object
};


export default RemoveLinkConfirmModal;
import PropTypes from 'prop-types';