var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from 'react';
import { FormattedMessage } from 'react-intl';

import { ANYONE_WITH_LINK, ANYONE_IN_COMPANY, PEOPLE_IN_ITEM } from './constants';

import messages from './messages';

var SharedLinkAccessDescription = function SharedLinkAccessDescription(_ref) {
    var accessLevel = _ref.accessLevel,
        enterpriseName = _ref.enterpriseName,
        itemType = _ref.itemType;

    var description = void 0;

    switch (accessLevel) {
        case ANYONE_WITH_LINK:
            description = messages.peopleWithLinkDescription;
            break;
        case ANYONE_IN_COMPANY:
            if (itemType === 'folder') {
                description = enterpriseName ? messages.peopleInSpecifiedCompanyCanAccessFolder : messages.peopleInCompanyCanAccessFolder;
            } else {
                description = enterpriseName ? messages.peopleInSpecifiedCompanyCanAccessFile : messages.peopleInCompanyCanAccessFile;
            }
            break;
        case PEOPLE_IN_ITEM:
            description = itemType === 'folder' ? messages.peopleInItemCanAccessFolder : messages.peopleInItemCanAccessFile;
            break;
        default:
            return null;
    }

    return React.createElement(
        'small',
        { className: 'usm-menu-description' },
        React.createElement(FormattedMessage, _extends({}, description, {
            values: { company: enterpriseName }
        }))
    );
};

SharedLinkAccessDescription.propTypes = {
    accessLevel: function accessLevel() {
        return (typeof bpfrpt_proptype_accessLevelType === 'function' ? bpfrpt_proptype_accessLevelType : PropTypes.shape(bpfrpt_proptype_accessLevelType)).apply(this, arguments);
    },
    enterpriseName: PropTypes.string,
    itemType: function itemType() {
        return (typeof bpfrpt_proptype_itemType === 'function' ? bpfrpt_proptype_itemType.isRequired ? bpfrpt_proptype_itemType.isRequired : bpfrpt_proptype_itemType : PropTypes.shape(bpfrpt_proptype_itemType).isRequired).apply(this, arguments);
    }
};
export default SharedLinkAccessDescription;
import { bpfrpt_proptype_itemType } from '../../common/box-types';
import { bpfrpt_proptype_accessLevelType } from './flowTypes';
import PropTypes from 'prop-types';