var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import classNames from 'classnames';
import { FormattedMessage } from 'react-intl';

import DropdownMenu, { MenuToggle } from '../../components/dropdown-menu';
import PlainButton from '../../components/plain-button';
import { Menu, SelectMenuItem } from '../../components/menu';

import { CAN_VIEW_DOWNLOAD, CAN_VIEW_ONLY } from './constants';
import messages from './messages';

var SharedLinkPermissionMenu = function (_Component) {
    _inherits(SharedLinkPermissionMenu, _Component);

    function SharedLinkPermissionMenu() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, SharedLinkPermissionMenu);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = SharedLinkPermissionMenu.__proto__ || Object.getPrototypeOf(SharedLinkPermissionMenu)).call.apply(_ref, [this].concat(args))), _this), _this.onChangePermissionLevel = function (newPermissionLevel) {
            var _this$props = _this.props,
                changePermissionLevel = _this$props.changePermissionLevel,
                permissionLevel = _this$props.permissionLevel,
                trackingProps = _this$props.trackingProps;
            var onChangeSharedLinkPermissionLevel = trackingProps.onChangeSharedLinkPermissionLevel;


            if (permissionLevel !== newPermissionLevel) {
                changePermissionLevel(newPermissionLevel);

                if (onChangeSharedLinkPermissionLevel) {
                    onChangeSharedLinkPermissionLevel(newPermissionLevel);
                }
            }
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(SharedLinkPermissionMenu, [{
        key: 'render',
        value: function render() {
            var _permissionLevels,
                _this2 = this;

            var _props = this.props,
                allowedPermissionLevels = _props.allowedPermissionLevels,
                permissionLevel = _props.permissionLevel,
                submitting = _props.submitting,
                trackingProps = _props.trackingProps;
            var sharedLinkPermissionsMenuButtonProps = trackingProps.sharedLinkPermissionsMenuButtonProps;


            if (!permissionLevel) {
                return null;
            }

            var permissionLevels = (_permissionLevels = {}, _defineProperty(_permissionLevels, CAN_VIEW_DOWNLOAD, {
                label: React.createElement(FormattedMessage, messages.sharedLinkPermissionsViewDownload),
                description: React.createElement(FormattedMessage, messages.sharedLinkPermissionsViewDownloadDescription)
            }), _defineProperty(_permissionLevels, CAN_VIEW_ONLY, {
                label: React.createElement(FormattedMessage, messages.sharedLinkPermissionsViewOnly),
                description: React.createElement(FormattedMessage, messages.sharedLinkPermissionsViewOnlyDescription)
            }), _permissionLevels);

            return React.createElement(
                DropdownMenu,
                null,
                React.createElement(
                    PlainButton,
                    _extends({
                        className: classNames('lnk', {
                            'is-disabled': submitting
                        }),
                        disabled: submitting
                    }, sharedLinkPermissionsMenuButtonProps),
                    React.createElement(
                        MenuToggle,
                        null,
                        permissionLevels[permissionLevel]['label']
                    )
                ),
                React.createElement(
                    Menu,
                    { className: 'ums-share-permissions-menu' },
                    allowedPermissionLevels.map(function (level) {
                        return React.createElement(
                            SelectMenuItem,
                            {
                                onClick: function onClick() {
                                    return _this2.onChangePermissionLevel(level);
                                },
                                isSelected: level === permissionLevel,
                                key: level
                            },
                            React.createElement(
                                'div',
                                null,
                                React.createElement(
                                    'strong',
                                    null,
                                    permissionLevels[level]['label']
                                ),
                                React.createElement(
                                    'small',
                                    { className: 'usm-menu-description' },
                                    ' ',
                                    permissionLevels[level]['description'],
                                    ' '
                                )
                            )
                        );
                    })
                )
            );
        }
    }]);

    return SharedLinkPermissionMenu;
}(Component);

SharedLinkPermissionMenu.defaultProps = {
    trackingProps: {}
};
SharedLinkPermissionMenu.propTypes = {
    allowedPermissionLevels: PropTypes.arrayOf(function () {
        return (typeof bpfrpt_proptype_permissionLevelType === 'function' ? bpfrpt_proptype_permissionLevelType : PropTypes.shape(bpfrpt_proptype_permissionLevelType)).apply(this, arguments);
    }).isRequired,
    canChangePermissionLevel: PropTypes.bool.isRequired,
    changePermissionLevel: PropTypes.func.isRequired,
    permissionLevel: function permissionLevel() {
        return (typeof bpfrpt_proptype_permissionLevelType === 'function' ? bpfrpt_proptype_permissionLevelType : PropTypes.shape(bpfrpt_proptype_permissionLevelType)).apply(this, arguments);
    },
    submitting: PropTypes.bool.isRequired,
    trackingProps: PropTypes.shape({
        onChangeSharedLinkPermissionLevel: PropTypes.func,
        sharedLinkPermissionsMenuButtonProps: PropTypes.object
    }).isRequired
};


export default SharedLinkPermissionMenu;
import { bpfrpt_proptype_permissionLevelType } from './flowTypes';
import PropTypes from 'prop-types';