'no babel-plugin-flow-react-proptypes'; // turn off this plugin because it breaks the IntlShape flow type

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import { FormattedMessage } from 'react-intl';


import { amaranth } from '../../styles/variables';
import PlainButton from '../../components/plain-button';
import Button from '../../components/button';
import TextInputWithCopyButton from '../../components/text-input-with-copy-button';
import IconMail from '../../icons/general/IconMail';
import IconClock from '../../icons/general/IconClock';
import { convertToMs } from '../../utils/datetime';
import Toggle from '../../components/toggle/Toggle';
import Tooltip from '../../components/tooltip';


import SharedLinkAccessMenu from './SharedLinkAccessMenu';
import SharedLinkPermissionMenu from './SharedLinkPermissionMenu';
import messages from './messages';

import { PEOPLE_IN_ITEM, CAN_VIEW_DOWNLOAD, CAN_VIEW_ONLY } from './constants';

var SharedLinkSection = function (_Component) {
    _inherits(SharedLinkSection, _Component);

    function SharedLinkSection() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, SharedLinkSection);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = SharedLinkSection.__proto__ || Object.getPrototypeOf(SharedLinkSection)).call.apply(_ref, [this].concat(args))), _this), _this.canAddSharedLink = function (isSharedLinkEnabled, canAddLink) {
            return !isSharedLinkEnabled && canAddLink;
        }, _this.canRemoveSharedLink = function (isSharedLinkEnabled, canRemoveLink) {
            return isSharedLinkEnabled && canRemoveLink;
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(SharedLinkSection, [{
        key: 'renderSharedLink',
        value: function renderSharedLink() {
            var _props = this.props,
                autofocusSharedLink = _props.autofocusSharedLink,
                changeSharedLinkAccessLevel = _props.changeSharedLinkAccessLevel,
                changeSharedLinkPermissionLevel = _props.changeSharedLinkPermissionLevel,
                classificationName = _props.classificationName,
                itemType = _props.itemType,
                onEmailSharedLinkClick = _props.onEmailSharedLinkClick,
                sharedLink = _props.sharedLink,
                submitting = _props.submitting,
                trackingProps = _props.trackingProps,
                triggerCopyOnLoad = _props.triggerCopyOnLoad;
            var accessLevel = sharedLink.accessLevel,
                allowedAccessLevels = sharedLink.allowedAccessLevels,
                canChangeAccessLevel = sharedLink.canChangeAccessLevel,
                enterpriseName = sharedLink.enterpriseName,
                isDownloadSettingAvailable = sharedLink.isDownloadSettingAvailable,
                permissionLevel = sharedLink.permissionLevel,
                url = sharedLink.url;
            var copyButtonProps = trackingProps.copyButtonProps,
                onChangeSharedLinkAccessLevel = trackingProps.onChangeSharedLinkAccessLevel,
                onChangeSharedLinkPermissionLevel = trackingProps.onChangeSharedLinkPermissionLevel,
                onSharedLinkCopy = trackingProps.onSharedLinkCopy,
                sendSharedLinkButtonProps = trackingProps.sendSharedLinkButtonProps,
                sharedLinkAccessMenuButtonProps = trackingProps.sharedLinkAccessMenuButtonProps,
                sharedLinkPermissionsMenuButtonProps = trackingProps.sharedLinkPermissionsMenuButtonProps;


            var allowedPermissionLevels = [CAN_VIEW_DOWNLOAD, CAN_VIEW_ONLY];

            if (!canChangeAccessLevel) {
                // remove all but current level
                allowedPermissionLevels = allowedPermissionLevels.filter(function (level) {
                    return level === permissionLevel;
                });
            }

            // if we cannot set the download value, we remove this option from the dropdown
            if (!isDownloadSettingAvailable) {
                allowedPermissionLevels = allowedPermissionLevels.filter(function (level) {
                    return level !== CAN_VIEW_DOWNLOAD;
                });
            }

            var autofocus = autofocusSharedLink && (sharedLink.isNewSharedLink || triggerCopyOnLoad) ? true : false;

            return React.createElement(
                React.Fragment,
                null,
                React.createElement(
                    'div',
                    { className: 'shared-link-field-row' },
                    React.createElement(TextInputWithCopyButton, {
                        autofocus: autofocus,
                        buttonProps: copyButtonProps,
                        className: 'shared-link-field-container',
                        disabled: submitting,
                        label: '',
                        onCopySuccess: onSharedLinkCopy,
                        type: 'url',
                        triggerCopyOnLoad: triggerCopyOnLoad,
                        value: url
                    }),
                    React.createElement(
                        Tooltip,
                        {
                            text: React.createElement(FormattedMessage, messages.sendSharedLink),
                            position: 'top-left'
                        },
                        React.createElement(
                            Button,
                            _extends({
                                className: 'email-shared-link-btn',
                                isDisabled: submitting,
                                onClick: onEmailSharedLinkClick,
                                type: 'button'
                            }, sendSharedLinkButtonProps),
                            React.createElement(IconMail, null)
                        )
                    )
                ),
                React.createElement(
                    'div',
                    { className: 'shared-link-access-row' },
                    React.createElement(SharedLinkAccessMenu, {
                        accessLevel: accessLevel,
                        allowedAccessLevels: allowedAccessLevels,
                        changeAccessLevel: changeSharedLinkAccessLevel,
                        classificationName: classificationName,
                        enterpriseName: enterpriseName,
                        itemType: itemType,
                        submitting: submitting,
                        trackingProps: {
                            onChangeSharedLinkAccessLevel: onChangeSharedLinkAccessLevel,
                            sharedLinkAccessMenuButtonProps: sharedLinkAccessMenuButtonProps
                        }
                    }),
                    accessLevel !== PEOPLE_IN_ITEM && React.createElement(SharedLinkPermissionMenu, {
                        allowedPermissionLevels: allowedPermissionLevels,
                        canChangePermissionLevel: canChangeAccessLevel,
                        changePermissionLevel: changeSharedLinkPermissionLevel,
                        permissionLevel: permissionLevel,
                        submitting: submitting,
                        trackingProps: {
                            onChangeSharedLinkPermissionLevel: onChangeSharedLinkPermissionLevel,
                            sharedLinkPermissionsMenuButtonProps: sharedLinkPermissionsMenuButtonProps
                        }
                    })
                )
            );
        }
    }, {
        key: 'renderSharedLinkSettingsLink',
        value: function renderSharedLinkSettingsLink() {
            var _props2 = this.props,
                intl = _props2.intl,
                onSettingsClick = _props2.onSettingsClick,
                showSharedLinkSettingsCallout = _props2.showSharedLinkSettingsCallout,
                trackingProps = _props2.trackingProps;
            var sharedLinkSettingsButtonProps = trackingProps.sharedLinkSettingsButtonProps;


            return React.createElement(
                'div',
                { className: 'shared-link-settings-btn-container' },
                React.createElement(
                    Tooltip,
                    {
                        isShown: showSharedLinkSettingsCallout,
                        position: 'middle-right',
                        showCloseButton: true,
                        text: React.createElement(FormattedMessage, messages.sharedLinkSettingsCalloutText),
                        theme: 'callout'
                    },
                    React.createElement(
                        PlainButton,
                        _extends({}, sharedLinkSettingsButtonProps, {
                            'aria-label': intl.formatMessage(messages.settingsButtonLabel),
                            className: 'shared-link-settings-btn',
                            onClick: onSettingsClick,
                            type: 'button'
                        }),
                        React.createElement(FormattedMessage, messages.sharedLinkSettings)
                    )
                )
            );
        }
    }, {
        key: 'renderToggle',
        value: function renderToggle() {
            var _props3 = this.props,
                item = _props3.item,
                onToggleSharedLink = _props3.onToggleSharedLink,
                sharedLink = _props3.sharedLink,
                submitting = _props3.submitting;
            var canChangeAccessLevel = sharedLink.canChangeAccessLevel,
                expirationTimestamp = sharedLink.expirationTimestamp;


            var isSharedLinkEnabled = !!sharedLink.url;
            var linkText = void 0;

            if (isSharedLinkEnabled) {
                linkText = React.createElement(FormattedMessage, messages.linkShareOn);
                if (expirationTimestamp && expirationTimestamp !== 0) {
                    linkText = React.createElement(
                        'span',
                        null,
                        React.createElement(FormattedMessage, messages.linkShareOn),
                        React.createElement(
                            Tooltip,
                            {
                                text: React.createElement(FormattedMessage, _extends({}, messages.sharedLinkExpirationTooltip, {
                                    values: {
                                        expiration: convertToMs(expirationTimestamp)
                                    }
                                })),
                                position: 'top-center'
                            },
                            React.createElement(
                                'span',
                                { className: 'shared-link-expiration-badge' },
                                React.createElement(IconClock, { color: amaranth })
                            )
                        )
                    );
                }
            } else {
                linkText = React.createElement(FormattedMessage, messages.linkShareOff);
            }

            var isToggleEnabled = (this.canAddSharedLink(isSharedLinkEnabled, item.grantedPermissions.itemShare) || this.canRemoveSharedLink(isSharedLinkEnabled, canChangeAccessLevel)) && !submitting;

            var toggleComponent = React.createElement(
                'div',
                { className: 'share-toggle-container' },
                React.createElement(Toggle, {
                    isDisabled: !isToggleEnabled,
                    isOn: isSharedLinkEnabled,
                    onChange: onToggleSharedLink,
                    label: linkText,
                    name: 'toggle'
                })
            );

            if (!submitting) {
                if (this.canAddSharedLink(isSharedLinkEnabled, item.grantedPermissions.itemShare)) {
                    return React.createElement(
                        Tooltip,
                        {
                            text: React.createElement(FormattedMessage, messages.sharedLinkDisabledTooltipCopy),
                            position: 'top-right'
                        },
                        toggleComponent
                    );
                }

                if (!this.canRemoveSharedLink(isSharedLinkEnabled, canChangeAccessLevel)) {
                    return React.createElement(
                        Tooltip,
                        {
                            text: React.createElement(FormattedMessage, messages.removeLinkTooltip),
                            position: 'top-right'
                        },
                        toggleComponent
                    );
                }
            }

            return toggleComponent;
        }
    }, {
        key: 'render',
        value: function render() {
            var _props4 = this.props,
                sharedLink = _props4.sharedLink,
                onSettingsClick = _props4.onSettingsClick;

            var isSharedLinkEnabled = !!sharedLink.url;

            return React.createElement(
                'div',
                null,
                React.createElement('hr', null),
                React.createElement(
                    'label',
                    null,
                    React.createElement(
                        'span',
                        { className: 'label' },
                        React.createElement(FormattedMessage, messages.sharedLinkSectionLabel)
                    )
                ),
                React.createElement(
                    'div',
                    { className: 'shared-link-toggle-row' },
                    this.renderToggle(),
                    isSharedLinkEnabled && onSettingsClick && this.renderSharedLinkSettingsLink()
                ),
                isSharedLinkEnabled && this.renderSharedLink()
            );
        }
    }]);

    return SharedLinkSection;
}(Component);

SharedLinkSection.defaultProps = {
    trackingProps: {}
};


export default SharedLinkSection;