'no babel-plugin-flow-react-proptypes'; // turn off this plugin because it breaks the IntlShape flow type

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import { FormattedMessage, injectIntl } from 'react-intl';


import LoadingIndicatorWrapper from '../../components/loading-indicator/LoadingIndicatorWrapper';
import { Modal } from '../../components/modal';
import { Link } from '../../components/link';
import Button from '../../components/button';
import { UpgradeBadge, BetaBadge } from '../../components/badge';
import { ITEM_TYPE_WEBLINK } from '../../common/constants';
import Tooltip from '../../components/tooltip';

import InviteePermissionsMenu from './InviteePermissionsMenu';
import messages from './messages';
import RemoveLinkConfirmModal from './RemoveLinkConfirmModal';
import SharedLinkSection from './SharedLinkSection';
import EmailForm from './EmailForm';
import CollaboratorList from './collaborator-avatars/CollaboratorList';
import CollaboratorAvatars from './collaborator-avatars/CollaboratorAvatars';

import { EDITOR } from './constants';

import './UnifiedShareModal.scss';

var UnifiedShareModal = function (_React$Component) {
    _inherits(UnifiedShareModal, _React$Component);

    function UnifiedShareModal(props) {
        _classCallCheck(this, UnifiedShareModal);

        var _this = _possibleConstructorReturn(this, (UnifiedShareModal.__proto__ || Object.getPrototypeOf(UnifiedShareModal)).call(this, props));

        _this.getInitialData = function () {
            var getInitialData = _this.props.getInitialData;


            getInitialData().finally(function () {
                _this.setState({
                    isFetching: false,
                    shouldRenderFTUXTooltip: true
                });
            });
            _this.setState({ getInitialDataCalled: true });
        };

        _this.onToggleSharedLink = function (event) {
            var target = event.target;
            var _this$props = _this.props,
                onAddLink = _this$props.onAddLink,
                trackingProps = _this$props.trackingProps;
            var shouldRenderFTUXTooltip = _this.state.shouldRenderFTUXTooltip;
            var sharedLinkTracking = trackingProps.sharedLinkTracking;
            var onToggleLink = sharedLinkTracking.onToggleLink;


            if (shouldRenderFTUXTooltip) {
                _this.setState({ shouldRenderFTUXTooltip: false });
            }

            if (target.type === 'checkbox') {
                if (target.checked === false) {
                    _this.openConfirmModal();
                } else {
                    onAddLink();
                }

                if (onToggleLink) {
                    onToggleLink(target.checked);
                }
            }
        };

        _this.openConfirmModal = function () {
            _this.setState({ isConfirmModalOpen: true });
        };

        _this.closeConfirmModal = function () {
            _this.setState({ isConfirmModalOpen: false });
        };

        _this.showCollaboratorList = function () {
            _this.setState({ showCollaboratorList: true });
        };

        _this.closeCollaboratorList = function () {
            _this.setState({ showCollaboratorList: false });
        };

        _this.handleSendInvites = function (data) {
            var _this$props2 = _this.props,
                sendInvites = _this$props2.sendInvites,
                trackingProps = _this$props2.trackingProps;
            var inviteCollabsEmailTracking = trackingProps.inviteCollabsEmailTracking;
            var onSendClick = inviteCollabsEmailTracking.onSendClick;
            var inviteePermissionLevel = _this.state.inviteePermissionLevel;
            var emails = data.emails,
                groupIDs = data.groupIDs,
                message = data.message;

            var params = {
                emails: emails.join(','),
                groupIDs: groupIDs.join(','),
                emailMessage: message,
                permission: inviteePermissionLevel,
                numsOfInvitees: emails.length,
                numOfInviteeGroups: groupIDs.length
            };

            if (onSendClick) {
                onSendClick(params);
            }

            return sendInvites(params);
        };

        _this.handleSendSharedLink = function (data) {
            var _this$props3 = _this.props,
                sendSharedLink = _this$props3.sendSharedLink,
                trackingProps = _this$props3.trackingProps;
            var sharedLinkEmailTracking = trackingProps.sharedLinkEmailTracking;
            var onSendClick = sharedLinkEmailTracking.onSendClick;
            var emails = data.emails,
                groupIDs = data.groupIDs;


            if (onSendClick) {
                var _params = _extends({}, data, {
                    numsOfRecipients: emails.length,
                    numOfRecipientGroups: groupIDs.length
                });
                onSendClick(_params);
            }

            return sendSharedLink(data);
        };

        _this.handleInviteePermissionChange = function (permissionLevel) {
            var trackingProps = _this.props.trackingProps;
            var inviteCollabTracking = trackingProps.inviteCollabTracking;
            var onInviteePermissionChange = inviteCollabTracking.onInviteePermissionChange;


            _this.setState({ inviteePermissionLevel: permissionLevel });

            if (onInviteePermissionChange) {
                onInviteePermissionChange(permissionLevel);
            }
        };

        _this.handleFtuxCloseClick = function () {
            _this.setState({
                shouldRenderFTUXTooltip: false
            });
        };

        _this.openInviteCollaborators = function (value) {
            if (_this.state.isInviteSectionExpanded) {
                return;
            }

            // checking the value because IE seems to trigger onInput immediately
            // on focus of the contacts field
            if (value !== '') {
                _this.setState({
                    shouldRenderFTUXTooltip: false,
                    isInviteSectionExpanded: true
                }, function () {
                    var onEnterInviteCollabs = _this.props.trackingProps.inviteCollabTracking.onEnterInviteCollabs;


                    if (onEnterInviteCollabs) {
                        onEnterInviteCollabs();
                    }
                });
            }
        };

        _this.closeInviteCollaborators = function () {
            _this.setState({
                isInviteSectionExpanded: false
            });
        };

        _this.openEmailSharedLinkForm = function () {
            _this.setState({
                isEmailLinkSectionExpanded: true,
                shouldRenderFTUXTooltip: false
            });
        };

        _this.closeEmailSharedLinkForm = function () {
            _this.setState({ isEmailLinkSectionExpanded: false });
        };

        _this.updateInviteCollabsContacts = function (inviteCollabsContacts) {
            _this.setState({ inviteCollabsContacts: inviteCollabsContacts });
        };

        _this.updateEmailSharedLinkContacts = function (emailSharedLinkContacts) {
            _this.setState({ emailSharedLinkContacts: emailSharedLinkContacts });
        };

        _this.state = {
            emailSharedLinkContacts: [],
            inviteCollabsContacts: [],
            inviteePermissionLevel: EDITOR,
            isConfirmModalOpen: false,
            isEmailLinkSectionExpanded: false,
            isFetching: true,
            isInviteSectionExpanded: false,
            showCollaboratorList: false,
            getInitialDataCalled: false,
            shouldRenderFTUXTooltip: false,
            sharedLinkLoaded: false
        };
        return _this;
    }

    _createClass(UnifiedShareModal, [{
        key: 'componentDidMount',
        value: function componentDidMount() {
            var _props = this.props,
                item = _props.item,
                trackingProps = _props.trackingProps;
            var type = item.type,
                typedID = item.typedID;
            var modalTracking = trackingProps.modalTracking;
            var onLoad = modalTracking.onLoad;
            var getInitialDataCalled = this.state.getInitialDataCalled;

            // This check is to ensure minimum item props are
            // hydrated before we fetch data

            if (!getInitialDataCalled && type && typedID) {
                this.getInitialData();
            }

            if (onLoad) {
                onLoad();
            }
        }
    }, {
        key: 'componentDidUpdate',
        value: function componentDidUpdate(prevProps) {
            var _props2 = this.props,
                item = _props2.item,
                sharedLink = _props2.sharedLink;
            var type = item.type,
                typedID = item.typedID;

            var prevSharedLink = prevProps.sharedLink;
            var getInitialDataCalled = this.state.getInitialDataCalled;

            // This check is to ensure minimum item props are
            // hydrated before we fetch data

            if (!getInitialDataCalled && type && typedID) {
                this.getInitialData();
            }

            // we use state to override the default auto copy prop when a URL comes into view
            if (prevSharedLink.url !== sharedLink.url && sharedLink.url) {
                this.setState({ sharedLinkLoaded: true });
            }
        }

        // TODO-AH: Change permission level to use the appropriate flow type

    }, {
        key: 'renderInviteSection',
        value: function renderInviteSection() {
            var _props3 = this.props,
                canInvite = _props3.canInvite,
                collaborationRestrictionWarning = _props3.collaborationRestrictionWarning,
                getCollaboratorContacts = _props3.getCollaboratorContacts,
                item = _props3.item,
                sendInvitesError = _props3.sendInvitesError,
                _props3$showEnterEmai = _props3.showEnterEmailsCallout,
                showEnterEmailsCallout = _props3$showEnterEmai === undefined ? false : _props3$showEnterEmai,
                _props3$showCalloutFo = _props3.showCalloutForUser,
                showCalloutForUser = _props3$showCalloutFo === undefined ? false : _props3$showCalloutFo,
                showUpgradeOptions = _props3.showUpgradeOptions,
                submitting = _props3.submitting,
                trackingProps = _props3.trackingProps;
            var type = item.type;
            var _state = this.state,
                isInviteSectionExpanded = _state.isInviteSectionExpanded,
                shouldRenderFTUXTooltip = _state.shouldRenderFTUXTooltip;
            var inviteCollabsEmailTracking = trackingProps.inviteCollabsEmailTracking,
                modalTracking = trackingProps.modalTracking;

            var contactsFieldDisabledTooltip = type === ITEM_TYPE_WEBLINK ? React.createElement(FormattedMessage, messages.inviteDisabledWeblinkTooltip) : React.createElement(FormattedMessage, messages.inviteDisabledTooltip);
            var inlineNotice = sendInvitesError ? {
                type: 'error',
                content: sendInvitesError
            } : {
                type: 'warning',
                content: collaborationRestrictionWarning
            };
            var avatars = this.renderCollaboratorAvatars();
            var ftuxConfirmButtonProps = modalTracking.ftuxConfirmButtonProps;

            var ftuxTooltipText = React.createElement(
                'div',
                null,
                React.createElement(
                    'h4',
                    { className: 'ftux-tooltip-title' },
                    React.createElement(FormattedMessage, messages.ftuxNewUSMUserTitle)
                ),
                React.createElement(
                    'p',
                    { className: 'ftux-tooltip-body' },
                    React.createElement(FormattedMessage, messages.ftuxNewUSMUserBody)
                ),
                React.createElement(
                    'div',
                    { className: 'ftux-tooltip-controls' },
                    React.createElement(
                        Button,
                        _extends({
                            className: 'ftux-tooltip-button',
                            onClick: this.handleFtuxCloseClick
                        }, ftuxConfirmButtonProps),
                        React.createElement(FormattedMessage, messages.ftuxConfirmLabel)
                    )
                )
            );

            return React.createElement(
                React.Fragment,
                null,
                React.createElement(
                    Tooltip,
                    {
                        className: 'usm-ftux-tooltip',
                        isShown: shouldRenderFTUXTooltip && showCalloutForUser,
                        position: 'middle-left',
                        showCloseButton: true,
                        text: ftuxTooltipText,
                        theme: 'callout'
                    },
                    React.createElement(
                        'div',
                        { className: 'invite-collaborator-container' },
                        React.createElement(
                            EmailForm,
                            _extends({
                                contactsFieldAvatars: avatars,
                                contactsFieldDisabledTooltip: contactsFieldDisabledTooltip,
                                contactsFieldLabel: React.createElement(FormattedMessage, messages.inviteFieldLabel),
                                getContacts: getCollaboratorContacts,
                                inlineNotice: inlineNotice,
                                isContactsFieldEnabled: canInvite,
                                isExpanded: isInviteSectionExpanded,
                                onContactInput: this.openInviteCollaborators,
                                onRequestClose: this.closeInviteCollaborators,
                                onSubmit: this.handleSendInvites,
                                showEnterEmailsCallout: showEnterEmailsCallout,
                                submitting: submitting,
                                selectedContacts: this.state.inviteCollabsContacts,
                                updateSelectedContacts: this.updateInviteCollabsContacts
                            }, inviteCollabsEmailTracking),
                            this.renderInviteePermissionsDropdown(),
                            isInviteSectionExpanded && showUpgradeOptions && this.renderUpgradeLinkDescription()
                        )
                    )
                )
            );
        }
    }, {
        key: 'renderCollaboratorAvatars',
        value: function renderCollaboratorAvatars() {
            var _props4 = this.props,
                collaboratorsList = _props4.collaboratorsList,
                canInvite = _props4.canInvite,
                currentUserID = _props4.currentUserID,
                item = _props4.item,
                trackingProps = _props4.trackingProps;
            var modalTracking = trackingProps.modalTracking;

            var avatarsContent = null;

            if (collaboratorsList) {
                var collaborators = collaboratorsList.collaborators;
                var _item$hideCollaborato = item.hideCollaborators,
                    hideCollaborators = _item$hideCollaborato === undefined ? true : _item$hideCollaborato;

                var canShowCollaboratorAvatars = hideCollaborators ? canInvite : true;

                // filter out the current user by comparing to the ItemCollabRecord ID field
                avatarsContent = canShowCollaboratorAvatars && React.createElement(CollaboratorAvatars, {
                    collaborators: collaborators.filter(function (collaborator) {
                        return String(collaborator.userID) !== currentUserID;
                    }),
                    onClick: this.showCollaboratorList,
                    containerAttributes: modalTracking.collaboratorAvatarsProps
                });
            }

            return avatarsContent;
        }
    }, {
        key: 'renderUpgradeLinkDescription',
        value: function renderUpgradeLinkDescription() {
            var _props$trackingProps = this.props.trackingProps,
                trackingProps = _props$trackingProps === undefined ? {} : _props$trackingProps;
            var _trackingProps$invite = trackingProps.inviteCollabsEmailTracking,
                inviteCollabsEmailTracking = _trackingProps$invite === undefined ? {} : _trackingProps$invite;
            var _inviteCollabsEmailTr = inviteCollabsEmailTracking.upgradeLinkProps,
                upgradeLinkProps = _inviteCollabsEmailTr === undefined ? {} : _inviteCollabsEmailTr;


            return React.createElement(
                'div',
                { className: 'upgrade-description' },
                React.createElement(UpgradeBadge, { type: 'warning' }),
                React.createElement(FormattedMessage, _extends({
                    values: {
                        upgradeGetMoreAccessControlsLink: React.createElement(
                            Link,
                            _extends({
                                className: 'upgrade-link',
                                href: '/upgrade'
                            }, upgradeLinkProps),
                            React.createElement(FormattedMessage, messages.upgradeGetMoreAccessControlsLink)
                        )
                    }
                }, messages.upgradeGetMoreAccessControlsDescription))
            );
        }
    }, {
        key: 'renderInviteePermissionsDropdown',
        value: function renderInviteePermissionsDropdown() {
            var _props5 = this.props,
                inviteePermissions = _props5.inviteePermissions,
                item = _props5.item,
                submitting = _props5.submitting,
                canInvite = _props5.canInvite,
                trackingProps = _props5.trackingProps;
            var type = item.type;
            var inviteCollabTracking = trackingProps.inviteCollabTracking;


            return inviteePermissions && React.createElement(InviteePermissionsMenu, {
                disabled: !canInvite || submitting,
                inviteePermissionsButtonProps: inviteCollabTracking.inviteePermissionsButtonProps,
                inviteePermissionLevel: this.state.inviteePermissionLevel,
                inviteePermissions: inviteePermissions,
                changeInviteePermissionLevel: this.handleInviteePermissionChange,
                itemType: type
            });
        }
    }, {
        key: 'renderModalTitle',
        value: function renderModalTitle() {
            var _state2 = this.state,
                isEmailLinkSectionExpanded = _state2.isEmailLinkSectionExpanded,
                showCollaboratorList = _state2.showCollaboratorList;
            var item = this.props.item;
            var name = item.name;

            var title = void 0;

            if (isEmailLinkSectionExpanded) {
                title = React.createElement(FormattedMessage, _extends({}, messages.emailModalTitle, {
                    values: {
                        itemName: name
                    }
                }));
            } else if (showCollaboratorList) {
                title = React.createElement(FormattedMessage, _extends({}, messages.collaboratorListTitle, {
                    values: {
                        itemName: name
                    }
                }));
            } else {
                title = React.createElement(FormattedMessage, _extends({}, messages.modalTitle, {
                    values: {
                        itemName: name
                    }
                }));
            }

            return title;
        }
    }, {
        key: 'renderCollaboratorList',
        value: function renderCollaboratorList() {
            var _props6 = this.props,
                item = _props6.item,
                collaboratorsList = _props6.collaboratorsList,
                trackingProps = _props6.trackingProps;
            var name = item.name,
                type = item.type;
            var collaboratorListTracking = trackingProps.collaboratorListTracking;

            var listContent = null;

            if (collaboratorsList) {
                var collaborators = collaboratorsList.collaborators;


                listContent = React.createElement(CollaboratorList, {
                    itemName: name,
                    itemType: type,
                    onDoneClick: this.closeCollaboratorList,
                    item: item,
                    collaborators: collaborators,
                    trackingProps: collaboratorListTracking
                });
            }

            return listContent;
        }
    }, {
        key: 'render',
        value: function render() {
            // Shared link section props
            var _props7 = this.props,
                changeSharedLinkAccessLevel = _props7.changeSharedLinkAccessLevel,
                changeSharedLinkPermissionLevel = _props7.changeSharedLinkPermissionLevel,
                classificationName = _props7.classificationName,
                focusSharedLinkOnLoad = _props7.focusSharedLinkOnLoad,
                item = _props7.item,
                onSettingsClick = _props7.onSettingsClick,
                sharedLink = _props7.sharedLink,
                intl = _props7.intl,
                _props7$showEnterEmai = _props7.showEnterEmailsCallout,
                showEnterEmailsCallout = _props7$showEnterEmai === undefined ? false : _props7$showEnterEmai,
                _props7$showSharedLin = _props7.showSharedLinkSettingsCallout,
                showSharedLinkSettingsCallout = _props7$showSharedLin === undefined ? false : _props7$showSharedLin,
                submitting = _props7.submitting,
                rest = _objectWithoutProperties(_props7, ['changeSharedLinkAccessLevel', 'changeSharedLinkPermissionLevel', 'classificationName', 'focusSharedLinkOnLoad', 'item', 'onSettingsClick', 'sharedLink', 'intl', 'showEnterEmailsCallout', 'showSharedLinkSettingsCallout', 'submitting']);

            var canInvite = rest.canInvite,
                getSharedLinkContacts = rest.getSharedLinkContacts,
                isOpen = rest.isOpen,
                onRequestClose = rest.onRequestClose,
                onRemoveLink = rest.onRemoveLink,
                sendSharedLinkError = rest.sendSharedLinkError,
                trackingProps = rest.trackingProps;
            var modalTracking = trackingProps.modalTracking,
                sharedLinkTracking = trackingProps.sharedLinkTracking,
                sharedLinkEmailTracking = trackingProps.sharedLinkEmailTracking,
                removeLinkConfirmModalTracking = trackingProps.removeLinkConfirmModalTracking;
            var modalProps = modalTracking.modalProps;
            var _state3 = this.state,
                isEmailLinkSectionExpanded = _state3.isEmailLinkSectionExpanded,
                isFetching = _state3.isFetching,
                isInviteSectionExpanded = _state3.isInviteSectionExpanded,
                isConfirmModalOpen = _state3.isConfirmModalOpen,
                showCollaboratorList = _state3.showCollaboratorList,
                sharedLinkLoaded = _state3.sharedLinkLoaded;

            // focus logic at modal level

            var extendedModalProps = _extends({
                focusElementSelector: canInvite ? '.pill-selector-input' // focus on invite collabs field
                : '.toggle-simple' }, modalProps);

            var shouldAutoFocus = focusSharedLinkOnLoad === undefined ? sharedLinkLoaded : sharedLinkLoaded && focusSharedLinkOnLoad;

            return React.createElement(
                'div',
                null,
                React.createElement(
                    Modal,
                    _extends({
                        className: 'unified-share-modal',
                        isOpen: isConfirmModalOpen ? false : isOpen,
                        onRequestClose: submitting ? undefined : onRequestClose,
                        title: React.createElement(
                            'span',
                            null,
                            this.renderModalTitle(),
                            React.createElement(
                                Tooltip,
                                {
                                    position: 'top-center',
                                    text: React.createElement(FormattedMessage, messages.betaFeedbackCtaCopy)
                                },
                                React.createElement(
                                    Link,
                                    _extends({
                                        href: 'https://goo.gl/forms/B4n3aKozjGiejyMX2',
                                        target: 'blank'
                                    }, modalTracking.betaLabelProps),
                                    React.createElement(BetaBadge, null)
                                )
                            )
                        )
                    }, extendedModalProps),
                    React.createElement(
                        LoadingIndicatorWrapper,
                        { isLoading: isFetching, hideContent: true },
                        !isEmailLinkSectionExpanded && !showCollaboratorList && this.renderInviteSection(),
                        !isEmailLinkSectionExpanded && !isInviteSectionExpanded && !showCollaboratorList && React.createElement(SharedLinkSection, {
                            autofocusSharedLink: shouldAutoFocus,
                            triggerCopyOnLoad: focusSharedLinkOnLoad,
                            changeSharedLinkAccessLevel: changeSharedLinkAccessLevel,
                            changeSharedLinkPermissionLevel: changeSharedLinkPermissionLevel,
                            classificationName: classificationName,
                            intl: intl,
                            item: item,
                            itemType: item.type,
                            onEmailSharedLinkClick: this.openEmailSharedLinkForm,
                            onSettingsClick: onSettingsClick,
                            onToggleSharedLink: this.onToggleSharedLink,
                            sharedLink: sharedLink,
                            showSharedLinkSettingsCallout: showSharedLinkSettingsCallout,
                            submitting: submitting || isFetching,
                            trackingProps: sharedLinkTracking
                        }),
                        isEmailLinkSectionExpanded && !showCollaboratorList && React.createElement(EmailForm, _extends({
                            contactsFieldLabel: React.createElement(FormattedMessage, messages.sendSharedLinkFieldLabel),
                            getContacts: getSharedLinkContacts,
                            inlineNotice: {
                                type: 'error',
                                content: sendSharedLinkError
                            },
                            isContactsFieldEnabled: true,
                            isExpanded: true,
                            onRequestClose: this.closeEmailSharedLinkForm,
                            onSubmit: this.handleSendSharedLink,
                            showEnterEmailsCallout: showEnterEmailsCallout,
                            submitting: submitting,
                            selectedContacts: this.state.emailSharedLinkContacts,
                            updateSelectedContacts: this.updateEmailSharedLinkContacts
                        }, sharedLinkEmailTracking)),
                        showCollaboratorList && this.renderCollaboratorList()
                    )
                ),
                isConfirmModalOpen && React.createElement(RemoveLinkConfirmModal, _extends({
                    isOpen: isConfirmModalOpen,
                    onRequestClose: this.closeConfirmModal,
                    removeLink: onRemoveLink,
                    submitting: submitting
                }, removeLinkConfirmModalTracking))
            );
        }
    }]);

    return UnifiedShareModal;
}(React.Component);

UnifiedShareModal.defaultProps = {
    trackingProps: {
        inviteCollabsEmailTracking: {},
        sharedLinkEmailTracking: {},
        sharedLinkTracking: {},
        inviteCollabTracking: {},
        modalTracking: {},
        removeLinkConfirmModalTracking: {},
        collaboratorListTracking: {}
    }
};


export { UnifiedShareModal as UnifiedShareModalBase };
export default injectIntl(UnifiedShareModal);