var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import { FormattedMessage } from 'react-intl';

import IconExpirationBadge from '../../../icons/general/IconExpirationBadge';
import IconGlobe from '../../../icons/general/IconGlobe';
import Badgeable from '../../../components/badgeable/Badgeable';
import Tooltip from '../../../components/tooltip/Tooltip';
import Avatar from '../../../components/avatar';

import messages from '../messages';

var CollaboratorAvatarItem = function CollaboratorAvatarItem(props) {
    var _props$allowBadging = props.allowBadging,
        allowBadging = _props$allowBadging === undefined ? false : _props$allowBadging,
        _props$email = props.email,
        email = _props$email === undefined ? '' : _props$email,
        expiration = props.expiration,
        _props$isExternalColl = props.isExternalCollab,
        isExternalCollab = _props$isExternalColl === undefined ? false : _props$isExternalColl,
        hasCustomAvatar = props.hasCustomAvatar,
        avatarUrl = props.avatarUrl,
        name = props.name,
        rest = _objectWithoutProperties(props, ['allowBadging', 'email', 'expiration', 'isExternalCollab', 'hasCustomAvatar', 'avatarUrl', 'name']);

    var avatarInstance = hasCustomAvatar && avatarUrl ? React.createElement(Avatar, _extends({ avatarUrl: avatarUrl, name: name }, rest)) : React.createElement(Avatar, _extends({ name: name || '-' }, rest));

    var expirationBadge = allowBadging && expiration && expiration.executeAt ? React.createElement(
        Tooltip,
        {
            text: React.createElement(FormattedMessage, _extends({}, messages.expirationTooltipText, {
                values: { date: expiration.executeAt }
            })),
            position: 'middle-right'
        },
        React.createElement(
            'div',
            null,
            React.createElement(IconExpirationBadge, {
                className: 'themed',
                height: 14,
                width: 14
            })
        )
    ) : null;

    var externalCollabBadge = allowBadging && email && isExternalCollab ? React.createElement(
        Tooltip,
        {
            text: React.createElement(FormattedMessage, _extends({}, messages.externalCollabTooltipText, {
                values: { email: email }
            })),
            position: 'middle-right'
        },
        React.createElement(
            'div',
            null,
            React.createElement(IconGlobe, { className: 'themed', height: 14, width: 14 })
        )
    ) : null;

    return React.createElement(
        Badgeable,
        { topLeft: expirationBadge, bottomLeft: externalCollabBadge },
        avatarInstance
    );
};

CollaboratorAvatarItem.propTypes = {
    allowBadging: PropTypes.bool,
    avatarUrl: PropTypes.string,
    email: PropTypes.string,
    expiration: PropTypes.object,
    isExternalCollab: PropTypes.bool,
    name: PropTypes.string.isRequired,
    hasCustomAvatar: PropTypes.bool,
    id: PropTypes.number.isRequired
};
export default CollaboratorAvatarItem;
import PropTypes from 'prop-types';