var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import { FormattedMessage } from 'react-intl';
import classNames from 'classnames';

import CollaboratorAvatarItem from './CollaboratorAvatarItem';
import messages from './../messages';


import './CollaboratorAvatars.scss';

var MAX_ADDITIONAL_COLLABORATOR_NUM_CAP = 99;

var CollaboratorAvatars = function (_Component) {
    _inherits(CollaboratorAvatars, _Component);

    function CollaboratorAvatars() {
        _classCallCheck(this, CollaboratorAvatars);

        return _possibleConstructorReturn(this, (CollaboratorAvatars.__proto__ || Object.getPrototypeOf(CollaboratorAvatars)).apply(this, arguments));
    }

    _createClass(CollaboratorAvatars, [{
        key: 'isVisible',
        value: function isVisible() {
            return this.props.collaborators.length > 0;
        }
    }, {
        key: 'hasAdditionalCollaborators',
        value: function hasAdditionalCollaborators() {
            var _props = this.props,
                collaborators = _props.collaborators,
                maxDisplayedUserAvatars = _props.maxDisplayedUserAvatars;


            return collaborators.length > maxDisplayedUserAvatars;
        }
    }, {
        key: 'collaboratorsOverMaxCount',
        value: function collaboratorsOverMaxCount() {
            var _props2 = this.props,
                collaborators = _props2.collaborators,
                maxDisplayedUserAvatars = _props2.maxDisplayedUserAvatars,
                maxAdditionalCollaboratorsNum = _props2.maxAdditionalCollaboratorsNum;


            var remainingCollabCount = collaborators.length - maxDisplayedUserAvatars;

            return remainingCollabCount > maxAdditionalCollaboratorsNum;
        }
    }, {
        key: 'formatAdditionalCollaboratorCount',
        value: function formatAdditionalCollaboratorCount() {
            var _props3 = this.props,
                maxAdditionalCollaboratorsNum = _props3.maxAdditionalCollaboratorsNum,
                maxDisplayedUserAvatars = _props3.maxDisplayedUserAvatars,
                collaborators = _props3.collaborators;


            return this.collaboratorsOverMaxCount() ? maxAdditionalCollaboratorsNum + '+' : '+' + (collaborators.length - maxDisplayedUserAvatars);
        }
    }, {
        key: 'render',
        value: function render() {
            var _props4 = this.props,
                collaborators = _props4.collaborators,
                maxDisplayedUserAvatars = _props4.maxDisplayedUserAvatars,
                containerAttributes = _props4.containerAttributes,
                onClick = _props4.onClick;


            return React.createElement(
                'a',
                _extends({
                    className: classNames('collaborator-avatar-container', {
                        'are-avatars-hidden': !this.isVisible()
                    }),
                    onClick: onClick
                }, containerAttributes, {
                    'aria-hidden': this.isVisible() ? 'false' : 'true',
                    tabIndex: '0'
                }),
                React.createElement(
                    'div',
                    { className: 'avatars-label' },
                    React.createElement(FormattedMessage, messages.collaboratorAvatarsLabel)
                ),
                React.createElement(
                    'div',
                    { className: 'avatars' },
                    this.isVisible() && collaborators.slice(0, maxDisplayedUserAvatars).map(function (collaborator, index) {
                        var collabID = collaborator.collabID,
                            imageURL = collaborator.imageURL,
                            hasCustomAvatar = collaborator.hasCustomAvatar,
                            name = collaborator.name;


                        return React.createElement(CollaboratorAvatarItem, {
                            key: 'collab-avatar-' + collabID,
                            id: index,
                            hasCustomAvatar: hasCustomAvatar,
                            avatarUrl: imageURL,
                            name: name
                        });
                    })
                ),
                this.isVisible() && this.hasAdditionalCollaborators() && React.createElement(
                    'div',
                    { className: 'avatars-count' },
                    this.formatAdditionalCollaboratorCount()
                )
            );
        }
    }]);

    return CollaboratorAvatars;
}(Component);

CollaboratorAvatars.defaultProps = {
    /** Maximum number of avatars to display before showing a +{n} avatar */
    maxDisplayedUserAvatars: 3,
    /** Maximum number of collaborators before displaying a {maxAdditionalCollaboratorsNum}+ avatar */
    maxAdditionalCollaboratorsNum: MAX_ADDITIONAL_COLLABORATOR_NUM_CAP,
    containerAttributes: {}
};
CollaboratorAvatars.propTypes = {
    collaborators: PropTypes.arrayOf(function () {
        return (typeof bpfrpt_proptype_collaboratorType === 'function' ? bpfrpt_proptype_collaboratorType : PropTypes.shape(bpfrpt_proptype_collaboratorType)).apply(this, arguments);
    }).isRequired,
    containerAttributes: PropTypes.object.isRequired,
    onClick: PropTypes.func.isRequired,
    maxDisplayedUserAvatars: PropTypes.number.isRequired,
    maxAdditionalCollaboratorsNum: PropTypes.number.isRequired
};


export default CollaboratorAvatars;
import { bpfrpt_proptype_collaboratorType } from '../flowTypes';
import PropTypes from 'prop-types';