var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import { FormattedMessage } from 'react-intl';

import CollaborationBadge from '../../../icons/badges/CollaborationBadge';
import { ModalActions } from '../../../components/modal';
import Button from '../../../components/button';
import PlainButton from '../../../components/plain-button';
import { Link } from '../../../components/link';

import commonMessages from '../../../common/messages';

import CollaboratorListItem from './CollaboratorListItem';
import messages from '../messages';

var MAX_COLLABORATOR_LIST_SIZE = 90;

var CollaboratorList = function (_React$Component) {
    _inherits(CollaboratorList, _React$Component);

    function CollaboratorList() {
        _classCallCheck(this, CollaboratorList);

        return _possibleConstructorReturn(this, (CollaboratorList.__proto__ || Object.getPrototypeOf(CollaboratorList)).apply(this, arguments));
    }

    _createClass(CollaboratorList, [{
        key: 'createCollaboratorPageLink',
        value: function createCollaboratorPageLink(children, trackingProp) {
            var item = this.props.item;
            var type = item.type,
                id = item.id;

            var collaboratorsPageLink = '/' + type + '/' + id + '/collaborators/';

            return React.createElement(
                Link,
                _extends({
                    href: collaboratorsPageLink,
                    rel: 'noopener',
                    target: '_blank'
                }, trackingProp),
                children
            );
        }
    }, {
        key: 'render',
        value: function render() {
            var _props = this.props,
                collaborators = _props.collaborators,
                onDoneClick = _props.onDoneClick,
                maxCollaboratorListSize = _props.maxCollaboratorListSize,
                trackingProps = _props.trackingProps;
            var usernameProps = trackingProps.usernameProps,
                emailProps = trackingProps.emailProps,
                manageLinkProps = trackingProps.manageLinkProps,
                viewAdditionalProps = trackingProps.viewAdditionalProps,
                doneButtonProps = trackingProps.doneButtonProps;

            var manageAllBtn = React.createElement(
                PlainButton,
                { className: 'manage-all-btn', type: 'button' },
                React.createElement(FormattedMessage, messages.manageAllLinkText)
            );
            var maxListSizeToRender = Math.min(maxCollaboratorListSize, MAX_COLLABORATOR_LIST_SIZE);

            return React.createElement(
                'div',
                { className: 'usm-collaborator-list' },
                React.createElement(
                    'div',
                    { className: 'manage-all-btn-container' },
                    this.createCollaboratorPageLink(manageAllBtn, manageLinkProps)
                ),
                React.createElement(
                    'ul',
                    { className: 'collaborator-list' },
                    collaborators.slice(0, maxListSizeToRender).map(function (collaborator, index) {
                        var collabID = collaborator.collabID,
                            type = collaborator.type;

                        return React.createElement(CollaboratorListItem, {
                            key: collabID + '-' + type,
                            collaborator: collaborator,
                            index: index,
                            trackingProps: {
                                usernameProps: usernameProps,
                                emailProps: emailProps
                            }
                        });
                    }),
                    collaborators.length > maxListSizeToRender && React.createElement(
                        'li',
                        { className: 'collaborator-list-item more' },
                        React.createElement(
                            'div',
                            null,
                            React.createElement(CollaborationBadge, { height: 32, width: 32 })
                        ),
                        React.createElement(
                            'div',
                            null,
                            this.createCollaboratorPageLink(React.createElement(FormattedMessage, messages.viewAdditionalPeopleText), viewAdditionalProps)
                        )
                    )
                ),
                React.createElement(
                    ModalActions,
                    null,
                    React.createElement(
                        Button,
                        _extends({
                            className: 'btn-done',
                            onClick: onDoneClick
                        }, doneButtonProps),
                        React.createElement(FormattedMessage, commonMessages.done)
                    )
                )
            );
        }
    }]);

    return CollaboratorList;
}(React.Component);

CollaboratorList.defaultProps = {
    maxCollaboratorListSize: MAX_COLLABORATOR_LIST_SIZE
};
CollaboratorList.propTypes = {
    item: function item() {
        return (typeof bpfrpt_proptype_item === 'function' ? bpfrpt_proptype_item.isRequired ? bpfrpt_proptype_item.isRequired : bpfrpt_proptype_item : PropTypes.shape(bpfrpt_proptype_item).isRequired).apply(this, arguments);
    },
    collaborators: PropTypes.arrayOf(function () {
        return (typeof bpfrpt_proptype_collaboratorType === 'function' ? bpfrpt_proptype_collaboratorType : PropTypes.shape(bpfrpt_proptype_collaboratorType)).apply(this, arguments);
    }).isRequired,
    maxCollaboratorListSize: PropTypes.number.isRequired,
    onDoneClick: PropTypes.func.isRequired,
    doneButtonProps: PropTypes.object,
    trackingProps: function trackingProps() {
        return (typeof bpfrpt_proptype_collaboratorListTrackingType === 'function' ? bpfrpt_proptype_collaboratorListTrackingType.isRequired ? bpfrpt_proptype_collaboratorListTrackingType.isRequired : bpfrpt_proptype_collaboratorListTrackingType : PropTypes.shape(bpfrpt_proptype_collaboratorListTrackingType).isRequired).apply(this, arguments);
    }
};


export default CollaboratorList;
import { bpfrpt_proptype_collaboratorListTrackingType } from '../flowTypes';
import { bpfrpt_proptype_item } from '../flowTypes';
import { bpfrpt_proptype_collaboratorType } from '../flowTypes';
import PropTypes from 'prop-types';