var _accessLevelValues, _permissionLevelValue, _collaboratorGroupVal;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as constants from './constants';

// DRY: Invert the constants so that we can construct the appropriate enum types

var accessLevelValues = (_accessLevelValues = {}, _defineProperty(_accessLevelValues, constants.ANYONE_WITH_LINK, 'ANYONE_WITH_LINK'), _defineProperty(_accessLevelValues, constants.ANYONE_IN_COMPANY, 'ANYONE_IN_COMPANY'), _defineProperty(_accessLevelValues, constants.PEOPLE_IN_ITEM, 'PEOPLE_IN_ITEM'), _accessLevelValues);

var bpfrpt_proptype_accessLevelType = function bpfrpt_proptype_accessLevelType() {
    return (typeof $Keys === 'function' ? PropTypes.instanceOf($Keys) : PropTypes.any).apply(this, arguments);
};

var permissionLevelValues = (_permissionLevelValue = {}, _defineProperty(_permissionLevelValue, constants.CAN_VIEW_DOWNLOAD, 'CAN_VIEW_DOWNLOAD'), _defineProperty(_permissionLevelValue, constants.CAN_VIEW_ONLY, 'CAN_VIEW_ONLY'), _permissionLevelValue);

var bpfrpt_proptype_permissionLevelType = function bpfrpt_proptype_permissionLevelType() {
    return (typeof $Keys === 'function' ? PropTypes.instanceOf($Keys) : PropTypes.any).apply(this, arguments);
};

var collaboratorGroupValues = (_collaboratorGroupVal = {}, _defineProperty(_collaboratorGroupVal, constants.COLLAB_GROUP_TYPE, 'COLLAB_GROUP_TYPE'), _defineProperty(_collaboratorGroupVal, constants.COLLAB_USER_TYPE, 'COLLAB_USER_TYPE'), _defineProperty(_collaboratorGroupVal, constants.COLLAB_PENDING_TYPE, 'COLLAB_PENDING_TYPE'), _collaboratorGroupVal);

var bpfrpt_proptype_collaboratorGroupType = function bpfrpt_proptype_collaboratorGroupType() {
    return (typeof $Keys === 'function' ? PropTypes.instanceOf($Keys) : PropTypes.any).apply(this, arguments);
};

var bpfrpt_proptype_allowedAccessLevelsType = {
    peopleWithTheLink: PropTypes.bool,
    peopleInYourCompany: PropTypes.bool,
    peopleInThisItem: PropTypes.bool
};
var bpfrpt_proptype_contactType = {
    email: PropTypes.string,
    id: PropTypes.oneOfType([PropTypes.number, PropTypes.string]).isRequired,
    name: PropTypes.string,
    text: PropTypes.string,
    type: PropTypes.string.isRequired,
    value: PropTypes.oneOfType([PropTypes.number, PropTypes.string])
};
var bpfrpt_proptype_inviteePermissionType = {
    disabled: PropTypes.bool,
    text: PropTypes.string.isRequired,
    value: PropTypes.string.isRequired
};
var bpfrpt_proptype_item = {
    grantedPermissions: PropTypes.shape({
        itemShare: PropTypes.bool.isRequired
    }).isRequired,
    hideCollaborators: PropTypes.bool.isRequired,
    id: PropTypes.number.isRequired,
    name: PropTypes.string.isRequired,
    type: function type() {
        return (typeof bpfrpt_proptype_itemType === 'function' ? bpfrpt_proptype_itemType.isRequired ? bpfrpt_proptype_itemType.isRequired : bpfrpt_proptype_itemType : PropTypes.shape(bpfrpt_proptype_itemType).isRequired).apply(this, arguments);
    },
    typedID: PropTypes.string.isRequired
};
var bpfrpt_proptype_emailFormTrackingType = {
    onContactAdd: PropTypes.func,
    onContactRemove: PropTypes.func,
    onSendClick: PropTypes.func,
    cancelButtonProps: PropTypes.object,
    messageProps: PropTypes.object
};
var bpfrpt_proptype_sharedLinkTrackingType = {
    copyButtonProps: PropTypes.object,
    onChangeSharedLinkAccessLevel: PropTypes.func,
    onChangeSharedLinkPermissionLevel: PropTypes.func,
    onSharedLinkCopy: PropTypes.func,
    onToggleLink: PropTypes.func,
    sendSharedLinkButtonProps: PropTypes.object,
    sharedLinkAccessMenuButtonProps: PropTypes.object,
    sharedLinkPermissionsMenuButtonProps: PropTypes.object,
    sharedLinkSettingsButtonProps: PropTypes.object
};
var bpfrpt_proptype_collaboratorListTrackingType = {
    doneButtonProps: PropTypes.object,
    manageLinkProps: PropTypes.object,
    usernameProps: PropTypes.object,
    emailProps: PropTypes.object,
    viewAdditionalProps: PropTypes.object
};
var bpfrpt_proptype_trackingPropsType = {
    inviteCollabsEmailTracking: PropTypes.shape({
        onContactAdd: PropTypes.func,
        onContactRemove: PropTypes.func,
        onSendClick: PropTypes.func,
        cancelButtonProps: PropTypes.object,
        messageProps: PropTypes.object,
        upgradeLinkProps: PropTypes.object
    }).isRequired,
    sharedLinkEmailTracking: PropTypes.shape({
        onContactAdd: PropTypes.func,
        onContactRemove: PropTypes.func,
        onSendClick: PropTypes.func,
        cancelButtonProps: PropTypes.object,
        messageProps: PropTypes.object
    }).isRequired,
    sharedLinkTracking: PropTypes.shape({
        copyButtonProps: PropTypes.object,
        onChangeSharedLinkAccessLevel: PropTypes.func,
        onChangeSharedLinkPermissionLevel: PropTypes.func,
        onSharedLinkCopy: PropTypes.func,
        onToggleLink: PropTypes.func,
        sendSharedLinkButtonProps: PropTypes.object,
        sharedLinkAccessMenuButtonProps: PropTypes.object,
        sharedLinkPermissionsMenuButtonProps: PropTypes.object,
        sharedLinkSettingsButtonProps: PropTypes.object
    }).isRequired,
    inviteCollabTracking: PropTypes.shape({
        onEnterInviteCollabs: PropTypes.func,
        onInviteePermissionChange: PropTypes.func,
        inviteePermissionsButtonProps: PropTypes.object
    }).isRequired,
    modalTracking: PropTypes.shape({
        onLoad: PropTypes.func,
        modalProps: PropTypes.object,
        betaLabelProps: PropTypes.object,
        collaboratorAvatarsProps: PropTypes.object,
        ftuxConfirmButtonProps: PropTypes.object
    }).isRequired,
    removeLinkConfirmModalTracking: PropTypes.shape({
        modalProps: PropTypes.object,
        cancelButtonProps: PropTypes.object,
        okayButtonProps: PropTypes.object,
        onLoad: PropTypes.func
    }).isRequired,
    collaboratorListTracking: PropTypes.shape({
        doneButtonProps: PropTypes.object,
        manageLinkProps: PropTypes.object,
        usernameProps: PropTypes.object,
        emailProps: PropTypes.object,
        viewAdditionalProps: PropTypes.object
    }).isRequired
};
var bpfrpt_proptype_sharedLinkType = {
    accessLevel: function accessLevel() {
        return (typeof $Keys === 'function' ? PropTypes.instanceOf($Keys).isRequired : PropTypes.any.isRequired).apply(this, arguments);
    },
    allowedAccessLevels: PropTypes.shape({
        peopleWithTheLink: PropTypes.bool,
        peopleInYourCompany: PropTypes.bool,
        peopleInThisItem: PropTypes.bool
    }).isRequired,
    canChangeAccessLevel: PropTypes.bool.isRequired,
    enterpriseName: PropTypes.string.isRequired,
    expirationTimestamp: PropTypes.number,
    isDownloadSettingAvailable: PropTypes.bool.isRequired,
    isNewSharedLink: PropTypes.bool.isRequired,
    permissionLevel: function permissionLevel() {
        return (typeof $Keys === 'function' ? PropTypes.instanceOf($Keys).isRequired : PropTypes.any.isRequired).apply(this, arguments);
    },
    url: PropTypes.string.isRequired
};

// this type is a strict subset of the SharedLinkRecord data returned from the server

var bpfrpt_proptype_collaboratorType = {
    collabID: PropTypes.number.isRequired,
    hasCustomAvatar: PropTypes.bool.isRequired,
    imageURL: PropTypes.string,
    name: PropTypes.string.isRequired,
    type: function type() {
        return (typeof $Keys === 'function' ? PropTypes.instanceOf($Keys).isRequired : PropTypes.any.isRequired).apply(this, arguments);
    },
    userID: PropTypes.number
};
var bpfrpt_proptype_collaboratorsListType = {
    collaborators: PropTypes.arrayOf(PropTypes.shape({
        collabID: PropTypes.number.isRequired,
        hasCustomAvatar: PropTypes.bool.isRequired,
        imageURL: PropTypes.string,
        name: PropTypes.string.isRequired,
        type: function type() {
            return (typeof $Keys === 'function' ? PropTypes.instanceOf($Keys).isRequired : PropTypes.any.isRequired).apply(this, arguments);
        },
        userID: PropTypes.number
    })).isRequired
};
import { bpfrpt_proptype_itemType } from '../../common/box-types';
import PropTypes from 'prop-types';
export { bpfrpt_proptype_accessLevelType };
export { bpfrpt_proptype_permissionLevelType };
export { bpfrpt_proptype_collaboratorGroupType };
export { bpfrpt_proptype_allowedAccessLevelsType };
export { bpfrpt_proptype_contactType };
export { bpfrpt_proptype_inviteePermissionType };
export { bpfrpt_proptype_item };
export { bpfrpt_proptype_emailFormTrackingType };
export { bpfrpt_proptype_sharedLinkTrackingType };
export { bpfrpt_proptype_collaboratorListTrackingType };
export { bpfrpt_proptype_trackingPropsType };
export { bpfrpt_proptype_sharedLinkType };
export { bpfrpt_proptype_collaboratorType };
export { bpfrpt_proptype_collaboratorsListType };