import { defineMessages } from 'react-intl';

var messages = defineMessages({
    betaFeedbackCtaCopy: {
        'id': 'boxui.unifiedShare.betaFeedbackCtaCopy',
        'defaultMessage': 'Click to provide feedback on this simplified sharing beta experience.'
    },
    disabledShareLinkPermission: {
        'id': 'boxui.unifiedShare.disabledShareLinkPermission',
        'defaultMessage': 'This option isn\u2019t available for this item due to a security restriction or classification.'
    },
    enterAtLeastOneEmailError: {
        'id': 'boxui.unifiedShare.enterAtLeastOneEmail',
        'defaultMessage': 'Enter at least one valid email'
    },
    enterEmailAddressesCalloutText: {
        'id': 'boxui.unifiedShare.enterEmailAddressesCalloutText',
        'defaultMessage': 'Share this item with coworkers by entering their email addresses'
    },
    ftuxNewUSMUserTitle: {
        'id': 'boxui.unifiedShare.ftuxNewUsmUserTitle',
        'defaultMessage': 'Simplified sharing for files and folders'
    },
    ftuxNewUSMUserBody: {
        'id': 'boxui.unifiedShare.ftuxNewUSMUserBody',
        'defaultMessage': 'We\'ve simplified the sharing experience when you click \'Share\'. Invite people to this item here and toggle the link on or off below for easy sharing.'
    },
    ftuxConfirmLabel: {
        'id': 'boxui.unifiedShare.ftuxConfirmLabel',
        'defaultMessage': 'Got it'
    },
    collaboratorAvatarsLabel: {
        'id': 'boxui.unifiedShare.collaboratorAvatarsLabel',
        'defaultMessage': 'Shared with'
    },
    collaboratorListTitle: {
        'id': 'boxui.unifiedShare.collaboratorListTitle',
        'defaultMessage': 'People in \'{itemName}\''
    },
    expirationTooltipText: {
        'id': 'boxui.unifiedShare.collaborators.expirationTooltipText',
        'defaultMessage': 'Access expires on {date}'
    },
    expirationTooltipClickableText: {
        'id': 'boxui.unifiedShare.collaborators.expirationTooltipClickableText',
        'defaultMessage': 'Access expires on {date}. Click for details.'
    },
    externalCollabTooltipText: {
        'id': 'boxui.unifiedShare.collaborators.externalCollabTooltipText',
        'defaultMessage': '{email} is from outside of your company'
    },
    groupLabel: {
        'id': 'boxui.unifiedShare.groupLabel',
        'defaultMessage': 'Group'
    },
    modalTitle: {
        'id': 'boxui.unifiedShare.modalTitle',
        'defaultMessage': 'Share \'{itemName}\''
    },
    emailModalTitle: {
        'id': 'boxui.unifiedShare.emailModalTitle',
        'defaultMessage': 'Send Link to \'{itemName}\''
    },
    inviteDisabledTooltip: {
        'id': 'boxui.unifiedShare.inviteDisabledTooltip',
        'defaultMessage': 'You do not have permission to invite collaborators.'
    },
    inviteDisabledWeblinkTooltip: {
        'id': 'boxui.unifiedShare.inviteDisabledWeblinkTooltip',
        'defaultMessage': 'Collaborators cannot be added to bookmarks.'
    },
    inviteFieldLabel: {
        'id': 'boxui.unifiedShare.inviteFieldLabel',
        'defaultMessage': 'Invite People'
    },
    sharedLinkSectionLabel: {
        'id': 'boxui.unifiedShare.sharedLinkSectionLabel',
        'defaultMessage': 'Share Link'
    },
    settingsButtonLabel: {
        'id': 'boxui.unifiedShare.settingsButtonLabel',
        'defaultMessage': 'Open shared link settings popup'
    },
    linkShareOff: {
        'id': 'boxui.unifiedShare.linkShareOff',
        'defaultMessage': 'Link sharing is off'
    },
    linkShareOn: {
        'id': 'boxui.unifiedShare.linkShareOn',
        'defaultMessage': 'Link sharing is on'
    },
    messageTitle: {
        'id': 'boxui.unifiedShare.message',
        'defaultMessage': 'Message'
    },

    // shared link access labels
    peopleInEnterpriseName: {
        'id': 'boxui.unifiedShare.peopleInEnterpriseName',
        'defaultMessage': 'People in {enterpriseName}'
    },
    peopleInYourCompany: {
        'id': 'boxui.unifiedShare.peopleInYourCompany',
        'defaultMessage': 'People in your company'
    },
    peopleInThisFolder: {
        'id': 'boxui.unifiedShare.peopleInThisFolder',
        'defaultMessage': 'Invited people only'
    },
    peopleInThisFile: {
        'id': 'boxui.unifiedShare.peopleInThisFile',
        'defaultMessage': 'Invited people only'
    },
    peopleWithTheLinkText: {
        'id': 'boxui.unifiedShare.peopleWithTheLinkText',
        'defaultMessage': 'People with the link'
    },

    removeLinkConfirmationTitle: {
        'id': 'boxui.unifiedShare.removeLinkConfirmationTitle',
        'defaultMessage': 'Remove Shared Link'
    },
    removeLinkConfirmationDescription: {
        'id': 'boxui.unifiedShare.removeLinkConfirmationDescription',
        'defaultMessage': 'This will permanently remove the shared link. If this item is embedded on other sites it will also become inaccessible. Any custom properties, settings and expirations will be removed as well. Do you want to continue?'
    },
    removeLinkTooltip: {
        'id': 'boxui.unifiedShare.removeLinkTooltip',
        'defaultMessage': 'You do not have permission to remove the link.'
    },
    sendSharedLink: {
        'id': 'boxui.unifiedShare.sendSharedLink',
        'defaultMessage': 'Send Shared Link'
    },
    sendSharedLinkFieldLabel: {
        'id': 'boxui.unifiedShare.sendSharedLinkFieldLabel',
        'defaultMessage': 'Email Shared Link'
    },
    sharedLinkExpirationTooltip: {
        'id': 'boxui.unifiedShare.sharedLinkExpirationTooltip',
        'defaultMessage': 'This link will expire and be inaccessible on {expiration, date, long}.'
    },

    // shared link permissions
    sharedLinkPermissionsViewDownload: {
        'id': 'boxui.unifiedShare.sharedLinkPermissionsViewDownload',
        'defaultMessage': 'Can view and download'
    },
    sharedLinkPermissionsViewDownloadDescription: {
        'id': 'boxui.unifiedShare.sharedLinkPermissionsViewDownloadDescription',
        'defaultMessage': 'Users can view and download'
    },
    sharedLinkPermissionsViewOnly: {
        'id': 'boxui.unifiedShare.sharedLinkPermissionsViewOnly',
        'defaultMessage': 'Can view only'
    },
    sharedLinkPermissionsViewOnlyDescription: {
        'id': 'boxui.unifiedShare.sharedLinkPermissionsViewOnlyDescription',
        'defaultMessage': 'Users can view only'
    },
    sharedLinkDisabledTooltipCopy: {
        'id': 'boxui.unifiedShare.sharedLinkDisabledTooltipCopy',
        'defaultMessage': 'Create and copy link for sharing'
    },
    sharedLinkSettingsCalloutText: {
        'id': 'boxui.unifiedShare.sharedLinkSettingsCalloutText',
        'defaultMessage': 'Create a custom URL, enable password protection, enable link expiration, and much more'
    },
    upgradeGetMoreAccessControlsDescription: {
        'id': 'boxui.unifiedShare.upgradeGetMoreAccessControlsDescription',
        'defaultMessage': '62% of customers on your plan {upgradeGetMoreAccessControlsLink} to manage collaborators\' access and permission settings'
    },
    upgradeGetMoreAccessControlsLink: {
        'id': 'boxui.unifiedShare.upgradeGetMoreAccessControlsLink',
        'defaultMessage': 'upgrade'
    },
    sharedLinkSettings: {
        'id': 'boxui.unifiedShare.sharedLinkSettings',
        'defaultMessage': 'Link Settings'
    },

    // shared link access descriptions
    peopleWithLinkDescription: {
        'id': 'boxui.unifiedShare.peopleWithLinkDescription',
        'defaultMessage': 'Anyone with the link can access; no sign-in required'
    },
    peopleInSpecifiedCompanyCanAccessFolder: {
        'id': 'boxui.unifiedShare.peopleInSpecifiedCompanyCanAccessFolder',
        'defaultMessage': 'Anyone at {company} with the link or people invited to this folder can access'
    },
    peopleInCompanyCanAccessFolder: {
        'id': 'boxui.unifiedShare.peopleInCompanyCanAccessFolder',
        'defaultMessage': 'Anyone in your company with the link or people invited to this folder can access'
    },
    peopleInSpecifiedCompanyCanAccessFile: {
        'id': 'boxui.unifiedShare.peopleInSpecifiedCompanyCanAccessFile',
        'defaultMessage': 'Anyone at {company} with the link or people invited to this file can access'
    },
    peopleInCompanyCanAccessFile: {
        'id': 'boxui.unifiedShare.peopleInCompanyCanAccessFile',
        'defaultMessage': 'Anyone in your company with the link or people invited to this file can access'
    },
    peopleInItemCanAccessFolder: {
        'id': 'boxui.unifiedShare.peopleInItemCanAccessFolder',
        'defaultMessage': 'Only invited people can access this folder'
    },
    peopleInItemCanAccessFile: {
        'id': 'boxui.unifiedShare.peopleInItemCanAccessFile',
        'defaultMessage': 'Only invited people can access this file'
    },

    // invite collabs levels
    coownerLevelButtonLabel: {
        'id': 'boxui.unifiedShare.coownerLevelButtonLabel',
        'defaultMessage': 'Invite as Co-owner'
    },
    coownerLevelText: {
        'id': 'boxui.unifiedShare.coownerLevelText',
        'defaultMessage': 'Co-owner'
    },
    coownerLevelDescription: {
        'id': 'boxui.unifiedShare.coownerLevelDescription',
        'defaultMessage': 'Manage security, upload, download, preview, share, edit, and delete'
    },
    editorLevelButtonLabel: {
        'id': 'boxui.unifiedShare.editorLevelButtonLabel',
        'defaultMessage': 'Invite as Editor'
    },
    editorLevelText: {
        'id': 'boxui.unifiedShare.editorLevelText',
        'defaultMessage': 'Editor'
    },
    editorLevelDescription: {
        'id': 'boxui.unifiedShare.editorLevelDescription',
        'defaultMessage': 'Upload, download, preview, share, edit, and delete'
    },
    editorLevelFileDescription: {
        'id': 'boxui.unifiedShare.editorLevelFileDescription',
        'defaultMessage': 'Upload, download, preview, share, and edit'
    },
    previewerLevelButtonLabel: {
        'id': 'boxui.unifiedShare.previewerLevelButtonLabel',
        'defaultMessage': 'Invite as Previewer'
    },
    previewerLevelText: {
        'id': 'boxui.unifiedShare.previewerLevelText',
        'defaultMessage': 'Previewer'
    },
    previewerLevelDescription: {
        'id': 'boxui.unifiedShare.previewerLevelDescription',
        'defaultMessage': 'Preview only'
    },
    previewerUploaderLevelButtonLabel: {
        'id': 'boxui.unifiedShare.previewerUploaderLevelButtonLabel',
        'defaultMessage': 'Invite as Previewer Uploader'
    },
    previewerUploaderLevelText: {
        'id': 'boxui.unifiedShare.previewerUploaderLevelText',
        'defaultMessage': 'Previewer Uploader'
    },
    previewerUploaderLevelDescription: {
        'id': 'boxui.unifiedShare.previewerUploaderLevelDescription',
        'defaultMessage': 'Upload and preview'
    },
    viewerLevelButtonLabel: {
        'id': 'boxui.unifiedShare.viewerLevelButtonLabel',
        'defaultMessage': 'Invite as Viewer'
    },
    viewerLevelText: {
        'id': 'boxui.unifiedShare.viewerLevelText',
        'defaultMessage': 'Viewer'
    },
    viewerLevelDescription: {
        'id': 'boxui.unifiedShare.viewerLevelDescription',
        'defaultMessage': 'Download, preview, and share'
    },
    viewerUploaderLevelButtonLabel: {
        'id': 'boxui.unifiedShare.viewerUploaderLevelButtonLabel',
        'defaultMessage': 'Invite as Viewer Uploader'
    },
    viewerUploaderLevelText: {
        'id': 'boxui.unifiedShare.viewerUploaderLevelText',
        'defaultMessage': 'Viewer Uploader'
    },
    viewerUploaderLevelDescription: {
        'id': 'boxui.unifiedShare.viewerUploaderLevelDescription',
        'defaultMessage': 'Upload, download, preview, share, and edit'
    },
    uploaderLevelButtonLabel: {
        'id': 'boxui.unifiedShare.uploaderLevelButtonLabel',
        'defaultMessage': 'Invite as Uploader'
    },
    uploaderLevelText: {
        'id': 'boxui.unifiedShare.uploaderLevelText',
        'defaultMessage': 'Uploader'
    },
    uploaderLevelDescription: {
        'id': 'boxui.unifiedShare.uploaderLevelDescription',
        'defaultMessage': 'Upload only'
    },
    manageAllLinkText: {
        'id': 'boxui.unifiedShare.manageAllLinkText',
        'defaultMessage': 'Manage All'
    },
    viewAdditionalPeopleText: {
        'id': 'boxui.unifiedShare.viewAdditionalPeopleText',
        'defaultMessage': 'View additional people'
    },

    // Collaboration group type messages
    pendingCollabText: {
        'id': 'boxui.unifiedShare.collaboration.pendingCollabText',
        'defaultMessage': 'Pending'
    },
    userCollabText: {
        'id': 'boxui.unifiedShare.collaboration.userCollabText',
        'defaultMessage': 'User'
    },
    groupCollabText: {
        'id': 'boxui.unifiedShare.collaboration.groupCollabText',
        'defaultMessage': 'Group'
    }
});

export default messages;