var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import { FormattedMessage } from 'react-intl';
import PropTypes from 'prop-types';

import Button from '../../components/button';
import { Modal, ModalActions } from '../../components/modal';
import commonMessages from '../../common/messages';

import FileVersionList from './FileVersionList';

import messages from './messages';
import { VersionsPropType } from './prop-types';

var VersionHistoryModal = function (_Component) {
    _inherits(VersionHistoryModal, _Component);

    function VersionHistoryModal() {
        _classCallCheck(this, VersionHistoryModal);

        return _possibleConstructorReturn(this, (VersionHistoryModal.__proto__ || Object.getPrototypeOf(VersionHistoryModal)).apply(this, arguments));
    }

    _createClass(VersionHistoryModal, [{
        key: 'renderFileVersionList',
        value: function renderFileVersionList() {
            var _props = this.props,
                canDelete = _props.canDelete,
                canUpload = _props.canUpload,
                isProcessing = _props.isProcessing,
                onDelete = _props.onDelete,
                onDownload = _props.onDownload,
                onMakeCurrent = _props.onMakeCurrent,
                onRestore = _props.onRestore,
                scrollToVersionNumber = _props.scrollToVersionNumber,
                versionLimit = _props.versionLimit,
                versions = _props.versions;


            if (!versions || versions.length <= 0) {
                return null;
            }

            return React.createElement(FileVersionList, {
                canDelete: canDelete,
                canUpload: canUpload,
                isProcessing: isProcessing,
                onDelete: onDelete,
                onDownload: onDownload,
                onMakeCurrent: onMakeCurrent,
                onRestore: onRestore,
                versionLimit: versionLimit,
                versions: versions,
                scrollToVersionNumber: scrollToVersionNumber
            });
        }
    }, {
        key: 'render',
        value: function render() {
            var _props2 = this.props,
                isOpen = _props2.isOpen,
                onRequestClose = _props2.onRequestClose;


            return React.createElement(
                Modal,
                {
                    className: 'version-history-modal',
                    isOpen: isOpen,
                    onRequestClose: onRequestClose,
                    title: React.createElement(FormattedMessage, messages.title)
                },
                this.renderFileVersionList(),
                React.createElement(
                    ModalActions,
                    null,
                    React.createElement(
                        Button,
                        { onClick: onRequestClose, type: 'button' },
                        React.createElement(FormattedMessage, commonMessages.close)
                    )
                )
            );
        }
    }]);

    return VersionHistoryModal;
}(Component);

VersionHistoryModal.propTypes = {
    canDelete: PropTypes.bool,
    canUpload: PropTypes.bool,
    isOpen: PropTypes.bool,
    isProcessing: PropTypes.bool,
    onDelete: PropTypes.func.isRequired,
    onDownload: PropTypes.func.isRequired,
    onMakeCurrent: PropTypes.func.isRequired,
    onRestore: PropTypes.func.isRequired,
    onRequestClose: PropTypes.func.isRequired,
    scrollToVersionNumber: PropTypes.number,
    versionLimit: PropTypes.number,
    versions: VersionsPropType.isRequired
};


export default VersionHistoryModal;