import { defineMessages } from 'react-intl';

var messages = defineMessages({
    title: {
        'id': 'boxui.versionHistoryModal.title',
        'defaultMessage': 'Version History'
    },
    versionNumberBadge: {
        'id': 'boxui.versionHistoryModal.versionNumberBadge',
        'defaultMessage': 'V{versionNumber}'
    },
    versionNumberLabel: {
        'id': 'boxui.versionHistoryModal.versionNumberLabel',
        'defaultMessage': 'Version number {versionNumber}'
    },
    current: {
        'id': 'boxui.versionHistoryModal.current',
        'defaultMessage': 'current'
    },
    currentVersionLabel: {
        'id': 'boxui.versionHistoryModal.currentVersionLabel',
        'defaultMessage': 'This is the current version of the file'
    },
    deletedPermanentlyByInfo: {
        'id': 'boxui.versionHistoryModal.deletedPermanentlyByInfo',
        'defaultMessage': 'Removed on {deleted, date, full} by {deleterUserName}. Per your company settings, this version will be removed permanently on {deletedPermanentlyBy, date, full}.'
    },
    deletedByInfo: {
        'id': 'boxui.versionHistoryModal.deletedByInfo',
        'defaultMessage': 'Removed on {deleted, date, full} by {deleterUserName}.'
    },
    restoredByInfo: {
        'id': 'boxui.versionHistoryModal.restoredByInfo',
        'defaultMessage': 'Restored on {restored, date, full} by {restorerUserName}.'
    },
    restoredFromVersionInfo: {
        'id': 'boxui.versionHistoryModal.restoredFromVersionInfo',
        'defaultMessage': 'Restored on {restored, date, full} from V{versionNumber} by {restorerUserName}.'
    },
    restoredFromPreviousVersionInfo: {
        'id': 'boxui.versionHistoryModal.restoredFromPreviousVersionInfo',
        'defaultMessage': 'Restored on {restored, date, full} from a previous version by {restorerUserName}.'
    },
    uploadedInfo: {
        'id': 'boxui.versionHistoryModal.uploadedInfo',
        'defaultMessage': 'Uploaded on {uploaded, date, full} at {uploaded, time, short} by {uploaderUserName}.'
    },
    restore: {
        'id': 'boxui.versionHistoryModal.restore',
        'defaultMessage': 'Restore'
    },
    download: {
        'id': 'boxui.versionHistoryModal.download',
        'defaultMessage': 'Download'
    },
    makeCurrent: {
        'id': 'boxui.versionHistoryModal.makeCurrent',
        'defaultMessage': 'Make Current'
    },
    remove: {
        'id': 'boxui.versionHistoryModal.remove',
        'defaultMessage': 'Remove'
    },
    versionLimitExceeded: {
        'id': 'boxui.versionHistoryModal.versionLimitExceeded',
        'defaultMessage': 'You can restore the most recent {versionLimit} versions of any file.'
    },
    retainedIndefinitely: {
        'id': 'boxui.versionHistoryModal.retainedIndefinitely',
        'defaultMessage': 'Retained indefinitely by retention policy.'
    },
    retainedUntil: {
        'id': 'boxui.versionHistoryModal.retainedUntil',
        'defaultMessage': 'Retained until {dispositionDate, date, full} by retention policy.'
    },
    retainedAndDeletedOn: {
        'id': 'boxui.versionHistoryModal.retainedAndDeletedOn',
        'defaultMessage': 'Will be deleted {dispositionDate, date, full} by retention policy.'
    }
});

export default messages;