import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconFileVector = function IconFileVector(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 32 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 32 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-file-vector ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 32 32'
        },
        React.createElement('path', { fill: '#fff', d: 'M25 27H7V5h13l5 5v17z' }),
        React.createElement('path', {
            d: 'M20 4H7a1 1 0 0 0-1 1v22a1 1 0 0 0 1 1h18a1 1 0 0 0 1-1V9.89zm5 23H7V5h13v4a1 1 0 0 0 1 1h4z',
            fill: '#f8931d'
        }),
        React.createElement('path', {
            d: 'M20.34 20.25a5 5 0 0 0-9.68 0 1 1 0 1 1-1-.19 6 6 0 0 1 11.65 0 1 1 0 1 1-1 .19z',
            fill: '#f7931d'
        }),
        React.createElement('circle', { cx: '15.5', cy: '15.5', r: '2.79', fill: '#fff' }),
        React.createElement('path', {
            d: 'M15.5 16.5a1 1 0 1 0-1-1 1 1 0 0 0 1 1zm0 1a2 2 0 1 1 2-2 2 2 0 0 1-2 2z',
            fill: '#f8931d'
        }),
        React.createElement('path', { fill: '#f8931d', d: 'M17 15h5v1h-5zM9 15h5v1H9z' })
    );
};

IconFileVector.propTypes = {
    className: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconFileVector;
import PropTypes from 'prop-types';