import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconAccepted = function IconAccepted(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#26C281' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 16 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 16 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-accepted ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 16 16'
        },
        React.createElement(
            'g',
            { fill: 'none', fillRule: 'evenodd' },
            React.createElement('circle', { fill: color, cx: 8, cy: 8, r: 8 }),
            React.createElement('path', {
                d: 'M7.051 9.253L4.965 7.172 3.75 8.423l3.301 3.327 5.699-5.751-1.235-1.249-4.464 4.503z',
                fill: '#FFF'
            })
        )
    );
};

IconAccepted.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconAccepted;
import PropTypes from 'prop-types';