import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconAlert = function IconAlert(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#000000' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 24 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 24 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-alert ' + className,
            title: title,
            height: height,
            width: width,
            viewBox: '0 0 24 24'
        },
        React.createElement('path', {
            className: 'fill-color',
            fill: color,
            fillRule: 'evenodd',
            d: 'M13,14H11V10H13M13,18H11V16H13M1,21H23L12,2L1,21Z'
        })
    );
};

IconAlert.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconAlert;
import PropTypes from 'prop-types';