import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconBilling = function IconBilling(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#888888' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 10 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 14 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-billing ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 14 10'
        },
        React.createElement(
            'g',
            {
                className: 'stroke-color',
                fill: 'none',
                fillRule: 'evenodd',
                stroke: color
            },
            React.createElement('rect', { width: '13', height: '9', x: '.5', y: '.5', rx: '1' }),
            React.createElement('path', {
                d: 'M7.5 7.5h-5m8 0h-1',
                strokeLinecap: 'round',
                strokeLinejoin: 'round'
            }),
            React.createElement('path', { strokeWidth: '2', d: 'M1.5 3h11', strokeLinecap: 'square' })
        )
    );
};

IconBilling.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconBilling;
import PropTypes from 'prop-types';