import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconCalendar = function IconCalendar(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#BABABA' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 17 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 16 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-calendar ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 16 17'
        },
        React.createElement(
            'g',
            { fill: 'none', fillRule: 'evenodd', transform: 'translate(0 1)' },
            React.createElement('rect', {
                className: 'fill-color',
                width: width,
                height: height,
                y: '2',
                fill: color,
                rx: '2'
            }),
            React.createElement('rect', { width: '13.75', height: '9', x: '1.25', y: '6', fill: '#FFF', rx: '1' }),
            React.createElement('path', {
                className: 'fill-color',
                fill: color,
                d: 'M11 7h2.5v2.5H11zM7 11h2.5v2.5H7zM3 11h2.5v2.5H3zM7 7h2.5v2.5H7zM3 7h2.5v2.5H3z'
            })
        )
    );
};

IconCalendar.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconCalendar;
import PropTypes from 'prop-types';