import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconCaretDown = function IconCaretDown(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#000' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 6 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 10 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-caret-down ' + className,
            title: title,
            height: height,
            width: width,
            viewBox: '0 0 10 6'
        },
        React.createElement('path', {
            className: 'fill-color',
            fill: color,
            fillRule: 'evenodd',
            d: 'M0 .5l5 5 5-5H0z'
        })
    );
};

IconCaretDown.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconCaretDown;
import PropTypes from 'prop-types';