import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconChat = function IconChat(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#979797' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 16 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 16 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-chat ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 14 15'
        },
        React.createElement(
            'g',
            { className: 'fill-color', fill: color },
            React.createElement('path', { d: 'M1 0C.4 0 0 .4 0 1v10h2v3.2L5.7 11H13c.6 0 1-.4 1-1V0H1zm12 10H5.3l-.3.2L3 12v-2H1V1h12v9z' }),
            React.createElement('path', { d: 'M3.5 6h1c.3 0 .5-.2.5-.5S4.8 5 4.5 5h-1c-.3 0-.5.2-.5.5s.2.5.5.5zM6.5 6h1c.3 0 .5-.2.5-.5S7.8 5 7.5 5h-1c-.3 0-.5.2-.5.5s.2.5.5.5zM9.5 6h1c.3 0 .5-.2.5-.5s-.2-.5-.5-.5h-1c-.3 0-.5.2-.5.5s.2.5.5.5z' })
        )
    );
};

IconChat.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconChat;
import PropTypes from 'prop-types';