import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconClose = function IconClose(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#000000' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 24 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 24 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-close ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 24 24'
        },
        React.createElement('path', {
            className: 'fill-color',
            d: 'M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12z',
            fill: color
        }),
        React.createElement('path', { d: 'M0 0h24v24H0z', fill: 'none' })
    );
};

IconClose.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconClose;
import PropTypes from 'prop-types';