import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconCollaborators = function IconCollaborators(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#979797' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 16 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 16 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-collaborators ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 16 16'
        },
        React.createElement(
            'g',
            {
                className: 'stroke-color',
                transform: 'translate(1 1)',
                stroke: color,
                fill: 'none',
                fillRule: 'evenodd'
            },
            React.createElement('circle', { cx: '7', cy: '7', r: '7' }),
            React.createElement('circle', { cx: '7', cy: '5', r: '2' }),
            React.createElement('path', { d: 'M7 12c2.182-.07 3.964-1.572 4-2 .064-.758-2.895-.993-4-.993S3 9.237 3 10c0 .255 1.818 2.07 4 2z' })
        )
    );
};

IconCollaborators.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconCollaborators;
import PropTypes from 'prop-types';