import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconCollapse = function IconCollapse(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#979797' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 13 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 13 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-collapse ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 13 13'
        },
        React.createElement('path', {
            className: 'fill-color',
            fill: color,
            d: 'M8 6h4a1 1 0 0 0 0-2H9V1a1 1 0 0 0-2 0v4a1 1 0 0 0 1 1zM1 9h3v3a1 1 0 0 0 2 0V8a1 1 0 0 0-1-1H1a1 1 0 0 0 0 2z'
        })
    );
};

IconCollapse.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconCollapse;
import PropTypes from 'prop-types';