import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconCreditCardMasterCard = function IconCreditCardMasterCard(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#979797' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 16 : _ref$height,
        _ref$opacity = _ref.opacity,
        opacity = _ref$opacity === undefined ? 1 : _ref$opacity,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 25 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-credit-card-mastercard ' + className,
            title: title,
            width: width,
            height: height,
            opacity: opacity,
            viewBox: '0 0 25 16'
        },
        React.createElement(
            'g',
            { fill: 'none', fillRule: 'evenodd' },
            React.createElement('rect', { stroke: color, x: '.5', y: '.5', width: '24', height: '15', rx: '2' }),
            React.createElement('path', {
                d: 'M14.90131 11.667774c1.989214 0 3.601396-1.67183 3.601396-3.734012 0-2.06192-1.612182-3.733762-3.601397-3.733762-.930136 0-1.778062.366068-2.417276.96645C11.757002 5.849297 11.3 6.836294 11.3 7.933763c0 1.097232.457002 2.08423 1.184034 2.767574.639214.60037 1.48714.966438 2.417275.966438z',
                fill: color,
                opacity: '.5'
            }),
            React.createElement('path', {
                d: 'M10.101308 11.667774c1.989216 0 3.601398-1.67183 3.601398-3.734012 0-2.06192-1.612182-3.733762-3.601398-3.733762-.930134 0-1.77806.366068-2.417274.96645C6.957 5.849297 6.5 6.836294 6.5 7.933763c0 1.097232.457 2.08423 1.184034 2.767574.639214.60037 1.48714.966438 2.417274.966438z',
                fill: color
            })
        )
    );
};

IconCreditCardMasterCard.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,
    opacity: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconCreditCardMasterCard;
import PropTypes from 'prop-types';