var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import uniqueId from 'lodash/uniqueId';

import AccessibleSVG from '../accessible-svg';

var ICON_CLASS = 'icon-doc-illustration';

var IconDocIllustration = function (_React$PureComponent) {
    _inherits(IconDocIllustration, _React$PureComponent);

    function IconDocIllustration() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, IconDocIllustration);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = IconDocIllustration.__proto__ || Object.getPrototypeOf(IconDocIllustration)).call.apply(_ref, [this].concat(args))), _this), _this.idPrefix = uniqueId(ICON_CLASS) + '-', _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(IconDocIllustration, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                className = _props.className,
                height = _props.height,
                title = _props.title,
                width = _props.width;

            return React.createElement(
                AccessibleSVG,
                {
                    className: ICON_CLASS + ' ' + className,
                    title: title,
                    width: width,
                    height: height,
                    viewBox: '0 0 170 170'
                },
                React.createElement(
                    'defs',
                    null,
                    React.createElement('path', {
                        d: 'M105.26 46.045v94.815c0 1.225-1.012 2.24-2.232 2.24H18.231c-1.22 0-2.231-1.015-2.231-2.24V33.34c0-1.225 1.011-2.24 2.231-2.24h72.14c.593 0 1.151.245 1.57.665l12.656 12.705c.453.385.663.98.663 1.575z',
                        id: this.idPrefix + 'a'
                    }),
                    React.createElement('path', {
                        d: 'M128.235 40.9v106.68c0 1.4-1.116 2.52-2.51 2.52H30.329a2.505 2.505 0 0 1-2.51-2.52V26.62c0-1.4 1.115-2.52 2.51-2.52h81.17c.662 0 1.29.28 1.778.735l14.226 14.28c.488.49.732 1.12.732 1.785z',
                        id: this.idPrefix + 'c'
                    }),
                    React.createElement(
                        'filter',
                        {
                            x: '-12.4%',
                            y: '-6.7%',
                            width: '124.9%',
                            height: '119.8%',
                            filterUnits: 'objectBoundingBox',
                            id: this.idPrefix + 'b'
                        },
                        React.createElement('feOffset', {
                            dy: '4',
                            'in': 'SourceAlpha',
                            result: 'shadowOffsetOuter1'
                        }),
                        React.createElement('feGaussianBlur', {
                            stdDeviation: '3.5',
                            'in': 'shadowOffsetOuter1',
                            result: 'shadowBlurOuter1'
                        }),
                        React.createElement('feColorMatrix', {
                            values: '0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.1 0',
                            'in': 'shadowBlurOuter1'
                        })
                    ),
                    React.createElement('path', {
                        d: 'M153.574 33.655V152.2c0 1.54-1.255 2.8-2.789 2.8H44.79A2.803 2.803 0 0 1 42 152.2V17.8c0-1.54 1.255-2.8 2.79-2.8h90.2c.733 0 1.465.28 1.988.805l15.795 15.855c.523.56.801 1.26.801 1.995z',
                        id: this.idPrefix + 'e'
                    }),
                    React.createElement(
                        'filter',
                        {
                            x: '-22%',
                            y: '-12.5%',
                            width: '143.9%',
                            height: '135%',
                            filterUnits: 'objectBoundingBox',
                            id: this.idPrefix + 'd'
                        },
                        React.createElement('feOffset', {
                            dy: '7',
                            'in': 'SourceAlpha',
                            result: 'shadowOffsetOuter1'
                        }),
                        React.createElement('feGaussianBlur', {
                            stdDeviation: '7',
                            'in': 'shadowOffsetOuter1',
                            result: 'shadowBlurOuter1'
                        }),
                        React.createElement('feComposite', {
                            'in': 'shadowBlurOuter1',
                            in2: 'SourceAlpha',
                            operator: 'out',
                            result: 'shadowBlurOuter1'
                        }),
                        React.createElement('feColorMatrix', {
                            values: '0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.1 0',
                            'in': 'shadowBlurOuter1'
                        })
                    ),
                    React.createElement('path', {
                        d: 'M59.859 39.5c-3.835 0-6.973-3.15-6.973-7s3.138-7 6.973-7 6.973 3.15 6.973 7-3.138 7-6.973 7z',
                        id: this.idPrefix + 'g'
                    }),
                    React.createElement(
                        'filter',
                        {
                            x: '-89.6%',
                            y: '-60.7%',
                            width: '279.3%',
                            height: '278.6%',
                            filterUnits: 'objectBoundingBox',
                            id: this.idPrefix + 'f'
                        },
                        React.createElement('feOffset', {
                            dy: '4',
                            'in': 'SourceAlpha',
                            result: 'shadowOffsetOuter1'
                        }),
                        React.createElement('feGaussianBlur', {
                            stdDeviation: '3.5',
                            'in': 'shadowOffsetOuter1',
                            result: 'shadowBlurOuter1'
                        }),
                        React.createElement('feColorMatrix', {
                            values: '0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.2 0',
                            'in': 'shadowBlurOuter1'
                        })
                    ),
                    React.createElement(
                        'filter',
                        {
                            x: '-74.5%',
                            y: '-87.4%',
                            width: '249.1%',
                            height: '274.7%',
                            filterUnits: 'objectBoundingBox',
                            id: this.idPrefix + 'h'
                        },
                        React.createElement('feGaussianBlur', {
                            stdDeviation: '3.465',
                            'in': 'SourceGraphic'
                        })
                    ),
                    React.createElement('path', {
                        d: 'M84.998 136.38a19.765 19.765 0 0 0 5.788-14.035c0-10.955-8.856-19.845-19.77-19.845v19.845l13.982 14.035z',
                        id: this.idPrefix + 'j'
                    }),
                    React.createElement(
                        'filter',
                        {
                            x: '-70.8%',
                            y: '-20.7%',
                            width: '241.6%',
                            height: '182.6%',
                            filterUnits: 'objectBoundingBox',
                            id: this.idPrefix + 'i'
                        },
                        React.createElement('feOffset', {
                            dy: '7',
                            'in': 'SourceAlpha',
                            result: 'shadowOffsetOuter1'
                        }),
                        React.createElement('feGaussianBlur', {
                            stdDeviation: '3.5',
                            'in': 'shadowOffsetOuter1',
                            result: 'shadowBlurOuter1'
                        }),
                        React.createElement('feColorMatrix', {
                            values: '0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.1 0',
                            'in': 'shadowBlurOuter1'
                        })
                    )
                ),
                React.createElement(
                    'g',
                    { fill: 'none', fillRule: 'evenodd' },
                    React.createElement(
                        'g',
                        { opacity: '.2', fill: '#8EA6B2' },
                        React.createElement('use', { xlinkHref: '#' + this.idPrefix + 'a' }),
                        React.createElement('use', { xlinkHref: '#' + this.idPrefix + 'a' })
                    ),
                    React.createElement(
                        'g',
                        { opacity: '.2' },
                        React.createElement('use', {
                            fill: '#000',
                            filter: 'url(#' + this.idPrefix + 'b)',
                            xlinkHref: '#' + this.idPrefix + 'c'
                        }),
                        React.createElement('use', { fill: '#8EA6B2', xlinkHref: '#' + this.idPrefix + 'c' }),
                        React.createElement('use', { fill: '#8EA6B2', xlinkHref: '#' + this.idPrefix + 'c' })
                    ),
                    React.createElement('use', {
                        fill: '#000',
                        filter: 'url(#' + this.idPrefix + 'd)',
                        xlinkHref: '#' + this.idPrefix + 'e'
                    }),
                    React.createElement('use', {
                        fillOpacity: '.95',
                        fill: '#FFF',
                        xlinkHref: '#' + this.idPrefix + 'e'
                    }),
                    React.createElement('path', {
                        d: 'M70.912 102.5c-10.913 0-19.77 8.89-19.77 19.845h19.77V102.5z',
                        fill: '#0061D5'
                    }),
                    React.createElement('path', {
                        d: 'M70.912 122.45h-19.77c0 10.955 8.857 19.845 19.77 19.845 5.44 0 10.39-2.205 13.982-5.81L70.912 122.45z',
                        fill: '#FC617A'
                    }),
                    React.createElement('use', {
                        fill: '#000',
                        filter: 'url(#' + this.idPrefix + 'f)',
                        xlinkHref: '#' + this.idPrefix + 'g'
                    }),
                    React.createElement('use', { fill: '#8EA6B2', xlinkHref: '#' + this.idPrefix + 'g' }),
                    React.createElement('path', {
                        fillOpacity: '.2',
                        fill: '#005ECF',
                        filter: 'url(#' + this.idPrefix + 'h)',
                        d: 'M52.537 30.75h13.947v11.9H52.537z'
                    }),
                    React.createElement('use', {
                        fill: '#000',
                        filter: 'url(#' + this.idPrefix + 'i)',
                        xlinkHref: '#' + this.idPrefix + 'j'
                    }),
                    React.createElement('use', { fill: '#76AEF1', xlinkHref: '#' + this.idPrefix + 'j' }),
                    React.createElement('path', {
                        stroke: '#FFF',
                        strokeWidth: '.5',
                        d: 'M57.418 32.57l1.465 1.47 2.929-2.94'
                    }),
                    React.createElement('path', {
                        d: 'M77.293 37.75a5.233 5.233 0 0 1-5.23-5.25 5.233 5.233 0 0 1 5.23-5.25 5.233 5.233 0 0 1 5.23 5.25 5.233 5.233 0 0 1-5.23 5.25zM90.193 36c-1.917 0-3.486-1.575-3.486-3.5s1.569-3.5 3.486-3.5c1.918 0 3.487 1.575 3.487 3.5S92.111 36 90.193 36z',
                        fill: '#8EA6B2',
                        opacity: '.5'
                    }),
                    React.createElement('path', {
                        d: 'M58 46.5v-1h80v1H58zm0 9v-1h80v1H58zm0 9v-1h80v1H58zm0 8v-1h80v1H58zm0 9v-1h80v1H58zm0 9v-1h80v1H58zm44 9v-1h36v1h-36zm0 9v-1h36v1h-36zm0 9v-1h36v1h-36zm0 9v-1h36v1h-36zm0 9v-1h36v1h-36z',
                        stroke: '#C3D1D9'
                    })
                )
            );
        }
    }]);

    return IconDocIllustration;
}(React.PureComponent);

IconDocIllustration.defaultProps = {
    className: '',
    height: 170,
    width: 170
};
IconDocIllustration.propTypes = {
    className: PropTypes.string.isRequired,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};


export default IconDocIllustration;
import PropTypes from 'prop-types';