import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconEllipsis = function IconEllipsis(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#000000' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 20 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 20 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-ellipsis ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 10 2'
        },
        React.createElement('path', {
            className: 'fill-color',
            fill: color,
            fillRule: 'evenodd',
            d: 'M1 2c.6 0 1-.4 1-1s-.4-1-1-1-1 .4-1 1 .4 1 1 1zm8 0c.6 0 1-.4 1-1s-.4-1-1-1-1 .4-1 1 .4 1 1 1zM5 2c.6 0 1-.4 1-1s-.4-1-1-1-1 .4-1 1 .4 1 1 1z'
        })
    );
};

IconEllipsis.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconEllipsis;
import PropTypes from 'prop-types';