import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconExclamationMark = function IconExclamationMark(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#999' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 20 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 20 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-exclamation-mark ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 20 20'
        },
        React.createElement('path', {
            className: 'fill-color',
            fill: color,
            fillRule: 'nonzero',
            d: 'M10 20a10 10 0 1 1 0-20 10 10 0 0 1 0 20zm0-16a1 1 0 0 0-1 1v6a1 1 0 1 0 2 0V5c0-.6-.4-1-1-1zm0 12a1 1 0 1 0 0-2 1 1 0 0 0 0 2z'
        })
    );
};

IconExclamationMark.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconExclamationMark;
import PropTypes from 'prop-types';