import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconExpiration = function IconExpiration(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#444444' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 15 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 14 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-expiration ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 14 15'
        },
        React.createElement(
            'g',
            { transform: 'translate(0 -1)', fill: 'none', fillRule: 'evenodd' },
            React.createElement('circle', {
                stroke: color,
                className: 'stroke-color',
                cx: '7.16',
                cy: '9.5',
                r: '5.5'
            }),
            React.createElement('rect', {
                fill: color,
                className: 'fill-color',
                x: '6.66',
                y: '6',
                width: '1',
                height: '5',
                rx: '.5'
            }),
            React.createElement('rect', {
                fill: color,
                className: 'fill-color',
                x: '6.66',
                y: '10',
                width: '3',
                height: '1',
                rx: '.5'
            }),
            React.createElement('rect', {
                fill: color,
                className: 'fill-color',
                transform: 'rotate(30 11.16 2.5)',
                x: '8.66',
                y: '2',
                width: '5',
                height: '1',
                rx: '.5'
            }),
            React.createElement('rect', {
                fill: color,
                className: 'fill-color',
                transform: 'rotate(-30 3.16 2.5)',
                x: '.66',
                y: '2',
                width: '5',
                height: '1',
                rx: '.5'
            })
        )
    );
};

IconExpiration.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconExpiration;
import PropTypes from 'prop-types';