import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconGridView = function IconGridView(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#444' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 9 : _ref$height,
        _ref$opacity = _ref.opacity,
        opacity = _ref$opacity === undefined ? 1 : _ref$opacity,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 9 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-grid-view ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 9 9'
        },
        React.createElement('path', {
            className: 'fill-color',
            d: 'M3 1v2H1V1h2m1-1H0v4h4V0zM8 1v2H6V1h2m1-1H5v4h4V0zM3 6v2H1V6h2m1-1H0v4h4V5zM8 6v2H6V6h2m1-1H5v4h4V5z',
            fill: color,
            fillOpacity: opacity
        })
    );
};

IconGridView.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,
    opacity: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconGridView;
import PropTypes from 'prop-types';