import * as React from 'react';

import { bdlNeutral03 } from '../../styles/variables';
import AccessibleSVG from '../accessible-svg';

var IconGridViewInverted = function IconGridViewInverted(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? bdlNeutral03 : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 16 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 16 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-grid-view-inverted ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 16 16'
        },
        React.createElement('path', {
            d: 'M2.5 2h4a.5.5 0 0 1 .5.5v4a.5.5 0 0 1-.5.5h-4a.5.5 0 0 1-.5-.5v-4a.5.5 0 0 1 .5-.5zm7 0h4a.5.5 0 0 1 .5.5v4a.5.5 0 0 1-.5.5h-4a.5.5 0 0 1-.5-.5v-4a.5.5 0 0 1 .5-.5zm-7 7h4a.5.5 0 0 1 .5.5v4a.5.5 0 0 1-.5.5h-4a.5.5 0 0 1-.5-.5v-4a.5.5 0 0 1 .5-.5zm7 0h4a.5.5 0 0 1 .5.5v4a.5.5 0 0 1-.5.5h-4a.5.5 0 0 1-.5-.5v-4a.5.5 0 0 1 .5-.5z',
            fill: color,
            fillRule: 'nonzero'
        })
    );
};

IconGridViewInverted.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconGridViewInverted;
import PropTypes from 'prop-types';