import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconInformation = function IconInformation(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#444' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 13 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 5 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-information ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 5 13'
        },
        React.createElement(
            'g',
            { className: 'fill-color', fill: color },
            React.createElement('path', { d: 'M1 12h3V6H1v6zm0-7h3c.6 0 1 .5 1 1v6c0 .6-.4 1-1 1H1c-.6 0-1-.5-1-1V6c0-.6.4-1 1-1zM2 3h1c.6 0 1-.4 1-1s-.4-1-1-1H2c-.6 0-1 .4-1 1s.4 1 1 1zm0-3h1c1.1 0 2 .9 2 2s-.9 2-2 2H2C.9 4 0 3.1 0 2s.9-2 2-2z' })
        )
    );
};

IconInformation.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconInformation;
import PropTypes from 'prop-types';