import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconInviteCollaborators = function IconInviteCollaborators(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#444444' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 16 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 16 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-invite-collaborators ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 16 16'
        },
        React.createElement(
            'g',
            { transform: 'translate(1 -1)', fill: 'none', fillRule: 'evenodd' },
            React.createElement('circle', {
                className: 'stroke-color',
                stroke: color,
                cx: '7',
                cy: '9',
                r: '7'
            }),
            React.createElement('circle', {
                className: 'stroke-color',
                stroke: color,
                cx: '7',
                cy: '7',
                r: '2'
            }),
            React.createElement('path', {
                className: 'stroke-color',
                d: 'M3 13s1.4985-2 4-2 4 2 4 2',
                stroke: color,
                strokeLinecap: 'round',
                strokeLinejoin: 'round'
            }),
            React.createElement('circle', { fill: '#FFFFFF', cx: '11', cy: '3', r: '3' }),
            React.createElement('path', {
                className: 'fill-color',
                d: 'M11.4634 3.521H12.5c.276 0 .5-.2238.5-.5 0-.276-.224-.5-.5-.5h-1.0366V1.5c0-.276-.2238-.5-.5-.5-.276 0-.5.224-.5.5v1.021H9.5c-.276 0-.5.224-.5.5 0 .2762.224.5.5.5h.9634V4.5c0 .276.224.5.5.5.2762 0 .5-.224.5-.5v-.979z',
                fill: color
            })
        )
    );
};

IconInviteCollaborators.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconInviteCollaborators;
import PropTypes from 'prop-types';