import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconLink = function IconLink(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#000000' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 24 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 24 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-link ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '-603 389 16 16'
        },
        React.createElement('path', {
            className: 'fill-color',
            fill: color,
            fillRule: 'evenodd',
            d: 'M-592 396c-.2-.4-.5-.9-.8-1.2-.4-.4-.8-.6-1.2-.8-.5.5-1.1 1-1.5 1.6.5 0 1 .2 1.4.6.4.4.6.9.6 1.4 0 .3 0 .6-.1.8-.3.9-1.2 1.6-1.9 2.2l-1.8 1.8c-2 2-5-1.1-3-3l1.5-1.5c-.3-.8-.3-1.7-.1-2.6l-2.7 2.7c-1.6 1.6-1.6 4.1 0 5.7 1.6 1.6 4.2 1.6 5.7 0 1.2-1.2 2.8-2.4 3.7-3.9.7-1.1.8-2.6.2-3.8z'
        }),
        React.createElement('path', {
            className: 'fill-color',
            fill: color,
            fillRule: 'evenodd',
            d: 'M-588.3 390.3c-.8-.8-1.8-1.2-2.9-1.2-1 0-2.1.4-2.9 1.2-1.2 1.2-2.8 2.4-3.7 3.9-.3.4-.4.9-.5 1.4-.1.8 0 1.6.3 2.4.4.9 1.1 1.6 2 2 .5-.5 1.1-1 1.5-1.6-.5 0-1-.2-1.4-.6-.4-.4-.6-.9-.6-1.4 0-.3 0-.6.1-.8.3-.9 1.2-1.6 1.9-2.2l1.8-1.8c.8-.8 2.2-.8 3 0 .8.8.8 2.2 0 3l-1.5 1.5c.3.8.3 1.7.1 2.6l2.7-2.7c1.7-1.5 1.7-4.1.1-5.7z'
        })
    );
};

IconLink.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconLink;
import PropTypes from 'prop-types';