import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconListView = function IconListView(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#222' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 9 : _ref$height,
        _ref$opacity = _ref.opacity,
        opacity = _ref$opacity === undefined ? 1 : _ref$opacity,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 9 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-list-view ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 9 9'
        },
        React.createElement('path', {
            className: 'fill-color',
            d: 'M0 5h9V4H0v1zm0 4h9V8H0v1zm0-9v1h9V0H0z',
            fill: color,
            fillRule: 'evenodd',
            fillOpacity: opacity
        })
    );
};

IconListView.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,
    opacity: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconListView;
import PropTypes from 'prop-types';