import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconLock = function IconLock(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#444' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 14 : _ref$height,
        _ref$opacity = _ref.opacity,
        opacity = _ref$opacity === undefined ? 1 : _ref$opacity,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 13 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-lock ' + className,
            title: title,
            width: width,
            height: height,
            opacity: opacity,
            viewBox: '0 0 13 14'
        },
        React.createElement('path', {
            className: 'fill-color',
            fill: color,
            d: 'M3 5v.5h7c.8 0 1.5.7 1.5 1.5v4c0 .8-.7 1.5-1.5 1.5H3c-.8 0-1.5-.7-1.5-1.5V7c0-.8.7-1.5 1.5-1.5v-1C1.6 4.5.5 5.6.5 7v4c0 1.4 1.1 2.5 2.5 2.5h7c1.4 0 2.5-1.1 2.5-2.5V7c0-1.4-1.1-2.5-2.5-2.5H3V5z'
        }),
        React.createElement('path', {
            className: 'fill-color',
            fill: color,
            d: 'M5.2 9h3c.3 0 .5.2.5.5s-.3.5-.5.5h-3c-.3 0-.5-.2-.5-.5s.2-.5.5-.5z'
        }),
        React.createElement('path', {
            className: 'fill-color',
            fill: color,
            d: 'M3 5c0-1.9 1.6-3.5 3.5-3.5V1v.5C8.4 1.5 10 3.1 10 5c0 .3.2.5.5.5s.5-.2.5-.5C11 2.5 9 .5 6.5.5S2 2.5 2 5c0 .3.2.5.5.5S3 5.3 3 5z'
        })
    );
};

IconLock.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,
    opacity: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconLock;
import PropTypes from 'prop-types';