import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconRejected = function IconRejected(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#ED3757' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 18 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 18 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-rejected ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 18 18'
        },
        React.createElement(
            'g',
            { fill: 'none', fillRule: 'evenodd' },
            React.createElement('circle', { fill: color, cx: 9, cy: 9, r: 9 }),
            React.createElement('path', {
                fill: '#FFF',
                fillRule: 'nonzero',
                d: 'M9 7.586l2.828-2.829 1.415 1.415L10.414 9l2.829 2.828-1.415 1.415L9 10.414l-2.828 2.829-1.415-1.415L7.586 9 4.757 6.172l1.415-1.415z'
            })
        )
    );
};

IconRejected.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconRejected;
import PropTypes from 'prop-types';