import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconSharedLink = function IconSharedLink(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#444444' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 15 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 15 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-shared-link ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 15 15'
        },
        React.createElement(
            'g',
            {
                className: 'stroke-color',
                fill: 'none',
                fillRule: 'evenodd',
                stroke: color,
                transform: 'translate(1 1)'
            },
            React.createElement('path', {
                d: 'M7.913 10.657l-1.086 1.086c-1.562 1.562-4.097 1.56-5.656 0-1.56-1.562-1.56-4.098 0-5.657L2.257 5M5 2.256L6.086 1.17c1.562-1.562 4.098-1.56 5.657 0 1.562 1.562 1.56 4.098 0 5.657l-1.086 1.086',
                strokeLinecap: 'round'
            }),
            React.createElement('rect', {
                className: 'stroke-color',
                height: '0.5',
                rx: '.5',
                stroke: color,
                strokeWidth: '0.5',
                transform: 'rotate(-45 6.342 6.808)',
                width: '8',
                x: '2.342',
                y: '6.308'
            })
        )
    );
};

IconSharedLink.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconSharedLink;
import PropTypes from 'prop-types';