import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconShield = function IconShield(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#888888' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 14 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 12 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-governance ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 12 14'
        },
        React.createElement(
            'g',
            {
                className: 'stroke-color',
                fill: 'none',
                fillRule: 'evenodd',
                stroke: color,
                strokeLinecap: 'round',
                strokeLinejoin: 'round'
            },
            React.createElement('path', { d: 'M.5 1.5S3.25 3.08 6 .5c2.75 2.58 5.5 1 5.5 1v8.88L6 13.5.5 10.37V1.5zM9.5 4.5v4' })
        )
    );
};

IconShield.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconShield;
import PropTypes from 'prop-types';