import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconSidebar = function IconSidebar(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#000' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 16 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 18 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-sidebar ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 18 16'
        },
        React.createElement('path', {
            className: 'fill-color',
            fill: color,
            d: 'M13 3h2v2h-2zM13 6h2v2h-2z'
        }),
        React.createElement('path', {
            className: 'fill-color',
            fill: color,
            d: 'M16 0H2C.9 0 0 .9 0 2v12c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V2c0-1.1-.9-2-2-2zM2 14V2h8v12H2zM12 2h4v12h-4V2z'
        })
    );
};

IconSidebar.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconSidebar;
import PropTypes from 'prop-types';