import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconSync = function IconSync(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#979797' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 16 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 16 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-sync ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 16 16'
        },
        React.createElement(
            'g',
            {
                className: 'stroke-color',
                transform: 'translate(1 1)',
                stroke: color,
                fill: 'none',
                fillRule: 'evenodd'
            },
            React.createElement('circle', { cx: '7', cy: '7', r: '7' }),
            React.createElement('path', {
                strokeLinecap: 'round',
                strokeLinejoin: 'round',
                d: 'M4 7.054l2.58 2.69L10.938 5'
            })
        )
    );
};

IconSync.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconSync;
import PropTypes from 'prop-types';