import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconTrash = function IconTrash(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#979797' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 12 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 12 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-trash ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 12 12'
        },
        React.createElement(
            'g',
            { className: 'fill-color', fill: color },
            React.createElement('path', { d: 'M11.2 0H0l1.8 11c.1.5.6 1 1.2 1h6c.5 0 1.1-.4 1.2-1L12 0h-.8zm-2 10.9s-.1.1-.2.1H3c-.1 0-.2-.1-.2-.1L1.2 1h9.6l-1.6 9.9z' }),
            React.createElement('path', { d: 'M8.5 2h-5c-.3 0-.5.2-.5.5s.2.5.5.5h5c.3 0 .5-.2.5-.5S8.8 2 8.5 2z' })
        )
    );
};

IconTrash.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconTrash;
import PropTypes from 'prop-types';