var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import uniqueId from 'lodash/uniqueId';

import AccessibleSVG from '../accessible-svg';

var ICON_CLASS = 'icon-trophy-cup-with-tooltip';

var IconTrophyCupWithTooltip = function (_React$PureComponent) {
    _inherits(IconTrophyCupWithTooltip, _React$PureComponent);

    function IconTrophyCupWithTooltip() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, IconTrophyCupWithTooltip);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = IconTrophyCupWithTooltip.__proto__ || Object.getPrototypeOf(IconTrophyCupWithTooltip)).call.apply(_ref, [this].concat(args))), _this), _this.idPrefix = uniqueId(ICON_CLASS) + '-', _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(IconTrophyCupWithTooltip, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                className = _props.className,
                height = _props.height,
                title = _props.title,
                tooltipColor = _props.tooltipColor,
                tooltipText = _props.tooltipText,
                width = _props.width;


            return React.createElement(
                AccessibleSVG,
                {
                    className: ICON_CLASS + ' ' + className,
                    title: title,
                    width: width,
                    height: height,
                    viewBox: '0 0 60 54'
                },
                React.createElement(
                    'defs',
                    null,
                    React.createElement('path', {
                        d: 'M30 38.707c6.395 0 11.579-5.1 11.579-11.393H18.42c0 6.292 5.184 11.393 11.579 11.393z',
                        id: this.idPrefix + 'b'
                    }),
                    React.createElement(
                        'filter',
                        {
                            x: '-6.5%',
                            y: '-13.2%',
                            width: '113%',
                            height: '126.3%',
                            filterUnits: 'objectBoundingBox',
                            id: this.idPrefix + 'a'
                        },
                        React.createElement('feOffset', {
                            'in': 'SourceAlpha',
                            result: 'shadowOffsetOuter1'
                        }),
                        React.createElement('feGaussianBlur', {
                            stdDeviation: '.5',
                            'in': 'shadowOffsetOuter1',
                            result: 'shadowBlurOuter1'
                        }),
                        React.createElement('feColorMatrix', {
                            values: '0 0 0 0 0.960784314 0 0 0 0 0.725490196 0 0 0 0 0.352941176 0 0 0 0.32 0',
                            'in': 'shadowBlurOuter1'
                        })
                    )
                ),
                React.createElement(
                    'g',
                    { fill: 'none', fillRule: 'evenodd' },
                    React.createElement('path', {
                        d: 'M44.822 27.173h-16.17c.546 3.901 3.954 6.911 8.085 6.911 4.13 0 7.539-3.01 8.085-6.911z',
                        stroke: '#F8D371',
                        strokeWidth: '2.203'
                    }),
                    React.createElement('path', {
                        d: 'M31.348 27.173h-16.17c.546 3.901 3.955 6.911 8.085 6.911 4.13 0 7.539-3.01 8.085-6.911z',
                        stroke: '#F8D371',
                        strokeWidth: '2.203'
                    }),
                    React.createElement('path', {
                        d: 'M18.972 24h22.056a.55.55 0 0 1 .55.55v2.764H18.422v-2.763a.55.55 0 0 1 .55-.551z',
                        fill: '#F5B95A'
                    }),
                    React.createElement('rect', {
                        fill: '#F5B95A',
                        x: '24.526',
                        y: '41.607',
                        width: '10.947',
                        height: '3.314',
                        rx: '.551'
                    }),
                    React.createElement('rect', {
                        fill: '#0061D5',
                        x: '21.789',
                        y: '43.3',
                        width: '16.632',
                        height: '8',
                        rx: '.551'
                    }),
                    React.createElement('path', {
                        d: 'M22.34 43.3h15.53a.55.55 0 0 1 .551.55v7.45H21.79v-7.45a.55.55 0 0 1 .551-.55z',
                        fill: '#FC627A'
                    }),
                    React.createElement('path', {
                        d: 'M23.603 43.3h12.794a.55.55 0 0 1 .55.55v7.45H23.053v-7.45a.55.55 0 0 1 .55-.55z',
                        fillOpacity: '.2',
                        fill: '#FFF'
                    }),
                    React.createElement('path', {
                        fill: '#F5B95A',
                        d: 'M27.474 36.221h5.052L30.842 44.3h-1.684z'
                    }),
                    React.createElement('path', {
                        d: 'M26.34 43.3h7.11a.55.55 0 0 1 .55.55v7.45h-8.21v-7.45a.55.55 0 0 1 .55-.55z',
                        fill: '#FC627A'
                    }),
                    React.createElement('use', {
                        fill: '#000',
                        filter: 'url(#' + this.idPrefix + 'a)',
                        xlinkHref: '#' + this.idPrefix + 'b'
                    }),
                    React.createElement('use', { fill: '#F8D371', xlinkHref: '#' + this.idPrefix + 'b' }),
                    React.createElement('path', {
                        d: 'M4.564 2h50.872c.892 0 1.215.093 1.54.267.327.174.583.43.757.756.174.326.267.65.267 1.54v14.873c0 .892-.093 1.215-.267 1.54-.174.327-.43.583-.756.757-.326.174-.65.267-1.54.267H32l-2 2-2-2H4.564c-.892 0-1.215-.093-1.54-.267a1.817 1.817 0 0 1-.757-.756c-.174-.326-.267-.65-.267-1.54V4.563c0-.892.093-1.215.267-1.54.174-.327.43-.583.756-.757.326-.174.65-.267 1.54-.267z',
                        fill: tooltipColor
                    }),
                    React.createElement(
                        'text',
                        {
                            fontFamily: 'Lato-Bold, Lato',
                            fontSize: '11',
                            fontWeight: 'bold',
                            letterSpacing: '.6',
                            fill: '#FFF'
                        },
                        React.createElement(
                            'tspan',
                            { x: '6.532', y: '16' },
                            tooltipText
                        )
                    )
                )
            );
        }
    }]);

    return IconTrophyCupWithTooltip;
}(React.PureComponent);

IconTrophyCupWithTooltip.defaultProps = {
    className: '',
    height: 54,
    tooltipColor: '#27C281',
    tooltipText: '',
    width: 60
};
IconTrophyCupWithTooltip.propTypes = {
    className: PropTypes.string.isRequired,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    tooltipColor: PropTypes.string,
    tooltipText: PropTypes.string,
    width: PropTypes.number
};


export default IconTrophyCupWithTooltip;
import PropTypes from 'prop-types';