import * as React from 'react';

import AccessibleSVG from '../accessible-svg';
import { BOX_BLUE } from '../../common/variables';

var IconUpgradeCloud = function IconUpgradeCloud(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? BOX_BLUE : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 50 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 82 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-upgrade-cloud ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 82 50'
        },
        React.createElement(
            'g',
            { transform: 'translate(0 1)', fill: 'none', fillRule: 'evenodd' },
            React.createElement('rect', {
                className: 'fill-color',
                fill: color,
                opacity: '0.3',
                x: '6',
                y: '48',
                width: '63',
                height: '1',
                rx: '100'
            }),
            React.createElement('rect', {
                className: 'fill-color',
                fill: color,
                opacity: '0.3',
                x: '71',
                y: '48',
                width: '11',
                height: '1',
                rx: '100'
            }),
            React.createElement('rect', {
                className: 'fill-color',
                fill: color,
                opacity: '0.3',
                y: '48',
                width: '4',
                height: '1',
                rx: '100'
            }),
            React.createElement('path', {
                className: 'stroke-color',
                d: 'M59.5 15C57.75 6.5 50.25 0 41 0c-7.25 0-13.5 4-16.5 10C16.75 11 11 17.25 11 25c0 8.25 6.75 15 15 15h32.5c7 0 12.5-5.5 12.5-12.5 0-6.5-5.25-12-11.5-12.5z',
                stroke: color,
                strokeWidth: '2'
            }),
            React.createElement('path', {
                className: 'stroke-color',
                d: 'M14 24c0 7.15 5.826 13 12.947 13H55',
                stroke: color,
                strokeLinecap: 'round',
                strokeLinejoin: 'round',
                opacity: '.3'
            }),
            React.createElement('path', {
                className: 'fill-color',
                d: 'M41 11c-5.5 0-10 4.5-10 10s4.5 10 10 10 10-4.5 10-10-4.5-10-10-10zm0 18c-4.4 0-8-3.6-8-8s3.6-8 8-8 8 3.6 8 8-3.6 8-8 8z',
                fill: color
            }),
            React.createElement('path', {
                className: 'fill-color',
                d: 'M42 16h-2v4h-4v2h4v4h2v-4h4v-2h-4v-4z',
                fill: color
            })
        )
    );
};

IconUpgradeCloud.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconUpgradeCloud;
import PropTypes from 'prop-types';