import * as React from 'react';

import AccessibleSVG from '../accessible-svg';

var IconUpload = function IconUpload(_ref) {
    var _ref$className = _ref.className,
        className = _ref$className === undefined ? '' : _ref$className,
        _ref$color = _ref.color,
        color = _ref$color === undefined ? '#444444' : _ref$color,
        _ref$height = _ref.height,
        height = _ref$height === undefined ? 14 : _ref$height,
        title = _ref.title,
        _ref$width = _ref.width,
        width = _ref$width === undefined ? 12 : _ref$width;
    return React.createElement(
        AccessibleSVG,
        {
            className: 'icon-upload ' + className,
            title: title,
            width: width,
            height: height,
            viewBox: '0 0 12 14'
        },
        React.createElement('path', {
            stroke: color,
            className: 'stroke-color',
            fill: 'none',
            d: 'M3.5 10.4h5v-5h2.3L6 .6 1.2 5.4h2.3v5z'
        }),
        React.createElement('path', {
            stroke: color,
            className: 'stroke-color',
            fill: 'none',
            d: 'M12 13.5H0'
        })
    );
};

IconUpload.propTypes = {
    className: PropTypes.string,
    color: PropTypes.string,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};
export default IconUpload;
import PropTypes from 'prop-types';