import * as React from 'react';

import IconGoogleSlides from './IconGoogleSlides';
import IconGoogleSheets from './IconGoogleSheets';
import IconGoogleDocs from './IconGoogleDocs';

var GoogleDocsIcon = function GoogleDocsIcon(_ref) {
    var className = _ref.className,
        _ref$dimension = _ref.dimension,
        dimension = _ref$dimension === undefined ? 30 : _ref$dimension,
        extension = _ref.extension,
        title = _ref.title;

    var Component = null;
    switch (extension) {
        case 'docm':
        case 'docx':
        case 'gdoc':
        case 'odt':
            Component = IconGoogleDocs;
            break;
        case 'gsheet':
        case 'ods':
        case 'xlsm':
        case 'xlsx':
            Component = IconGoogleSheets;
            break;
        case 'gslide':
        case 'gslides':
        case 'odp':
        case 'pptm':
        case 'pptx':
            Component = IconGoogleSlides;
            break;
        // no default
    }

    if (Component !== null) {
        return React.createElement(Component, {
            className: className,
            height: dimension,
            title: title,
            width: dimension
        });
    }
    return null;
};

GoogleDocsIcon.propTypes = {
    /** Additional class name */
    className: PropTypes.string,

    /** Dimension of the icon */
    dimension: PropTypes.number,

    /** The file extension */
    extension: PropTypes.string.isRequired,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node])
};
export default GoogleDocsIcon;
import PropTypes from 'prop-types';