var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import uniqueId from 'lodash/uniqueId';

import AccessibleSVG from '../accessible-svg';

var ICON_CLASS = 'icon-google-docs';

var IconGoogleDocs = function (_React$Component) {
    _inherits(IconGoogleDocs, _React$Component);

    function IconGoogleDocs() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, IconGoogleDocs);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = IconGoogleDocs.__proto__ || Object.getPrototypeOf(IconGoogleDocs)).call.apply(_ref, [this].concat(args))), _this), _this.idPrefix = uniqueId(ICON_CLASS) + '-', _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(IconGoogleDocs, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                className = _props.className,
                height = _props.height,
                title = _props.title,
                width = _props.width;

            return React.createElement(
                AccessibleSVG,
                {
                    className: ICON_CLASS + ' ' + className,
                    height: height,
                    title: title,
                    viewBox: '0 0 30 30',
                    width: width
                },
                React.createElement(
                    'defs',
                    null,
                    React.createElement(
                        'linearGradient',
                        {
                            id: this.idPrefix + 'a',
                            x1: '-215.49',
                            y1: '505.79',
                            x2: '-215.49',
                            y2: '503.19',
                            gradientTransform: 'matrix(2.67 0 0 -2.67 596.67 1357)',
                            gradientUnits: 'userSpaceOnUse'
                        },
                        React.createElement('stop', { offset: '0', stopColor: '#1a237e', stopOpacity: '.2' }),
                        React.createElement('stop', {
                            offset: '1',
                            stopColor: '#1a237e',
                            stopOpacity: '.02'
                        })
                    )
                ),
                React.createElement('path', {
                    d: 'M17.64 0H6.05A2.05 2.05 0 0 0 4 2.05V28a2.05 2.05 0 0 0 2.05 2h17.72a2.05 2.05 0 0 0 2.05-2V8.18l-4.77-3.41z',
                    fill: '#4285f4'
                }),
                React.createElement('path', {
                    fill: 'url(#' + this.idPrefix + 'a)',
                    d: 'M18.23 7.58l7.59 7.58V8.18l-7.59-.6z'
                }),
                React.createElement('path', {
                    d: 'M9.45 21.82h10.91v-1.37H9.45zm0 2.73h8.19v-1.37H9.45zm0-9.55v1.36h10.91V15zm0 4.09h10.91v-1.36H9.45z',
                    fill: '#f1f1f1'
                }),
                React.createElement('path', { d: 'M17.64 0v6.14a2 2 0 0 0 2 2h6.14z', fill: '#a1c2fa' }),
                React.createElement('path', {
                    d: 'M6.05 0A2.05 2.05 0 0 0 4 2.05v.17A2.05 2.05 0 0 1 6.05.17h11.59V0z',
                    fill: '#fff',
                    fillOpacity: '.2'
                }),
                React.createElement('path', {
                    d: 'M19.68 8.18a2 2 0 0 1-2-2v.17a2 2 0 0 0 2 2h6.14v-.17z',
                    fill: '#1a237e',
                    fillOpacity: '.1'
                })
            );
        }
    }]);

    return IconGoogleDocs;
}(React.Component);

IconGoogleDocs.defaultProps = {
    className: '',
    height: 30,
    width: 30
};
IconGoogleDocs.propTypes = {
    className: PropTypes.string.isRequired,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};


export default IconGoogleDocs;
import PropTypes from 'prop-types';