import * as React from 'react';

import IconIWorkKeynoteDesktop from './IconIWorkKeynoteDesktop';
import IconIWorkPagesDesktop from './IconIWorkPagesDesktop';
import IconIWorkNumbersDesktop from './IconIWorkNumbersDesktop';

var IWorkDesktopIcon = function IWorkDesktopIcon(_ref) {
    var className = _ref.className,
        _ref$dimension = _ref.dimension,
        dimension = _ref$dimension === undefined ? 30 : _ref$dimension,
        extension = _ref.extension,
        title = _ref.title;

    var Component = null;
    switch (extension) {
        case 'pages':
            Component = IconIWorkPagesDesktop;
            break;
        case 'numbers':
            Component = IconIWorkNumbersDesktop;
            break;
        case 'key':
            Component = IconIWorkKeynoteDesktop;
            break;
        // no default
    }

    if (Component !== null) {
        return React.createElement(Component, {
            className: className,
            height: dimension,
            width: dimension,
            title: title
        });
    }
    return null;
};

IWorkDesktopIcon.propTypes = {
    /** Additional class name */
    className: PropTypes.string,

    /** Dimension of the icon */
    dimension: PropTypes.number,

    /** The file extension */
    extension: PropTypes.string.isRequired,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node])
};
export default IWorkDesktopIcon;
import PropTypes from 'prop-types';