var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import uniqueId from 'lodash/uniqueId';

import AccessibleSVG from '../accessible-svg';

var ICON_CLASS = 'icon-excel-desktop';

var IconExcelDesktop = function (_React$Component) {
    _inherits(IconExcelDesktop, _React$Component);

    function IconExcelDesktop() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, IconExcelDesktop);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = IconExcelDesktop.__proto__ || Object.getPrototypeOf(IconExcelDesktop)).call.apply(_ref, [this].concat(args))), _this), _this.idPrefix = uniqueId(ICON_CLASS) + '-', _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(IconExcelDesktop, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                className = _props.className,
                height = _props.height,
                title = _props.title,
                width = _props.width;

            return React.createElement(
                AccessibleSVG,
                {
                    className: ICON_CLASS + ' ' + className,
                    height: height,
                    title: title,
                    viewBox: '0 0 96 96',
                    width: width
                },
                React.createElement('path', {
                    clipRule: 'evenodd',
                    d: 'M45 80.5c-.8 0-1.5-.7-1.5-1.5V16c0-.8.7-1.5 1.5-1.5h44c.8 0 1.5.7 1.5 1.5v63c0 .8-.7 1.5-1.5 1.5H45z',
                    fill: '#FFF',
                    fillRule: 'evenodd'
                }),
                React.createElement('path', {
                    d: 'M89 16v63H45V16h44m0-3H45c-1.7 0-3 1.3-3 3v63c0 1.7 1.3 3 3 3h44c1.7 0 3-1.3 3-3V16c0-1.7-1.3-3-3-3z',
                    fill: '#217346'
                }),
                React.createElement('path', {
                    clipRule: 'evenodd',
                    d: 'M68 22h14v7H68zm-18 0h14v7H50zm18 11h14v7H68zm-18 0h14v7H50zm18 33h14v7H68zm-18 0h14v7H50zm18-22h14v7H68zm-18 0h14v7H50zm18 11h14v7H68zm-18 0h14v7H50z',
                    fill: '#217346',
                    fillRule: 'evenodd'
                }),
                React.createElement('path', {
                    clipRule: 'evenodd',
                    d: 'M56 4L4 13v70l52 9V4z',
                    fill: '#217346',
                    fillRule: 'evenodd'
                }),
                React.createElement(
                    'g',
                    { opacity: '.05' },
                    React.createElement(
                        'linearGradient',
                        {
                            id: this.idPrefix + 'a',
                            x1: '4',
                            x2: '56',
                            y1: '48',
                            y2: '48',
                            gradientUnits: 'userSpaceOnUse'
                        },
                        React.createElement('stop', { offset: '0', stopColor: '#FFF' }),
                        React.createElement('stop', { offset: '1' })
                    ),
                    React.createElement('path', {
                        clipRule: 'evenodd',
                        d: 'M56 4L4 13v70l52 9V4z',
                        fill: 'url(#' + this.idPrefix + 'a)',
                        fillRule: 'evenodd'
                    })
                ),
                React.createElement('path', {
                    d: 'M40.5 31l-6.8.4-4.1 9.7-.3.9c-.1.3-.2.5-.2.8-.1.2-.1.4-.2.6-.1.2-.1.4-.1.5h-.1c-.1-.3-.1-.5-.2-.7-.1-.2-.1-.5-.2-.7-.1-.2-.1-.4-.2-.6-.1-.2-.1-.4-.2-.6L24.3 32l-6.6.4 7 15.2-7.6 15.2 6.4.4 4.3-9.9c.1-.2.1-.5.2-.7.1-.2.1-.4.2-.6 0-.2.1-.4.1-.5 0-.2.1-.3.1-.4h.1c0 .3.1.5.1.7 0 .2.1.4.1.6 0 .2.1.3.1.5 0 .1.1.2.1.3l4.5 10.6 7.3.4-8.3-16.7L40.5 31',
                    fill: '#FFF'
                })
            );
        }
    }]);

    return IconExcelDesktop;
}(React.Component);

IconExcelDesktop.defaultProps = {
    className: '',
    height: 30,
    width: 30
};
IconExcelDesktop.propTypes = {
    className: PropTypes.string.isRequired,
    height: PropTypes.number,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
    width: PropTypes.number
};


export default IconExcelDesktop;
import PropTypes from 'prop-types';