import * as React from 'react';

import IconExcelDesktop from './IconExcelDesktop';
import IconPowerPointDesktop from './IconPowerPointDesktop';
import IconWordDesktop from './IconWordDesktop';

var OfficeDesktopIcon = function OfficeDesktopIcon(_ref) {
    var className = _ref.className,
        _ref$dimension = _ref.dimension,
        dimension = _ref$dimension === undefined ? 30 : _ref$dimension,
        extension = _ref.extension,
        title = _ref.title;

    var Component = null;
    switch (extension) {
        case 'doc':
        case 'docx':
            Component = IconWordDesktop;
            break;
        case 'ppt':
        case 'pptx':
            Component = IconPowerPointDesktop;
            break;
        case 'xls':
        case 'xlsx':
        case 'xlsm':
            Component = IconExcelDesktop;
            break;
        // no default
    }

    if (Component !== null) {
        return React.createElement(Component, {
            className: className,
            height: dimension,
            width: dimension,
            title: title
        });
    }
    return null;
};

OfficeDesktopIcon.propTypes = {
    /** Additional class name */
    className: PropTypes.string,

    /** Dimension of the icon */
    dimension: PropTypes.number,

    /** The file extension */
    extension: PropTypes.string.isRequired,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node])
};
export default OfficeDesktopIcon;
import PropTypes from 'prop-types';