import * as React from 'react';

import IconExcelOnline from './IconExcelOnline';
import IconPowerPointOnline from './IconPowerPointOnline';
import IconWordOnline from './IconWordOnline';

var OfficeOnlineIcon = function OfficeOnlineIcon(_ref) {
    var className = _ref.className,
        _ref$dimension = _ref.dimension,
        dimension = _ref$dimension === undefined ? 30 : _ref$dimension,
        extension = _ref.extension,
        title = _ref.title;

    var Component = null;
    switch (extension) {
        case 'doc':
        case 'docx':
            Component = IconWordOnline;
            break;
        case 'ppt':
        case 'pptx':
            Component = IconPowerPointOnline;
            break;
        case 'xls':
        case 'xlsx':
        case 'xlsm':
            Component = IconExcelOnline;
            break;
        // no default
    }

    if (Component !== null) {
        return React.createElement(Component, {
            className: className,
            height: dimension,
            width: dimension,
            title: title
        });
    }
    return null;
};

OfficeOnlineIcon.propTypes = {
    /** Additional class name */
    className: PropTypes.string,

    /** Dimension of the icon */
    dimension: PropTypes.number,

    /** The file extension */
    extension: PropTypes.string.isRequired,

    /** A text-only string describing the icon if it's not purely decorative for accessibility */
    title: PropTypes.oneOfType([PropTypes.string, PropTypes.node])
};
export default OfficeOnlineIcon;
import PropTypes from 'prop-types';